<?php
/* $Id: report_debiti.php,v 1.17 2008/10/14 08:29:23 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$azienda = getRow($gTables['aziend'],'codice',1);
if(!isset($_GET["annfin"])) {
    $annfin = date("Y");
} else {
    $annfin = $_GET["annfin"];
}
if(!isset($_GET["annini"])) {
    $annini = date("Y")-1;
     $_GET["annini"] = '';
} else {
    $annini = $_GET["annini"];
}
$message = "";
if (isset($_GET['stampa']) and $message == "") {
    //Mando in stampa i movimenti contabili generati
    $locazione = "Location: stampa_lisdeb.php?annini=".$annini."&annfin=".$annfin;
    header($locazione);
    exit;
}
if (isset($_GET['Return'])) {
    header("Location:docume_acquis.php");
    exit;
}

// garvin: Measure query time. TODO-Item http://sourceforge.net/tracker/index.php?func=detail&aid=571934&group_id=23067&atid=377411
list($usec, $sec) = explode(' ',microtime());
$querytime_before = ((float)$usec + (float)$sec);
$sqlquery= "SELECT COUNT(DISTINCT ".$gTables['rigmoc'].".id_tes) as nummov,codcon, ragso1, telefo, sum(import*(darave='D')) as dare,sum(import*(darave='A')) as avere, sum(import*(darave='D') - import*(darave='A')) as saldo, darave FROM ".$gTables['rigmoc']." LEFT JOIN ".$gTables['tesmov']." ON ".$gTables['rigmoc'].".id_tes = ".$gTables['tesmov'].".id_tes LEFT JOIN ".$gTables['clfoco']." ON ".$gTables['rigmoc'].".codcon = ".$gTables['clfoco'].".codice WHERE datreg between ".$annini."0101 and ".$annfin."1231 and codcon like '".$azienda['masfor']."%' and caucon <> 'CHI' and caucon <> 'APE' or (caucon = 'APE' and codcon like '".$azienda['masfor']."%' and datreg like '".$_GET['annini']."%') GROUP BY codcon ORDER BY ragso1, darave";
$rs_castel = dbms_query($sqlquery);
list($usec, $sec) = explode(' ',microtime());
$querytime_after = ((float)$usec + (float)$sec);
$querytime = $querytime_after - $querytime_before;
require_once("../../library/include/header.php");
HeadMain();
?>
<form method="GET">
<div align="center" class="FacetFormHeaderFont">Debiti verso Fornitori</div>
<table class="FacetFormTABLE" align="center">
<?php
if (! $message == "") {
    print "<tr><td colspan=\"2\" class=\"FacetDataTDred\">".$message."</td></tr>";
}
?>
<tr>
<td class="FacetFieldCaptionTD">Anno inizio &nbsp;</td>
<td class="FacetDataTD">
<?php
// select del anno
print "\t <select name=\"annini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = date("Y")-10 ; $counter <= date("Y")+2; $counter++ ) {
    $selected = "";
    if($counter == $annini)
            $selected = "selected";
    print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
print "\t </select>\n";
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Anno fine &nbsp;</td>
<td class="FacetDataTD">
<?php
// select del anno
print "\t <select name=\"annfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = date("Y")-10 ; $counter <= date("Y")+2; $counter++ )
    {
    $selected = "";
    if($counter == $annfin)
            $selected = "selected";
    print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
    }
print "\t </select>\n";
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD"></td>
<td colspan="3" align="right" nowrap class="FacetFooterTD">
<input type="submit" name="Return" value="Indietro">
<?php
print "<input type=\"submit\" name=\"stampa\" value=\"STAMPA !\" > &nbsp;";
?>
</td>
</tr>
</table>
</form>
<p><br></p>
<table class="Tlarge">
<?php
print '<tr><td colspan=4>La query ha impiegato '.number_format($querytime,4,'.','').' sec.</td></tr><tr>';
// creo l'array (header => campi) per l'ordinamento dei record
$headers_tesmov = array  (
          "Codice" => "",
          "Cliente" => "",
          "Telefono" => "",
          "Movimenti" => "",
          "Dare" => "",
          "Avere" => "",
          "Saldo" => "",
          "Paga" => "",
          "Estr.Conto" => ""
);
$linkHeaders = new linkHeaders($headers_tesmov);
$linkHeaders -> output();
?>
</tr>
<?php
while ($a_row = dbms_fetch_array($rs_castel)) {
      if ($a_row['saldo'] != 0) {
         print "<tr>";
         print "<td class=\"FacetDataTD\">".$a_row['codcon']."&nbsp;</td>";
         print "<td class=\"FacetDataTD\">".$a_row['ragso1']." &nbsp;</td>";
         print "<td class=\"FacetDataTD\">".$a_row['telefo']." &nbsp;</td>";
         print "<td class=\"FacetDataTD\" align=\"center\">".$a_row['nummov']." &nbsp;</td>";
         print "<td class=\"FacetDataTD\" align=\"right\">".gaz_format_number($a_row['dare'])." &nbsp;</td>";
         print "<td class=\"FacetDataTD\" align=\"right\">".gaz_format_number($a_row['avere'])." &nbsp;</td>";
         print "<td class=\"FacetDataTD\" align=\"right\">".gaz_format_number($a_row['saldo'])." &nbsp;</td>";
         print "<td class=\"FacetDataTD\" align=\"center\"><a href=\"salcon_debiti.php?codice=".$a_row["codcon"]."\"><img src=\"../../library/images/pay.gif\" title=\"Effettua un pagamento a ".$a_row["ragso1"]."\" border=\"0\"></a></td>";
         print "<td class=\"FacetDataTD\" align=\"center\"><a href=\"../contab/select_partit.php?masini=".substr($a_row['codcon'],0,3)."&masfin=".substr($a_row['codcon'],0,3)."&conini=".substr($a_row['codcon'],3,6)."&confin=".substr($a_row['codcon'],3,6)."&annini=".$annini."&annfin=".$annfin."\"><center><img src=\"../../library/images/vis.gif\" title=\"Stampa l'Estratto Conto di {$a_row['ragso1']}\" border=\"0\"><img src=\"../../library/images/stampa.gif\" title=\"Stampa l'Estratto Conto di {$a_row['ragso1']}\" border=\"0\"></a></td>";
         print "</tr>";
      }
}
?>
</table>
</body>
</html>