<?php
/* $Id: admin_imball.php,v 1.4 2008/10/14 08:29:23 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$msg = '';
$azienda = getRow($gTables['aziend'],'codice',1);

if (!isset($_POST['ritorno'])) {
    $_POST['ritorno'] = $_SERVER['HTTP_REFERER'];
}

if (isset($_POST['Update']) or isset($_GET['Update'])) {
    $toDo = 'update';
} else {
    $toDo = 'insert';
}

if ((isset($_POST['Insert'])) or (isset($_POST['Update']))) {   //se non e' il primo accesso
    $form['codice'] = intval($_POST['codice']);
    $form['descri'] = substr($_POST['descri'],0,50);
    $form['weight'] = floatval($_POST['weight']);
    $form['annota'] = substr($_POST['annota'],0,50);
    if (isset($_POST['Submit'])) { // conferma tutto
       //eseguo i controlli formali
       $code_exist = dynQuery('codice',$gTables['imball'],"codice = '".$form['codice']."'",'codice DESC',0,1);
       $code = dbms_fetch_array($code_exist);
       if ($code and $toDo == 'insert') {
          $msg .= "5+";
       }
       if (empty($form['descri'])) {
          $msg .= "7+";
       }
       if ($form['codice'] <= 0 || $form['codice'] > 99) {
          $msg .= "6+";
       }
       if ($form['weight'] < 0) {
          $msg .= "8+";
       }
       if (empty($msg)) { // nessun errore
          // aggiorno il db
          if ($toDo == 'insert') {
             imballInsert($form);
          } elseif ($toDo == 'update') {
             imballUpdate($form['codice'],$form);
          }
          header("Location: report_imball.php");
          exit;
       }
    } elseif (isset($_POST['Return'])) { // torno indietro
          header("Location: ".$_POST['ritorno']);
          exit;
    }
} elseif ((!isset($_POST['Update'])) and (isset($_GET['Update']))) { //se e' il primo accesso per UPDATE
    $codice = intval($_GET['codice']);
    $form = getRow($gTables['imball'], 'codice', $codice);
} elseif (!isset($_POST['Insert'])) { //se e' il primo accesso per INSERT
    $rs_ultimo = dynQuery('codice',$gTables['imball'],'1','codice DESC',0,1);
    $ultimo = dbms_fetch_array($rs_ultimo);
    $form['codice'] = $ultimo['codice']+1;
    $form['descri'] = '';
    $form['weight'] = '';
    $form['annota'] = '';
}

require_once("../../library/include/header.php");
$strTrad = $strScript['admin_imball.php'];
HeadMain(0);
echo "<form method=\"POST\">";
echo "<input type=\"hidden\" name=\"ritorno\" value=\"".$_POST['ritorno']."\">\n";
echo "<input type=\"hidden\" name=\"".ucfirst($toDo)."\" value=\"\">";
echo "<div align=\"center\" class=\"FacetFormHeaderFont\">".$strMessage[$toDo].$strTrad[0]."</div>";
echo "<table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" class=\"FacetFormTABLE\" align=\"center\">";
if (!empty($msg)) {
    $message = "";
    $rsmsg = array_slice( explode('+',chop($msg)),0,-1);
    foreach ($rsmsg as $value){
            $message .= $strMessage['error']."! -> ";
            $rsval = explode('-',chop($value));
            foreach ($rsval as $valmsg){
                    $message .= $strTrad[$valmsg]." ";
            }
            $message .= "<br>";
    }
    echo '<tr><td colspan="2" class="FacetDataTDred">'.$message.'</td></tr>';
}
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[1]."</td>
     <td class=\"FacetDataTD\">\n";
if ($toDo == 'update') {
echo "\t<input type=\"hidden\" name=\"codice\" value=\"".$form['codice']."\" ><div class=\"FacetDataTD\">".$form['codice']."<div>\n";
} else {
echo "\t<input type=\"text\" name=\"codice\" value=\"".$form['codice']."\" maxlength=\"15\" size=\"15\" class=\"FacetInput\">\n";
}
echo "</td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[2]."</td>
     <td class=\"FacetDataTD\">\n";
echo "\t<input type=\"text\" name=\"descri\" value=\"".$form['descri']."\" maxlength=\"50\" size=\"30\" class=\"FacetInput\">\n";
echo "</td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[3]."</td>
     <td class=\"FacetDataTD\">\n";
echo "\t<input type=\"text\" name=\"weight\" value=\"".$form['weight']."\" maxlength=\"9\" size=\"5\" class=\"FacetInput\">\n";
echo "</td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[4]."</td>
     <td class=\"FacetDataTD\">\n";
echo "\t<input type=\"text\" name=\"annota\" value=\"".$form['annota']."\" maxlength=\"50\" size=\"30\" class=\"FacetInput\">\n";
echo "</td></tr>";
echo "<tr>\n
      <td class=\"FacetFieldCaptionTD\">
      <input type=\"submit\" name=\"Return\" value=\"".ucfirst($strButton['return'])."\">\n
      <input type=\"reset\" name=\"Cancel\" value=\"".ucfirst($strButton['cancel'])."\">\n
      </td><td class=\"FacetDataTD\" align=\"right\">\n";
if ($toDo == 'update') {
             echo '<input name="Submit" title="Accetta tutto e modifica" type="submit" value="MODIFICA !">';
} else {
             echo '<input name="Submit" title="Accetta tutto e inserisce" type="submit" value="INSERISCI !">';
}
?>
</td>
</tr>
</table>
</form>
</body>
</html>