<?php
/* $Id: admin_pagame.php,v 1.5 2008/10/14 08:29:23 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$msg = '';
$azienda = getRow($gTables['aziend'],'codice',1);

if (!isset($_POST['ritorno'])) {
    $_POST['ritorno'] = $_SERVER['HTTP_REFERER'];
}

if (isset($_POST['Update']) or isset($_GET['Update'])) {
    $toDo = 'update';
} else {
    $toDo = 'insert';
}

if ((isset($_POST['Insert'])) or (isset($_POST['Update']))) {   //se non e' il primo accesso
    $form['codice'] = intval($_POST['codice']);
    $form['descri'] = substr($_POST['descri'],0,50);
    $form['tippag'] = substr($_POST['tippag'],0,1);
    $form['incaut'] = substr($_POST['incaut'],0,1);
    $form['tipdec'] = substr($_POST['tipdec'],0,1);
    $form['giodec'] = intval($_POST['giodec']);
    $form['mesesc'] = intval($_POST['mesesc']);
    $form['messuc'] = intval($_POST['messuc']);
    $form['giosuc'] = intval($_POST['giosuc']);
    $form['numrat'] = intval($_POST['numrat']);
    $form['tiprat'] = substr($_POST['tiprat'],0,1);
    $form['id_bank'] = intval($_POST['id_bank']);
    $form['annota'] = substr($_POST['annota'],0,50);
    if (isset($_POST['Submit'])) { // conferma tutto
       //eseguo i controlli formali
       $code_exist = dynQuery('codice',$gTables['pagame'],"codice = '".$form['codice']."'",'codice DESC',0,1);
       $code = dbms_fetch_array($code_exist);
       if ($code and $toDo == 'insert') {
          $msg .= "18+";
       }
       if (empty($form['descri'])) {
          $msg .= "19+";
       }
       if ($form['codice'] <= 0) {
          $msg .= "20+";
       }
       if (empty($msg)) { // nessun errore
          // aggiorno il db
          if ($toDo == 'insert') {
             pagameInsert($form);
          } elseif ($toDo == 'update') {
             pagameUpdate($form['codice'],$form);
          }
          header("Location: report_pagame.php");
          exit;
       }
    } elseif (isset($_POST['Return'])) { // torno indietro
          header("Location: ".$_POST['ritorno']);
          exit;
    }
} elseif ((!isset($_POST['Update'])) and (isset($_GET['Update']))) { //se e' il primo accesso per UPDATE
    $codice = intval($_GET['codice']);
    $form = getRow($gTables['pagame'], 'codice', $codice);
} elseif (!isset($_POST['Insert'])) { //se e' il primo accesso per INSERT
    $rs_ultimo = dynQuery('codice',$gTables['pagame'],'1','codice DESC',0,1);
    $ultimo = dbms_fetch_array($rs_ultimo);
    $form['codice'] = $ultimo['codice']+1;
    $form['descri'] = '';
    $form['tippag'] = 'D';
    $form['incaut'] = 'N';
    $form['tipdec'] = 'D';
    $form['giodec'] = 0;
    $form['mesesc'] = 0;
    $form['messuc'] = 0;
    $form['giosuc'] = 0;
    $form['numrat'] = 0;
    $form['tiprat'] = 'M';
    $form['id_bank'] = 0;
    $form['annota'] =  '';
}

require_once("../../library/include/header.php");
$strTrad = $strScript['admin_pagame.php'];
HeadMain(0);
echo "<form method=\"POST\">";
echo "<input type=\"hidden\" name=\"ritorno\" value=\"".$_POST['ritorno']."\">\n";
echo "<input type=\"hidden\" name=\"".ucfirst($toDo)."\" value=\"\">";
echo "<div align=\"center\" class=\"FacetFormHeaderFont\">".$strMessage[$toDo].$strTrad[0]."</div>";
echo "<table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" class=\"FacetFormTABLE\" align=\"center\">";
if (!empty($msg)) {
    $message = "";
    $rsmsg = array_slice( explode('+',chop($msg)),0,-1);
    foreach ($rsmsg as $value){
            $message .= $strMessage['error']."! -> ";
            $rsval = explode('-',chop($value));
            foreach ($rsval as $valmsg){
                    $message .= $strTrad[$valmsg]." ";
            }
            $message .= "<br>";
    }
    echo '<tr><td colspan="2" class="FacetDataTDred">'.$message.'</td></tr>';
}
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[1]."</td>
     <td class=\"FacetDataTD\">\n";
if ($toDo == 'update') {
echo "\t<input type=\"hidden\" name=\"codice\" value=\"".$form['codice']."\" ><div class=\"FacetDataTD\">".$form['codice']."<div>\n";
} else {
echo "\t<input type=\"text\" name=\"codice\" value=\"".$form['codice']."\" maxlength=\"15\" size=\"15\" class=\"FacetInput\">\n";
}
echo "</td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[2]."</td>
     <td class=\"FacetDataTD\">\n";
echo "\t<input type=\"text\" name=\"descri\" value=\"".$form['descri']."\" maxlength=\"50\" size=\"30\" class=\"FacetInput\">\n";
echo "</td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[3]."</td>
     <td class=\"FacetDataTD\">\n";
echo "<select name=\"tippag\" class=\"FacetSelect\">";
foreach ($strTrad[14] as $key => $value) {
         $selected="";
         if($form['tippag'] == $key) {
                $selected = " selected ";
            }
         echo "<option value=\"".$key."\"".$selected.">".$key.'-'.$value."</option>";
}
echo "</select></td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[4]."</td>
     <td class=\"FacetDataTD\">\n";
echo "<select name=\"incaut\" class=\"FacetSelect\">";
foreach ($strTrad[15] as $key => $value) {
         $selected="";
         if($form['incaut'] == $key) {
                $selected = " selected ";
            }
         echo "<option value=\"".$key."\"".$selected.">".$key.'-'.$value."</option>";
}
echo "</select></td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[5]."</td>
     <td class=\"FacetDataTD\">\n";
echo "<select name=\"tipdec\" class=\"FacetSelect\">";
foreach ($strTrad[16] as $key => $value) {
         $selected="";
         if($form['tipdec'] == $key) {
                $selected = " selected ";
            }
         echo "<option value=\"".$key."\"".$selected.">".$key.'-'.$value."</option>";
}
echo "</select></td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[6]."</td>
     <td class=\"FacetDataTD\">\n";
echo "\t<input type=\"text\" name=\"giodec\" value=\"".$form['giodec']."\" maxlength=\"3\" size=\"3\" class=\"FacetInput\">\n";
echo "</td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[7]."</td>
     <td class=\"FacetDataTD\">\n";
echo "\t<input type=\"text\" name=\"mesesc\" value=\"".$form['mesesc']."\" maxlength=\"2\" size=\"2\" class=\"FacetInput\">\n";
echo "</td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[8]."</td>
     <td class=\"FacetDataTD\">\n";
echo "\t<input type=\"text\" name=\"messuc\" value=\"".$form['messuc']."\" maxlength=\"2\" size=\"2\" class=\"FacetInput\">\n";
echo "</td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[9]."</td>
     <td class=\"FacetDataTD\">\n";
echo "\t<input type=\"text\" name=\"giosuc\" value=\"".$form['giosuc']."\" maxlength=\"2\" size=\"2\" class=\"FacetInput\">\n";
echo "</td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[10]."</td>
     <td class=\"FacetDataTD\">\n";
echo "<select name=\"numrat\" class=\"FacetSelect\">";
for ($counter = 1; $counter <= 24; $counter++ ) {
         $selected="";
         if($form['numrat'] == $counter) {
                $selected = " selected ";
            }
         echo "<option value=\"".$counter."\"".$selected.">".$counter."</option>";
}
echo "</select></td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[11]."</td>
     <td class=\"FacetDataTD\">\n";
echo "<select name=\"tiprat\" class=\"FacetSelect\">";
foreach ($strTrad[17] as $key => $value) {
         $selected="";
         if($form['tiprat'] == $key) {
                $selected = " selected ";
            }
         echo "<option value=\"".$key."\"".$selected.">".$key.'-'.$value."</option>";
}
echo "</select></td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[12]."</td>
     <td class=\"FacetDataTD\">\n";
echo "<select name=\"id_bank\" class=\"FacetSelect\">";
$result = dynQuery("codice,ragso1,iban", $gTables['clfoco'],"codice NOT LIKE '%000000' AND codice LIKE '".$azienda['masban']."%' AND iban != ''","ragso1 ASC");
echo "<option value=\"0\"> ---------- </option>";
while ($a_row = dbms_fetch_array($result)) {
       $selected="";
       if($form['id_bank'] == $a_row['codice']) {
            $selected = " selected ";
       }
       echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['ragso1']." - ".$a_row['iban']."</option>";
}
echo "</select></td>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[13]."</td>
     <td class=\"FacetDataTD\">\n";
echo "\t<input type=\"text\" name=\"annota\" value=\"".$form['annota']."\" maxlength=\"50\" size=\"30\" class=\"FacetInput\">\n";
echo "</td></tr>";
echo "<tr>\n
      <td class=\"FacetFieldCaptionTD\">
      <input type=\"submit\" name=\"Return\" value=\"".ucfirst($strButton['return'])."\">\n
      <input type=\"reset\" name=\"Cancel\" value=\"".ucfirst($strButton['cancel'])."\">\n
      </td><td class=\"FacetDataTD\" align=\"right\">\n";
if ($toDo == 'update') {
             echo '<input name="Submit" title="Accetta tutto e modifica" type="submit" value="MODIFICA !">';
} else {
             echo '<input name="Submit" title="Accetta tutto e inserisce" type="submit" value="INSERISCI !">';
}
?>
</td>
</tr>
</table>
</form>
</body>
</html>