<?php
/*$Id: admin_movcon.php,v 1.33 2008/11/18 15:31:26 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$msg = "";
$msgimpo = "Imponibile";
$azienda = getRow($gTables['aziend'],"codice",1);
$mastroclienti = $azienda['mascli']."000000";
$iniclienti=$azienda['mascli'].'000001';
$finclienti=$azienda['mascli'].'999999';
$mastrofornitori = $azienda['masfor']."000000";
$inifornitori=$azienda['masfor'].'000001';
$finfornitori=$azienda['masfor'].'999999';
if (!isset($_POST['ritorno'])) {
        $_POST['ritorno'] = $_SERVER['HTTP_REFERER'];
}
$form = array();
if ((isset($_POST['Update'])) or (isset($_GET['Update']))) {
    if (!isset($_GET['id_tes'])) {
        header("Location: ".$_POST['ritorno']);
        exit;
    } else {
        $_POST['id_tes'] = $_GET['id_tes'];
    }
    $toDo = 'update';
    $titolo = "Modifica Movimento Contabile n.".intval($_POST['id_tes']);
} else {
    $toDo = 'insert';
    $titolo = "Inserimento Movimento Contabile";
}

// Se viene inviata la richiesta di conferma totale ...
if (isset($_POST['ins'])) {
    $ctrltotdar = 0.00;
    $ctrltotmov = 0.00;
    $ctrltotave = 0.00;
    $ctrlsaldo = 0.00;
    $ctrlmoviva = 0.00;
    //calcolo i totali dare e avere per poter eseguire il controllo
    for ($i = 0; $i < $_POST['rigcon']; $i++) {
        $_POST['importorc'][$i] = ereg_replace(",",".",$_POST['importorc'][$i]);
        $nr = $i + 1;
        if (substr($_POST['conto__rc'][$i],3,6) < 1)  { //controllo che tutti i conti siano stati introdotti...
            $msg .= "Il rigo $nr non ha conti !<br>";
        }
        if ($_POST['importorc'][$i]==0)  { //controllo che non ci siamo valori a 0
            $msg .= "Il rigo $nr ha il valore a zero!<br />";
        }
        if ($_POST['registroiva'] == 4 and (
           substr($_POST['conto__rc'][$i],0,3) == $azienda['masban']
           or substr($_POST['conto__rc'][$i],0,3) == substr($azienda['cassa_'],0,3)))  {
           $ctrlmoviva = number_format($_POST['importorc'][$i] + $ctrlmoviva,2, '.', '');
        } elseif (substr($_POST['conto__rc'][$i],0,3) == $azienda['mascli']
           or substr($_POST['conto__rc'][$i],0,3) == $azienda['masfor']) {
           $ctrlmoviva = number_format($_POST['importorc'][$i],2, '.', '');
        }
        if ($_POST['darave_rc'][$i] == "D") {
            $ctrltotdar += $_POST['importorc'][$i];
        } else {
            $ctrltotave += $_POST['importorc'][$i];
        }
        $ctrlsaldo = number_format($ctrltotdar - $ctrltotave,2, '.', '');
    }
    //calcolo i totali iva per poter eseguire il controllo
    if (!isset($_POST['rigiva'])) {
       $_POST['rigiva'] = 0;
    }
    for ($i = 0; $i < $_POST['rigiva']; $i++) {
        $_POST['imponi_ri'][$i] = ereg_replace(",",".",$_POST['imponi_ri'][$i]);
        $_POST['impost_ri'][$i] = ereg_replace(",",".",$_POST['impost_ri'][$i]);
        $ctrltotmov += $_POST['imponi_ri'][$i] + $_POST['impost_ri'][$i];
    }
    $ctrltotmov = number_format($ctrltotmov,2, '.', '');
    if ($ctrlsaldo != 0) {
        $msg .= "Il saldo del movimento &egrave; sbilanciato di $money[2] $ctrlsaldo!<br>";
    }
    if ($ctrltotdar == 0) {
        $msg .= "Il totale dei righi in dare non dev'essere 0 !<br>";
    }
    if ($ctrltotave == 0) {
        $msg .= "Il totale dei righi in avere non dev'essere 0 !<br>";
    }
    if ($_POST['registroiva'] > 0 and $ctrltotmov == 0) {
        $msg .= "Il movimento IVA &egrave; nullo !<br>";
    }
    if ($_POST['registroiva'] > 0 and $ctrltotmov <> $ctrlmoviva) {
        $msg .= "I movimenti IVA hanno una somma ($money[2] $ctrltotmov) diversa da quella del movimento contabile ($money[2] $ctrlmoviva)<br>";
    }
    if (empty($_POST['descrizion'])) {
        $msg .= "E' necessario inserire una descrizione del movimento !<br>";
    }
    //controllo le date
    if (!checkdate( $_POST['mesregistr'], $_POST['gioregistr'], $_POST['annregistr']))
        $msg .= "La data del movimento ".$_POST['gioregistr']."-".$_POST['mesregistr']."-".$_POST['annregistr']." non &egrave; corretta! <br>";
    //controllo che siano stati inseriti in maniera giusta i dati del documento
    if ($_POST['inserimdoc'] > 0 ) {
        if (!checkdate( $_POST['mesdocumen'], $_POST['giodocumen'], $_POST['anndocumen'])) {
            $msg .= "La data del documento ".$_POST['giodocumen']."-".$_POST['mesdocumen']."-".$_POST['anndocumen']." non &egrave; corretta! <br>";
        }
        if ($_POST['protocollo'] <= 0) {
            $msg .= "Hai dimenticato di inserire il numero di protocollo !<br>";
        }
        if (empty($_POST['numdocumen'])) {
            $msg .= "Hai dimenticato di inserire il numero del documento !<br>";
        }
        $ctrldatreg = mktime (0,0,0,$_POST['mesregistr'], $_POST['gioregistr'], $_POST['annregistr']);
        $ctrldatdoc = mktime (0,0,0,$_POST['mesdocumen'], $_POST['giodocumen'], $_POST['anndocumen']);
        if ($ctrldatreg < $ctrldatdoc) {
            $msg .= "La data del documento non dev'essere successiva a quella del movimento ! <br>";
        }
    }
    if ($msg == "") { // nessun errore
        //se  un update recupero i vecchi righi per trovare quelli da inserire/modificare/cancellare
        //formatto le date
        $datareg = $_POST['annregistr']."-".$_POST['mesregistr']."-".$_POST['gioregistr'];
        $datadoc = $_POST['anndocumen']."-".$_POST['mesdocumen']."-".$_POST['giodocumen'];
        if ($_POST['inserimdoc'] == 0 and $_POST['registroiva'] == 0) { //se non sono richisti i dati documenti e iva
              $_POST['sezioneiva'] = 0;
              $_POST['protocollo'] = 0;
              $_POST['numdocumen'] = "";
              $datadoc = 0;
        }
        if ( $toDo == 'update') {  //se  una modifica
           $vecchi_righcon = dynQuery("*", $gTables['rigmoc'], "id_tes = '".intval($_POST['id_testata'])."'","id_rig asc");
           $i=0;
           $count = count($_POST['id_rig_rc'])-1;
           while ($row_con = dbms_fetch_array($vecchi_righcon)) {
              //se l'id del vecchio rigo e' ancora presente nel nuovo lo modifico
              if ($i <= $count) {
                 rigmocUpdate($row_con['id_rig'],$_POST['id_testata'], $_POST['darave_rc'][$i], $_POST['conto__rc'][$i], $_POST['importorc'][$i]);
                 updateTotaleDareAvereConto($row_con['codcon']);
              } else { //altrimenti lo elimino
                 delRow($gTables['rigmoc'], "id_rig", $row_con['id_rig']);
                 updateTotaleDareAvereConto($row_con['codcon']);
              }
              $i++;
           }
           //qualora i nuovi righi fossero di pi dei vecchi inserisco l'eccedenza
           for ($i = $i; $i <= $count; $i++) {
                rigmocInsert($_POST['id_testata'], $_POST['darave_rc'][$i], $_POST['conto__rc'][$i], $_POST['importorc'][$i]);
           }
           $vecchi_righiva = dynQuery("*", $gTables['rigmoi'], "id_tes = '".intval($_POST['id_testata'])."'","id_rig asc");
           $i=0;
           if ($_POST['registroiva'] > 0) {
              $count = count($_POST['id_rig_ri'])-1;
           } else {
              $count = 0;
              $i = 1;
           }
           while ($row_iva = dbms_fetch_array($vecchi_righiva)) {
              //se l'id del vecchio rigo e' ancora presente nel nuovo lo modifico
              if ($i <= $count) {
                 //recupero i dati dell'aliquota iva
                 $rigoi = getRow($gTables['aliiva'],"codice",$_POST['codiva_ri'][$i]);
                 rigmoiUpdate($row_iva['id_rig'],$_POST['id_testata'], $rigoi['tipiva'], $_POST['codiva_ri'][$i],$rigoi['aliquo'], $_POST['imponi_ri'][$i], $_POST['impost_ri'][$i]);
              } else { //altrimenti lo elimino
                 delRow($gTables['rigmoi'], "id_rig", $row_iva['id_rig']);
              }
              $i++;
           }
           //qualora i nuovi righi fossero di pi dei vecchi inserisco l'eccedenza
           for ($i = $i; $i <= $count; $i++) {
                $rigoi = getRow($gTables['aliiva'],"codice",$_POST['codiva_ri'][$i]);
                rigmoiInsert($_POST['id_testata'], $rigoi['tipiva'], $_POST['codiva_ri'][$i],$rigoi['aliquo'], $_POST['imponi_ri'][$i], $_POST['impost_ri'][$i]);
           }
           //modifico la testata
           tesmovUpdate($_POST['id_testata'],$_POST['codcausale'], $_POST['descrizion'], $datareg, $_POST['sezioneiva'], $_POST['protocollo'], $_POST['numdocumen'], $datadoc, $_POST['cod_partner'], $_POST['registroiva'], $_POST['operatore'],'');
        } else { //se  un'inserimento
           //inserisco la testata
           tesmovInsert($_POST['codcausale'], $_POST['descrizion'], $datareg, $_POST['sezioneiva'], $_POST['protocollo'], $_POST['numdocumen'], $datadoc, $_POST['cod_partner'], $_POST['registroiva'], $_POST['operatore'],'');
           //recupero l'id assegnato dall'inserimento
           $ultimo_id = ultimoID();
           //inserisco i righi iva
           for ($i = 0; $i < $_POST['rigiva']; $i++) {
               $rigoi = getRow($gTables['aliiva'],"codice",$_POST['codiva_ri'][$i]);
               rigmoiInsert($ultimo_id, $rigoi['tipiva'], $_POST['codiva_ri'][$i],$rigoi['aliquo'], $_POST['imponi_ri'][$i], $_POST['impost_ri'][$i]);
           }
           //inserisco i righi contabili
           for ($i = 0; $i < $_POST['rigcon']; $i++) {
               rigmocInsert($ultimo_id, $_POST['darave_rc'][$i], $_POST['conto__rc'][$i], $_POST['importorc'][$i]);
           }
        }
        header("Location:report_movcon.php");
        exit;
    }
}
if ((!isset($_POST['Update'])) and (isset($_GET['Update']))) { //se e' il primo accesso per UPDATE
    //recupero la testata con la causale
    $rs_testata = dynQuery("*", $gTables['tesmov'], "id_tes = '".intval($_GET['id_tes'])."'","id_tes asc",0,1);
    $testata = dbms_fetch_array($rs_testata);
    $form['id_testata'] = $testata['id_tes'];
    $form['codcausale'] = $testata['caucon'];
    $form['descrizion'] = $testata['descri'];
    $form['registroiva'] = $testata['regiva'];
    $form['operatore'] = $testata['operat'];
    $form['gioregistr'] = substr($testata['datreg'],8,2);
    $form['mesregistr'] = substr($testata['datreg'],5,2);
    $form['annregistr'] = substr($testata['datreg'],0,4);
    $form['sezioneiva'] = $testata['seziva'];
    $form['protocollo'] = $testata['protoc'];
    $form['numdocumen'] = $testata['numdoc'];
    $form['giodocumen'] = substr($testata['datdoc'],8,2);
    $form['mesdocumen'] = substr($testata['datdoc'],5,2);
    $form['anndocumen'] = substr($testata['datdoc'],0,4);
    $form['cod_partner'] = $testata['clfoco'];
    if ($form['numdocumen'] > 0 or !empty($form['numdocumen'])) {
       $form['inserimdoc'] = '1';
    } else {
       $form['inserimdoc'] = '0';
    }
    $form['registroiva'] = $testata['regiva'];
    $form['operatore'] = $testata['operat'];
    $form['insert_mastro'] = '000000000';
    $form['insert_conto'] = '000000000';
    $form['cerca_partner'] = '';
    $form['insert_darave'] = 'A';
    $form['insert_conto'] = '000000000';
    $form['insert_codiva'] = $azienda['alliva'];
    $form['insert_imponi'] = 0;
    //recupero i righi iva
    $rs_righiva = dynQuery("*", $gTables['rigmoi'], "id_tes = '".intval($form['id_testata'])."'","id_rig asc");
    $i=0;
    while ($row = dbms_fetch_array($rs_righiva)) {
        $msg = "ATTENZIONE alle modifiche della numerazione che interessano i registri I.V.A!<BR>";
        $form['insert_codiva'] = $row['codiva'];;
        $form['id_rig_ri'][$i] = $row['id_rig'];
        $form['codiva_ri'][$i] = $row['codiva'];
        $form['imponi_ri'][$i] = $row['imponi'];
        $form['impost_ri'][$i] = $row['impost'];
        $i++;
        $_POST['rigiva'] = $i;
    }
    //recupero i righi contabili
    $rs_righcon = dynQuery("*", $gTables['rigmoc'], "id_tes = '".intval($form['id_testata'])."'","id_rig asc");
    $i=0;
    while ($row = dbms_fetch_array($rs_righcon)) {
        $form['id_rig_rc'][$i] = $row['id_rig'];
        $form['mastro_rc'][$i] = substr($row['codcon'],0,3).'000000';
        $form['conto__rc'][$i] = $row['codcon'];
        $form['cerca__rc'][$i] = "";
        $form['darave_rc'][$i] = $row['darave'];
        $form['importorc'][$i] = $row['import'];
        $i++;
        $_POST['rigcon'] = $i;
    }

} elseif ((isset($_POST['Insert'])) or (isset($_POST['Update']))) {   //se non e' il primo accesso
    //ricarico i registri per il form della testata
    $form['id_testata'] = $_POST['id_testata'];
    $form['codcausale'] = $_POST['codcausale'];
    $form['descrizion'] = stripslashes($_POST['descrizion']);
    $form['gioregistr'] = $_POST['gioregistr'];
    $form['mesregistr'] = $_POST['mesregistr'];
    $form['annregistr'] = $_POST['annregistr'];
    $form['inserimdoc'] = $_POST['inserimdoc'];
    $form['registroiva'] = $_POST['registroiva'];
    $form['operatore'] = $_POST['operatore'];
    if ($form['registroiva'] > 0) {
       $form['inserimdoc'] = 1;
    }
    $form['sezioneiva'] = $_POST['sezioneiva'];
    $form['protocollo'] = $_POST['protocollo'];
    $form['numdocumen'] = stripslashes($_POST['numdocumen']);
    $form['giodocumen'] = $_POST['giodocumen'];
    $form['mesdocumen'] = $_POST['mesdocumen'];
    $form['anndocumen'] = $_POST['anndocumen'];
    $form['cod_partner'] = $_POST['cod_partner'];
    //ricarico i registri per il form del rigo di inserimento contabile
    $form['insert_mastro'] = $_POST['insert_mastro'];
    $form['insert_conto'] = $_POST['insert_conto'];
    $form['cerca_partner'] = $_POST['cerca_partner'];
    $form['insert_darave'] = $_POST['insert_darave'];
    //ricarico i registri per il form del rigo di inserimento iva
    if (!isset($_POST['rigiva'])) {  //se non c'erano righi in precedenza
        $_POST['rigiva'] = 0;
        $form['insert_codiva'] = $azienda['alliva'];
        $form['insert_imponi'] = 0;
    } else {
        $form['insert_codiva'] = $_POST['insert_codiva'];
        $form['insert_imponi'] = $_POST['insert_imponi'];
    }
    //ricarico i registri per il form dei righi contabili gi  immessi
    $loadCosRic = 0;
    for( $i = 0; $i < $_POST['rigcon']; $i++ ) {
        $form['id_rig_rc'][$i] = $_POST['id_rig_rc'][$i];
        $form['mastro_rc'][$i] = $_POST['mastro_rc'][$i];
        $form['conto__rc'][$i] = $_POST['conto__rc'][$i];
        $form['cerca__rc'][$i] = $_POST['cerca__rc'][$i];
        $form['darave_rc'][$i] = $_POST['darave_rc'][$i];
        $form['importorc'][$i] = $_POST['importorc'][$i];
        if (($_POST['mastro_rc'][$i] == $mastroclienti or $_POST['mastro_rc'][$i] == $mastrofornitori) and $_POST['conto__rc'][$i] > 0) {
           //se viene inserito un nuovo partner do l'ok alla ricarica della contropartita costi/ricavi in base al conto presente sull'archivio clfoco
           if  ($_POST['cod_partner'] == 0 and $form['conto__rc'][$i] > 0) {
               $anagrafica = new Anagrafica();
               $partner = $anagrafica->getPartner($form['conto__rc'][$i]);
               $loadCosRic = substr($form['conto__rc'][$i],0,1);
           }
           $form['cod_partner'] = $_POST['conto__rc'][$i];
        }
        if ($loadCosRic == 1 and substr($form['conto__rc'][$i],0,1) == 4 and $partner['cosric'] > 0 ){  //e' un  cliente agisce sui ricavi
                $form['mastro_rc'][$i] = substr($partner['cosric'],0,3)."000000";
                $form['conto__rc'][$i] = $partner['cosric'];
                $loadCosRic = 0;
        } elseif ($loadCosRic == 2 and substr($form['conto__rc'][$i],0,1) == 3 and $partner['cosric'] > 0){ // un fornitore  agisce sui costi
                $form['mastro_rc'][$i] = substr($partner['cosric'],0,3)."000000";
                $form['conto__rc'][$i] = $partner['cosric'];
                $loadCosRic = 0;
        }
        //se  stata richiesta una modifica:
        if (isset($_POST['newpartner'][$i])) {
                $anagrafica = new Anagrafica();
                $partner = $anagrafica->getPartner($form['conto__rc'][$i]);
                $form['conto__rc'][$i] = 0;
                $form['cerca__rc'][$i] = addslashes(substr($partner['ragso1'],0,4));
                $form['cod_partner'] = 0;
        }
    }
    //ricarico i registri per il form dei righi iva gi  immessi
    for( $i = 0; $i < $_POST['rigiva']; $i++ ) {
        $form['id_rig_ri'][$i] = $_POST['id_rig_ri'][$i];
        $form['codiva_ri'][$i] = $_POST['codiva_ri'][$i];
        $form['imponi_ri'][$i] = $_POST['imponi_ri'][$i];
        $form['impost_ri'][$i] = $_POST['impost_ri'][$i];
    }
    // Se viene inviata la richiesta di conferma della causale la carico con le relative contropartite...
    if (isset($_POST['inscau_x'])) {
       // Se la descrizione  vuota e la causale  stata selezionata
       if (!empty($form['codcausale']) and empty($form['descrizion'])) {

            function getLastNumber($type,$year,$sezione,$registro=6)  // questa funzione trova l'ultimo numero di protocollo
            {                                                           // controllando sia l'archivio documenti che sul
                  global $gTables;                                      // registro IVA passato come variabile (default acquisti)
                  $rs_ultimo_tesdoc = dynQuery("*", $gTables['tesdoc'],"YEAR(datemi) = $year AND tipdoc LIKE '$type' AND seziva = $sezione","protoc DESC",0,1);
                  $ultimo_tesdoc = dbms_fetch_array($rs_ultimo_tesdoc);
                  $rs_ultimo_tesmov = dynQuery("*", $gTables['tesmov'],"YEAR(datreg) = $year AND regiva = $registro AND seziva = $sezione","protoc DESC",0,1);
                  $ultimo_tesmov = dbms_fetch_array($rs_ultimo_tesmov);
                  $lastProtocol=0;
                  if ($ultimo_tesdoc) {
                     $lastProtocol = $ultimo_tesdoc['protoc'];
                  }
                  if ($ultimo_tesmov) {
                     if ($ultimo_tesmov['protoc'] > $lastProtocol){
                        $lastProtocol = $ultimo_tesmov['protoc'];
                     }
                  }
                  return $lastProtocol+1;
            }

            $causa = getRow($gTables['caucon'],'codice',$form['codcausale']);
            if ($causa['regiva'] > 0) { // trovo l'ultimo numero di protocollo e di documento
               $form['protocollo'] = getLastNumber(substr($form['codcausale'],0,1).'__',$form['annregistr'],$form['sezioneiva'],$causa['regiva']);
               if ($causa['regiva'] <= 5) { // il numero di documento solo se  di vendita
                  $form['numdocumen'] = getLastNumber($form['codcausale'],$form['annregistr'],$form['sezioneiva'],$causa['regiva']);
               }
            }
            if ($causa['regiva'] == 0 and $_POST['registroiva'] > 0) {//se la nuova causale non prevede righi IVA mentre la precedente lo prevedeva, elimino i righi
               for($i=$_POST['rigiva']-1; $i >= 0; $i-- ) { //qui cancello tutti i movimenti IVA
                   array_splice($form['id_rig_ri'],$i,1);
                   array_splice($form['codiva_ri'],$i,1);
                   array_splice($form['imponi_ri'],$i,1);
                   array_splice($form['impost_ri'],$i,1);
               }
            } elseif ($causa['regiva'] > 0 and $_POST['registroiva'] > 0) { //se la nuova causale prevede righi IVA come la precedente li riuso per caricarci le nuove

                     //calcolo il totale dell'imponibile e dell'iva postati
                     $imponi = 0;
                     $impost = 0;
                     for ($i = 0; $i < $_POST['rigiva']; $i++ ) {
                         $imponi += $form['imponi_ri'][$i];
                         $impost += $form['impost_ri'][$i];
                     }
                     $newRow = 0;
                     for( $i = 1; $i <= 6; $i++ ) { //se ce ne sono, carico le contropartite
                          switch ($causa["tipim$i"]) {
                                 case "A": //totale
                                 $nuovo_importo[$newRow] = $imponi+$impost;
                                 break;
                                 case "B": //imponibile
                                 $nuovo_importo[$newRow] = $imponi;
                                 break;
                                 case "C": //iva
                                 $nuovo_importo[$newRow] = $impost;
                                 break;
                          }
                          $newRow++;
                     }
            }
            $form['descrizion'] = $causa['descri'];
            $form['inserimdoc'] = $causa['insdoc'];
            $form['registroiva'] = $causa['regiva'];
            $form['operatore'] = $causa['operat'];
            $newRow = 0;
            for( $i = 1; $i <= 6; $i++ ) { //se ce ne sono, carico le contropartite
                 if ($causa["contr$i"] > 0) {
                    if (!isset($form['id_rig_rc'][$newRow])){ //se e' un rigo inesistente
                       $form['id_rig_rc'][$newRow] = 'NUOVO';
                    }
                    if (substr($causa["contr$i"],3,6) == 0){
                       if  (substr($causa["contr$i"],0,3) == substr($form['cod_partner'],0,3)) {
                           $form['conto__rc'][$newRow] = $form['cod_partner'];;
                       } else {
                           $form['conto__rc'][$newRow] = 0;
                       }
                    } else {
                       $form['conto__rc'][$newRow] = $causa["contr$i"];
                    }
                    $form['mastro_rc'][$newRow] = substr($causa["contr$i"],0,3)."000000";
                    $form['cerca__rc'][$newRow] = "";
                    $form['darave_rc'][$newRow] = $causa["daav_$i"];
                    if (isset($nuovo_importo[$newRow])) {
                       $form['importorc'][$newRow] = $nuovo_importo[$newRow];
                    } else {
                       $form['importorc'][$newRow] = 0;
                    }
                    $newRow++;
                 }
            }
            //qui cancello tutti gli eventuali successivi movimenti contabili
            for($i=$_POST['rigcon']-1; $i >= $newRow; $i-- ) { //se ce ne sono, carico le contropartite
                 array_splice($form['id_rig_rc'],$i,1);
                 array_splice($form['mastro_rc'],$i,1);
                 array_splice($form['conto__rc'],$i,1);
                 array_splice($form['cerca__rc'],$i,1);
                 array_splice($form['darave_rc'],$i,1);
                 array_splice($form['importorc'],$i,1);
            }
            $_POST['rigcon'] = $newRow;
      }
   }
   // Se viene inviata la richiesta di aggiunta, aggiunge un rigo contabile
   if (isset($_POST['add_x'])) {
      $rigo = $_POST['rigcon'];
      $form['id_rig_rc'][$rigo] = "";
      $form['mastro_rc'][$rigo] = $_POST['insert_mastro'];
      $form['conto__rc'][$rigo] = $_POST['insert_conto'];
      $form['cerca__rc'][$rigo] = "";
      $form['darave_rc'][$rigo] = $_POST['insert_darave'];
      $form['importorc'][$rigo] = ereg_replace(",",".",$_POST['insert_import']);;
      $_POST['rigcon']++;
   }

   // Se viene inviata la richiesta di eliminazione, elimina il rigo contabile
   if (isset($_POST['del'])) {
      $delri= key($_POST['del']);
      array_splice($form['id_rig_rc'],$delri,1);
      array_splice($form['mastro_rc'],$delri,1);
      array_splice($form['conto__rc'],$delri,1);
      array_splice($form['cerca__rc'],$delri,1);
      array_splice($form['darave_rc'],$delri,1);
      array_splice($form['importorc'],$delri,1);
      $_POST['rigcon']--;
   }

   // Se viene inviata la richiesta di aggiunta, aggiunge un rigo iva
   if (isset($_POST['adi_x']) and $_POST['insert_imponi'] > 0) {
      if ($_POST['insert_codiva'] > 0) {
         $causa = getRow($gTables['caucon'],"codice",$form['codcausale']);
         $riiv = $_POST['rigiva'];
         $form['id_rig_ri'][$riiv] = "";
         $form['codiva_ri'][$riiv] = $_POST['insert_codiva'];
         $ivarigo = getRow($gTables['aliiva'],"codice",$_POST['insert_codiva']);
         if ($form['registroiva'] == 4) { //se  un corrispettivo faccio lo scorporo
            $form['imponi_ri'][$riiv] = number_format(floor(ereg_replace(",",".",$_POST['insert_imponi']) /(100 + $ivarigo['aliquo']) * 10000)/100 ,2, '.', '');
            $form['impost_ri'][$riiv] = number_format(ereg_replace(",",".",$_POST['insert_imponi']) - $form['imponi_ri'][$riiv],2, '.', '');
         } else { //altrimenti calcolo solo l'iva
            $form['imponi_ri'][$riiv] = number_format(ereg_replace(",",".",$_POST['insert_imponi']),2, '.', '');
            $form['impost_ri'][$riiv] = number_format(round($form['imponi_ri'][$riiv] * $ivarigo['aliquo']) / 100,2, '.', '');
         }
         //ricalcolo il totale dell'imponibile e dell'iva postati
         $imponi = 0;
         $impost = 0;
         for ($i = 0; $i <= $_POST['rigiva']; $i++ ) {
             $imponi += $form['imponi_ri'][$i];
             $impost += $form['impost_ri'][$i];
         } //fine calcolo
         for ($rc=0; $rc < $_POST['rigcon']; $rc++ ) { //mi ripasso le contropartite inserite e ci indroduco l'eventuale giusto valore
             for( $i = 1; $i <= 6; $i++ ) {
                  if ($causa["contr$i"] == $form['conto__rc'][$rc] or (substr($causa["contr$i"],3,6) == 0 and substr($form['mastro_rc'][$rc],0,3) == substr($causa["contr$i"],0,3))) {
                     switch ($causa["tipim$i"]) {
                           case "A": //totale
                           $form['importorc'][$rc] = $imponi+$impost;
                           break;
                           case "B": //imponibile
                           $form['importorc'][$rc] = $imponi;
                           break;
                           case "C": //iva
                           $form['importorc'][$rc] = $impost;
                           break;
                     }
                  }
             }
         }
         $_POST['rigiva']++;
      }
   }
   // Se viene inviata la richiesta di eliminazione, elimina il rigo iva
   if (isset($_POST['dei'])) {
      $delri= key($_POST['dei']);
      array_splice($form['codiva_ri'],$delri,1);
      array_splice($form['imponi_ri'],$delri,1);
      array_splice($form['impost_ri'],$delri,1);
      $_POST['rigiva']--;
   }

   /* Se viene inviata la richiesta di bilanciamento dei righi contabili
      aggiungo il valore pasato al primo rigo. E' un p rudimentale,
      si potrebbe fare meglio e molto pi intelligente, ma non ho tempo...
   */
   if (isset($_POST['balb'])) {
        $bb=floatval($_POST['diffV']);
        if ($bb > 0 ) { //eccesso in dare
           $key=array_search('A',$form['darave_rc']);
           if ($key || $key === 0) {
              $form['importorc'][$key] += $bb;
           }
        } else {        //eccesso in avere
           $key=array_search('D',$form['darave_rc']);
           if ($key || $key === 0) {
              $form['importorc'][$key] -= $bb;
           }
        }
   }


} elseif (!isset($_POST['Insert'])) { //se e' il primo accesso per INSERT
    //registri per il form della testata
    $form['id_testata'] = "";
    $form['codcausale'] = "";
    $form['descrizion'] = "";
    // ricerco l'ultimo inserimento per ricavarne la data
    $rs_last = dynQuery('datreg', $gTables['tesmov'],1,"id_tes DESC",0,1);
    $last = dbms_fetch_array($rs_last);
    if ($last) {
       $form['gioregistr'] = substr($last['datreg'],8,2);
       $form['mesregistr'] = substr($last['datreg'],5,2);
       $form['annregistr'] = substr($last['datreg'],0,4);
    } else {
       $form['gioregistr'] = date("d");
       $form['mesregistr'] = date("m");
       $form['annregistr'] = date("Y");
    }
    $form['sezioneiva'] = 1;
    $form['protocollo'] = "";
    $form['numdocumen'] = "";
    $form['giodocumen'] = date("d");
    $form['mesdocumen'] = date("m");
    $form['anndocumen'] = date("Y");
    $form['cod_partner'] = "";
    $form['inserimdoc'] = 0;
    $form['registroiva'] = 0;
    $form['operatore'] = 0;
    //registri per il form del rigo di inserimento contabile
    $form['insert_mastro'] = 0;
    $form['insert_conto'] = 0;
    $form['cerca_partner'] = "";
    $form['insert_darave'] = "A";
    //registri per il form del rigo di inserimento iva
    $form['insert_imponi'] = 0;
    $form['insert_codiva'] = $azienda['alliva'];
    $form['insert_imponi'] = 0;
    //registri per il form dei righi contabili
    $_POST['rigcon'] = 0;
    $form['id_rig_rc'] = array();
    $form['mastro_rc'] = array();
    $form['conto__rc'] = array();
    $form['cerca__rc'] = array();
    $form['darave_rc'] = array();
    $form['importorc'] = array();
    $form['cod_partner'] = 0;
    //registri per il form dei righi iva
    $_POST['rigiva'] = 0;
    $form['id_rig_ri'] = array();
    $form['codiva_ri'] = array();
    $form['imponi_ri'] = array();
    $form['impost_ri'] = array();
}
$anagrafica = new Anagrafica();

echo "<SCRIPT type=\"text/javascript\">\n";
echo "function balance(row)
      {
      var rw = Number([row]);
      var sumD = 0;
      var sumA = 0;
      for (i=0; i<".$_POST['rigcon']."; i++) {
        if (i == rw) {
           var rva = document.getElementById('impoRC'+i).value*1;
           var rda = document.getElementById('daavRC'+i).value;
        }
        var elva = document.getElementById('impoRC'+i).value*1;
        var elda = document.getElementById('daavRC'+i).value;
        if (elda == 'D') {
           sumD += elva;
        } else {
           sumA += elva;
        }
        document.getElementById('balbRC'+i).value='\u21D4';
        document.getElementById('balbRC'+i).disabled=true;
      }
      var difSUM = sumD - sumA;
      if (((rda == 'D' && difSUM > 0) || (rda == 'A' && difSUM < 0 )) && Math.abs(difSUM) < rva ) {
          var nv = Math.abs(Math.abs(difSUM) - rva);
          var ntot = Math.min(sumD,sumA);
      } else if ((rda == 'D' && difSUM < 0) || (rda == 'A' && difSUM > 0)) {
          var nv = Math.abs(difSUM) + rva;
          var ntot = Math.max(sumD,sumA);
      } else {
          var nv = rva;
          var ntot = sumA;
      }
      document.getElementById('impoRC'+rw).value = (Math.round(nv*100)/100).toFixed(2);
      document.getElementById('impoRC'+rw).style.backgroundColor='#FFFFFF';
      document.myform.tot_A.value=(Math.round(ntot*100)/100).toFixed(2);
      document.myform.tot_D.value=(Math.round(ntot*100)/100).toFixed(2);
      document.myform.tot_A.disabled=true;
      document.myform.tot_D.disabled=true;
      document.myform.tot_A.style.backgroundColor='#BBBBBB';
      document.myform.tot_D.style.backgroundColor='#BBBBBB';
      document.myform.ins.disabled=false;
      document.myform.diffV.value='Bilanciato';
      }";

echo "function tot_bal(da)
      {
      var d_a = [da];
      var ovD = document.getElementById('tot_D').value*1;
      var ovA = document.getElementById('tot_A').value*1;
      var ref = document.getElementById('tot_'+d_a).value*1
      var difSUM = ovD - ovA;
      if ((d_a == 'D' && difSUM > 0) || (d_a == 'A' && difSUM < 0)){
         var oper = 1;
      } else {
         var oper = -1;
      }
      var accu = Math.abs(difSUM);
      for (i=0; i<".$_POST['rigcon']."; i++) {
        var elva = document.getElementById('impoRC'+i).value*1;
        var elda = document.getElementById('daavRC'+i).value;
        if (elda != d_a && accu > 0) {
           if (oper == 1) {
               document.getElementById('impoRC'+i).value=(Math.round((elva + accu)*100)/100).toFixed(2);;
               accu = 0;
           } else if (accu < elva && oper == -1) {
               document.getElementById('impoRC'+i).value=(Math.round((elva - accu)*100)/100).toFixed(2);
               accu = 0;
           } else if (accu > elva && oper == -1) {
               accu -= elva;
               document.getElementById('impoRC'+i).value=0;
               document.getElementById('impoRC'+i).style.backgroundColor='#FFAAAA';
           }
        }
        document.getElementById('balbRC'+i).value='\u21D4';
        document.getElementById('balbRC'+i).disabled=true;
      }
      document.myform.tot_A.value=(Math.round(ref*100)/100).toFixed(2);
      document.myform.tot_D.value=(Math.round(ref*100)/100).toFixed(2);
      document.myform.tot_A.disabled=true;
      document.myform.tot_D.disabled=true;
      document.myform.tot_A.style.backgroundColor='#BBBBBB';
      document.myform.tot_D.style.backgroundColor='#BBBBBB';
      document.myform.ins.disabled=false;
      document.myform.diffV.value='Bilanciato';
      }";

echo "function updateTot(row,newva)
      {
      var nv = [newva.value].toString().replace(/\,/g,'.').split(/\./);
      if (!nv[1]){
           nv[1] = '0';
      }
      nv = (Math.round(Number(nv[0]+'.'+nv[1])*100)/100).toFixed(2);
      if (isNaN(nv)){
           nv = 0;
      }
      var rw = Number([row]);
      var sumD = 0;
      var sumA = 0;
      for (i=0; i<".$_POST['rigcon']."; i++) {
        if (i == rw) {
           document.getElementById('impoRC'+i).value=nv;
           if (nv < 0.01) {
               document.getElementById('impoRC'+i).style.backgroundColor='#FFAAAA';
           } else {
               document.getElementById('impoRC'+i).style.backgroundColor='#FFFFFF';
           }
        }
        var elva = document.getElementById('impoRC'+i).value*1;
        var elda = document.getElementById('daavRC'+i).value;
        if (elda == 'D') {
           sumD = sumD + elva;
        } else {
           sumA = sumA + elva;
        }
      }
      var difSUM = (Math.round((sumD - sumA)*100)/100).toFixed(2);
      var dtit = ' Diminuisci il valore di ';
      for (i=0; i<".$_POST['rigcon']."; i++) {
          var elda = document.getElementById('daavRC'+i).value;
          var elva = document.getElementById('impoRC'+i).value*1;
          if ((elda == 'D' && difSUM > 0) || (elda == 'A' && difSUM < 0)) {
             if (Math.abs(difSUM) < elva ) {
                document.getElementById('balbRC'+i).value='\u21D3';
                document.getElementById('balbRC'+i).disabled=false;
                document.getElementById('balbRC'+i).title=dtit + Math.abs(difSUM) + ' ".$money[1]."';
             } else {
                document.getElementById('balbRC'+i).value='\u21D3';
                document.getElementById('balbRC'+i).disabled=true;
             }
          } else if ((elda == 'D' && difSUM < 0) || (elda == 'A' && difSUM > 0)) {
             document.getElementById('balbRC'+i).value='\u21D1';
             document.getElementById('balbRC'+i).disabled=false;
             document.getElementById('balbRC'+i).title='Incrementa il valore di ' + Math.abs(difSUM) + ' ".$money[1]."';
          } else {
             document.getElementById('balbRC'+i).value='\u21D4';
             document.getElementById('balbRC'+i).disabled=true;
          }
      }
      if (difSUM != 0) {
           document.myform.tot_A.style.backgroundColor='#FFAAAA';
           document.myform.tot_D.style.backgroundColor='#FFAAAA';
           if (sumA == 0 ) {
              document.myform.tot_A.disabled=true;
              document.myform.tot_D.disabled=false;
              document.myform.tot_D.title='Bilancia rispetto a questo valore!';
           } else if (sumD == 0 ){
              document.myform.tot_A.disabled=false;
              document.myform.tot_D.disabled=true;
              document.myform.tot_A.title='Bilancia rispetto a questo valore!';
           } else {
              document.myform.tot_A.disabled=false;
              document.myform.tot_D.disabled=false;
              document.myform.tot_A.title='Bilancia rispetto a questo valore!';
              document.myform.tot_D.title='Bilancia rispetto a questo valore!';
           }
           document.myform.ins.disabled=true;
           document.myform.diffV.value='Differenza ' + difSUM + ' ".$money[1]."';
      } else if (sumA == 0 ) {
           document.myform.tot_A.style.backgroundColor='#FFAAAA';
           document.myform.tot_D.style.backgroundColor='#FFAAAA';
           document.myform.ins.disabled=true;
           document.myform.diffV.value='Movimenti a zero!';
      } else {
           document.myform.tot_A.disabled=true;
           document.myform.tot_D.disabled=true;
           document.myform.tot_A.style.backgroundColor='#BBBBBB';
           document.myform.tot_D.style.backgroundColor='#BBBBBB';
           document.myform.ins.disabled=false;
           document.myform.diffV.value='Bilanciato';
      }
      document.myform.tot_A.value = (Math.round(sumA*100)/100).toFixed(2);
      document.myform.tot_D.value = (Math.round(sumD*100)/100).toFixed(2);
      }\n";
echo "</script>\n";

require_once("../../library/include/header.php");
HeadMain();
?>
<form method="POST" name="myform">
<?php
echo "<input type=\"hidden\" name=\"".ucfirst($toDo)."\" value=\"\">\n";
?>
<div align="center"><font class="FacetFormHeaderFont"><?php echo $titolo; ?></DIV>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<?php
if (! $msg == "") {
    echo "<tr><td colspan=\"6\" class=\"FacetDataTDred\">$msg</td></tr>";
}
?>
<tr>
<td class="FacetFieldCaptionTD">Data del movimento &nbsp;</td>
<td class="FacetDataTD" colspan="5" >
<?php
// select del giorno
echo "\t <select name=\"gioregistr\" class=\"FacetSelect\">\n";
for( $counter = 1; $counter <= 31; $counter++ ) {
    $selected = "";
    if( $counter == $form['gioregistr']) {
            $selected = "selected";
    }
    echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
echo "\t </select>\n";
// select del mese
echo "\t <select name=\"mesregistr\" class=\"FacetSelect\">\n";
for( $counter = 1; $counter <= 12; $counter++ ) {
    $selected = "";
    if($counter == $form['mesregistr']) {
        $selected = "selected";
    }
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
// select del anno
echo "\t <select name=\"annregistr\" class=\"FacetSelect\">\n";
for( $counter = 2002; $counter <= 2030; $counter++ ) {
    $selected = "";
    if($counter == $form['annregistr']) {
            $selected = "selected";
    }
    echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
echo "\t </select>\n";
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Causale Contabile &nbsp;</td>
<td  class="FacetDataTD" colspan="5">
<?php
echo '<select name="codcausale" class="FacetSelect" ';
if (empty($form["codcausale"])) {
  echo ' tabindex="14"';
  $tabsmt=' tabindex="15"';
} else {
  $tabsmt='';
}
echo '><option value="">Libera</option>';
$result = dynQuery("*", $gTables['caucon'],1,"regiva desc, operat desc, descri asc");
while ($row = dbms_fetch_array($result)) {
    $selected="";
    if($form["codcausale"] == $row['codice']) {
       $selected = " selected ";
    }
    echo "<option value=\"".$row['codice']."\"".$selected.">".$row['codice']." - ".$row['descri']."</option>\n";
}
echo "</select> &nbsp;<input type=\"image\" name=\"inscau\" src=\"../../library/images/vbut.gif\" title=\"Conferma la causale!\" $tabsmt ></td>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Descrizione</td>
<td class="FacetDataTD" colspan="5" ><input title="Descrizione del movimento" type="text" name="descrizion" value="<?php echo $form["descrizion"]; ?>" maxlength="50" size="50" class="FacetInput"></td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Richiedi dati documento &nbsp;</td>
<td class="FacetDataTD">
<select name="inserimdoc" class="FacetSelect" onchange="this.form.submit()">
<?php
$documento = array('0' => 'No','1' => 'Si');
foreach ($documento as $key => $value) {
    $selected="";
    if($form["inserimdoc"] == $key) {
        $selected = " selected ";
    }
    echo "<option value=\"".$key."\"".$selected.">".$value."</option>\n";
}
?>
</select>
</td>
<td class="FacetFieldCaptionTD">Registro I.V.A.</td>
<td class="FacetDataTD">
<select name="registroiva" class="FacetSelect" onchange="this.form.submit()">
<?php
$arrayRegistri = array('0' => 'Nessuno','2' => 'Fatture di Vendita','4' => 'Corrispettivi','6' => 'Fatture d\'Acquisto');
foreach ($arrayRegistri as $key => $value) {
    $selected="";
    if($form["registroiva"] == $key) {
        $selected = " selected ";
    }
    echo "<option value=\"".$key."\"".$selected.">".$value."</option>\n";
}
?>
</select>
</td>
<td class="FacetFieldCaptionTD">Operatore</td>
<td class="FacetDataTD">
<select name="operatore" class="FacetSelect" onchange="this.form.submit()">
<?php
$arrayOperatore = array('0' => 'Non opera','1' => 'Somma','2' => 'Sottrae');
foreach ($arrayOperatore as $key => $value) {
    $selected="";
    if($form["operatore"] == $key) {
        $selected = " selected ";
    }
    echo "<option value=\"".$key."\"".$selected.">".$value."</option>\n";
}
?>
</select>
</td>
</tr>
</table>
<?php
//inserimento dati documenti
if($form["inserimdoc"] == 1) {
    echo "<div align=\"center\"><font class=\"FacetFormHeaderFont\">Dati documento di riferimento</font></div>";
    echo "<table class=\"Tlarge\">";
    echo "<tr><td class=\"FacetDataTD\" >Sezione</td><td class=\"FacetDataTD\" >Numero</td><td class=\"FacetDataTD\" >Protocollo</td><td class=\"FacetDataTD\" >Data</td><td class=\"FacetDataTD\" >Cliente/Fornitore</td></tr>";
    echo "<tr><td class=\"FacetDataTD\" >";
    echo "<select name=\"sezioneiva\" class=\"FacetSelect\" onchange=\"this.form.submit()\">";
    for ($sez = 1; $sez <= 3; $sez++) {
        $selected="";
        if($form["sezioneiva"] == $sez) {
           $selected = " selected ";
        }
        echo "<option value=\"".$sez."\"".$selected.">".$sez."</option>\n";
    }
    echo "</select></td>";
    if (empty($form['numdocumen'])){
      $tabnum = ' tabindex="10" ';
    } else {
      $tabnum = '';
    }
    echo "<td class=\"FacetDataTD\" ><input type=\"text\" value=\"".$form['numdocumen']."\" maxlength=\"20\" size=\"20\" name=\"numdocumen\" $tabnum></td>";
    echo "<td class=\"FacetDataTD\" ><input type=\"text\" value=\"".$form['protocollo']."\" maxlength=\"7\" size=\"7\" name=\"protocollo\"></td>";
    // select del giorno
    echo "\t <td class=\"FacetDataTD\" ><select name=\"giodocumen\" class=\"FacetSelect\">\n";
    for( $counter = 1; $counter <= 31; $counter++ ) {
        $selected = "";
        if( $counter == $form['giodocumen'])
                $selected = "selected";
        echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
    }
    echo "\t </select>\n";
    // select del mese
    echo "\t <select name=\"mesdocumen\" class=\"FacetSelect\">\n";
    for( $counter = 1; $counter <= 12; $counter++ ) {
        $selected = "";
        if($counter == $form['mesdocumen'])
                $selected = "selected";
        $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
        echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
    }
    echo "\t </select>\n";
    // select del anno
    echo "\t <select name=\"anndocumen\" class=\"FacetSelect\">\n";
    for( $counter = 2002; $counter <= 2030; $counter++ ) {
        $selected = "";
        if($counter == $form['anndocumen'])
                $selected = "selected";
        echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
    }
    echo "\t </select></td>\n";
    $partnersel = $anagrafica->getPartner($form['cod_partner']);
    echo "<td class=\"FacetDataTD\" >".$partnersel['ragso1']." ".$partnersel['citspe']."</td></tr></table>";
} else {
    echo "<input type=\"hidden\" name=\"sezioneiva\" value=\"".$form['sezioneiva']."\">\n";
    echo "<input type=\"hidden\" name=\"numdocumen\" value=\"".$form['numdocumen']."\">\n";
    echo "<input type=\"hidden\" name=\"protocollo\" value=\"".$form['protocollo']."\">\n";
    echo "<input type=\"hidden\" name=\"giodocumen\" value=\"".$form['giodocumen']."\">\n";
    echo "<input type=\"hidden\" name=\"mesdocumen\" value=\"".$form['mesdocumen']."\">\n";
    echo "<input type=\"hidden\" name=\"anndocumen\" value=\"".$form['anndocumen']."\">\n";
}
echo "<input type=\"hidden\" name=\"cod_partner\" value=\"".$form['cod_partner']."\">\n";

//inserimento movimento iva
if($form["registroiva"] > 0) {
    echo "<div align=\"center\"><font class=\"FacetFormHeaderFont\">Movimenti I.V.A.</font></div>\n";
    echo "<table class=\"Tlarge\">\n";
    echo "<tr><td class=\"FacetColumnTD\">Imponibile";
    echo "</td>\n<td class=\"FacetColumnTD\">Aliquota I.V.A.</td><td class=\"FacetColumnTD\">Imposta</td><td class=\"FacetColumnTD\" align=\"right\">Aggiungi rigo!</td></tr>\n";
    if ($_POST['rigiva']==0){ //se non ci sono righi tabulo
      $tabimp = ' tabindex="20" ';
      $tabsmt = ' tabindex="21" ';
    } else {
      $tabimp = '';
      $tabsmt = '';
    }
    echo "<tr><td class=\"FacetColumnTD\"><input type=\"text\" value=\"\" $tabimp maxlength=\"13\" size=\"13\" name=\"insert_imponi\">";
    echo "<td class=\"FacetColumnTD\">";
    $select_aliiva = new selectaliiva("insert_codiva");
    $select_aliiva -> addSelected($form["insert_codiva"]);
    $select_aliiva -> output();
    echo "</td>";
    echo "<td class=\"FacetColumnTD\"></td><td class=\"FacetColumnTD\" align=\"right\"><input type=\"image\" name=\"adi\" src=\"../../library/images/vbut.gif\" title=\"Aggiungi il rigo\" $tabsmt >";
    echo "<input type=\"hidden\" value=\"".$_POST['rigiva']."\" name=\"rigiva\"><input type=\"hidden\" name=\"ritorno\" value=\"{$_POST['ritorno']}\"></td></tr>\n";
    echo "<TR><td class=\"FacetColumnTD\" colspan=\"4\"><hr></td></tr>";
    echo "<tr>";
    for ($i = 0; $i < $_POST['rigiva']; $i++) {
        if (!isset($form['imponi_ri'][$i])) {
            $form['imponi_ri'][$i] = "";
        }
        if (!isset($form['impost_ri'][$i])) {
            $form['impost_ri'][$i] = "";
        }
        if (!isset($form['codiva_ri'][$i])) {
           $form['codiva_ri'][$i] = "";
        }
        $rigoi = getRow($gTables['aliiva'],"codice",$form['codiva_ri'][$i]);
        $errore = "";
        $ctrlimpost =  number_format(round(ereg_replace(",",".",$form['imponi_ri'][$i]) * $rigoi['aliquo'])/ 100,2, '.', '');
        if ($ctrlimpost <> ereg_replace(",",".",$form['impost_ri'][$i])) {
           $errore = " * non congruo";
        }
        echo "<td class=\"FacetDataTD\"><input type=\"text\" align=\"right\" name=\"imponi_ri[$i]\" value=\"".sprintf("%01.2f",ereg_replace(",",".",$form['imponi_ri'][$i]))."\" maxlength=\"13\" size=\"13\"></td>\n";
        echo "<td class=\"FacetDataTD\"><input type=\"hidden\" name=\"id_rig_ri[$i]\" value=\"{$form['id_rig_ri'][$i]}\"><input type=\"hidden\" name=\"codiva_ri[$i]\" value=\"{$form['codiva_ri'][$i]}\">".$rigoi['descri']."</td>\n";
        echo "<td class=\"FacetDataTDred\"><input type=\"text\" align=\"right\" name=\"impost_ri[$i]\" value=\"".sprintf("%01.2f",ereg_replace(",",".",$form['impost_ri'][$i]))."\" maxlength=\"13\" size=\"13\">".$errore."</td>\n";
        echo "<TD  class=\"FacetDataTD\" align=\"right\"><input type=\"image\" name=\"dei[$i]\"  src=\"../../library/images/xbut.gif\" title=\"Elimina rigo!\" ><br></td></tr>\n";
        echo "</tr>";
    }
echo "</table>";
}
//inserimento movimento contabile
echo "<div align=\"center\"><font class=\"FacetFormHeaderFont\">Movimenti contabili</font></div>\n";
echo "<table class=\"Tlarge\">\n";
echo "<tr><td class=\"FacetColumnTD\">Mastro</td><td class=\"FacetColumnTD\">Conto</td><td class=\"FacetColumnTD\">Importo</td><td class=\"FacetColumnTD\">Dare/Avere</td><td class=\"FacetColumnTD\">Inserisci rigo!</td></tr>\n";
echo "<tr><td class=\"FacetColumnTD\"><select name=\"insert_mastro\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
$result = dynQuery("*", $gTables['clfoco'],"codice like '___000000'","codice asc");
echo "<option value=\"000000000\"> ---------- </option>\n";
while ($row = dbms_fetch_array($result)) {
    $selected="";
    if($form['insert_mastro'] == $row['codice']) {
        $selected = " selected ";
    }
    echo "<option value=\"".$row['codice']."\"".$selected.">".$row['ragso1']."</option>\n";
}
echo "</select></TD>\n";
if($form['insert_mastro'] == $mastroclienti or $form['insert_mastro'] == $mastrofornitori) {
    echo "<td class=\"FacetColumnTD\">";
    $messaggio = "";
    $ric_mastro = substr($form['insert_mastro'],0,3);
    $tabula =" tabindex=\"15\" ";
    if (strlen($form['cerca_partner']) >= 2) {
        $partner = $anagrafica->queryPartners("*", "(codice between '$iniclienti' and '$finclienti' or codice between '$inifornitori' and '$finfornitori') and codice like '$ric_mastro%' and ragso1 like '{$form['cerca_partner']}%'", "ragso1 asc");
        if (sizeof($partner) > 0) {
           $tabula="";
           echo "\t<select name=\"insert_conto\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
           echo "<option value=\"000000000\"> ---------- </option>";
           while (list($key, $row) = each($partner)) {
               $selected = "";
               if ($row["codice"] == $form['insert_conto']) {
                   $selected = "selected";
               }
               echo "\t\t <option value=\"".$row["codice"]."\" $selected >".$row["ragso1"]."&nbsp;".$row["citspe"]."</option>\n";
           }
           echo "\t </select>\n";
        } else {
        $messaggio = "Non &egrave; stato trovato nulla!";
        }
    } else {
        $messaggio = "Inserire min. 2 caratteri!";
    }
    echo "\t<input type=\"text\" name=\"cerca_partner\" ".$tabula." accesskey=\"e\" value=\"".stripslashes($form['cerca_partner'])."\" maxlength=\"15\" size=\"9\" class=\"FacetInput\">\n";
    echo $messaggio;
    echo "\t <input type=\"image\" align=\"middle\" accesskey=\"c\" ".$tabula." name=\"search\" src=\"../../library/images/cerbut.gif\"></td>\n";
} else {
    echo "<td class=\"FacetColumnTD\"><select name=\"insert_conto\" class=\"FacetSelect\" >\n";
    $ricerca = substr($form['insert_mastro'],0,3);
    $controllo = $ricerca.'000000';
    $result = dynQuery("*", $gTables['clfoco'],"codice like '$ricerca%' and codice > $controllo","ragso1 asc");
    echo "<option value=\"000000000\"> ---------- </option>\n";
    while ($row = dbms_fetch_array($result)) {
        $selected="";
        if($form['insert_conto'] == $row['codice']) {
            $selected = " selected ";
        }
        echo "<option value=\"".$row['codice']."\"".$selected.">".$row['ragso1']."</option>\n";
    }
    echo "</select></TD>\n";
    echo "\t<input type=\"hidden\" name=\"cerca_partner\" value=\"".stripslashes($form['cerca_partner'])."\">\n";
}
echo "<td class=\"FacetColumnTD\"><input type=\"text\" value=\"\" maxlength=\"13\" size=\"13\" name=\"insert_import\">";
echo "<td class=\"FacetColumnTD\"><select name=\"insert_darave\">";
$dareavere = array('D' => 'Dare','A' => 'Avere');
foreach ($dareavere as $key => $value) {
    $selected="";
    if($form["insert_darave"] == $key) {
        $selected = " selected ";
    }
    echo "<option value=\"".$key."\"".$selected.">".$value."</option>\n";
}
echo "</select></td>";
echo "<td class=\"FacetColumnTD\" align=\"right\"><input type=\"image\" name=\"add\" src=\"../../library/images/vbut.gif\" title=\"Aggiungi il rigo\"></td></tr>\n";
echo "<TR><td class=\"FacetColumnTD\" colspan=\"5\"><hr></td></tr>";

// faccio un primo ciclo del form per sommare e analizzare gli sbilanciamenti
$form['tot_D']=0.00;
$form['tot_A']=0.00;
for ($i = 0; $i < $_POST['rigcon']; $i++) {
    $val=sprintf("%01.2f",ereg_replace(",",".",$form['importorc'][$i]));
    if ($form["darave_rc"][$i] == 'D'){
        $form['tot_D'] += $val;
    } else {
        $form['tot_A'] += $val;
    }
}
$diffDA=number_format($form['tot_D']-$form['tot_A'],2,'.','');
if ($diffDA <> 0){
    if ($form['tot_D'] == 0) {
        $d_but=' style="text-align:right; background-color:#FFAAAA;" disabled ';
        $a_but=' style="text-align:right; background-color:#FFAAAA;" title="Bilancia rispetto a questo valore!" ';
    } elseif ($form['tot_A'] == 0) {
        $d_but=' style="text-align:right; background-color:#FFAAAA;" title="Bilancia rispetto a questo valore!" ';
        $a_but=' style="text-align:right; background-color:#FFAAAA;" disabled ';
    } else {
        $d_but=' style="text-align:right; background-color:#FFAAAA;" title="Bilancia rispetto a questo valore!" ';
        $a_but=' style="text-align:right; background-color:#FFAAAA;" title="Bilancia rispetto a questo valore!" ';
    }
    $i_but=' disabled ';
    $diffV = ' <input style="text-align:center;" value="'.$diffDA.'" type="text" name="diffV" disabled />';
} elseif ($form['tot_A'] == 0){
    $d_but=' style="text-align:right; background-color:#FFAAAA;" title="Bilancia rispetto a questo valore!" ';
    $a_but=' style="text-align:right; background-color:#FFAAAA;" title="Bilancia rispetto a questo valore!" ';
    $i_but=' disabled ';
    $diffV = ' <input style="text-align:center;" value="Movimenti a zero" type="text" name="diffV" disabled />';
} else {
    $d_but=' style="text-align:right; background-color:#BBBBBB;" disabled ';
    $a_but=' style="text-align:right; background-color:#BBBBBB;" disabled ';
    $i_but='';
    $diffV = ' <input style="text-align:center;" value="Bilanciato" type="text" name="diffV" disabled />';
}
//fine analisi sbilanciamento

for ($i = 0; $i < $_POST['rigcon']; $i++) {
    //inserisco il nome del cliente/fornitore
    if ($form['registroiva'] > 0 and
        (substr($form['conto__rc'][$i],0,3) == $azienda['mascli'] or
         substr($form['conto__rc'][$i],0,3) == $azienda['masfor'])) {
        $form['insert_partner'] = $form['conto__rc'][$i];
    }
    echo "<tr>";
    echo "<td class=\"FacetDataTD\">".($i+1)."<select name=\"mastro_rc[$i]\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
    $result = dynQuery("*", $gTables['clfoco'],"codice like '___000000'","codice asc");
    while ($row = dbms_fetch_array($result)) {
        $selected="";
        if($form['mastro_rc'][$i] == $row['codice']) {
             $selected = " selected ";
        }
        echo "<option value=\"".$row['codice']."\"".$selected.">".$row['ragso1']."</option>\n";
    }
    echo "</select></TD>\n";
    if($form['mastro_rc'][$i] == $mastroclienti or $form['mastro_rc'][$i] == $mastrofornitori) {
        $ric_mastro = substr($form['mastro_rc'][$i],0,3);
        if ($form['conto__rc'][$i]==0 or substr($form['conto__rc'][$i],0,3) != $ric_mastro) {
            $ric_mastro = substr($form['mastro_rc'][$i],0,3);
            echo "<td class=\"FacetDataTD\">";
            $ricerca = $form['cerca__rc'][$i];
            $messaggio = "";
            $tabula =" tabindex=\"".(26+$i)."\" ";
            if (strlen($ricerca) >= 2) {
                $partner = $anagrafica->queryPartners("*", "(codice between '$iniclienti' and '$finclienti' or codice between '$inifornitori' and '$finfornitori') and codice like '$ric_mastro%' and ragso1 like '$ricerca%'","ragso1 asc");
                if (sizeof($partner) > 0) {
                    $tabula="";
                    echo "\t<select name=\"conto__rc[$i]\" class=\"FacetSelect\" onchange=\"this.form.submit()\"  tabindex=\"18\" >\n";
                    echo "<option value=\"000000000\"> ---------- </option>";
                    while (list($key, $row) = each($partner)) {
                        $selected = "";
                        if($row["codice"] == $form['conto__rc'][$i]) {
                            $selected = "selected";
                        }
                    echo "\t\t <option value=\"".$row["codice"]."\" $selected >".$row["ragso1"]."&nbsp;".$row["citspe"]."</option>\n";
                    }
                    echo "\t </select>\n";
                } else {
                    $messaggio = "Non &egrave; stato trovato nulla!";
                }
            } else {
                echo "<input type=\"hidden\" value=\"".$form['conto__rc'][$i]."\" name=\"conto__rc[$i]\">\n";
                $messaggio = "Inserire min. 2 caratteri!";
            }
            echo "\t<input type=\"text\" name=\"cerca__rc[$i]\" ".$tabula." accesskey=\"e\" value=\"".stripslashes($ricerca)."\" maxlength=\"15\" size=\"9\" class=\"FacetInput\">\n";
            echo $messaggio;
            echo"\t <input type=\"image\" align=\"middle\" accesskey=\"c\" ".$tabula." name=\"search\" src=\"../../library/images/cerbut.gif\"></td>\n";
        } else {
            echo "<td class=\"FacetDataTD\">\n";
            echo "<input type=\"hidden\" value=\"".$form['conto__rc'][$i]."\" name=\"conto__rc[$i]\">\n";
            echo "<input type=\"hidden\" value=\"".$form['cerca__rc'][$i]."\" name=\"cerca__rc[$i]\">\n";
            $partnersel = $anagrafica->getPartner($form['conto__rc'][$i]);
            echo "<input type=\"submit\" value=\"".substr($partnersel['ragso1'],0,30)."\" name=\"newpartner[$i]\" title=\" MODIFICA ! \">\n";
            echo "</td>\n";
        }
    } else {
        echo "<td class=\"FacetDataTD\"><select name=\"conto__rc[$i]\" class=\"FacetSelect\" onchange=\"this.form.submit()\">";
        $ricerca = substr($form['mastro_rc'][$i],0,3);
        $controllo = $ricerca.'000000';
        $result = dynQuery("*", $gTables['clfoco'],"codice like '$ricerca%' and codice > $controllo","codice asc");
        echo "<option value=\"000000000\"> ---------- </option>\n";
        while ($row = dbms_fetch_array($result)) {
            $selected="";
            if($form['conto__rc'][$i] == $row['codice']) {
                $selected = " selected ";
            }
            echo "<option value=\"".$row['codice']."\"".$selected.">".$row['ragso1']."</option>\n";
        }
        echo "</select></TD>\n";
        echo "<input type=\"hidden\" name=\"cerca__rc[$i]\" value=\"".$form['cerca__rc'][$i]."\">\n";
    }
    $val=sprintf("%01.2f",ereg_replace(",",".",$form['importorc'][$i]));
    $valsty=' style="text-align:right;" ';
    if ($val<0.01) {
       $valsty =' style="text-align:right; background-color:#FFAAAA;" ';
    }
    echo "<td class=\"FacetDataTD\">
          <input type=\"text\" name=\"importorc[$i]\" ID=\"impoRC$i\" value=\"$val\" $valsty onchange=\"updateTot($i,this);\" maxlength=\"13\" size=\"13\"  tabindex=\"".(30+$i*2)."\" >\n";
    echo "<input type=\"hidden\" name=\"id_rig_rc[$i]\" value=\"".$form['id_rig_rc'][$i]."\">\n";
    // inizio input degli sbilanci
    if ($form['darave_rc'][$i] == 'D' && $form['tot_D'] > $form['tot_A'] ||
        $form['darave_rc'][$i] == 'A' && $form['tot_A'] > $form['tot_D'] ) {
        $r_but=' value="&dArr;" title="Diminuisci il valore di ';
        if (abs($diffDA) < $form['importorc'][$i] ) {
           $r_but=' value="&dArr;" title="Diminuisci il valore di '.abs($diffDA)." $money[1]\" ";
        } else {
           $r_but=' value="&dArr;" disabled ';
        }
    } elseif ($form['darave_rc'][$i] == 'D' && $form['tot_D'] < $form['tot_A'] ||
        $form['darave_rc'][$i] == 'A' && $form['tot_A'] < $form['tot_D'] ) {
        $r_but=' value="&uArr;" title="Aumenta il valore di '.abs($diffDA)." $money[1]\" ";
    } else {                                     //bilanciato
        $r_but=' value="&hArr;" disabled';
    }
    echo "<input type=\"button\" ID=\"balbRC$i\" name=\"balb[$i]\" $r_but  onclick=\"balance($i);\"/>\n";
    echo "</td>";
    //fine inpunt degli sbilanci
    echo "<td class=\"FacetDataTD\"><select ID=\"daavRC$i\" name=\"darave_rc[$i]\" onchange=\"this.form.submit()\" tabindex=\"".(31+$i*2)."\">";
    $dareavere = array('D' => 'Dare','A' => 'Avere');
    foreach ($dareavere as $key => $value) {
        $selected="";
        if($form["darave_rc"][$i] == $key) {
            $selected = " selected ";
        }
        echo "<option value=\"".$key."\"".$selected.">".$value."</option>\n";
    }
    echo "</select></td>\n";
    echo "<td class=\"FacetDataTD\" align=\"right\"><input type=\"image\" name=\"del[$i]\"  src=\"../../library/images/xbut.gif\" title=\"Elimina rigo!\" ></td></tr>\n";
}


//faccio il post del numero di righi
echo "<input type=\"hidden\" value=\"".$_POST['rigcon']."\" name=\"rigcon\">";
echo "<input type=\"hidden\" value=\"".$form['id_testata']."\" name=\"id_testata\">";
echo '<tr><td><input title="Torna indietro" type="button" name="Back" value="Indietro" onclick="location.href=\''.$_POST['ritorno'].'\'"></td>';
echo '<td colspan="2">Totale DARE:';
echo "<input type=\"button\" $d_but value=\"".number_format($form['tot_D'],2,'.','')."\" ID=\"tot_D\" name=\"tot_D\" onclick=\"tot_bal('D');\" />\n";
echo $diffV.' Totale AVERE:';
echo "<input type=\"button\" $a_but value=\"".number_format($form['tot_A'],2,'.','')."\" ID=\"tot_A\" name=\"tot_A\" onclick=\"tot_bal('A');\" />\n";
echo "</td>\n";
echo '<td align="right">';
if ($toDo == 'update') {
    echo '<input title="Modifica il movimento contabile !" type="submit" '.$i_but.' name="ins" tabindex="99" value="MODIFICA !">';
} else {
    echo '<input title="Inserisci il movimento contabile !" type="submit" '.$i_but.' name="ins" tabindex="99" value="INSERISCI !">';
}
echo "</td></tr></table>";
?>
</form>
</body>
</html>