<?php
 /* $Id: insert_piacon.php,v 1.13 2008/10/14 08:29:23 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();

//Carica i dati del bilancio IV direttiva CEE
//Legge le linee del file
$lines=file('../../library/include/IVdirCEE.bil');
foreach($lines as $line){
        $data[] = explode(';',trim($line),2);
}
$message = "";
$azienda = getRow($gTables['aziend'],"codice","1");
$nromani = array(0=>"",1=>"I",2=>"II",3=>"III",4=>"IV",5=>"V",6=>"VI",7=>"VII",8=>"VIII",9=>"IX",10=>"X",11=>"XI",12=>"XII",13=>"XIII",14=>"XIV",15=>"XV",16=>"XVI",17=>"XVII",18=>"XVIII",19=>"XIX");
if (isset($_POST['Insert'])) {
    $conctrl = $_POST["conto"];
    $masctrl = $_POST["mastro"];
    $mas0000 = $_POST["mastro"]."000000";
    $climin = $azienda['mascli']."000000";
    $formin = $azienda['masfor']."000000";
    $climax = $azienda['mascli']."999999";
    $formax = $azienda['masfor']."999999";
    $codice  = $mas0000 + $conctrl;
    //controllo i campi
    if (empty($_POST["ragso1"]))
        $message .= "Inserire la descrizione del conto! <br>";
    if ($_POST["mastro"] < 100)
        $message .= "Il codice del mastro non pu&ograve; essere inferiore a 100 !<br>";
    if ($codice > 0) {
        $rs_clfoco = dynQuery("*", $gTables['clfoco'], "codice = '$codice'","codice desc","1");
        $risultato = dbms_fetch_array($rs_clfoco);
        if ($risultato) {
            $message .= "Codice esistente usare l'apposita procedura se lo si vuole modificare ! <br>";
        }
    } else {
        $message .= "Codice errato perch&egrave; nullo! <br>";
    }
    if (($codice > $climin) and ($codice <= $climax))
        $message .= "Codice usato per i clienti usare l'apposita procedura per l'inserimento o le modifiche! <br>";
    if (($codice > $formin) and ($codice <= $formax))
        $message .= "Codice usato per i fornitori usare l'apposita procedura per l'inserimento o le modifiche! <br>";
    if ( $message == "") { // nessun errore
        //aggiorno il db
        clfocoInsert($codice, $_POST);
        header("Location: report_piacon.php");
        exit;
    }
}
if (isset($_POST['Return'])) {
    header("Location: report_piacon.php");
    exit;
}
if (!isset($_POST['Insert'])) {
    $form["conto"] = "";
    $form["mastro"] = "";
    $form["ragso1"] = "";
    $form["ceedar"] = "";
    $form["ceeave"] = "";
} else {
    $form["mastro"] = $_POST['mastro'];
    $form["conto"]  = $_POST['conto'];
    $form["ragso1"] = $_POST['ragso1'];
    $form["ceedar"] = $_POST['ceedar'];
    $form["ceeave"] = $_POST['ceeave'];
}
$titolo="Inserimento conti";
require_once("../../library/include/header.php"); HeadMain($titolo,'');
?>
<form method="POST" action="<?php print $_SERVER['PHP_SELF']; ?>" >
<div align="center" class="FacetFormHeaderFont">Inserimento conti</div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
  <tr>
    <td colspan="2" class="FacetDataTDred">
    <?php
    if (! $message == "") {
        print "$message";
    }
    ?>
    </td>
  </tr>
 <tr>
    <td class="FacetFieldCaptionTD">Mastro </td>
    <td class="FacetDataTD"><input title="Numero del mastro: Attivit&agrave; da 100 a 199, Passivit&agrave; da 200 a 299, Costi da 300 a 399, Ricavi da 400 a 499, Bilanci da 500 a 599 " type="text" name="mastro" value="<?php print $form["mastro"]; ?>" maxlength="3" size="3" class="FacetInput" </td>
  </tr>
 <tr>
    <td class="FacetFieldCaptionTD">Conto </td>
    <td class="FacetDataTD"><input title="Numero del conto" type="text" name="conto" value="<?php print $form["conto"]; ?>" maxlength="6" size="6" class="FacetInput" </td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Descrizione  *  </td>
    <td class="FacetDataTD"><input title="Descrizione del mastro o del conto" type="text" name="ragso1" value="<?php print $form["ragso1"]; ?>" maxlength="50" size="30" class="FacetInput"> </td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Riclassificazione Bilancio CE / DARE </td>
    <td class="FacetDataTD">
    <select name="ceedar" class="FacetSelectBil">
    <?php
    foreach ($data as $rigo) {
        $selected="";
        $nr=intval(substr($rigo[0],2,2));
        $spqr=$nromani[$nr];
        if($_POST["ceedar"] == $rigo[0])
            $selected = " selected ";
        echo "<option value=\"".$rigo[0]."\"".$selected."> ".substr($rigo[0],0,2)." ".$spqr." ".substr($rigo[0],4,4)." ".$rigo[1];
        echo "</option>\n";
    }
    ?>
    </select>
    </td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Riclassificazione Bilancio CE / AVERE&nbsp;</td>
    <td class="FacetDataTD">
    <select name="ceeave" class="FacetSelectBil">
    <?php
    foreach ($data as $rigo) {
        $selected="";
        $nr=intval(substr($rigo[0],2,2));
        $spqr=$nromani[$nr];
        if($_POST["ceeave"] == $rigo[0])
            $selected = " selected ";
        echo "<option value=\"".$rigo[0]."\"".$selected."> ".substr($rigo[0],0,2)." ".$spqr." ".substr($rigo[0],4,4)." ".$rigo[1];
        echo "</option>\n";
    }
    ?>
    </select>
    </td>
</tr>
<tr>
  <td class="FacetFieldCaptionTD">I campi contrassegnati con * sono obbligatori! &nbsp;</td>
    <td colspan="2" align="right" >
    <!-- BEGIN Button Return --><input title="Torna indietro" type="submit" name="Return" value="Indietro"><!-- END Button Return -->&nbsp;
    <!-- BEGIN Button Delete --><input title="Annulla le modifiche apportate alla schermata" type="reset" name="Delete" value="Cancella"><!-- END Button Delete -->&nbsp;
    <!-- BEGIN Button Insert --><input title="Accetta tutto e inserisci" type="submit" name="Insert" value="INSERISCI !"><!-- END Button Insert -->&nbsp;
 </td>
  </tr>
</table>
</form>
</body>
</html>