<?php
/*$Id: report_piacon.php,v 1.15 2008/10/21 20:34:16 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$message = "";
if (!isset($_POST['annrip'])) {
    $_POST['annrip'] = date("Y");
}

if (isset($_POST['ripristino_x'])) { //se viene richiesto un ripristino saldi
   $where = " codice not like '%000000' ";
   $orderby = "1";
   $rs_piano = dynQuery ("codice", $gTables['clfoco'], $where, $orderby);
   while ($conto= dbms_fetch_array($rs_piano)) {
         $where = "codcon = ".$conto['codice']." and datreg >= ".$_POST['annrip']."0101 group by codcon ";
         $orderby = "1";
         $result = dynQuery ("codcon,sum(import*(darave='D')) as dare,sum(import*(darave='A')) as avere,datreg", $gTables['rigmoc']." left join ".$gTables['tesmov']." on (".$gTables['rigmoc'].".id_tes = ".$gTables['tesmov'].".id_tes) ", $where, $orderby);
         $dare=0.00;
         $avere=0.00;
         while ($a_row = dbms_fetch_array($result)) {
               $dare = number_format($a_row["dare"],2, '.', '');
               $avere = number_format($a_row["avere"],2, '.', '');
         }
         putRow($gTables['clfoco'], "codice",$conto["codice"],"dare__",$dare);
         putRow($gTables['clfoco'], "codice",$conto["codice"],"avere_",$avere);
   }
}

$titolo = "Piano dei Conti";
$azienda = getRow($gTables['aziend'],'codice',1);
require_once("../../library/include/header.php");
HeadMain();
?>
<table border="0" align="center" width="70%">
<tr>
<td class="FacetFormHeaderFont"><a href="insert_piacon.php">Inserisci Nuovo Conto </a></td>
<td class="FacetFormHeaderFont"><a href="<?php echo "select_partit.php?codice={$azienda['cassa_']}"; ?>">Visualizza/stampa partitari</a></td>
</tr>
<tr><td colspan="2" class="FacetFormHeaderFont" align="center">Piano dei conti</td></tr>
<tr><td colspan="2" class="FacetDataTDred" >Ricorda che devi introdurre i mastri per le attivit&agrave; compresi tra 100 e 199, le passivit&agrave; tra 200 e 299, i costi tra 300 e 399, i ricavi tra 400 e 499 e i conti d'ordine o transitori tra 500 e 599</td></tr>
</table>
<table class="Tlarge">
<tr><th class="FacetFieldCaptionTD">Mastro </th><th class="FacetFieldCaptionTD">Conto </th><th class="FacetFieldCaptionTD">Descrizione </th><th class="FacetFieldCaptionTD">DARE </th><th class="FacetFieldCaptionTD">AVERE </th><th class="FacetFieldCaptionTD">SALDO </th><th class="FacetFieldCaptionTD">Visualizza<br>e/o stampa </th><th class="FacetFieldCaptionTD">Cancella </th></tr>
<form method="POST">
<?php
echo "<tr><td colspan=\"7\" align=\"right\" class=\"FacetDataTD\">Se vuoi ripristinare i saldi sulla base dei movimenti contabili registrati a partire dall'anno";
echo "\t <select name=\"annrip\" class=\"FacetSelect\">\n";
for( $counter = date("Y")-3; $counter <= date("Y"); $counter++ ) {
     $selected = "";
     if($counter == $_POST['annrip']) {
        $selected = "selected";
     }
     echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
echo "\t </select>\n";
echo " clicca su questo pulsante --> <input type=\"image\" title=\"Ripristino saldi\" src=\"../../library/images/recy.gif\" accesskey=\"r\" name=\"ripristino\" ></td></tr>";
$where = " codice NOT LIKE '".$azienda['mascli']."%' AND codice NOT LIKE '".$azienda['masfor']."%' OR codice = ".$azienda['masfor']."000000 OR codice = ".$azienda['mascli']."000000";
$orderby = "1";
$result = dynQuery ("codice,ragso1,dare__,avere_", $gTables['clfoco'], $where, $orderby);
while ($a_row = dbms_fetch_array($result)) {
       $dare=0.00;
       $avere=0.00;
       $saldo=0.00;
       if (substr($a_row["codice"],3) == '000000') {
           echo "<td class=\"FacetDataTD\"><a href=\"update_piacon.php?codice=".substr($a_row["codice"],0,3)."000000\" title=\"Modifica il mastro\" >".substr($a_row["codice"],0,3)."</a> </td>";
           echo "<td class=\"FacetDataTD\">".substr($a_row["codice"],3)." </td><td class=\"FacetDataTDred\" colspan=\"5\" >".$a_row["ragso1"]." </td>";
           echo "<td class=\"FacetDataTD\"><a href=\"delete_piacon.php?codice=".$a_row["codice"]."\"><center><img src=\"../../library/images/x.gif\" alt=\"Cancella\" border=\"0\"></a></td>";
           echo "</tr>\n";
           } else {
           echo "<td class=\"FacetDataTD\">".substr($a_row["codice"],0,3)." </td>";
           echo "<td class=\"FacetDataTD\"><a href=\"update_piacon.php?codice=".$a_row["codice"]."\" title=\"Modifica il conto\">".substr($a_row["codice"],3)."</a> ";
           echo "</td><td class=\"FacetDataTD\">".$a_row["ragso1"]." </td>";
           $dare=$a_row["dare__"];
           $avere=$a_row["avere_"];
           $saldo = $dare - $avere;
           echo "<td class=\"FacetDataTD\" align=\"right\">".gaz_format_number($dare)." </td>";
           echo "<td class=\"FacetDataTD\" align=\"right\">".gaz_format_number($avere)." </td>";
           echo "<td class=\"FacetDataTD\" align=\"right\">".gaz_format_number($saldo)." </td>";
           echo "<td class=\"FacetDataTD\" align=\"center\"><a href=\"select_partit.php?codice=".$a_row["codice"]."\"><img src=\"../../library/images/vis.gif\" alt=\"Visualizza e stampa il partitario\" border=\"0\"><img src=\"../../library/images/stampa.gif\" alt=\"Visualizza e stampa il partitario\" border=\"0\"></a></td>";
           echo "<td class=\"FacetDataTD\" align=\"center\"><a href=\"delete_piacon.php?codice=".$a_row["codice"]."\"><img src=\"../../library/images/x.gif\" alt=\"Cancella\" border=\"0\"></a></td>";
           echo "</tr>\n";
           }
       }
?>
</table>
</form>
</body>
</html>