<?php
 /* $Id: select_libgio.php,v 1.14 2008/11/19 16:01:44 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$azienda = getRow($gTables['aziend'],'codice',1);
$anno = date("Y");
$oggi = date("Y-m-d");
$orainizio = date("Y-m-d H:i:s");
$message = "";
$azienda = getRow($gTables['aziend'],"codice","1");
$pagini = $azienda["upggio"]+1;

if (!isset($_GET['valdar']))
    $_GET['valdar'] = 0;
if (!isset($_GET['valave']))
    $_GET['valave'] = 0;
if (!isset($_GET['gioini']))
    $_GET['gioini'] = "1";
if (!isset($_GET['mesini']))
    $_GET['mesini'] = "1";
if (!isset($_GET['annini']))
    $_GET['annini'] = $anno;
if (!isset($_GET['giofin']))
    $_GET['giofin'] =  date("d");
if (!isset($_GET['mesfin']))
    $_GET['mesfin'] =  date("m");
if (!isset($_GET['annfin']))
    $_GET['annfin'] =  date("Y");
//controllo i campi
if (!checkdate( $_GET['mesini'], $_GET['gioini'], $_GET['annini']))
    $message .= "La data ".$_GET['gioini']."-".$_GET['mesini']."-".$_GET['annini']." non &egrave; corretta! <br>";
if (!checkdate( $_GET['mesfin'], $_GET['giofin'], $_GET['annfin']))
    $message .= "La data ".$_GET['giofin']."-".$_GET['mesfin']."-".$_GET['annfin']." non &egrave; corretta! <br>";
$utsini= mktime(0,0,0,$_GET['mesini'],$_GET['gioini'],$_GET['annini']);
$utsfin= mktime(0,0,0,$_GET['mesfin'],$_GET['giofin'],$_GET['annfin']);
$datainizio = date("Ymd",$utsini);
$datafine = date("Ymd",$utsfin);
if ($utsini > $utsfin)
    $message .="La data di inizio dei movimenti contabili da stampare non pu&ograve; essere successiva alla data dell'ultimo !<br>";
if (isset($_GET['stampa']) and $message == "")
        {
        if (!isset($_GET['copert'])) {
           $_GET['copert']="";
        } else {
           $_GET['copert'] = "&copert";
        }
        if (!isset($_GET['stadef']))
            $_GET['stadef']="";
            else $_GET['stadef'] = "&stadef=".$_GET['stadef'];
        //Mando in stampa i movimenti contabili selezionati
        $locazione = "Location: stampa_libgio.php?pagini=".$_GET['pagini']."&regini=".date("d-m-Y",$utsini)."&regfin=".date("d-m-Y",$utsfin)."&valdar=".$_GET['valdar']."&valave=".$_GET['valave'].$_GET['stadef'].$_GET['copert'];
        //print $locazione;
        header($locazione);
        exit;
        }
if (isset($_GET['Return']))
        {
        header("Location:docume_contab.php");
        exit;
        }
?>
<html>
<head>
<?php
require_once("../../library/include/header.php");
HeadMain();
?>
<form method="GET">
<div align="center" class="FacetFormHeaderFont">Stampa Libro Giornale</div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
  <tr>
    <td colspan="2" class="FacetDataTD"  style="color: red;">
    <?php
    if (! $message == "")
    {
        print "$message";
    }
    ?>
    </td>
  </tr>
<tr>
    <td class="FacetFieldCaptionTD">Stampa definitiva &nbsp;</td>
    <td class="FacetDataTD"><input title="La scelta della stampa in definitiva aggiorna il campo <<Ultima pagina del Libro Giornale>> nell'archivio azienda" type="checkbox" name="stadef" value="1" ></td>
    <td class="FacetFieldCaptionTD">N.Pagina Iniziale &nbsp;</td>
    <td class="FacetDataTD"> <input title="Numero della prima pagina da stampare (di default quella riportata sull'archivio azienda + 1)" type="text" name="pagini" value="<?php print $pagini; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Dare (inizio) &nbsp;</td>
    <td class="FacetDataTD"><input title="Eventuale valore iniziale del Dare (da usare quando si prosegue la stampa di un giornale stampato in parte)" type="text" name="valdar" value="<?php print $_GET['valdar']; ?>" maxlength="15" size="15" class="FacetInput">&nbsp;</td>
    <td class="FacetFieldCaptionTD">Avere (inizio) &nbsp;</td>
    <td class="FacetDataTD"> <input title="Eventuale valore iniziale dell'Avere (da usare quando si prosegue la stampa di un giornale stampato in parte)" type="text" name="valave" value="<?php print $_GET['valave']; ?>" maxlength="15" size="15" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Data Registrazione Inizio &nbsp;</td>
    <td class="FacetDataTD" colspan=3>
         <?php
            // select del giorno
            print "\t <select name=\"gioini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 31; $counter++ )
                {
                $selected = "";
                if($counter ==  $_GET['gioini'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
                }
            print "\t </select>\n";
            // select del mese
            echo "\t <select name=\"mesini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 12; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['mesini'])
                        $selected = "selected";
                $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
                echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
                }
            echo "\t </select>\n";
            // select del anno
            print "\t <select name=\"annini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 2002; $counter <= 2030; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['annini'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
                }
            print "\t </select>\n";
         ?>
    </td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Data Registrazione Fine &nbsp;</td>
   <td class="FacetDataTD"  colspan=3 >
         <?php
            // select del giorno
            print "\t <select name=\"giofin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 31; $counter++ )
                {
                $selected = "";
                if($counter ==  $_GET['giofin'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
                }
            print "\t </select>\n";
            // select del mese
            echo "\t <select name=\"mesfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";

            for( $counter = 1; $counter <= 12; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['mesfin'])
                        $selected = "selected";
                $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
                echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
                }
            echo "\t </select>\n";
            // select del anno
            print "\t <select name=\"annfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 2002; $counter <= 2030; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['annfin'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
                }
            print "\t </select>\n";
         ?>
</td>
</tr>
<?php
$result = dynQuery ("darave,datreg, SUM(import) AS import, COUNT(*) AS nrow",$gTables['rigmoc']." LEFT JOIN ".$gTables['tesmov']." ON (".$gTables['rigmoc'].".id_tes = ".$gTables['tesmov'].".id_tes) ","datreg BETWEEN ".$datainizio." AND ".$datafine." GROUP BY darave");
$nr=0;
while ($rs = dbms_fetch_array($result)){
      $nr+=$rs['nrow'];
      if ($rs['darave']== 'D'){
         $dare= $rs['import'];
      } else {
         $avere= $rs['import'];
      }
}

echo "<tr><td class=\"FacetFieldCaptionTD\">Numero righe:&nbsp;</td><td class=\"FacetDataTD\" colspan=\"3\">".$nr." &nbsp;</td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">Totale Dare &nbsp;</TD><TD class=\"FacetDataTD\">".gaz_format_number($dare)."</td><td class=\"FacetFieldCaptionTD\">Totale Avere &nbsp;</TD><td class=\"FacetDataTD\">".gaz_format_number($avere)." &nbsp;</td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\"> &nbsp;</td><td align=\"right\" class=\"FacetFooterTD\" colspan=4><input type=\"submit\" name=\"Return\" value=\"Indietro\">&nbsp;<input type=\"submit\" name=\"stampa\" value=\"STAMPA !\" > &nbsp; &nbsp; con copertina <input type=\"checkbox\" title=\"Selezionare questo flag se si vuole che venga stampata la prima pagina di copertina\" name=\"copert\" value=1></td></tr>";
?>
</table>
</form>
</body>
</html>