<?php
/*$Id: select_partit.php,v 1.23 2008/10/14 08:29:23 devincen Exp $
--------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
--------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$message = "";
$saldo = 0.00;
$azienda = getRow($gTables['aziend'],'codice',1);
$mastroclienti = $azienda['mascli'];
$mastrofornitori = $azienda['masfor'];
$titolo="Selezione e Stampa partitari";
if (!isset($_GET['codice']) and !isset($_GET['masini'])) {
    header("Location: docume_contab.php");
    exit;
}
if (isset($_GET['codice']) and !isset($_GET['masini'])) {
    $_GET['masini'] = substr($_GET['codice'],0,3);
    $_GET['conini'] = substr($_GET['codice'],3,6);
}
if (!isset($_GET['masini'])) {
    $_GET['masini'] = '000';
}
if (!isset($_GET['masfin'])) {
    $_GET['masfin'] = $_GET['masini'];
}
if (!isset($_GET['conini'])) {
    $_GET['conini'] = '000000';
}
if (!isset($_GET['confin'])) {
    $_GET['confin'] = $_GET['conini'];
}
if (!isset($_GET['gioini'])) {
    $_GET['gioini'] = "1";
}
if (!isset($_GET['mesini'])) {
    $_GET['mesini'] = "1";
}
if (!isset($_GET['annini'])) { //per es. quando si accede per la prima volta
    $rs_last_opening = dynQuery("YEAR(datreg) AS anno", $gTables['tesmov'], "caucon = 'APE'","datreg desc",0,1);
    $last_opening = dbms_fetch_array($rs_last_opening);
    if ($last_opening) {
        $_GET['annini'] = $last_opening['anno'];
    } else {
        $_GET['annini'] = date("Y");
    }
}
if (!isset($_GET['giofin'])) {
    $_GET['giofin'] =  date("d");
}
if (!isset($_GET['mesfin'])) {
    $_GET['mesfin'] =  date("m");
}
if (!isset($_GET['annfin'])) {
    $_GET['annfin'] =  date("Y");
}
//controllo i campi
if (!checkdate( $_GET['mesini'], $_GET['gioini'], $_GET['annini'])) {
    $message .= "La data ".$_GET['gioini']."-".$_GET['mesini']."-".$_GET['annini']
             ." non &egrave; corretta! <br>";
}
if (!checkdate( $_GET['mesfin'], $_GET['giofin'], $_GET['annfin'])) {
    $message .= "La data ".$_GET['giofin']."-".$_GET['mesfin']."-".$_GET['annfin']
             ." non &egrave; corretta! <br>";
}
$utsini= mktime(0,0,0,$_GET['mesini'],$_GET['gioini'],$_GET['annini']);
$utsfin= mktime(0,0,0,$_GET['mesfin'],$_GET['giofin'],$_GET['annfin']);
if ($utsini > $utsfin) {
    $message .="La data di inizio dei movimenti contabili da stampare non "
             ."pu&ograve; essere successiva alla data dell'ultimo !<br>";
}
if (isset($_GET['stampa']) and $message == "") {
    //Mando in stampa i movimenti contabili generati
    if (isset ($_GET['presuc'])){
      $presuc=$_GET['presuc'];
    } else {
      $presuc="";
    }
    $locazione = "Location: stampa_partit.php?codice=".$_GET['masini'].$_GET['conini']."&codfin=".$_GET['masfin'].$_GET['confin']."&regini=".date("dmY",$utsini)."&regfin=".date("dmY",$utsfin)."&presuc=".$presuc;
    header($locazione);
    exit;
}
if (isset($_GET['Return'])) {
    header("Location: docume_contab.php");
    exit;
}
require_once("../../library/include/header.php");
HeadMain();
?>
<form method="GET">
<div align="center"><font class="FacetFormHeaderFont">Stampa movimenti contabili </div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
  <tr>
    <td colspan="2" class="FacetDataTD"  style="color: red;">
    <?php
    if (! $message == "") {
        echo "$message";
    }
    ?>
    </td>
  </tr>
<tr>
<td class="FacetFieldCaptionTD">Mastro inizio &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"masini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">";
$result = dynQuery("*", $gTables['clfoco'],"(codice like '%000000')","codice asc");
echo "<option value=\"000\"> ---------- </option>";
$mastro =  $_GET['masini']."000000";
while ($a_row = dbms_fetch_array($result)) {
    $selected = "";
    if($_GET['masini'] == substr($a_row['codice'],0,3)) {
        $selected = " selected ";
    }
    echo "<option value=\"".substr($a_row['codice'],0,3)."\"".$selected.">".substr($a_row["codice"],0,3)."-".$a_row['ragso1']."</option>";
}
echo "</select></TD>\n";
echo "</tr><tr><td class=\"FacetFieldCaptionTD\">Conto inizio &nbsp;</td>";

$anagrafica = new Anagrafica();

if($_GET['masini'] == $azienda['mascli'] or $_GET['masini'] == $azienda['masfor']) {
    echo "<td>";
    $messaggio = "";
    $tabula =" tabindex=\"1\" ";
    if (!isset($_GET['ragsoini'])) {
        $ricerca = $_GET['masini']."000000";
        $ricerca +=$_GET['conini'];
        $cliente = getRow($gTables['clfoco'],"codice","{$ricerca}");
        $_GET['ragsoini'] = substr($cliente['ragso1'],0,2);
    }
    if (strlen($_GET['ragsoini']) >= 2) {
        $clienti = $anagrafica->queryPartners("*", "codice like '{$_GET['masini']}%' and codice > '$mastro'  and ragso1 like '".addslashes($_GET['ragsoini'])."%'","codice asc");
        if (sizeof($clienti) > 0) {
            $tabula="";
            echo "\t<select name=\"conini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            while (list($key, $a_row) = each($clienti)) {
                $selected = "";
                if (substr($a_row["codice"],3,6) == $_GET['conini']) {
                    $selected = "selected";
                }
                echo "\t\t <option value=\"".substr($a_row["codice"],3,6)."\" $selected >".substr($a_row["codice"],3,6)."-".$a_row["ragso1"]."&nbsp;".$a_row["citspe"]."</option>\n";
            }
            echo "\t </select>\n";
        } else {
            $messaggio = "Non &egrave; stato trovato nulla!";
        }
    } else {
        $messaggio = "Inserire min. 2 caratteri!";
    }
    echo "\t<input type=\"text\" name=\"ragsoini\" ".$tabula." accesskey=\"e\" value=\"".stripslashes($_GET['ragsoini'])."\" maxlength=\"15\" size=\"9\" class=\"FacetInput\">\n";
    echo $messaggio;
    echo "\t <input type=\"image\" align=\"middle\" accesskey=\"c\" ".$tabula." name=\"search\" src=\"../../library/images/cerbut.gif\"></td>\n";
} else {
    echo "<td class=\"FacetDataTD\"><select name=\"conini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">";
    echo "<option value=\"000000\"> ---------- </option>";
    $ricerca =  $_GET['masini'];
    $controllo = $_GET['masini']."000000";
    $result = dynQuery("*", $gTables['clfoco'],"(codice like '$ricerca%' and codice > $controllo)","codice asc");
    while ($a_row = dbms_fetch_array($result)) {
        $selected="";
        if ($_GET['conini'] == substr($a_row['codice'],3,6)) {
            $selected = " selected ";
        }
        echo "<option value=\"".substr($a_row['codice'],3,6)."\"".$selected.">".substr($a_row["codice"],3,6)."-".$a_row['ragso1']."</option>";
    }
    echo "</select></TD>\n";
    }
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Mastro fine &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"masfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">";
$result = dynQuery("*", $gTables['clfoco'],"(codice like '%000000')","codice asc");
echo "<option value=\"000\"> ---------- </option>";
$mastro =  $_GET['masfin']."000000";
while ($a_row = dbms_fetch_array($result)) {
    $selected = "";
    if($_GET['masfin'] == substr($a_row['codice'],0,3)) {
        $selected = " selected ";
    }
    echo "<option value=\"".substr($a_row['codice'],0,3)."\"".$selected.">".substr($a_row["codice"],0,3)."-".$a_row['ragso1']."</option>";
}
echo "</select></TD>\n";
echo "</tr><tr><td class=\"FacetFieldCaptionTD\">Conto fine &nbsp;</td>";
if($_GET['masfin'] == $azienda['mascli'] or $_GET['masfin'] == $azienda['masfor']) {
    echo "<td>";
    $messaggio = "";
    $tabula =" tabindex=\"1\" ";
    if (!isset($_GET['ragsofin'])) {
        $ricerca = $_GET['masfin']."000000";
        $ricerca +=$_GET['confin'];
        $cliente = getRow($gTables['clfoco'],"codice","{$ricerca}");
        $_GET['ragsofin'] = substr($cliente['ragso1'],0,2);
    }
    if (strlen($_GET['ragsofin']) >= 2) {
        $clienti = $anagrafica->queryPartners("*", "codice like '{$_GET['masfin']}%' and codice > '$mastro'  and ragso1 like '".addslashes($_GET['ragsofin'])."%'","codice asc");
        if (sizeof($clienti) > 0) {
             $tabula="";
             echo "\t<select name=\"confin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
             while (list($key, $a_row) = each($clienti)) {
                 $selected = "";
                 if (substr($a_row["codice"],3,6) == $_GET['confin']) {
                     $selected = "selected";
                 }
                 echo "\t\t <option value=\"".substr($a_row["codice"],3,6)."\" $selected >".substr($a_row["codice"],3,6)."-".$a_row["ragso1"]."&nbsp;".$a_row["citspe"]."</option>\n";
             } echo "\t </select>\n";
         } else {
             $messaggio = "Non &egrave; stato trovato nulla!";
         }
    } else {
        $messaggio = "Inserire min. 2 caratteri!";
    }
    echo "\t<input type=\"text\" name=\"ragsofin\" ".$tabula." accesskey=\"e\" value=\"".stripslashes($_GET['ragsofin'])."\" maxlength=\"15\" size=\"9\" class=\"FacetInput\">\n";
    echo $messaggio;
    echo "\t <input type=\"image\" align=\"middle\" accesskey=\"c\" ".$tabula." name=\"search\" src=\"../../library/images/cerbut.gif\"></td>\n";
} else {
    echo "<td class=\"FacetDataTD\"><select name=\"confin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">";
    echo "<option value=\"000000\"> ---------- </option>";
    $ricerca =  $_GET['masfin'];
    $controllo = $_GET['masfin']."000000";
    $result = dynQuery("*", $gTables['clfoco'],"(codice like '$ricerca%' and codice > $controllo)","codice asc");
    while ($a_row = dbms_fetch_array($result)) {
        $selected="";
        if ($_GET['confin'] == substr($a_row['codice'],3,6)) {
            $selected = " selected ";
        }
        echo "<option value=\"".substr($a_row['codice'],3,6)."\"".$selected.">".substr($a_row["codice"],3,6)."-".$a_row['ragso1']."</option>";
    }
    echo "</select></TD>\n";
}
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Data Registrazione Inizio &nbsp;</td>
<td class="FacetDataTD" >
<?php
// select del giorno
echo "\t <select name=\"gioini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for ($counter = 1; $counter <= 31; $counter++ ) {
    $selected = "";
    if ($counter ==  $_GET['gioini']) {
        $selected = "selected";
    }
    echo "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
}
echo "\t </select>\n";
// select del mese
echo "\t <select name=\"mesini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for ($counter = 1; $counter <= 12; $counter++ ) {
    $selected = "";
    if ($counter == $_GET['mesini']) {
        $selected = "selected";
    }
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
// select del anno
echo "\t <select name=\"annini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for ($counter = 2002; $counter <= 2030; $counter++ ) {
    $selected = "";
    if ($counter == $_GET['annini']) {
        $selected = "selected";
    }
    echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
echo "\t </select>\n";
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Data Registrazione Fine &nbsp;</td>
<td class="FacetDataTD" >
<?php
// select del giorno
echo "\t <select name=\"giofin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for ($counter = 1; $counter <= 31; $counter++ ) {
    $selected = "";
    if ($counter ==  $_GET['giofin']) {
        $selected = "selected";
    }
    echo "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
}
echo "\t </select>\n";
// select del mese
echo "\t <select name=\"mesfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for ($counter = 1; $counter <= 12; $counter++ ) {
    $selected = "";
    if ($counter == $_GET['mesfin']) {
        $selected = "selected";
    }
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
// select del anno
echo "\t <select name=\"annfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for ($counter = 2002; $counter <= 2030; $counter++ ) {
    $selected = "";
    if ($counter == $_GET['annfin']) {
        $selected = "selected";
    }
    echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
echo "\t </select>\n";
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">&nbsp;</td>
<td align="right" nowrap class="FacetFooterTD">
<input type="submit" name="Return" value="Indietro">&nbsp;
<?php
//recupero tutti i movimenti contabili dei conti insieme alle relative testate...
$contoinizio = $_GET['masini'].$_GET['conini'];
$contofine = $_GET['masfin'].$_GET['confin'];
$datainizio =  sprintf("%04d%02d%02d",$_GET['annini'],$_GET['mesini'],$_GET['gioini']);
$datafine =  sprintf("%04d%02d%02d",$_GET['annfin'],$_GET['mesfin'],$_GET['giofin']);
$movimenti = $anagrafica->getMovimenti($contoinizio, $contofine, $datainizio, $datafine);
if ($contoinizio != $contofine ) {
    if (sizeof($movimenti) > 0) {
        echo "<input type=\"submit\" name=\"stampa\" value=\"STAMPA !\" > &nbsp; con saldi precedenti e successivi <input type=\"checkbox\" title=\"Selezionare questo flag se si vuole che vengano stampati i saldi precedenti e successivi le date selezionate\" name=\"presuc\" value=\"1\">";
        echo "</tr></table></form>";
        echo "<table class=\"Tlarge\">";
        echo "<tr>";
        // creo l'array (header => campi) per l'ordinamento dei record
        $headers_movime = array  (
                   "Conto" => "",
                   "Num.Mov." => "",
                   "Descrizione" => "",
                   "Dare" => "",
                   "Avere" => "",
                   "Saldo<br>progressivo" => "",
                   );
        $linkHeaders = new linkHeaders($headers_movime);
        $linkHeaders -> output();
        echo "</tr>";
        while (list($key, $movimento) = each($movimenti)) {
            echo "<tr><td class=\"FacetDataTD\">".$movimento["codice"]." &nbsp;</td>";
            echo "<td  align=\"center\" class=\"FacetDataTD\">".$movimento["righi"]." &nbsp</td>";
            echo "<td class=\"FacetDataTD\">".$movimento["ragso1"]." &nbsp;</td>";
            echo "<td align=\"right\" class=\"FacetDataTD\">".gaz_format_number($movimento['dare'])." &nbsp;</td>";
            echo "<td align=\"right\" class=\"FacetDataTD\">".gaz_format_number($movimento['avere'])." &nbsp;</td>";
            echo "<td align=\"right\" class=\"FacetDataTD\">".gaz_format_number($movimento['dare'] - $movimento['avere'])." &nbsp;</td></tr>";
        }
    } else {
      echo "</tr></table></form>";
    }
} else {
    if (sizeof($movimenti) > 0) {
        echo "<input type=\"submit\" name=\"stampa\" value=\"STAMPA !\" > &nbsp; con saldi precedenti e successivi <input type=\"checkbox\" title=\"Selezionare questo flag se si vuole che vengano stampati i saldi precedenti e successivi le date selezionate\" name=\"presuc\" value=\"1\">";
        echo "</tr></table></form>";
        echo "<div align=\"center\"><font class=\"FacetDataTDred\">Partitario del conto n.".$contoinizio." </div>";
        echo "<table class=\"Tlarge\">";
        echo "<tr>";
        // creo l'array (header => campi) per l'ordinamento dei record
        $headers_movime = array  (
                   "Data" => "",
                   "ID" => "",
                   "Descrizione" => "",
                   "N.Doc." => "",
                   "Data Doc." => "",
                   "Dare" => "",
                   "Avere" => "",
                   "Saldo<br>progressivo" => "",
                   );
        $linkHeaders = new linkHeaders($headers_movime);
        $linkHeaders -> output();
        echo "</tr>";
        while (list($key, $movimento) = each($movimenti)) {
            $saldo += $movimento['dare'];
            $saldo -= $movimento['avere'];
            echo "<tr><td class=\"FacetDataTD\">".$movimento["datreg"]." &nbsp;</td>";
            echo "<td align=\"center\" class=\"FacetDataTD\"><a href=\"admin_movcon.php?id_tes=".$movimento["id_tes"]."&Update\">".$movimento["id_tes"]."</a> &nbsp</td>";
            echo "<td class=\"FacetDataTD\">".$movimento["descri"]." &nbsp;</td>";
            if (!empty($movimento['numdoc'])){
                echo "<td align=\"center\" class=\"FacetDataTD\">".$movimento["numdoc"]." &nbsp;</td>";
                echo "<td align=\"center\" class=\"FacetDataTD\">".$movimento["datdoc"]." &nbsp;</td>";
            } else {
                echo "<td class=\"FacetDataTD\" colspan=\"2\"></td>";
            }
            echo "<td align=\"right\" class=\"FacetDataTD\">".gaz_format_number($movimento['dare'])." &nbsp;</td>";
            echo "<td align=\"right\" class=\"FacetDataTD\">".gaz_format_number($movimento['avere'])." &nbsp;</td>";
            echo "<td align=\"right\" class=\"FacetDataTD\">".gaz_format_number($saldo)." &nbsp;</td></tr>";
        }
    } else {
      echo "</tr></table></form>";
    }
}
?>
</body>
</html>