<?php
/*$Id: stampa_liqiva.php,v 1.23 2008/10/17 10:13:35 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$user = getRow($gTables['admin'],'Login',$_SESSION['Login']);
//se l'utente ha una lingua associata carico l'array della sua lingua
if (!empty ($user['lang'])){
    $lang = $user['lang'];
} else {
    $lang = 'italian';
}
require_once("../../language/$lang/contab.inc.php");
$strTrad = $strScript["select_liqiva.php"];
$azienda = getRow($gTables['aziend'], 'codice', 1);

if (!isset($_GET['regini']) or !isset($_GET['regfin'])) {
    header("Location: select_liqiva.php");
    exit;
}

$gioini = substr($_GET['regini'],8,2);
$mesini = substr($_GET['regini'],5,2);
$annini = substr($_GET['regini'],0,4);
$datainizio = date("Ymd",mktime(0,0,0,$mesini,$gioini,$annini));
$giofin = substr($_GET['regfin'],8,2);
$mesfin = substr($_GET['regfin'],5,2);
$annfin = substr($_GET['regfin'],0,4);
$datafine = date("Ymd",mktime(0,0,0,$mesfin,$giofin,$annfin));
$title = $strTrad[0].' '.$_GET['descri'];
$cover_descri = $strTrad[32]."\n$annini";

//recupero tutti i movimenti iva del periodo
$sqlquery= "SELECT seziva,regiva,codiva,aliquo,".$gTables['aliiva'].".tipiva,".$gTables['aliiva'].".descri,
       SUM((imponi*(operat = 1) - imponi*(operat = 2))*(-2*(regiva > 5)+1)) AS imponibile,
       SUM((impost*(operat = 1) - impost*(operat = 2))*(-2*(regiva > 5)+1)) AS imposta
       FROM ".$gTables['rigmoi']."
       LEFT JOIN ".$gTables['tesmov']." ON ".$gTables['rigmoi'].".id_tes = ".$gTables['tesmov'].".id_tes
       LEFT JOIN ".$gTables['aliiva']." ON ".$gTables['rigmoi'].".codiva = ".$gTables['aliiva'].".codice
       WHERE datreg BETWEEN $datainizio and $datafine
       GROUP BY seziva,regiva,codiva
       ORDER BY seziva,regiva,aliquo DESC";
$result = dbms_query($sqlquery);
$topCarry = array(array('lenght' => 118,'name'=>'da riporto : ','frame' => 'B','fill'=>0,'font'=>8),
                  array('lenght' => 20,'name'=>'','frame' => 1,'fill'=>1),
                  array('lenght' => 32,'name'=>'','frame' => 1,'fill'=>1),
                  array('lenght' => 20,'name'=>'','frame' => 1,'fill'=>1));
$botCarry = array(array('lenght' => 118,'name'=>'a riporto : ','frame' => 'T','fill'=>0,'font'=>8),
                  array('lenght' => 20,'name'=>'','frame' => 1,'fill'=>1),
                  array('lenght' => 32,'name'=>'','frame' => 1,'fill'=>1),
                  array('lenght' => 20,'name'=>'','frame' => 1,'fill'=>1));


require_once("../../config/templates/standard_template.php");

$pdf = new Standard_template();
$n_page = intval($_GET['pagini']);
if (isset($_GET['copert'])) {
   $n_page--;
}
$pdf->setVars($azienda,$title,0,array('ini_page'=>$n_page,'year'=>$strTrad[11].' '.$annfin));
if (isset($_GET['copert'])) {
   $pdf->setCover($cover_descri);
   $pdf->AddPage();
}
$pdf->AddPage();
$pdf->setFooterMargin(21);
$pdf->setTopMargin(44);

$ctrl_sezione = 0;
$ctrl_registro = 0;
$pdf->SetFont('freesans','',10);
$totale_iva_registro = 0.00;
$saldo_totale = 0.00;
while ($row = dbms_fetch_array($result)) {
      if ($ctrl_sezione != $row['seziva']) {
         if ($ctrl_registro != 0) {
            $pdf->Cell(125,6,$strTrad[18].' '.$strTrad[14].' '.$strTrad[20],0,0,'R');
            $pdf->Cell(30,6,gaz_format_number($totale_iva_registro),1,1,'R',1);
         }
         $pdf->Ln(1);
         $ctrl_registro = 0;
         $pdf->Cell(42,6);
         $pdf->Cell(93,6,strtoupper($strTrad[12]).' '.$row['seziva']." - ".$azienda["desez".$row['seziva']],1,1,'C',1);
         $ctrl_sezione = $row['seziva'];
      }
      if ($ctrl_registro != $row['regiva']) {
         if ($ctrl_registro != 0) {
            $pdf->Cell(125,6,$strTrad[18].' '.$strTrad[14].' '.$strTrad[20],0,0,'R');
            $pdf->Cell(30,6,gaz_format_number($totale_iva_registro),1,1,'R',1);
         }
         switch($row['regiva']){
              case 2:
              $descrreg = $strTrad[21];
              break;
              case 4:
              $descrreg = $strTrad[22];
              break;
              case 6:
              $descrreg = $strTrad[23];
              break;
         }
         $pdf->Cell(93,6,$strTrad[20].$descrreg,1,1,'L',1);
         $pdf->SetFont('freesans','',8);
         $pdf->Cell(15,4,$strTrad[13],1,0,'C');
         $pdf->Cell(65,4,$strTrad[15].' '.$strTrad[14],1,0,'C');
         $pdf->Cell(30,4,$strTrad[16],1,0,'R');
         $pdf->Cell(15,4,$strTrad[17],1,0,'C');
         $pdf->Cell(30,4,$strTrad[19],1,0,'R');
         $pdf->Cell(32,4,$strTrad[18],1,1,'R');
         $pdf->SetFont('freesans','',10);
         $totale_iva_registro = 0.00;
         $ctrl_registro = $row['regiva'];
      }
      $pdf->Cell(15,6,$row['codiva'],1,0,'C');
      $pdf->Cell(65,6,$row['descri'],1,0,'C');
      $pdf->Cell(30,6,gaz_format_number($row['imponibile']),1,0,'R');
      $pdf->Cell(15,6,gaz_format_number($row['aliquo']),1,0,'C');
      $pdf->Cell(30,6,gaz_format_number($row['imposta']),1,0,'R');
      $pdf->Cell(32,6,gaz_format_number($row['imponibile'] + $row['imposta']),1,1,'R');
      if ($row['tipiva'] <> 'D') {
         $totale_iva_registro += $row['imposta'];
         $saldo_totale += $row['imposta'];
      }
}
$pdf->Cell(125,6,$strTrad[18].$strTrad[14].' '.$strTrad[20],0,0,'R');
$pdf->Cell(30,6,gaz_format_number($totale_iva_registro),1,1,'R',1);
$pdf->Ln(2);

if ($saldo_totale < 0) {
    $pdf->Cell(60,6);
    $pdf->Cell(60,6,strtoupper($strTrad[18].' '.$strTrad[14].' '.$strTrad[24]),'LTB',0,'L',1);
    $pdf->Cell(5,6,$money[1],'TB',0,'L',1);
    $pdf->SetTextColor(255,0,0);
    $pdf->Cell(30,6,gaz_format_number($saldo_totale),'RTB',1,'R',1);
    $pdf->SetTextColor(0);
} else {
    $pdf->Cell(60,6);
    $pdf->Cell(60,6,strtoupper($strTrad[18].' '.$strTrad[14].' '.$strTrad[25]),'LTB',0,'L');
    $pdf->Cell(5,6,$money[1],'TB',0,'L');
    $pdf->Cell(30,6,gaz_format_number($saldo_totale),'RTB',1,'R',1);
    if ($azienda['ivam_t'] == 'T'){
       $interessi = round($saldo_totale*$azienda['interessi']/100,2);
       $pdf->Cell(60,6);
       $pdf->Cell(65,6,$strTrad[26].$azienda['interessi'].'%');
       $pdf->Cell(30,6,gaz_format_number($interessi),1,1,'R');
       $pdf->Ln(2);
       $pdf->Cell(40,6);
       $pdf->SetFont('freesans','B',12);
       $pdf->Cell(80,6,strtoupper($strTrad[18].$strTrad[27]),'LTB',0,'L',1);
       $pdf->Cell(5,6,$money[1],'TB',0,'L',1);
       $pdf->Cell(30,6,gaz_format_number($saldo_totale+$interessi),'RTB',1,'R',1);
    } else {
       $pdf->Ln(2);
       $pdf->Cell(40,6);
       $pdf->SetFont('freesans','B',12);
       $pdf->Cell(80,6,strtoupper($strTrad[18].$strTrad[27]),'LTB',0,'L',1);
       $pdf->Cell(5,6,$money[1],'TB',0,'L',1);
       $pdf->Cell(30,6,gaz_format_number($saldo_totale),'RTB',1,'R',1);
    }
    $pdf->SetFont('freesans','',8);
    $pdf->Ln(6);
    $pdf->Cell(50,6,$strTrad[28],0,0,'L');
    $pdf->Cell(60,6,$strTrad[29],0,0,'L');
    $pdf->Cell(40,6,$strTrad[30],0,0,'L');
    $pdf->Cell(40,6,$strTrad[31],0,1,'L');
}
if (isset($_GET['stadef']) and $_GET['stadef'] == 1) {
    putRow($gTables['aziend'],'codice',1,'upgrie', $pdf->getGroupPageNo()+$n_page-1);
}
$pdf->Output();
?>