<?php
 /* $Id: stampa_partit.php,v 1.28 2008/10/19 10:42:49 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
if (!ini_get('safe_mode')){ //se me lo posso permettere...
    ini_set('memory_limit','32M');
    set_time_limit (240);
}
if (!isset($_GET['codice']) or
    !isset($_GET['codfin']) or
    !isset($_GET['regini']) or
    !isset($_GET['regfin']) or
    !isset($_GET['presuc'])) {
    header("Location: report_piacon.php");
    exit;
}
$azienda = getRow($gTables['aziend'], 'codice', 1);
require_once("../../config/templates/report_template.php");
$gioini = substr($_GET['regini'],0,2);
$mesini = substr($_GET['regini'],2,2);
$annini = substr($_GET['regini'],4,4);
$utsini= mktime(0,0,0,$mesini,$gioini,$annini);
$giofin = substr($_GET['regfin'],0,2);
$mesfin = substr($_GET['regfin'],2,2);
$annfin = substr($_GET['regfin'],4,4);
$utsfin= mktime(0,0,0,$mesfin,$giofin,$annfin);
$dataini = date("Ymd",$utsini);
$datafin = date("Ymd",$utsfin);
$descrDataini = date("d-m-Y",$utsini);
$descrDatafin = date("d-m-Y",$utsfin);
$where = " codcon BETWEEN ".$_GET['codice']." AND ".$_GET['codfin']." AND".
         " datreg BETWEEN '".$dataini."' AND '".$datafin."'";
$what = $gTables['rigmoc'].".*, ".$gTables['tesmov'].".id_tes, ".
        $gTables['tesmov'].".descri, ".$gTables['tesmov'].".datreg, ".
        $gTables['tesmov'].".datdoc, ".$gTables['tesmov'].".numdoc, ".
        $gTables['clfoco'].".codice, ".$gTables['clfoco'].".ragso1, ".$gTables['clfoco'].".ragso2 ";
$table = $gTables['rigmoc']." left join ".$gTables['tesmov']." on (".$gTables['rigmoc'].".id_tes = ".$gTables[         'tesmov'].".id_tes) left join ".$gTables['clfoco']." on (".$gTables['rigmoc'].".codcon = ".$gTables[         'clfoco'].".codice)";
$result = dynQuery ($what, $table,$where,"codcon ASC, datreg ASC, ".$gTables['tesmov'].".id_tes");
$item_head = array('top'=>array(array('lun' => 80,'nam'=>'Descrizione'),
                                array('lun' => 25,'nam'=>'Numero Conto')
                               )
                   );
$title = array('title'=>"PARTITARIO  dal ".$descrDataini." al ".$descrDatafin,
               'hile'=>array(   array('lun' => 18,'nam'=>'Data Reg.'),
                                array('lun' => 68,'nam'=>'Descrizione'),
                                array('lun' => 40,'nam'=>'N. - Data Doc.'),
                                array('lun' => 20,'nam'=>'Dare'),
                                array('lun' => 20,'nam'=>'Avere'),
                                array('lun' => 20,'nam'=>'SALDO')
                            )
              );
$aRiportare = array('top'=>array(array('lun' => 166,'nam'=>'da riporto : '),
                           array('lun' => 20,'nam'=>'')
                           ),
                    'bot'=>array(array('lun' => 166,'nam'=>'a riportare : '),
                           array('lun' => 20,'nam'=>'')
                           )
                    );
$pdf = new Report_template();
$pdf->setVars($azienda,$title);
$pdf->SetTopMargin(51);
$pdf->SetFooterMargin(22);
$config = new Config;
$ctrlConto = '';
$movSaldo = 0.00;
while ($row = dbms_fetch_array($result)) {
      $datadoc = substr($row['datdoc'],8,2).'-'.substr($row['datdoc'],5,2).'-'.substr($row['datdoc'],0,4);
      $datareg = substr($row['datreg'],8,2).'-'.substr($row['datreg'],5,2).'-'.substr($row['datreg'],0,4);
      $pdf->setRiporti($aRiportare);
      if ($ctrlConto != $row['codcon']) {
         $movSaldo = 0.00;
         if (!empty($ctrlConto)) {
                   $pdf->SetFont('freesans','B',7);
                   $pdf->Cell($aRiportare['top'][0]['lun'],4,'SALDO al '.$descrDatafin.' : ',1,0,'R');
                   $pdf->Cell($aRiportare['top'][1]['lun'],4,$aRiportare['top'][1]['nam'],1,0,'R');
         }
         $pdf->SetFont('freesans','',7);
         $aRiportare['top'][1]['nam'] = 0;
         $aRiportare['bot'][1]['nam'] = 0;
         $item_head['bot']= array(array('lun' => 80,'nam'=>$row['ragso1']),
                                  array('lun' => 25,'nam'=>$row['codcon'])
                                  );
        if (empty($row['image'])){
           $pdf->setItemGroup($item_head);
        } else {
           $pdf->setItemGroup($item_head,$row['artico']);
        }
        $pdf->setRiporti('');
        $pdf->AddPage('P',$config->getValue('page_format'));
      }
      if ($row['darave'] == 'D'){
        $movSaldo += $row['import'];
        $dare = gaz_format_number($row['import']);
        $avere = '';
     } else {
        $movSaldo -= $row['import'];
        $avere = gaz_format_number($row['import']);
        $dare = '';
      }
      $aRiportare['top'][1]['nam'] = gaz_format_number($movSaldo);
      $aRiportare['bot'][1]['nam'] = gaz_format_number($movSaldo);
      $pdf->Cell(18,4,$datareg,1,0,'C');
      if (!empty($row['numdoc'])){
        $pdf->Cell(68,4,$row['descri'],'LTB');
        $pdf->Cell(40,4,'n.'.$row['numdoc'].' del '.$datadoc,'RTB',0,'R');
      } else {
        $pdf->Cell(68,4,$row['descri'],1);
        $pdf->Cell(40,4,'',1);
      }
      $pdf->Cell(20,4,$dare,1,0,'R');
      $pdf->Cell(20,4,$avere,1,0,'R');
      $pdf->Cell(20,4,gaz_format_number($movSaldo),1,1,'R');
      $ctrlConto = $row['codcon'];
}
$pdf->SetFont('freesans','B',8);
$pdf->Cell($aRiportare['top'][0]['lun'],4,'SALDO al '.$descrDatafin.' : ',1,0,'R');
$pdf->Cell($aRiportare['top'][1]['lun'],4,$aRiportare['top'][1]['nam'],1,0,'R');
$pdf->setRiporti('');
$pdf->Output();
?>