<?php
 /* $Id: update_piacon.php,v 1.14 2008/10/14 08:29:23 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
//Carica i dati del bilancio IV direttiva CEE
//Legge le linee del file
$lines=file('../../library/include/IVdirCEE.bil');
foreach($lines as $line){
        $nuova = explode(';',$line,2);
        $data[] = array(trim($nuova[0]),$nuova[1]);
}
$nromani = array(0=>"",1=>"I",2=>"II",3=>"III",4=>"IV",5=>"V",6=>"VI",7=>"VII",8=>"VIII",9=>"IX",10=>"X",11=>"XI",12=>"XII",13=>"XIII",14=>"XIV",15=>"XV",16=>"XVI",17=>"XVII",18=>"XVIII",19=>"XIX");
$message = "";
$azienda = getRow($gTables['aziend'],'codice',1);
if (isset($_POST['Update'])) {
    //controllo i campi
    if (empty($_POST["ragso1"]))
        $message .= "Inserire la descrizione del conto! <br>";
    if ( $message == "") { // nessun errore
        //aggiorno il db
        clfocoUpdate($_POST['codice'], $_POST);
        header("Location: report_piacon.php");
        exit;
    }
}
if (isset($_POST['Return'])) {
    header("Location: report_piacon.php");
    exit;
}
if (!isset($_POST['Update'])) {
    $codice = $_GET['codice'];
    $form = getRow($gTables['clfoco'], "codice", $codice);
} else {
    $form['codice'] = $_POST['codice'];
    $form["ragso1"] = $_POST['ragso1'];
    $form["ceedar"] = $_POST['ceedar'];
    $form["ceeave"] = $_POST['ceeave'];
}

require_once("../../library/include/header.php");
HeadMain($titolo,'');
?>
<title>Modifica Piano dei conti</title>
<form method="POST">
<input type="hidden" name="codice" value="<?php print $form['codice']; ?>">
<div align="center" class="FacetFormHeaderFont">Modifica Piano dei conti</div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
  <tr>
    <td colspan="2" class="FacetDataTDred">
    <?php
    if (! $message == "") {
        print "$message";
    }

    ?>
    </td>
  </tr>
 <tr>
    <td class="FacetFieldCaptionTD">Mastro </td>
    <td class="FacetDataTD"> <?php print substr($form["codice"],0,3); ?> </td>
  </tr>
 <tr>
    <td class="FacetFieldCaptionTD">Conto </td>
    <td class="FacetDataTD"> <?php print substr($form["codice"],3); ?> </td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Descrizione  * </td>
    <td class="FacetDataTD"><input title="Descrizione del mastro o del conto" type="text" name="ragso1" value="<?php print $form["ragso1"] ?>" maxlength="50" size="30" class="FacetInput"> </td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Riclassificazione Bilancio CE, ecced.= DARE </td>
    <td class="FacetDataTD">
    <select name="ceedar" class="FacetSelectBil">
    <?php
    foreach ($data as $rigo) {
        $selected="";
        $nr=intval(substr($rigo[0],2,2));
        $spqr=$nromani[$nr];
        if(trim($form["ceedar"]) == $rigo[0])
            $selected = " selected ";
        echo "<option value=\"".$rigo[0]."\"".$selected."> ".substr($rigo[0],0,2)." ".$spqr." ".substr($rigo[0],4,4)." ".$rigo[1];
        echo "</option>\n";
    }
    ?>
    </select>
    </td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Riclassificazione Bilancio CE, ecced.= AVERE&nbsp;</td>
    <td class="FacetDataTD">
    <select name="ceeave" class="FacetSelectBil">
    <?php
    foreach ($data as $rigo) {
        $selected="";
        $nr=intval(substr($rigo[0],2,2));
        $spqr=$nromani[$nr];
        trim($rigo[0]);
        if(trim($form["ceeave"]) == $rigo[0])
            $selected = " selected ";
        echo "<option value=\"".$rigo[0]."\"".$selected."> ".substr($rigo[0],0,2)." ".$spqr." ".substr($rigo[0],4,4)." ".$rigo[1];
        echo "</option>\n";
    }
    ?>
    </select>
    </td>  </tr>
<tr>
    <td class="FacetFieldCaptionTD">I campi contrassegnati con * sono obbligatori! &nbsp;</td>
    <td colspan="2" align="right" >
    <!-- BEGIN Button Return --><input title="Torna indietro" type="submit" name="Return" value="Indietro"><!-- END Button Return -->&nbsp;
    <!-- BEGIN Button Delete --><input title="Annulla le modifiche apportate alla schermata" type="reset" name="Delete" value="Cancella"><!-- END Button Delete -->&nbsp;
    <!-- BEGIN Button Insert --><input title="Accetta tutto e modifica" type="submit" name="Update" value="MODIFICA !"><!-- END Button Insert -->&nbsp;
 </td>
</tr>
</table>
</form>
</body>
</html>