<?php
/*$Id: admin_letter.php,v 1.14 2008/10/14 08:29:38 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$msg = "";
$azienda = getRow($gTables['aziend'],'codice',1);
$mastroclienti = $azienda['mascli']."000000";
$iniclienti=$azienda['mascli'].'000001';
$finclienti=$azienda['mascli'].'999999';
$mastrofornitori = $azienda['masfor']."000000";
$inifornitori=$azienda['masfor'].'000001';
$finfornitori=$azienda['masfor'].'999999';

if (!isset($_POST['ritorno'])) {
    $form['ritorno'] = $_SERVER['HTTP_REFERER'];
} else {
    $form['ritorno'] = $_POST['ritorno'];
}

$tipoLettera = array ("LET"=>'',"DIC"=>'',"SOL"=>'');
// il tipo documento dev'essere settato e del tipo giusto altrimenti torna indietro
if ((isset($_GET['Update']) and  !isset($_GET['id_let'])) or
   (isset($_GET['tipo']) and (!array_key_exists($_GET['tipo'],$tipoLettera)))) {
    header("Location: ".$form['ritorno']);
    exit;
}

if ((isset($_POST['Update'])) or (isset($_GET['Update']))) {
    $toDo = 'update';
} else {
    $toDo = 'insert';
}

if ((isset($_POST['Insert'])) or (isset($_POST['Update']))) {   //se non e' il primo accesso
    $form['id_let'] = intval($_POST['id_let']);
    $form['gioemi'] = intval($_POST['gioemi']);
    $form['mesemi'] = intval($_POST['mesemi']);
    $form['annemi'] = intval($_POST['annemi']);
    $form['numero'] = $_POST['numero'];
    $form['tipo'] = $_POST['tipo'];
    $form['clfoco'] = intval($_POST['clfoco']);
    $form['oggetto'] = stripslashes($_POST['oggetto']);
    $form['c_a'] = stripslashes($_POST['c_a']);
    $form['corpo'] = stripslashes($_POST['corpo']);
    if (isset($_POST['signature'])) {
        $form['signature'] = 'checked';
    } else {
        $form['signature'] = '';
    }
    //--- variabili temporanee
    if (isset($_POST['cerca_partner'])) {
       $form['cerca_partner'] = $_POST['cerca_partner'];
    } else {
       $form['cerca_partner'] = '';
    }
    if (isset($_POST['newpartner'])) {
            $anagrafica = new Anagrafica();
            $partner = $anagrafica->getPartner($form['clfoco']);
            $form['cerca_partner'] = substr($partner['ragso1'],0,4);
            $form['clfoco'] = 0;
    }
   if (isset($_POST['ins'])) {   // Se viene inviata la richiesta di conferma totale ...
       $datemi = date("Ymd",mktime(0,0,0,$form['mesemi'],$form['gioemi'],$form['annemi']));
       if (!checkdate( $form['mesemi'], $form['gioemi'], $form['annemi'])) {
          $msg .= "10+";
       }
       if ($form['clfoco'] == 0) {
          $msg .= "11+";
       }
       if ($msg == "") {// nessun errore
          $form['write_date'] = $datemi;
          $form['oggetto'] = addslashes($form['oggetto']);
          $form['c_a'] = addslashes($form['c_a']);
          $form['corpo'] = addslashes($form['corpo']);
          if (isset($_POST['signature'])) {
                $form['signature'] = 1;
          } else {
                $form['signature'] = 0;
          }
          if ($toDo == 'update') {  // modifica
             $codice = array('id_let',$form['id_let']);
             letterUpdate($codice,$form);
             header("Location: ".$form['ritorno']);
             exit;
          } else {                  // inserimento
             letterInsert($form);
             $_SESSION['print_request'] = ultimoID();
             header("Location: invsta_letter.php");
             exit;
          }
       }
   }
} elseif ((!isset($_POST['Update'])) and (isset($_GET['Update']))) { //se e' il primo accesso per UPDATE
    $lettera = getRow($gTables['letter'],'id_let',$_GET['id_let']);
    if ($lettera['adminid'] != $_SESSION['Login']) { //non  l'utente che ha scritto la lettera
       header("Location: report_letter.php");
       exit;
    }
    $anagrafica = new Anagrafica();
    $partner = $anagrafica->getPartner($lettera['clfoco']);
    $form['id_let'] = $lettera['id_let'];
    $form['gioemi'] = substr($lettera['write_date'],8,2);
    $form['mesemi'] = substr($lettera['write_date'],5,2);
    $form['annemi'] = substr($lettera['write_date'],0,4);
    $form['numero'] = $lettera['numero'];
    $form['tipo'] = $lettera['tipo'];
    $form['clfoco'] = $lettera['clfoco'];
    $form['oggetto'] = $lettera['oggetto'];
    $form['c_a'] = $lettera['c_a'];
    $form['corpo'] = $lettera['corpo'];
    if ($lettera['signature'] == 1) {
        $form['signature'] = 'checked';
    } else {
        $form['signature'] = '';
    }
    //--- variabili temporanee
    $form['cerca_partner'] = '';
} elseif (!isset($_POST['Insert'])) { //se e' il primo accesso per INSERT
    $form['id_let'] = "";
    $form['gioemi'] = date("d");
    $form['mesemi'] = date("m");
    $form['annemi'] = date("Y");
    $rs_ultima_lettera = dynQuery("*", $gTables['letter'], "YEAR(write_date) = ".date("Y"),'write_date DESC, numero DESC, id_let DESC',0,1);
    $ultima_lettera = dbms_fetch_array($rs_ultima_lettera);
    if ($ultima_lettera) {
       $form['numero'] = intval($ultima_lettera['numero']) + 1;
       $form['tipo'] = $ultima_lettera['tipo'];
    } else {
       $form['numero'] = 1;
       $form['tipo'] = 'LET';
    }
    $form['clfoco'] = 0;
    $form['oggetto'] = '';
    $form['c_a'] = '';
    $form['corpo'] = '';
    $form['signature'] = '';
    //--- variabili temporanee
    $form['cerca_partner'] = '';
}

require_once("../../library/include/header.php");
$strTrad = $strScript["admin_letter.php"];
HeadMain(ucfirst($strMessage[$toDo].$strTrad[0][$form['tipo']]),'');
echo "<div align=\"center\" class=\"FacetFormHeaderFont\">".ucfirst($strMessage[$toDo].$strTrad[0][$form['tipo']])."</div>\n";
echo "<form method=\"POST\">";
echo "<input type=\"hidden\" name=\"".ucfirst($toDo)."\" value=\"\">\n";
echo "<input type=\"hidden\" value=\"".$form['ritorno']."\" name=\"ritorno\">\n";
echo "<input type=\"hidden\" name=\"id_let\" value=\"".$form['id_let']."\">\n";
echo "<table class=\"Tlarge\">\n";
if (!empty($msg)) {
    echo "<tr><td colspan=\"6\" class=\"FacetDataTDred\">";
    $message = "";
    $rsmsg = array_slice( explode('+',chop($msg)),0,-1);
    foreach ($rsmsg as $value){
            $message .= $strMessage['error']."! -> ";
            $rsval = explode('-',chop($value));
            foreach ($rsval as $valmsg){
                    $message .= $strTrad[$valmsg]." ";
            }
            $message .= "<br />";
    }
    echo $message."</td></tr>\n";
}
echo "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[7]</td><td class=\"FacetDataTD\"><select name=\"tipo\" class=\"FacetSelect\">\n";
foreach ($tipoLettera as $key => $value) {
    $selected="";
    if($form["tipo"] == $key) {
        $selected = " selected ";
    }
    echo "<option value=\"".$key."\"".$selected.">".$strTrad[0][$key]."</option>";
}
echo "</select></td>";
echo " <td align=\"right\" class=\"FacetFieldCaptionTD\">$strTrad[3]</td><td class=\"FacetDataTD\"> <input type=\"text\" value=\"".$form['numero']."\" maxlength=\"20\" size=\"20\" name=\"numero\"></td>\n";
echo "<td class=\"FacetFieldCaptionTD\">$strTrad[1]</td><td class=\"FacetDataTD\"> \n";
// select del giorno
echo "\t <select name=\"gioemi\" class=\"FacetSelect\" >\n";
for( $counter = 1; $counter <= 31; $counter++ )
    {
    $selected = "";
    if($counter ==  $form['gioemi'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
    }
echo "\t </select>\n";
// select del mese
echo "\t <select name=\"mesemi\" class=\"FacetSelect\" >\n";
for( $counter = 1; $counter <= 12; $counter++ )
    {
    $selected = "";
    if($counter == $form['mesemi'])
            $selected = "selected";
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
    }
echo "\t </select>\n";
// select del anno
echo "\t <select name=\"annemi\" class=\"FacetSelect\">\n";
for( $counter = $form['annemi']-10; $counter <= $form['annemi']+10; $counter++ )
    {
    $selected = "";
    if($counter == $form['annemi'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
    }
echo "\t </select></td></tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[4] : </td><td colspan=\"3\" class=\"FacetDataTD\"><input type=\"text\" value=\"".$form['oggetto']."\" maxlength=\"60\" size=\"60\" name=\"oggetto\"></td>\n";
echo "<td class=\"FacetFieldCaptionTD\">$strTrad[2] : </td><td class=\"FacetDataTD\">\n";
$messaggio = "";
$ric_mastro = substr($form['clfoco'],0,3);
if ($form['clfoco'] == 0) {
   $tabula =" tabindex=\"1\" ";
   if (strlen($form['cerca_partner']) >= 2) {
      $anagrafica = new Anagrafica();
      $partner = $anagrafica->queryPartners("*", "(codice between '$iniclienti' and '$finclienti' or codice between '$inifornitori' and '$finfornitori') and ragso1 like '{$form['cerca_partner']}%'", "ragso1 asc");
      if (sizeof($partner) > 0) {
         $tabula="";
         echo "\t<select name=\"clfoco\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
         echo "<option value=\"000000000\"> ---------- </option>";
         while (list($key, $row) = each($partner)) {
           $selected = "";
           if ($row["codice"] == $form['clfoco']) {
               $selected = "selected";
           }
           echo "\t\t <option value=\"".$row["codice"]."\" $selected >".$row["ragso1"]."&nbsp;".$row["citspe"]."</option>\n";
         }
         echo "\t </select>\n";
      } else {
      $messaggio = "Non &egrave; stato trovato nulla!";
      echo "\t<input type=\"hidden\" name=\"clfoco\" value=\"".$form['clfoco']."\">\n";
      }
   } else {
      $messaggio = "Inserire min. 2 caratteri!";
      echo "\t<input type=\"hidden\" name=\"clfoco\" value=\"".$form['clfoco']."\">\n";
   }
   echo "\t<input type=\"text\" name=\"cerca_partner\" accesskey=\"e\" value=\"".stripslashes($form['cerca_partner'])."\" maxlength=\"15\" size=\"9\" class=\"FacetInput\">\n";
   echo $messaggio;
   echo "\t <input type=\"image\" align=\"middle\" accesskey=\"c\" name=\"search\" src=\"../../library/images/cerbut.gif\"></td>\n";
} else {
   $anagrafica = new Anagrafica();
   $partner = $anagrafica->getPartner($form['clfoco']);
   echo "<input type=\"submit\" value=\"".substr($partner['ragso1'],0,30)."\" name=\"newpartner\" title=\" MODIFICA ! \">\n";
   echo "\t<input type=\"hidden\" name=\"clfoco\" value=\"".$form['clfoco']."\">\n";
}
echo "</td></tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[5] : </td><td colspan=\"3\" class=\"FacetDataTD\"><input type=\"text\" value=\"".$form['c_a']."\" maxlength=\"60\" size=\"60\" name=\"c_a\"></td>\n";
echo "<td class=\"FacetFieldCaptionTD\"></td><td class=\"FacetDataTD\" ";
if (isset($partner['indspe'])){
   echo "title=\"fax: ".$partner['fax']."\">".$partner['indspe']."<br />".$partner['capspe']." ".$partner['citspe']." (".$partner['prospe'].")";
} else {
   echo ">";
}
echo "</td></tr>\n";
echo "<tr><td colspan=\"6\" class=\"FacetFieldCaptionTD\" align=\"center\">$strTrad[8]</td></tr>\n";
echo "<tr><td colspan=\"6\" class=\"FacetFieldCaptionTD\" align=\"center\"><textarea rows=\"20\" cols=\"120\" name=\"corpo\" class=\"FacetInput\">".$form["corpo"]."</textarea></td></tr>\n";
echo "<tr><td colspan=\"3\" class=\"FacetFieldCaptionTD\" align=\"right\">$strTrad[9]<input type=\"checkbox\" name=\"signature\" ".$form['signature'].
     "></td><td colspan=\"3\" class=\"FacetFieldCaptionTD\" align=\"right\"><input type=\"submit\" accesskey=\"i\" name=\"ins\" value=\"".
     $strButton['submit']." !\" /></td></tr>";

?>
</table>
</form>
</body>
</html>