<?php
/*$Id: backup.php,v 1.11 2008/10/14 08:29:38 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/

require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin(9);

// ricavo il nome del file di back up
$anno = date("Y");
$oggi = date("Y-m-d");
$ora_inizio = date("Y-m-d H:i:s");
$message = "";
$path_backup =  $ora_inizio  . ".sql";
$search = array(' ', ':','-');
$replace = array("_","_","_");
$path_backup = str_replace($search, $replace, $path_backup);

// creo il file di back up con il nome ottenuto in precedenza.
$filename = $path_backup;
$browser = $_SERVER['HTTP_USER_AGENT'];

// Impostazione degli header per l'opozione "save as" dello standard input che verr generato
if (getBrowser($browser) == "ie") {
    header("Content-type: application/force-download");
} else {
    header("Content-Type: application/octet-stream");
}

//header("Content-Length:" . $dimensioni_massime_back_up);
header("Content-Disposition: attachment; filename= " . $filename);
header('Expires: ' . gmdate('D, d M Y H:i:s') . ' GMT');// per poter ripetere l'operazione di back-up pi volte.

//lettura delle informazioni (struttura + dati) dal database:
// ottiene tutti i nomi delle tabelle del database in uso
$query = "SHOW  TABLES from " . $Database;
$result = dbms_query ($query);// ottengo le tabelle in un unico array associativo
while ($a_row = dbms_fetch_array($result)) {// navigazione tra gli elementi dell'array associativo (navigazione tra ciascuna delle tabelle ottenute dalla query di cui sopra)
    list ($key , $nome_tabella) = each($a_row); // conversione di ciascun elemento dell'array associativo nelle variabili chiave e valore corrispondenti (nomi tabelle).
    // creazione della struttura della tabella corrente.
    createTable($nome_tabella);

    // riempimento della tabella corrente
    $field_results = dbms_query ("select * from " . $nome_tabella);

    while($row = dbms_fetch_object($field_results)) {
        $query_inserimento = "INSERT INTO `" . $nome_tabella . "`  VALUES ( " ;
        array_walk ($row, 'accodaQuery');
        $query_inserimento = ereg_replace(",$", "", $query_inserimento);// elimina l'ultima virgola dalla stringa(se esiste)
        print($query_inserimento);
        print("); \r\n");  //"
    }
    print("\r\n");
    dbms_free_result($field_results);
}
exit;

// Coded By Louis
// ############### FUNZIONI DI SUPPORTO ###############
function accodaQuery($elemento, $chiave)
{
    global  $query_inserimento;
    $elemento = addslashes($elemento); // risolve il classico problema dei caratteri speciali per inserimenti in SQL
    $elemento = ereg_replace("\\\'","''",$elemento); //cambia lo backslash+singlequote con 2 singlequote come fa phpmyadmin.
    $query_inserimento .= " '" . $elemento . "',";
}

function createTable($table)
{
    $results = dbms_query ("SHOW CREATE TABLE ".$table);
    $row = dbms_fetch_array($results);
    print $row['Create Table'];
    print(";\r\n\r\n");
}

function getBrowser($agent)
{
    if(eregi("(msie) ([0-9]{1,2}.[0-9]{1,3})", $agent)) {
        $str = "ie";
    } else {
        $str = "nn";
    }
    return $str;
}
?>
</table>
</form>
</body>
</html>