<?php
/* $Id: delete_letter.php,v 1.5 2008/10/14 08:29:38 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$azienda = getRow($gTables['aziend'],'codice',1);

if (isset($_POST['Delete'])) {
    delRow($gTables['letter'], 'id_let', $_GET['id_let']);
    header("Location: report_letter.php");
    exit;
} else {
    $form = getRow($gTables['letter'], "id_let", $_GET['id_let']);
    if ($form['adminid'] != $_SESSION['Login']) { //non  l'utente che ha scritto la lettera
       header("Location: report_letter.php");
       exit;
    }
    $anagrafica = new Anagrafica();
    $partner = $anagrafica->getPartner($form['clfoco']);
}

if (isset($_POST['Return'])){
        header("Location: report_letter.php");
        exit;
}

require_once("../../library/include/header.php");
$title = ucwords($strButton['delete'].$strScript["admin_letter.php"][0][$form['tipo']]);
HeadMain($title,'');
print "<form method=\"POST\">\n";
print "<div align=\"center\" class=\"FacetFormHeaderFont\">$title</div>\n";
print "<table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" class=\"FacetFormTABLE\" align=\"center\">\n";
print "<tr><td class=\"FacetFieldCaptionTD\">".$strScript["admin_letter.php"][3]."</td><td class=\"FacetDataTD\">".$form['numero']."</td></tr>";
print "<tr><td class=\"FacetFieldCaptionTD\">".$strScript["admin_letter.php"][1]."</td><td class=\"FacetDataTD\">".$form['data']."</td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">".$strScript["admin_letter.php"][2]."</td><td class=\"FacetDataTD\">".$partner['ragso1']."</td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">".$strScript["admin_letter.php"][4]."</td><td class=\"FacetDataTD\">".$form['oggetto']."</td></tr>\n";
print "<td align=\"right\"><input type=\"submit\" name=\"Return\" value=\"".$strButton['return']."\"></td><td align=\"right\"><input type=\"submit\" name=\"Delete\" value=\"".strtoupper($strButton['delete'])."!\"></td></tr>";
?>
</table>
</form>
</body>
</html>