<?php
/*$Id: update_control.php,v 1.14 2008/10/14 08:29:38 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin(9);
$azienda = getRow($gTables['aziend'],'codice',1);
$configurazione = getRow($gTables['config'],'variable','update_url');
// se si ha un sito "personalizzato" per il download diverso da quello ufficiale su Sourceforge: modifico quello di default
$URI_files = getRow($gTables['config'],'variable','update_URI_files');
if (!empty($URI_files['cvalue'])){
   $update_URI_files = $URI_files['cvalue'];
}
$titolo="Controllo aggiornamento software";
require_once("../../library/include/header.php");
HeadMain($titolo,'');
// Qui viene tenuto dagli sviluppatori la lista dei siti che hanno messo a disposizione il file di check della propria versione
$tutor= array();
$tutor[1] = array('zone' => 'Abruzzo', 'city' =>'Montesilvano (PE)','sms' => '', 'web' => 'www.devincentiis.it', 'check' => 'http://www.devincentiis.it/file_ver');
// fine lista

if (isset($_POST['check'])){// se viene richiesta una modifica della fonte di check
    foreach ($_POST['check'] as $key => $value){
         if ($key != 'disabled'){
             //modifico il valore della configurazione sul DB
             putRow($gTables['config'], 'variable','update_url', "cvalue", $tutor[$key]['check']);
         } else {
             putRow($gTables['config'], 'variable','update_url', "cvalue", '' );
         }
    }
    $configurazione = getRow($gTables['config'],'variable','update_url');
}

function tutor_list($tutor,$configurazione)
{
    echo "<form method=\"POST\"><table class=\"Tlarge\">\n";
    echo "<tr><th class=\"FacetFieldCaptionTD\">ZONA</th><th class=\"FacetFieldCaptionTD\">CITTA'</th><th class=\"FacetFieldCaptionTD\">S.M.S.</th><th class=\"FacetFieldCaptionTD\">INDIRIZZO WEB</th><th class=\"FacetFieldCaptionTD\">SCEGLI</th></tr>\n";
    foreach ($tutor as $key => $value){
            echo "<tr><td>".$value['zone']."</td>\n";
            echo "<td>".$value['city']."</td>\n";
            echo "<td>".$value['sms']."</td>\n";
            echo "<td align=\"center\"><a href=\"http://".$value['web']."\" target=\"_NEW\">".$value['web']."</a></td>\n";
            if (!empty($value['check']) and $configurazione['cvalue'] == $value['check']) {
               echo "<td class=\"FacetDataTD\" align=\"right\"><input disabled style=\"color:red;\" type=\"submit\" value=\"Abilitato\" name=\"check[{$key}]\" title=\"Abilita controllo versione da questo sito!\" /></td></tr>\n";
            } else {
               echo "<td align=\"right\"><input type=\"submit\" value=\"Abilita!\" name=\"check[{$key}]\" title=\"Abilita controllo versione da questo sito!\" /></td></tr>\n";
            }
    }
    echo "<tr><td colspan=\"5\" class=\"FacetDataTD\" align=\"right\"><input type=\"submit\" value=\"Disabilita Tutti!\" name=\"check[disabled]\" title=\"Disabilita tutti i siti per il controllo della versione!\" /></td></tr>\n";
    echo "</table></form>";
}
?>
<br />
<div align="center" class="FacetFormHeaderFont"><?php echo $titolo; ?></div>
<br /><br />
<?php
if ($configurazione['cvalue']) {
   $remote_id = http_get($configurazione['cvalue']);
   if (ereg("^([0-9]{1,2}).([0-9]{1,2}).([0-9]{1,2})",$remote_id,$regs)){
      // versione locale presa da gconfig.php
      $pz_local = explode(".", $versSw);
      $pz_remote = explode(".", $remote_id);
      $local = 10000 * $pz_local[0] + 100 * $pz_local[1] + $pz_local[2];
      $remote = 10000 * $regs[1] + 100 * $regs[2] + $regs[3];
      if ($remote <= $local) {
         $newversion = false;
      } else {
         $newversion = true;
      }
      if ($newversion) {
        echo "<div class=\"FacetDataTDred\" align=\"center\">E' disponibile una <b>nuova</b> versione ($regs[1]. $regs[2].$regs[3]) di GAzie! <br>Per effettuare l'aggiornamento puoi scaricare i files da: <a href=\"".$update_URI_files."\" target=\"_blank\">".$update_URI_files."</div>";
      } else {
        echo "<div class=\"FacetDataTDred\" align=\"center\">Non ci sono nuovi aggiornamenti disponibili. Questa versione di GAzie e' aggiornata all'ultima disponibile.</div>";
        tutor_list($tutor,$configurazione);
      }
   } else {
        echo "<div class=\"FacetDataTDred\" align=\"center\">Ci sono problemi di connessione al server per il controllo della versione!<br />".$configurazione['cvalue']."</div>";
        tutor_list($tutor,$configurazione);
   }
} else {
    echo "<div class=\"FacetDataTDred\" align=\"center\">Il controllo delle versioni aggiornate &egrave; stato disabilitato. E' possibile riattivarlo scegliendo uno dei servizi di check messi a disposizione dai seguenti siti:</div>";
    tutor_list($tutor,$configurazione);
}

function http_get($url)
{
   $buffer = "";
   $url_stuff = parse_url($url);
   $port = isset($url_stuff['port']) ? $url_stuff['port'] : 80;
   $fp = @fsockopen($url_stuff['host'], $port, $errno, $errstr);
   if (!$fp) {
      return "ERRORE: $errno - $errstr connessione o check non disponibile<br \>\n";
   } else {
     $query  = 'GET ' . $url_stuff['path'] . " HTTP/1.0\n";
     $query .= 'Host: ' . $url_stuff['host'];
     $query .= "\n\n";
     fwrite($fp, $query);
     while ($tmp = fread($fp, 1024)){
       $buffer .= $tmp;
     }
     preg_match('/Content-Length: ([0-9]+)/', $buffer, $parts);
     return substr($buffer, - $parts[1]);
   }
}
?>
</body>
</html>