<?php
/* $Id: admin_caumag.php,v 1.9 2008/11/05 15:30:33 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$msg = "";
$azienda = getRow($gTables['aziend'],"codice",1);

if ((isset($_POST['Update'])) or (isset($_GET['Update']))) {
    $toDo = 'update';
} else {
    $toDo = 'insert';
}

if (!isset($_POST['ritorno'])) {
    $_POST['ritorno'] = $_SERVER['HTTP_REFERER'];
}

if ((isset($_GET['Update']) and  !isset($_GET['codice'])) or isset($_POST['Return'])) {
    header("Location: ".$_POST['ritorno']);
    exit;
}

if ((isset($_POST['Insert'])) or (isset($_POST['Update']))) {   //se non e' il primo accesso
    //qui si dovrebbe fare un parsing di quanto arriva dal browser...
    $form['codice'] = intval($_POST['codice']);
    $form['descri'] = stripslashes($_POST['descri']);
    $form['insdoc'] = $_POST['insdoc'];
    $form['operat'] = $_POST['operat'];
    $form['clifor'] = $_POST['clifor'];
    $form['upesis'] = $_POST['upesis'];
    // Se viene inviata la richiesta di conferma totale ...
    if (isset($_POST['ins'])) {
       if ($toDo == 'insert') { // e' un inserimento, controllo se il codice esiste
          $rs_ctrl = getRow($gTables['caumag'],"codice",$form['codice']);
          if ($rs_ctrl){
             $msg .= "15+";
          }
       }
       if (empty($form['descri'])){  //descrizione vuota
             $msg .= "16+";
       }
       if ($form['codice']>98) {  //descrizione vuota
             $msg .= "17+";
       }
       if ($msg == "") {// nessun errore
          if ($toDo == 'update') { // e' una modifica
             caumagUpdate($form['codice'],$form);
             header("Location: ".$_POST['ritorno']);
             exit;
          } else { // e' un'inserimento
             caumagInsert($form['codice'],$form);
             header("Location: ".$_POST['ritorno']);
             exit;
          }
       }
  }
} elseif ((!isset($_POST['Update'])) and (isset($_GET['Update']))) { //se e' il primo accesso per UPDATE
    $caumag = getRow($gTables['caumag'],"codice",intval($_GET['codice']));
    $form['ritorno'] = $_POST['ritorno'];
    $form['codice'] = $caumag['codice'];
    $form['descri'] = $caumag['descri'];
    $form['insdoc'] = $caumag['insdoc'];
    $form['clifor'] = $caumag['clifor'];
    $form['operat'] = $caumag['operat'];
    $form['upesis'] = $caumag['upesis'];
} elseif (!isset($_POST['Insert'])) { //se e' il primo accesso per INSERT
    $form['ritorno'] = $_SERVER['HTTP_REFERER'];
    $rs_ultimo_codice = dynQuery("*", $gTables['caumag'], 1 ,"codice desc",0,1);
    $ultimo_codice = dbms_fetch_array($rs_ultimo_codice);
    $form['codice'] = $ultimo_codice['codice']+1;
    $form['descri'] = "";
    $form['clifor'] = 0;
    $form['insdoc'] = 1;
    $form['operat'] = 1;
    $form['upesis'] = 1;
}
require_once("../../library/include/header.php");
$strTrad = $strScript["admin_caumag.php"];
if ($toDo == 'update') {
   $title = ucwords($strMessage[$toDo].$strTrad[0])." n.".$form['codice'];
} else {
   $title = ucwords($strMessage[$toDo].$strTrad[0]);
}
HeadMain($title,'');
print "<form method=\"POST\">\n";
print "<input type=\"hidden\" name=\"".ucfirst($toDo)."\" value=\"\">\n";
print "<input type=\"hidden\" value=\"".$_POST['ritorno']."\" name=\"ritorno\">\n";
print "<div align=\"center\" class=\"FacetFormHeaderFont\">$title</div>";
print "<table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" class=\"FacetFormTABLE\" align=\"center\">\n";
if (!empty($msg)) {
    $message = "";
    $rsmsg = array_slice( explode('+',chop($msg)),0,-1);
    foreach ($rsmsg as $value){
            $message .= $strMessage['error']."! -> ";
            $rsval = explode('-',chop($value));
            foreach ($rsval as $valmsg){
                    $message .= $strTrad[$valmsg]." ";
            }
            $message .= "<br />";
    }
    echo '<tr><td colspan="5" class="FacetDataTDred">'.$message."</td></tr>\n";
}
if ($toDo == 'update') {
   print "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[1]</td><td class=\"FacetDataTD\"><input type=\"hidden\" name=\"codice\" value=\"".$form['codice']."\" />".$form['codice']."</td></tr>\n";
} else {
   print "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[1]</td><td class=\"FacetDataTD\"><input type=\"text\" name=\"codice\" value=\"".$form['codice']."\" maxlength=\"2\" size=\"2\" /></td></tr>\n";
}
print "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[2]</td><td class=\"FacetDataTD\"><input type=\"text\" name=\"descri\" value=\"".$form['descri']."\" maxlength=\"50\" size=\"50\" /></td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[11]</td><td class=\"FacetDataTD\">\n";
print "<select name=\"clifor\" class=\"FacetSelect\">\n";
for ($counter = -1; $counter <= 1; $counter++) {
    $selected="";
    if ($form["clifor"] == $counter) {
       $selected = " selected ";
    }
    print "<option value=\"$counter\" $selected > ".$strTrad[$counter+13]."</option>\n";
}
print "</select></td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[3]</td><td class=\"FacetDataTD\">\n";
print "<select name=\"insdoc\" class=\"FacetSelect\">\n";
for ($counter = 0; $counter <= 1; $counter++) {
    $selected="";
    if ($form["insdoc"] == $counter) {
       $selected = " selected ";
    }
    print "<option value=\"$counter\" $selected > ".$strTrad[$counter+6]."</option>\n";
}
print "</select></td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[4]</td><td class=\"FacetDataTD\">\n";
print "<select name=\"operat\" class=\"FacetSelect\">\n";
for ($counter = -1; $counter <= 1; $counter++) {
    $selected="";
    if ($form["operat"] == $counter) {
       $selected = " selected ";
    }
    print "<option value=\"$counter\" $selected > ".$strTrad[$counter+9]."</option>\n";
}
print "</select></td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[5]</td><td class=\"FacetDataTD\">\n";
print "<select name=\"upesis\" class=\"FacetSelect\">\n";
for ($counter = 0; $counter <= 1; $counter++) {
    $selected="";
    if ($form["upesis"] == $counter) {
       $selected = " selected ";
    }
    print "<option value=\"$counter\" $selected > ".$strTrad[$counter+6]."</option>\n";
}
print "</select></td></tr><tr><td class=\"FacetFieldCaptionTD\"><input type=\"reset\" name=\"Cancel\" value=\"".$strButton['cancel']."\">\n";
print "</td><td class=\"FacetDataTD\" align=\"right\">\n";
print "<input type=\"submit\" name=\"Return\" value=\"".$strButton['return']."\">\n";
if ($toDo == 'update') {
   print '<input type="submit" accesskey="m" name="ins" value="'.strtoupper($strMessage['update']).'!"></td></tr><tr></tr>';
} else {
   print '<input type="submit" accesskey="i" name="ins" value="'.strtoupper($strMessage['insert']).'!"></td></tr><tr></tr>';
}
print "</td></tr></table>\n";
?>
</form>
</body>
</html>