<?php
/*$Id: stampa_depliant.php,v 1.11 2008/10/18 13:49:25 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$azienda = getRow($gTables['aziend'], 'codice', 1);
$logo = $azienda['image'];
require_once("../../config/templates/report_template.php");
if (!isset($_GET['cmi']) or
    !isset($_GET['cmf']) or
    !isset($_GET['cai']) or
    !isset($_GET['caf'])) {
    header("Location: select_deplia.php");
    exit;
}
if (empty($_GET['caf'])) {
    $_GET['caf'] = 'zzzzzzzzzzzzzzz';
}

$listino = 'preve1';
if (isset($_GET['lis'])) {
   if (intval($_GET['lis']) == '2') {
      $listino = 'preve2';
   } elseif (intval($_GET['lis']) == '3') {
      $listino = 'preve3';
   }
}

class Depliant extends  Report_template
{

function printItem($code,$description,$price='',$um='',$un=0,$note='',$image='',$barcode='')
{
   global $money;
   $x=$this->GetX();
   $y=$this->GetY();
   $lf=0;
   if (!empty($image)){
        if ($x > 20){
           $lf=1;
           $y -= 15;
           $x=103;
           $this->SetY($y);
           $this->SetX($x);
        }
        $this->MemImage($image,$x+72,$y,20,20);
        $this->SetFont('freesans','',10);
        $this->Cell(93,5,$code,'LTR',2);
        $this->Cell(93,5,$description,'LR',2);
        if ($un > 0){
         $un .= ' N./Pack';
        } else {
         $un = '';
        }
        $this->Cell(93,5,$price.' '.$money[1].' / '.$um.' '.$un,'LR',2);
        $this->Cell(73,5,$note,'LB',0,'R');
        $this->Cell(20,5,'','BR',$lf,'R');
   } elseif (!empty($barcode)) {
        if ($x > 20){
           $lf=1;
           $y-=15;
           $x=103;
           $this->SetY($y);
           $this->SetX($x);
        }
        $this->EAN13($x+40,$y+5,$barcode,10);
        $this->Cell(93,5,$code.' - '.$description,'LTR',2);
        $this->Cell(93,5,'','LR',2);
        $this->Cell(93,5,$price.' '.$money[1].' / '.$um,'LR',2);
        $this->Cell(93,5,'','LBR',$lf);
   } else {
        if ($x > 20){
           $this->SetY($y+5);
           $this->SetX(10);
        }
        $this->SetX(10);
        $this->Cell(30,5,$code,1,0,'L');
        $this->Cell(63,5,$description,1,0,'L');
        $this->Cell(40,5,$price.' '.$money[1].' / '.$um,1,0,'R');
        $this->Cell(53,5,$note,1,1,'C');
   }
}

function printGroupItem($code,$description,$image='')
{
   $x=$this->GetX();
   $y=$this->GetY();
   if ($x > 20){
       $this->SetY($y+5);
       $this->SetX(10);
   }
   if (empty($image)){
        $this->Cell(120,6,'Cat.Merceologica: '.$code.' - '.$description,'T',1,'L',1);
   } else {
        $this->MemImage($image,$x+120,$y+1,0,19);
        $this->SetFont('freesans','',10);
        $this->Cell(120,20,'Cat.Merceologica: '.$code.' - '.$description,'T',1,'L',1);
   }
}

}

$title = array('title'=>"CATALOGO del ".date('d.m.Y'),'hile'=>array());

$where = $gTables['catmer'].".codice BETWEEN ".intval($_GET['cmi'])." AND ".intval($_GET['cmf'])." AND ".
         $gTables['artico'].".codice BETWEEN '".substr($_GET['cai'],0,15)."' AND '".substr($_GET['caf'],0,15)."'";
$result = dynQuery($gTables['artico'].".codice AS codart,".
                   $gTables['artico'].".descri AS desart,".
                   $gTables['artico'].".image AS imaart,".
                   $gTables['artico'].".catmer,".
                   $gTables['artico'].".unimis,".
                   $gTables['artico'].".barcode AS barcod,".
                   $gTables['artico'].".$listino AS prezzo,".
                   $gTables['artico'].".annota AS annart,".
                   $gTables['artico'].".pack_units AS units,".
                   $gTables['catmer'].".descri AS descat,".
                   $gTables['catmer'].".image AS imacat,".
                   $gTables['catmer'].".codice AS codcat,".
                   $gTables['catmer'].".annota AS anncat",
                   $gTables['artico']." LEFT JOIN ".$gTables['catmer']." ON ".$gTables['artico'].".catmer = ".$gTables['catmer'].".codice",
                   $where,
                   "codcat, codart");
$pdf = new Depliant();
$pdf->setVars($azienda,$title);
$pdf->Open();
$config = new Config;
$pdf->SetPageFormat($config->getValue('page_format'));
$pdf->SetTopMargin(32);
$pdf->setFooterMargin(21);
$pdf->AddPage();
$pdf->SetFont('freesans','',10);
$ctrl_cm = 0;
while ($row = dbms_fetch_array($result)) {
        $price = number_format($row['prezzo'],$azienda['decimal_price'],',','.');
        if (isset($_GET['bc'])) { // per stampare i barcode in luogo delle immagini
           $row['imaart'] = '';
           $row['imacat'] = '';
        } else {
           $row['barcod'] = '';
        }
        if ($row['codcat'] <> $ctrl_cm) {
           if ($pdf->GetY() > 240) {
              $pdf->AddPage();
           }
           $pdf->printGroupItem($row['codcat'],$row['descat'],$row['imacat']);
        }
        $$row['codart'] = $row['imaart'];
        if ($pdf->GetY() > 240 && $pdf->GetX() > 100) {
           $pdf->printItem($row['codart'],$row['desart'], $price,$row['unimis'],$row['units'],$row['annart'],$row['imaart'],substr($row['barcod'],0,13));
           $pdf->AddPage();
        } else {
           $pdf->printItem($row['codart'],$row['desart'], $price,$row['unimis'],$row['units'],$row['annart'],$row['imaart'],substr($row['barcod'],0,13));
        }
        $ctrl_cm = $row['codcat'];
}
$pdf->Output();
?>