<?php
 /* $Id: stampa_giomag.php,v 1.17 2008/10/19 10:42:49 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/

require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
if (!ini_get('safe_mode')){ //se me lo posso permettere...
    ini_set('memory_limit','32M');
    set_time_limit (240);
}

if (!isset($_GET['datini']) or
    !isset($_GET['datfin'])) {
    header("Location: select_giomag.php");
    exit;
}

$azienda = getRow($gTables['aziend'], "codice", 1);
require_once("../../config/templates/report_template.php");

$dataini = substr($_GET['datini'],6,2).'-'.substr($_GET['datini'],4,2).'-'.substr($_GET['datini'],0,4);
$datafin = substr($_GET['datfin'],6,2).'-'.substr($_GET['datfin'],4,2).'-'.substr($_GET['datfin'],0,4);

$where = " datreg BETWEEN ".intval($_GET['datini'])." AND ".intval($_GET['datfin']);
$what = $gTables['movmag'].".*, ".
        $gTables['caumag'].".codice, ".$gTables['caumag'].".descri, ".
        $gTables['artico'].".codice, ".$gTables['artico'].".descri AS desart, ".$gTables['artico'].".unimis, ".$gTables['artico'].".scorta, ".$gTables['artico'].".image, ".$gTables['artico'].".catmer ";
$table = $gTables['movmag']." LEFT JOIN ".$gTables['caumag']." ON (".$gTables['movmag'].".caumag = ".$gTables['caumag'].".codice)
         LEFT JOIN ".$gTables['artico']." ON (".$gTables['movmag'].".artico = ".$gTables['artico'].".codice)";
$result = dynQuery ($what,$table,$where, 'datreg ASC, clfoco ASC');

$title = array('title'=>"GIORNALE DI MAGAZZINO dal ".$dataini." al ".$datafin,
               'hile'=>array(array('lun' => 20,'nam'=>'Data Reg.'),
                             array('lun' => 40,'nam'=>'Causale'),
                             array('lun' => 70,'nam'=>'Articolo'),
                             array('lun' => 70,'nam'=>'Rif.Documento'),
                             array('lun' => 17,'nam'=>'Prezzo'),
                             array('lun' => 18,'nam'=>'Valore'),
                             array('lun' => 10,'nam'=>'U.M.'),
                             array('lun' => 20,'nam'=>'Mov.Quant.')
                            )
              );

$pdf = new Report_template();
$pdf->setVars($azienda,$title);
$pdf->SetTopMargin(39);
$pdf->SetFooterMargin(20);
$config = new Config;
$pdf->AddPage('L',$config->getValue('page_format'));
$pdf->SetFont('freesans','',7);
while ($row = dbms_fetch_array($result)) {
      $datadoc = substr($row['datdoc'],8,2).'-'.substr($row['datdoc'],5,2).'-'.substr($row['datdoc'],0,4);
      $datareg = substr($row['datreg'],8,2).'-'.substr($row['datreg'],5,2).'-'.substr($row['datreg'],0,4);
      $movQuanti = $row['quanti']*$row['operat'];
      $pdf->Cell(20,3,$datareg,1,0,'C');
      $pdf->Cell(40,3,$row['caumag'].'-'.substr($row['descri'],0,22),1);
      $pdf->Cell(70,3,$row['artico'].' - '.$row['desart'],1);
      $pdf->Cell(70,3,$row['desdoc'].' del '.$datadoc,1);
      $pdf->Cell(17,3,number_format($row['prezzo'],$azienda['decimal_price'],',','.'),1,0,'R');
      $pdf->Cell(18,3,gaz_format_number(CalcolaImportoRigo($row['quanti'],$row['prezzo'],array($row['scochi'],$row['scorig']))),1,0,'R');
      $pdf->Cell(10,3,$row['unimis'],1,0,'C');
      $pdf->Cell(20,3,gaz_format_quantity($movQuanti,1,$azienda['decimal_quantity']),1,1,'R');
}
$pdf->Output();
?>