<?php
 /* $Id: stampa_schart.php,v 1.24 2008/10/19 10:42:49 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/

require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
if (!ini_get('safe_mode')){ //se me lo posso permettere...
    ini_set('memory_limit','32M');
    set_time_limit (240);
}

if (!isset($_GET['datini']) or
    !isset($_GET['datfin']) or
    !isset($_GET['camein']) or
    !isset($_GET['camefi']) or
    !isset($_GET['coarin']) or
    !isset($_GET['coarfi'])) {
    header("Location: select_schart.php");
    exit;
}
if (empty($_GET['coarfi'])){
$_GET['coarfi'] = 'zzzzzzzzzzzzzzzzz';
}

$azienda = getRow($gTables['aziend'], "codice", 1);
require_once("../../config/templates/report_template.php");
$dataini = substr($_GET['datini'],6,2).'-'.substr($_GET['datini'],4,2).'-'.substr($_GET['datini'],0,4);
$datafin = substr($_GET['datfin'],6,2).'-'.substr($_GET['datfin'],4,2).'-'.substr($_GET['datfin'],0,4);
$where = " catmer BETWEEN ".$_GET['camein']." AND ".$_GET['camefi']." AND".
         " artico BETWEEN '".$_GET['coarin']."' AND '".$_GET['coarfi']."' AND".
         " datreg BETWEEN ".intval($_GET['datini'])." AND ".intval($_GET['datfin']);
$what = $gTables['movmag'].".*, ".
        $gTables['caumag'].".codice, ".$gTables['caumag'].".descri, ".
        $gTables['clfoco'].".codice, ".$gTables['clfoco'].".ragso1, ".$gTables['clfoco'].".ragso2, ".
        $gTables['artico'].".codice, ".$gTables['artico'].".descri AS desart, ".$gTables['artico'].".unimis, ".$gTables['artico'].".scorta, ".$gTables['artico'].".image, ".$gTables['artico'].".catmer ";
$table = $gTables['movmag']." left join ".$gTables['caumag']." on (".$gTables['movmag'].".caumag = ".$gTables['caumag'].".codice)
         left join ".$gTables['clfoco']." on (".$gTables['movmag'].".clfoco = ".$gTables['clfoco'].".codice)
         left join ".$gTables['artico']." on (".$gTables['movmag'].".artico = ".$gTables['artico'].".codice)";
$result = dynQuery ($what, $table,$where,"catmer ASC, artico ASC, datreg ASC");

$item_head = array('top'=>array(array('lun' => 21,'nam'=>'Codice'),
                                array('lun' => 18,'nam'=>'Cat.Merc'),
                                array('lun' => 60,'nam'=>'Descrizione'),
                                array('lun' => 10,'nam'=>'U.M.'),
                                array('lun' => 18,'nam'=>'Scorta')
                               )
                   );

$title = array('title'=>"SCHEDA DI MAGAZZINO dal ".$dataini." al ".$datafin,
               'hile'=>array(array('lun' => 18,'nam'=>'Data Reg.'),
                             array('lun' => 40,'nam'=>'Causale'),
                             array('lun' => 120,'nam'=>'Descrizione documento - Cliente/Fornitore'),
                             array('lun' => 17,'nam'=>'Prezzo'),
                             array('lun' => 18,'nam'=>'Valore'),
                             array('lun' => 10,'nam'=>'U.M.'),
                             array('lun' => 19,'nam'=>'Mov.Quant.'),
                             array('lun' => 19,'nam'=>'Consistenza')
                            )
              );
$aRiportare = array('top'=>array(array('lun' => 242,'nam'=>'da riporto : '),
                           array('lun' => 19,'nam'=>'')
                           ),
                    'bot'=>array(array('lun' => 242,'nam'=>'a riportare : '),
                           array('lun' => 19,'nam'=>'')
                           )
                    );
$pdf = new Report_template();
$pdf->setVars($azienda,$title);
$pdf->SetTopMargin(51);
$config = new Config;
$pdf->SetFont('freesans','',8);

$ctrlArtico = "";
while ($row = dbms_fetch_array($result)) {
      $datadoc = substr($row['datdoc'],8,2).'-'.substr($row['datdoc'],5,2).'-'.substr($row['datdoc'],0,4);
      $datareg = substr($row['datreg'],8,2).'-'.substr($row['datreg'],5,2).'-'.substr($row['datreg'],0,4);
      $movQuanti = $row['quanti']*$row['operat'];
      $pdf->setRiporti($aRiportare);
      if ($ctrlArtico != $row['artico']) {
         if (!empty($ctrlArtico)) {
                   $pdf->SetFont('freesans','B',8);
                   $pdf->Cell($aRiportare['top'][0]['lun'],4,'Consistenza al '.$datafin.' : ',1,0,'R');
                   $pdf->Cell($aRiportare['top'][1]['lun'],4,$aRiportare['top'][1]['nam'],1,0,'R');
                   $pdf->SetFont('freesans','',8);
         }
         $aRiportare['top'][1]['nam'] = 0;
         $aRiportare['bot'][1]['nam'] = 0;
         $item_head['bot']= array(array('lun' => 21,'nam'=>$row['artico']),
                                  array('lun' => 18,'nam'=>$row['catmer']),
                                  array('lun' => 60,'nam'=>$row['desart']),
                                  array('lun' => 10,'nam'=>$row['unimis']),
                                  array('lun' => 18,'nam'=>number_format($row['scorta'],1,',',''))
                                  );
        if (empty($row['image'])){
           $pdf->setItemGroup($item_head);
        } else {
           $pdf->setItemGroup($item_head,$row['image']);
        }
        $pdf->setRiporti('');
        $pdf->StartPageGroup();
        $pdf->AddPage('L',$config->getValue('page_format'));
      }
      $aRiportare['top'][1]['nam'] += $movQuanti;
      $aRiportare['bot'][1]['nam'] += $movQuanti;
      $pdf->Cell(18,4,$datareg,1,0,'C');
      $pdf->Cell(40,4,$row['caumag'].'-'.substr($row['descri'],0,20),1);
      $pdf->Cell(120,4,substr($row['desdoc'].' del '.$datadoc.' - '.$row['ragso1'].' '.$row['ragso2'],0,85),1);
      $pdf->Cell(17,4,number_format($row['prezzo'],$azienda['decimal_price'],',','.'),1,0,'R');
      $pdf->Cell(18,4,gaz_format_number(CalcolaImportoRigo($row['quanti'],$row['prezzo'],array($row['scochi'],$row['scorig']))),1,0,'R');
      $pdf->Cell(10,4,$row['unimis'],1,0,'C');
      $pdf->Cell(19,4,gaz_format_quantity($movQuanti,1,$azienda['decimal_quantity']),1,0,'R');
      $pdf->Cell(19,4,$aRiportare['top'][1]['nam'],1,1,'R');
      $ctrlArtico = $row['artico'];
}
$pdf->SetFont('freesans','B',8);
$pdf->Cell($aRiportare['top'][0]['lun'],4,'Consistenza al '.$datafin.' : ',1,0,'R');
$pdf->Cell($aRiportare['top'][1]['lun'],4,$aRiportare['top'][1]['nam'],1,0,'R');
$pdf->SetFont('freesans','',8);
$pdf->setRiporti('');
$pdf->Output();
?>