<?php
/* $Id: genera_effett.php,v 1.17 2008/10/21 08:54:29 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/

require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
require_once("../../library/include/calsca.inc.php");
checkAdmin();
$anno = date("Y");
$oggi = date("Y-m-d");
$orainizio = date("Y-m-d H:i:s");
$message = "";
$azienda = getRow($gTables['aziend'],"codice","1");
$clienti = $azienda['mascli'];
$bolli = new Compute;
//creo la stringa per la query limitata ai pagamenti che mi interessano
$rs_pagame = dynQuery ('*', $gTables['pagame'], "tippag = 'B' or tippag = 'T' or tippag = 'V'", "codice asc");
if  ( dbms_num_rows($rs_pagame) > 0)
    {
    $tipipag = " and (";
    while ($a_row = dbms_fetch_array($rs_pagame))
        {
        $tipipag .= " pagame = ".$a_row['codice']." or ";
        }
    $tipipag = substr($tipipag,0,-3).")";
    }
else
$tipipag = "";


//recupero tutte le fatture che non hanno generato effetti
$where = "tipdoc like 'FA%' and geneff <> 'S'".$tipipag;
$rs_fatgen = dynQuery("*", $gTables['tesdoc'], $where,"protoc asc");
$fatgen = dbms_fetch_array($rs_fatgen);
if (! $fatgen)
    {
    $message .="Non ci sono Fatture che possono generare effetti !!!<br>";
    $_POST['codcli'] = "";
    $_POST['ragso1'] = "";
    $_POST['gioemi'] = date("d");
    $_POST['mesemi'] = date("m");
    $_POST['annemi'] = date("Y");
    $_POST['gioini'] = date("d");
    $_POST['mesini'] = date("m");
    $_POST['annini'] = date("Y");
    $_POST['giofin'] = date("d");
    $_POST['mesfin'] = date("m");
    $_POST['annfin'] = date("Y");
    }
    if (!isset($_POST['codcli']))
        $_POST['codcli'] = "";
    if (!isset($_POST['ragso1']))
        $_POST['ragso1'] = "";
    if (!isset($_POST['gioemi']))
    $_POST['gioemi'] = strftime ("%d", mktime (0,0,0,substr($fatgen['datfat'],5,2)+1,0,substr($fatgen['datfat'],0,4)));
    if (!isset($_POST['mesemi']))
    $_POST['mesemi'] = substr($fatgen['datfat'],5,2);
    if (!isset($_POST['annemi']))
    $_POST['annemi'] = substr($fatgen['datfat'],0,4);
    if (!isset($_POST['gioini']))
    $_POST['gioini'] = "1";
    if (!isset($_POST['mesini']))
    $_POST['mesini'] = substr($fatgen['datfat'],5,2);
    if (!isset($_POST['annini']))
    $_POST['annini'] = substr($fatgen['datfat'],0,4);
    if (!isset($_POST['giofin']))
    $_POST['giofin'] = strftime ("%d", mktime (0,0,0,substr($fatgen['datfat'],5,2)+1,0,substr($fatgen['datfat'],0,4)));
    if (!isset($_POST['mesfin']))
    $_POST['mesfin'] = substr($fatgen['datfat'],5,2);
    if (!isset($_POST['annfin']))
    $_POST['annfin'] = substr($fatgen['datfat'],0,4);


    //controllo i campi
    if (!checkdate( $_POST['mesemi'], $_POST['gioemi'], $_POST['annemi']))
        $message .= "La data ".$_POST['gioemi']."-".$_POST['mesemi']."-".$_POST['annemi']." non &egrave; corretta! <br>";
    if (!checkdate( $_POST['mesini'], $_POST['gioini'], $_POST['annini']))
        $message .= "La data ".$_POST['gioini']."-".$_POST['mesini']."-".$_POST['annini']." non &egrave; corretta! <br>";
    if (!checkdate( $_POST['mesfin'], $_POST['giofin'], $_POST['annfin']))
        $message .= "La data ".$_POST['giofin']."-".$_POST['mesfin']."-".$_POST['annfin']." non &egrave; corretta! <br>";
    $utsemi= mktime(0,0,0,$_POST['mesemi'],$_POST['gioemi'],$_POST['annemi']);
    $utsini= mktime(0,0,0,$_POST['mesini'],$_POST['gioini'],$_POST['annini']);
    $utsfin= mktime(0,0,0,$_POST['mesfin'],$_POST['giofin'],$_POST['annfin']);
    if ($utsemi < $utsfin)
        $message .="La data di emissione non pu&ograve; essere antecedente alla data dell'ultima !<br>";
    if ($utsini > $utsfin)
        $message .="La data di inizio delle fatture da generare non pu&ograve; essere successivo alla data dell'ultimo !<br>";


if (isset($_POST['genera']) and $message == "") {
    // ricavo nuovamente il progressivo annuo effetti semmai qualcuno nel frattempo avesse modificato l'archivio
    $annoemissione = $_POST['annemi'];
    $rs_ultimo_effetto = dynQuery("*", $gTables['effett'], "datemi like '$annoemissione%' ","progre desc",0,1);
    $ultimo_effetto = dbms_fetch_array($rs_ultimo_effetto);
    // ricavo il progressivo annuo, ma se e' il primo effetto dell'anno, resetto il contatore
    if ($ultimo_effetto)
        {
        $ultieffett = $ultimo_effetto['progre'];
        }
        else
        {
        $ultieffett = 0;
        }
    $primeffett = $ultieffett + 1;

    //preparo la query al database delle testate
    $datini = sprintf("%04d-%02d-%02d", $_POST['annini'], $_POST['mesini'], $_POST['gioini']);
    $datfin = sprintf("%04d-%02d-%02d", $_POST['annfin'], $_POST['mesfin'], $_POST['giofin']);
    $clientesel = "";
    if ($_POST['codcli'] > 0)
        $clientesel = " and clfoco like ".$_POST['codcli'];
    $orderby = "seziva asc, protoc asc, id_tes asc";
    $where = "tipdoc like 'FA%' and geneff <> 'S' and datfat between '$datini' and '$datfin' ".$clientesel.$tipipag;
    //recupero le testate in base alle scelte impostate
    $rs_testa = dynQuery ('*', $gTables['tesdoc'], $where, $orderby);
    $ctrlnum = dbms_num_rows($rs_testa);
    if ($ctrlnum) {
        $ctrlfattura="";
        $ctrlsezione="";
        $perbollo=$azienda['perbol'];
        $ivaspe="";
        $impbol="";
        $totalefattura=0.00;
        $totaleeffetti=0.00;
        $totimpmer=0.00;
        $totivafat=0.00;
        $totimpfat=0.00;
        $tottraspo=0.00;
        $spebanca=0.00;
        $sconto=0.00;
        $totriport="";
        $castel=array();
        while ($a_row = dbms_fetch_array($rs_testa))
            {
            //calcolo solo se la fattura  diversa dalla precedente
            if ($a_row['protoc'] <> $ctrlfattura or $a_row['seziva'] <> $ctrlsezione)
                {
                //se  la prima fattura richiamo il pagamento e la datafattura
                if ($ctrlfattura == 0)
                    {
                    $pagame = getRow($gTables['pagame'],"codice",$a_row['pagame']);
                    $giorno = substr($a_row['datfat'],8,2);
                    $mese = substr($a_row['datfat'],5,2);
                    $anno = substr($a_row['datfat'],0,4);
                    }

                //aggiungo il trasporto al castelletto sull'aliquota della testata
                if ($ivaspe > 0)
                    $rsiva = $ivaspe;
                else
                $rsiva = 1;

                $iva_tes = getRow($gTables['aliiva'],"codice","$rsiva");

                if (!isset($castel[$iva_tes['aliquo']]))
                    $castel[$iva_tes['aliquo']]= "0.00";

                //ricavo i totali dal castelletto IVA
                foreach ($castel as $key => $value)
                    {
                    $impcast = $value - $value * $sconto/100;
                    if ($key == $iva_tes['aliquo'])
                        $impcast = $impcast + $tottraspo + $spebanca;
                    $ivacast =  round($impcast * $key)/ 100;
                    $totimpmer = $totimpmer + $value;
                    $totimpfat = $totimpfat + $impcast;
                    $totivafat = $totivafat + $ivacast;
                    }

                //se il pagamento &egrave; del tipo TRATTA calcolo i bolli da addebitare per l'emissione dell'effetto
                if ($pagame['tippag'] == 'T'){
                    $impbol = $bolli->stampTax($totimpfat+$totriport+$totivafat,$perbollo);
                }

                //effettuo il calcolo degli importi delle scadenze
                $totpag = number_format(($totimpfat + $impbol + $totriport + $totivafat),2, '.', '');
                $totalefattura += $totpag;
                $ratpag = CalcolaScadenze($totpag,$giorno,$mese,$anno,$pagame['tipdec'],$pagame['giodec'],$pagame['numrat'],$pagame['tiprat'],$pagame['mesesc'],$pagame['giosuc']);
                if ($totpag > 0)
                    {
                    //inserisco gli effetti nel database
                    foreach ($ratpag['import'] as $key => $value)
                        {
                        $ultieffett = $ultieffett +1;
                        $datascadenza = $ratpag['anno'][$key]."-".$ratpag['mese'][$key]."-".$ratpag['giorno'][$key];
                        $totaleeffetti += $value;
                        if ($totaleeffetti == $totalefattura) {
                            $accosald = "S";
                        } else {
                            $accosald="C";
                        }
                        effettInsert($pagame['tippag'],$dataemissione,$ultieffett,$numfat,$ctrlsezione,$datafattura,$totpag,$accosald,$value,$datascadenza,$codcliente,$codpagame,$codbanca,'','','GENERATO');
                        }
                    }

                //azzero i totali
                if (isset ($castel))
                    foreach ($castel as $i => $value)
                        {
                        unset($castel[$i]);
                        }
                    $pagame = getRow($gTables['pagame'],"codice",$a_row['pagame']);
                    $giorno = substr($a_row['datfat'],8,2);
                    $mese = substr($a_row['datfat'],5,2);
                    $anno = substr($a_row['datfat'],0,4);
                    $dataemissione = $_POST['annemi']."-".$_POST['mesemi']."-".$_POST['gioemi'];
                    $datafattura = $anno."-".$mese."-".$giorno;
                    $impbol=0;
                    $totalefattura=0.00;
                    $totaleeffetti=0.00;
                    $totimpmer=0.00;
                    $totivafat=0.00;
                    $totimpfat=0.00;
                    $tottraspo=0.00;
                    $totriport="";
                    $cliente = getRow($gTables['clfoco'],"codice","{$a_row['clfoco']}");
                }
            $tottraspo = $a_row['traspo'] + $tottraspo;
            $ivaspe = $a_row['ivaspe'];
            $sconto = $a_row['sconto'];
            $cliente = getRow($gTables['clfoco'],"codice","{$a_row['clfoco']}");
            $quando = "id_tes = ".$a_row["id_tes"];
            $ordine = "id_tes desc";
            //recupero i relativi righi
            $rs_rig = dynQuery ('*', $gTables['rigdoc'], $quando, $ordine);
            //calcolo l'importo delle scadenze                      }
            while ($rigo = dbms_fetch_array($rs_rig))
                {
                //calcolo importo rigo
                $importo = CalcolaImportoRigo($rigo['quanti'], $rigo['prelis'], $rigo['sconto']);
                if ($rigo['tiprig'] == 1) {
                   $importo = CalcolaImportoRigo(1, $rigo['prelis'], 0);
                }
                if ($rigo['tiprig'] == 3)
                    $totriport= number_format(($rigo['prelis'] + $totriport),2, '.', '');

                //creo il castelletto IVA
                $periva = $rigo['pervat'];
                $tiporigo = $rigo['tiprig'];

                if ($tiporigo <= 1) //ma solo se del tipo normale o forfait
                    {
                    if (!isset($castel[$periva]))
                        $castel[$periva]= "0.00";
                    $castel[$periva] = number_format(($castel[$periva]+ $importo),2,'.','');
                    }
                }
            putRow($gTables['tesdoc'], "id_tes",$a_row["id_tes"],"geneff",'S');
            $ctrlfattura=$a_row['protoc'];
            $ctrlsezione=$a_row['seziva'];
            $numfat = $a_row['numfat'];
            $codcliente = $a_row['clfoco'];
            $codpagame = $a_row['pagame'];
            $codbanca = $a_row['banapp'];
            $spebanca = $a_row['speban']*$pagame['numrat'];
            }
                //aggiungo il trasporto al castelletto sull'aliquota della testata
                if ($ivaspe > 0)
                    $rsiva = $ivaspe;
                else
                $rsiva = 1;

                $iva_tes = getRow($gTables['aliiva'],"codice","$rsiva");
                if (!isset($castel[$iva_tes['aliquo']]))
                    $castel[$iva_tes['aliquo']]= "0.00";

                //ricavo i totali dal castelletto IVA
                foreach ($castel as $key => $value)
                    {
                    $impcast = $value - $value * $sconto/100;
                    if ($key == $iva_tes['aliquo'])
                        $impcast = $impcast + $tottraspo + $spebanca;
                    $ivacast =  round($impcast * $key)/ 100;
                    $totimpmer = $totimpmer + $value;
                    $totimpfat = $totimpfat + $impcast;
                    $totivafat = $totivafat + $ivacast;
                    }

                //se il pagamento &egrave; del tipo TRATTA calcolo i bolli da addebitare per l'emissione dell'effetto
                if ($pagame['tippag'] == 'T'){
                    $impbol = $bolli->stampTax($totimpfat+$totriport+$totivafat,$perbollo);
                }
                //effettuo il calcolo degli importi delle scadenze
                $totpag = number_format(($totimpfat + $impbol + $totriport + $totivafat),2, '.', '');
                $totalefattura += $totpag;
                $ratpag = CalcolaScadenze($totpag,$giorno,$mese,$anno,$pagame['tipdec'],$pagame['giodec'],$pagame['numrat'],$pagame['tiprat'],$pagame['mesesc'],$pagame['giosuc']);
                //inserisco gli effetti nel database
                foreach ($ratpag['import'] as $key => $value)
                    {
                    $ultieffett = $ultieffett +1;
                    $datascadenza = $ratpag['anno'][$key]."-".$ratpag['mese'][$key]."-".$ratpag['giorno'][$key];
                    $totaleeffetti += $value;
                    if ($totaleeffetti == $totalefattura) {
                        $accosald="S";
                    } else {
                        $accosald="C";
                    }
                    effettInsert($pagame['tippag'],$dataemissione,$ultieffett,$numfat,$ctrlsezione,$datafattura,$totpag,$accosald,$value,$datascadenza,$codcliente,$codpagame,$codbanca,'','','GENERATO');
                    }
        }
   //Mando in stampa gli effetti generati
   $locazione = "Location: select_effett.php?proini=".$primeffett."&profin=".$ultieffett;
   header($locazione);
   exit;
}

if (isset($_POST['Return']))
        {
        header("Location:report_effett.php");
        exit;
        }

$titolo="Generazione Effetti da Fatture";
require_once("../../library/include/header.php"); HeadMain($titolo,'');
?>
<form method="POST">
<div align="center"><font class="FacetFormHeaderFont">Generazione Effetti da Fatture</div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
  <!-- BEGIN Error -->
  <tr>
    <td colspan="2" class="FacetDataTD" style="color: red;">
    <?php
    if (! $message == "")
    {
    print "$message";
    }
    ?>
    </td>
  </tr>
  <!-- END Error -->

<tr>
    <td class="FacetFieldCaptionTD">Selezione Cliente &nbsp;</td>
    <td class="FacetDataTD" >
 <?php
        $messaggio = "";
        $tabula =" tabindex=\"1\" ";
        $cerca = $_POST['ragso1'];
        echo "<select name=\"codcli\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
        echo "<option value=\"\">Tutti i clienti !</option>\n";
        if (strlen($_POST['ragso1']) >= 2)
        {
        $mascon=$clienti.'000000';
        $result = dynQuery("*", $gTables['clfoco'],"codice like '$clienti%' and codice > '$mascon'  and ragso1 like '$cerca%'","ragso1 Desc");
        $numclfoco = dbms_num_rows($result);
        if ($numclfoco > 0)
            {
            $tabula="";

            while ($a_row = dbms_fetch_array($result))
                {
                $selected = "";
                if($a_row["codice"] == $_POST['codcli'])
                $selected = "selected";
                print "\t\t <option value=\"".$a_row["codice"]."\" $selected >".$a_row["ragso1"]."&nbsp;".$a_row["citspe"]."</option>\n";
                }
            print "\t </select>\n";
            }
            else $messaggio = "Non &egrave; stato trovato nulla!";
            print "\t </select>\n";

        }
        else
        $messaggio = "Inserire min. 2 caratteri!";
        print "\t<input type=\"text\" name=\"ragso1\" ".$tabula." accesskey=\"e\" value=\"".stripslashes($_POST['ragso1'])."\" maxlength=\"15\" size=\"9\" class=\"FacetInput\">\n";
        print $messaggio;
        print "\t <input type=\"image\" align=\"middle\" accesskey=\"c\" ".$tabula." name=\"clfoco\" src=\"../../library/images/cerbut.gif\">\n";
        ?>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Data di emissione effetti&nbsp;</td>
    <td class="FacetDataTD" >
         <?php
            // select del giorno
            print "\t <select name=\"gioemi\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 31; $counter++ )
                {
                $selected = "";
                if($counter ==  $_POST['gioemi'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
                }
            print "\t </select>\n";
            // select del mese
            echo "\t <select name=\"mesemi\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";

            for( $counter = 1; $counter <= 12; $counter++ )
                {
                $selected = "";
                if($counter == $_POST['mesemi'])
                        $selected = "selected";
                $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
                echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
                }
            echo "\t </select>\n";
            // select del anno
            print "\t <select name=\"annemi\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 2002; $counter <= 2030; $counter++ )
                {
                $selected = "";
                if($counter == $_POST['annemi'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
                }
            print "\t </select>\n";
         ?>
    </td>
  </tr>
  <tr>

    <td class="FacetFieldCaptionTD">Data fatura inizio &nbsp;</td>

    <td class="FacetDataTD" >
         <?php
            // select del giorno
            print "\t <select name=\"gioini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 31; $counter++ )
                {
                $selected = "";
                if($counter ==  $_POST['gioini'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
                }
            print "\t </select>\n";
            // select del mese
            echo "\t <select name=\"mesini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";

            for( $counter = 1; $counter <= 12; $counter++ )
                {
                $selected = "";
                if($counter == $_POST['mesini'])
                        $selected = "selected";
                $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
                echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
                }
            echo "\t </select>\n";
            // select del anno
            print "\t <select name=\"annini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 2002; $counter <= 2030; $counter++ )
                {
                $selected = "";
                if($counter == $_POST['annini'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
                }
            print "\t </select>\n";
         ?>
    </td>
  </tr>
  <tr>

    <td class="FacetFieldCaptionTD">Data fattura fine &nbsp;</td>

    <td class="FacetDataTD" >
         <?php
            // select del giorno
            print "\t <select name=\"giofin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 31; $counter++ )
                {
                $selected = "";
                if($counter ==  $_POST['giofin'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
                }
            print "\t </select>\n";
            // select del mese
            echo "\t <select name=\"mesfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";

            for( $counter = 1; $counter <= 12; $counter++ )
                {
                $selected = "";
                if($counter == $_POST['mesfin'])
                        $selected = "selected";
                $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
                echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
                }
            echo "\t </select>\n";
            // select del anno
            print "\t <select name=\"annfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 2002; $counter <= 2030; $counter++ )
                {
                $selected = "";
                if($counter == $_POST['annfin'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
                }
            print "\t </select>\n";
         ?>

    </td>
  </tr>

    <td class="FacetFieldCaptionTD"> &nbsp;</td>
    <td colspan="2" align="right" nowrap class="FacetFooterTD">
    <input type="submit" name="Return" value="Indietro">&nbsp;
    <input type="submit" name="anteprima" value="VISUALIZZA L'ANTEPRIMA !">&nbsp;
    </td>
  </tr>
</table>

<?php
if (isset($_POST['anteprima']) and $message == "")
        {
        // ricavo il progressivo annuo effetti
        $annoemissione = $_POST['annemi'];
        $rs_ultimo_effetto = dynQuery("*", $gTables['effett'], "datemi like '$annoemissione%' ","progre desc",0,1);
        $ultimo_effetto = dbms_fetch_array($rs_ultimo_effetto);
        // ricavo il progressivo annuo, ma se e' il primo effetto dell'anno, resetto il contatore
        if ($ultimo_effetto)
            {
            $ultieffett = $ultimo_effetto['progre'];
            }
            else
            {
            $ultieffett = 0;
            }
        //preparo la query al database delle testate
        $datini = sprintf("%04d-%02d-%02d", $_POST['annini'], $_POST['mesini'], $_POST['gioini']);
        $datfin = sprintf("%04d-%02d-%02d", $_POST['annfin'], $_POST['mesfin'], $_POST['giofin']);
        $clientesel = "";
        if ($_POST['codcli'] > 0)
            $clientesel = " and clfoco like ".$_POST['codcli'];
        $orderby = "seziva asc, protoc asc, id_tes asc";
        $where = "tipdoc like 'FA%' and geneff <> 'S' and datfat between '$datini' and '$datfin' ".$clientesel.$tipipag;
        //recupero le testate in base alle scelte impostate
        $rs_testa = dynQuery ('*', $gTables['tesdoc'], $where, $orderby);
        $ctrlnum = dbms_num_rows($rs_testa);
if ($ctrlnum)
    {
        echo "<div><center><b>ANTEPRIMA GENERAZIONE EFFETTI</b></div>";
        echo "<table class=\"Tlarge\">";
        echo "<tr><td>Questa procedura genera gli effetti in base alle fatture emesse che hanno nella modalit&agrave; di pagamento il campo \"tipo pagamento\" uguale a B,T o V. </td></tr>";
        echo "<tr><td align=\"center\"><input type=\"submit\" name=\"genera\" value=\"CONFERMA LA GENERAZIONE DEGLI EFFETTI SOTTOSTANTI !\"></TD></TR>";
        echo "</table>";
        echo "<table class=\"Tlarge\">";
        $ctrlfattura="";
        $ctrlsezione="";
        $perbollo=$azienda['perbol'];
        $ivaspe="";
        $impbol="";
        $totalefatture=0.00;
        $totaleeffetti=0.00;
        $totimpmer=0.00;
        $totivafat=0.00;
        $totimpfat=0.00;
        $tottraspo=0.00;
        $spebanca=0.00;
        $sconto=0.00;
        $totriport="";
        $castel=array();
        while ($a_row = dbms_fetch_array($rs_testa))
            {
            //calcolo solo se la fattura &egrave; diversa dalla precedente
            if ($a_row['protoc'] <> $ctrlfattura or $a_row['seziva'] <> $ctrlsezione)
                {
                //se &egrave; la prima fattura richiamo il pagamento e la datafattura
                if ($ctrlfattura == 0)
                    {
                    $pagame = getRow($gTables['pagame'],"codice",$a_row['pagame']);
                    $giorno = substr($a_row['datfat'],8,2);
                    $mese = substr($a_row['datfat'],5,2);
                    $anno = substr($a_row['datfat'],0,4);
                    }

                //aggiungo il trasporto al castelletto sull'aliquota della testata
                if ($ivaspe > 0)
                    $rsiva = $ivaspe;
                else
                $rsiva = 1;

                $iva_tes = getRow($gTables['aliiva'],"codice","$rsiva");

                if (!isset($castel[$iva_tes['aliquo']]))
                    $castel[$iva_tes['aliquo']]= "0.00";

                //ricavo i totali dal castelletto IVA
                foreach ($castel as $key => $value)
                    {
                    $impcast = $value - $value * $sconto/100;
                    if ($key == $iva_tes['aliquo'])
                        $impcast = $impcast + $tottraspo + $spebanca;
                    $ivacast =  round($impcast * $key)/ 100;
                    $totimpmer = $totimpmer + $value;
                    $totimpfat = $totimpfat + $impcast;
                    $totivafat = $totivafat + $ivacast;
                    }

                //se il pagamento &egrave; del tipo TRATTA calcolo i bolli da addebitare per l'emissione dell'effetto
                if ($pagame['tippag'] == 'T'){
                    $impbol = $bolli->stampTax($totimpfat+$totriport+$totivafat,$perbollo);
                }
                //effettuo il calcolo degli importi delle scadenze
                $totpag = number_format(($totimpfat + $impbol + $totriport + $totivafat),2, '.', '');
                $totalefatture=$totalefatture+$totpag;
                $ratpag = CalcolaScadenze($totpag,$giorno,$mese,$anno,$pagame['tipdec'],$pagame['giodec'],$pagame['numrat'],$pagame['tiprat'],$pagame['mesesc'],$pagame['giosuc']);

                if ($totpag > 0)
                    {
                    echo "<tr>";
                    echo "<td>La fattura N.".$numfat."/".$ctrlsezione."</td>";
                    echo "<td>intestata a: ".$cliente["ragso1"]." ".$cliente["citspe"]." ".$cliente["prospe"]."</td><td align=\"right\">di &euro; </td><td align=\"right\">".$totpag."</td>";
                    echo "<td align=\"right\">generer&agrave;</td><td></td>";
                    echo "</tr>";

                    foreach ($ratpag['import'] as $key => $value)
                        {
                        $ultieffett = $ultieffett +1;
                        echo "<tr><td>l'effetto N.".$ultieffett."</td><td>scadenza: ".$ratpag['giorno'][$key]."-".$ratpag['mese'][$key]."-".$ratpag['anno'][$key]."</td><td></td><td></td><td align=\"right\">di &euro;</td><td align=\"right\">".$value."</td></tr>";
                        $totaleeffetti = $totaleeffetti + $value;
                        }
                    }

                //azzero i totali
                if (isset ($castel))
                    foreach ($castel as $i => $value)
                        {
                        unset($castel[$i]);
                        }
                $pagame = getRow($gTables['pagame'],"codice",$a_row['pagame']);
                $giorno = substr($a_row['datfat'],8,2);
                $mese = substr($a_row['datfat'],5,2);
                $anno = substr($a_row['datfat'],0,4);
                $impbol="";
                $totimpmer=0.00;
                $totivafat=0.00;
                $totimpfat=0.00;
                $tottraspo=0.00;
                $totriport="";
                $cliente = getRow($gTables['clfoco'],"codice","{$a_row['clfoco']}");
                }

            $tottraspo = $a_row['traspo'] + $tottraspo;
            $ivaspe = $a_row['ivaspe'];
            $sconto = $a_row['sconto'];
            $cliente = getRow($gTables['clfoco'],"codice","{$a_row['clfoco']}");
            $quando = "id_tes like ".$a_row["id_tes"];
            $ordine = "id_tes desc";
            //recupero i relativi righi
            $rs_rig = dynQuery ('*', $gTables['rigdoc'], $quando, $ordine);
            //calcolo l'importo delle scadenze
            while ($rigo = dbms_fetch_array($rs_rig))
                {
                //calcolo importo rigo
                $importo= number_format($rigo['quanti'] * ($rigo['prelis'] - $rigo['prelis'] * $rigo['sconto']/100),2, '.', '');
                if ($rigo['tiprig'] == 1) {
                   $importo = number_format(($rigo['prelis'] - $rigo['prelis'] * $rigo['sconto']/100),2, '.', '');
                }
                if ($rigo['tiprig'] == 3)
                    $totriport= number_format(($rigo['prelis'] + $totriport),2, '.', '');

                //creo il castelletto IVA
                $periva = $rigo['pervat'];
                $tiporigo = $rigo['tiprig'];

                if ($tiporigo <= 1) //ma solo se del tipo normale o forfait
                    {
                    if (!isset($castel[$periva]))
                        $castel[$periva]= "0.00";
                    $castel[$periva] = number_format(($castel[$periva]+ $importo),2,'.','');
                    }
                }
            $ctrlfattura=$a_row['protoc'];
            $ctrlsezione=$a_row['seziva'];
            $numfat = $a_row['numfat'];
            $spebanca = $a_row['speban']*$pagame['numrat'];
            }
                //aggiungo il trasporto al castelletto sull'aliquota della testata
                if ($ivaspe > 0)
                    $rsiva = $ivaspe;
                else
                $rsiva = 1;

                $iva_tes = getRow($gTables['aliiva'],"codice","$rsiva");
                if (!isset($castel[$iva_tes['aliquo']]))
                    $castel[$iva_tes['aliquo']]= "0.00";

                //ricavo i totali dal castelletto IVA
                foreach ($castel as $key => $value)
                    {
                    $impcast = $value - $value * $sconto/100;
                    if ($key == $iva_tes['aliquo'])
                        $impcast = $impcast + $tottraspo + $spebanca;
                    $ivacast =  round($impcast * $key)/ 100;
                    $totimpmer = $totimpmer + $value;
                    $totimpfat = $totimpfat + $impcast;
                    $totivafat = $totivafat + $ivacast;
                    }

                //se il pagamento &egrave; del tipo TRATTA calcolo i bolli da addebitare per l'emissione dell'effetto
                if ($pagame['tippag'] == 'T'){
                    $impbol = $bolli->stampTax($totimpfat+$totriport+$totivafat,$perbollo);
                }
                //effettuo il calcolo degli importi delle scadenze

                $totpag = number_format(($totimpfat + $impbol + $totriport + $totivafat),2, '.', '');
                $totalefatture=$totalefatture+$totpag;
                $ratpag = CalcolaScadenze($totpag,$giorno,$mese,$anno,$pagame['tipdec'],$pagame['giodec'],$pagame['numrat'],$pagame['tiprat'],$pagame['mesesc'],$pagame['giosuc']);
                echo "<tr>";
                echo "<td>La fattura N.".$numfat."/".$ctrlsezione."</td>";
                echo "<td>intestata a: ".$cliente["ragso1"]." ".$cliente["citspe"]." ".$cliente["prospe"]."</td><td align=\"right\">di &euro; </td><td align=\"right\">".$totpag."</td>";
                echo "<td align=\"right\">generer&agrave;</td><td></td>";
                echo "</tr>";
                foreach ($ratpag['import'] as $key => $value)
                    {
                    $ultieffett = $ultieffett +1;
                    echo "<tr><td>l'effetto N.".$ultieffett."</td><td>scadenza: ".$ratpag['giorno'][$key]."-".$ratpag['mese'][$key]."-".$ratpag['anno'][$key]."</td><td></td><td></td><td align=\"right\">di &euro;</td><td align=\"right\">".$value."</td></tr>";
                    $totaleeffetti = $totaleeffetti + $value;
                    }
        }
        echo "<tr><td></td><td style=\"color: red;\">TOTALI DELLA GENERAZIONE EFFETTI :</td><td style=\"color: brown;\" align=\"right\">Fatture &euro; </td><td align=\"right\" style=\"color: brown;\">".$totalefatture."</td><td style=\"color: red;\" align=\"right\">Effetti &euro;</td><td  class=\"FacetDataTD\" style=\"color: red;\" align=\"right\" >".$totalefatture."</td></tr>";
        echo "</table>";
    }

?>
</form>
</body>
</html>