<?php
/*$Id: report_broven.php,v 1.19 2008/10/14 08:29:48 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$anno = date("Y");
$azienda = getRow($gTables['aziend'],"codice",1);
$message = "";
if (isset($_GET['auxil'])) {
   $auxil = $_GET['auxil'];
   $where = "tipdoc = '$auxil'";
} else {
   $auxil = 'VOR';
   $where = "tipdoc = '$auxil'";
}

if (isset($_GET['numdoc'])) {
   if ($_GET['numdoc'] > 0) {
      $numero = $_GET['numdoc'];
      $auxil = $_GET['auxil'];
      $where = "tipdoc = '$auxil' and numdoc = '$numero'";
      $passo = 1;
   }
}  else {
   $numero ='';
}

if (isset($_GET['all'])) {
   $where = "tipdoc = '$auxil' ";
   $auxil = $_GET['auxil']."&all=yes";
   $passo = 100000;
   $numero ='';
}

if ($auxil == 'VPR') {
   $titolo="Preventivi ai Clienti";
   $menu = '<td align="center" class="FacetFormHeaderFont"><a href="admin_broven.php?Insert&tipdoc=VPR" accesskey="p">Nuovo Preventivo</a></td>';
} else {
   $titolo="Ordini dei Clienti";
   $menu = '<td align="center" class="FacetFormHeaderFont"><a href="admin_broven.php?Insert&tipdoc=VOR" accesskey="o">Nuovo Ordine</a></td>
            <td align="center" class="FacetFormHeaderFont"><a href="select_evaord.php" accesskey="e">Evasione Ordini</a></td>';
}
require_once("../../library/include/header.php");
HeadMain($titolo,'');
?>
<table border="0" cellpadding="3" cellspacing="1" align="center" width="70%">
<tr>
<?php
print $menu;
?>
</tr>
</table>
<div align="center" class="FacetFormHeaderFont"><?php print $titolo ?></div>
<?php
$recordnav = new recordnav($gTables['tesbro'], $where, $limit, $passo);
$recordnav -> output();
?>
<form method="GET" >
<table class="Tlarge">
<tr><td></td>
<td colspan="2" class="FacetFieldCaptionTD">Numero:
<input type="text" name="numdoc" value="<?php if (isset($numero)) print stripslashes($numero); ?>" maxlength="6" size="3" tabindex="1" class="FacetInput">
</td>
<td>
<input type="submit" name="search" value="Cerca" tabindex="1" onClick="javascript:document.report.all.value=1;">
</td>
<td>
<input type="submit" name="all" value="Mostra tutti" onClick="javascript:document.report.all.value=1;">
</td>
</tr>
<tr>
<?php
print '<input type="hidden" name="auxil" value="'.substr($auxil,0,3).'">';
// creo l'array (header => campi) per l'ordinamento dei record
$headers_tesbro = array  (
              "ID" => "id_tes",
              "Tipo" => "tipdoc",
              "Numero" => "numdoc",
              "Data" => "datemi",
              "Cliente" => "clfoco",
              "Status" => "status",
              "Stampa" => "",
              "Cancella" => "",
              "Evadi" => ""
              );
$linkHeaders = new linkHeaders($headers_tesbro);
$linkHeaders -> output();
?>
</tr>
<?php
if (!isset($_GET['flag_order']))
       $orderby = "datemi desc, numdoc desc";
//recupero le testate in base alle scelte impostate
$result = dynQuery($gTables['tesbro'].".*,".$gTables['clfoco'].".ragso1", $gTables['tesbro']." left join ".$gTables['clfoco']." on ".$gTables['tesbro'].".clfoco = ".$gTables['clfoco'].".codice", $where, $orderby,$limit, $passo);
$ctrlprotoc = "";
while ($a_row = dbms_fetch_array($result)) {
    if ($a_row["tipdoc"] == 'VPR') {
        $tipodoc="Preventivo";
        $modulo="stampa_precli.php?id_tes=".$a_row['id_tes'];
        $modifi="admin_broven.php?Update&id_tes=".$a_row['id_tes'];
    }
    if ($a_row["tipdoc"] == 'VOR') {
        $tipodoc="Ordine";
        $modulo="stampa_ordcli.php?id_tes=".$a_row['id_tes'];
        $modifi="admin_broven.php?Update&id_tes=".$a_row['id_tes'];
    }
    print "<tr>";
    if (!empty ($modifi)) {
       print "<td class=\"FacetDataTD\"><a href=\"".$modifi."\">".$a_row["id_tes"]."</td>";
    } else {
       print "<td class=\"FacetDataTD\">".$a_row["id_tes"]." &nbsp;</td>";
    }
    print "<td class=\"FacetDataTD\">".$tipodoc." &nbsp;</td>";
    print "<td class=\"FacetDataTD\">".$a_row["numdoc"]." &nbsp;</td>";
    print "<td class=\"FacetDataTD\">".$a_row["datemi"]." &nbsp;</td>";
    print "<td class=\"FacetDataTD\">".$a_row["ragso1"]."&nbsp;</td>";
    print "<td class=\"FacetDataTD\">".$a_row["status"]." &nbsp;</td>";
    print "<td class=\"FacetDataTD\"><a href=\"".$modulo."\"><center><img src=\"../../library/images/stampa.gif\" alt=\"Stampa\" border=\"0\"></a></td>";
    print "<td class=\"FacetDataTD\"><a href=\"delete_broven.php?id_tes=".$a_row['id_tes']."\"><center><img src=\"../../library/images/x.gif\" alt=\"Cancella\" border=\"0\"></a></td>";
    if ($a_row["tipdoc"] == 'VOR' and !eregi("EV",$a_row["status"])) {
       print "<td class=\"FacetDataTD\"><a href=\"select_evaord.php?id_tes=".$a_row['id_tes']."\"><center><img src=\"../../library/images/v.gif\" alt=\"EVADI L'ORDINE!\" border=\"0\"></a></td>";
    } else {
       print "<td class=\"FacetDataTD\"></td>";
    }
    print "</tr>";
}
?>
</table>
</form>
</body>
</html>