<?php
 /* $Id: select_effett.php,v 1.9 2008/10/14 08:29:48 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.
    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.
    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$anno = date("Y");
$oggi = date("Y-m-d");
$orainizio = date("Y-m-d H:i:s");
$message = "";
$azienda = getRow($gTables['aziend'],"codice","1");
$clienti = $azienda['mascli'];
//recupero tutti gli effetti non ancora stampati
$rs_effett = dynQuery("*", $gTables['effett'],"datemi like '$anno%'","scaden desc",0,1);
$ultisca = dbms_fetch_array($rs_effett);
$rs_effett = dynQuery("*", $gTables['effett'],"datemi like '$anno%'","id_tes desc",0,1);
$ultipro = dbms_fetch_array($rs_effett);
if (! $ultipro)
    {
    $message .="Non ci sono Effetti da stampare !!!<br>";
    $_GET['codcli'] = "";
    $_GET['ragso1'] = "";
    $_GET['gioemi'] = date("d");
    $_GET['mesemi'] = date("m");
    $_GET['annemi'] = date("Y");
    $_GET['gioini'] = date("d");
    $_GET['mesini'] = date("m");
    $_GET['annini'] = date("Y");
    $_GET['giofin'] = date("d");
    $_GET['mesfin'] = date("m");
    $_GET['annfin'] = date("Y");
    }
    if (!isset($_GET['codcli']))
        $_GET['codcli'] = "";
    if (!isset($_GET['ragso1']))
        $_GET['ragso1'] = "";
    if (!isset($_GET['gioini']))
        $_GET['gioini'] = "1";
    if (!isset($_GET['mesini']))
        $_GET['mesini'] = substr($ultipro['datemi'],5,2);
    if (!isset($_GET['annini']))
        $_GET['annini'] = substr($ultipro['datemi'],0,4);
    if (!isset($_GET['giofin']))
        $_GET['giofin'] = strftime ("%d", mktime (0,0,0,substr($ultisca['scaden'],5,2)+1,0,substr($ultisca['scaden'],0,4)));
    if (!isset($_GET['mesfin']))
        $_GET['mesfin'] = substr($ultisca['scaden'],5,2);
    if (!isset($_GET['annfin']))
        $_GET['annfin'] = substr($ultisca['scaden'],0,4);
    if (isset($_GET['proini']))
        $_GET['proini'] = $_GET['proini'];
    else    $_GET['proini'] = $ultipro['progre'];
    if (isset($_GET['profin']))
        $_GET['profin'] = $_GET['profin'];
    else    $_GET['profin'] = $ultipro['progre'];
    //controllo i campi
    if (!checkdate( $_GET['mesini'], $_GET['gioini'], $_GET['annini']))
        $message .= "La data ".$_GET['gioini']."-".$_GET['mesini']."-".$_GET['annini']." non &egrave; corretta! <br>";
    if (!checkdate( $_GET['mesfin'], $_GET['giofin'], $_GET['annfin']))
        $message .= "La data ".$_GET['giofin']."-".$_GET['mesfin']."-".$_GET['annfin']." non &egrave; corretta! <br>";
    $utsini= mktime(0,0,0,$_GET['mesini'],$_GET['gioini'],$_GET['annini']);
    $utsfin= mktime(0,0,0,$_GET['mesfin'],$_GET['giofin'],$_GET['annfin']);
    if ($utsini > $utsfin)
        $message .="La data di inizio degli effetti da stampare non pu&ograve; essere successivo alla data dell'ultimo !<br>";
if (isset($_GET['stampa']) and $message == "")
    {
    $scaini = $_GET['annini']."-".$_GET['mesini']."-".$_GET['gioini'];
    $scafin = $_GET['annfin']."-".$_GET['mesfin']."-".$_GET['giofin'];
    //Mando in stampa gli effetti generati
    $locazione = "Location: stampa_effett.php?id_tes=SEL&proini=".$_GET['proini']."&profin=".$_GET['profin']."&scaini=".$scaini."&scafin=".$scafin;
    header($locazione);
    exit;
    }
if (isset($_GET['Return']))
    {
    header("Location:report_effett.php");
    exit;
}
$titolo = 'Selezione Stampa Effetti';
require_once("../../library/include/header.php");
HeadMain($titolo,'');
?>
<form method="GET">
<div align="center"><font class="FacetFormHeaderFont">Stampa Effetti</div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
  <!-- BEGIN Error -->
  <tr>
    <td colspan="2" class="FacetDataTDred">
    <?php
    if (! $message == "")
    {
        print "$message";
    }
    ?>
    </td>
  </tr>
  <!-- END Error -->
<tr>
    <td class="FacetFieldCaptionTD">Data Scadenza Inizio &nbsp;</td>
    <td class="FacetDataTD" >
         <?php
            // select del giorno
            print "\t <select name=\"gioini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 31; $counter++ )
                {
                $selected = "";
                if($counter ==  $_GET['gioini'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
                }
            print "\t </select>\n";
            // select del mese
            echo "\t <select name=\"mesini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 12; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['mesini'])
                        $selected = "selected";
                $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
                echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
                }
            echo "\t </select>\n";
            // select del anno
            print "\t <select name=\"annini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 2002; $counter <= 2030; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['annini'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
                }
            print "\t </select>\n";
         ?>
    </td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Data Scadenza Fine &nbsp;</td>
    <td class="FacetDataTD" >
         <?php
            // select del giorno
            print "\t <select name=\"giofin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 31; $counter++ )
                {
                $selected = "";
                if($counter ==  $_GET['giofin'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
                }
            print "\t </select>\n";
            // select del mese
            echo "\t <select name=\"mesfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 12; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['mesfin'])
                        $selected = "selected";
                $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
                echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
                }
            echo "\t </select>\n";
            // select del anno
            print "\t <select name=\"annfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 2002; $counter <= 2030; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['annfin'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
                }
            print "\t </select>\n";
         ?>
    </td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Numero inizio &nbsp;</td>
    <td class="FacetDataTD"><input title="Numero progressivo del primo effetto che si intende stampare" type="text" name="proini" value="<?php print $_GET["proini"] ?>" maxlength="5" size="5" class="FacetInput">&nbsp;</td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Numero fine &nbsp;</td>
    <td class="FacetDataTD"><input title="Numero progressivo dell'ultimo effetto che si intende stampare" type="text" name="profin" value="<?php print $_GET["profin"] ?>" maxlength="5" size="5" class="FacetInput">&nbsp;</td>
  </tr>
    <td class="FacetFieldCaptionTD"> &nbsp;</td>
    <td colspan="2" align="right" nowrap class="FacetFooterTD">
    <input type="submit" name="Return" value="Indietro">&nbsp;
    <input type="submit" name="stampa" value="STAMPA !">&nbsp;
    </td>
  </tr>
</table>
</form>
</body>
</html>