<?php
/* $Id: select_evaord.php,v 1.39 2008/11/12 15:04:13 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
require_once("../../library/include/magazz.function.php");
checkAdmin();
$anno=date("Y");
$message = "";
$azienda = getRow($gTables['aziend'],'codice',1);
$upd_mm = new interactMag;
$docOperat = $upd_mm->getOperators();

if (!isset($_POST['ritorno'])) {
        $_POST['ritorno'] = $_SERVER['HTTP_REFERER'];
}
if (!isset($_POST['id_tes'])) { //al primo accesso  faccio le impostazioni ed il controllo di presenza ordini evadibili
   $_POST['num_rigo'] = 0;
   $form['righi']= array();
   $form['ragso1'] = "";
   $form['id_tes'] = "new";
   $form['seziva'] = 1;
   $form['gioemi'] = date("d");
   $form['mesemi'] = date("m");
   $form['annemi'] = $anno;
   $form['giotra'] = date("d");
   $form['mestra'] = date("m");
   $form['anntra'] = $anno;
   $form['mintra'] = date("i");
   $form['oratra'] = date("H");
   $form['traspo'] = 0.00;
   $form['vettor'] = "";
   $form['portos'] = "";
   $form['imball'] = "";
   $form['pagame'] = "";
   $form['destin'] = '';
   $form['id_agente'] = 0;
   $form['banapp'] = "";
   $form['spediz'] = "";
   $form['sconto'] = 0.00;
   $form['ivaspe'] = $azienda['alliva'];
   $form['listin'] = 1;
   $form['net_weight'] = 0;
   $form['gross_weight'] = 0;
   $form['units'] = 0;
   $form['volume'] = 0;
   if (isset($_GET['id_tes'])) { //se  stato richiesto un ordine specifico lo carico
      $form['id_tes'] = $_GET['id_tes'];
      $testate = getRow($gTables['tesbro'],"id_tes",$_GET['id_tes']);
      $form['clfoco'] = $testate['clfoco'];
      $anagrafica = new Anagrafica();
      $cliente = $anagrafica->getPartner($form['clfoco']);
      $form['ragso1'] = substr($cliente['ragso1'],0,10);
      $form['seziva'] = $testate['seziva'];
      $form['traspo'] = $testate['traspo'];
      $form['vettor'] = $testate['vettor'];
      $form['portos'] = $testate['portos'];
      $form['imball'] = $testate['imball'];
      $form['pagame'] = $testate['pagame'];
      $form['destin'] = $testate['destin'];
      $form['caumag'] = $testate['caumag'];
      $form['id_agente'] = $testate['id_agente'];
      $form['banapp'] = $testate['banapp'];
      $form['spediz'] = $testate['spediz'];
      $form['sconto'] = $testate['sconto'];
      $form['ivaspe'] = $testate['ivaspe'];
      $form['listin'] = $testate['listin'];
      $form['net_weight'] = $testate['net_weight'];
      $form['gross_weight'] = $testate['gross_weight'];
      $form['units'] = $testate['units'];
      $form['volume'] = $testate['volume'];
      $rs_righi = dynQuery("*", $gTables['rigbro'], "id_tes = '".$_GET['id_tes']."'","id_rig asc");
      while ($rigo = dbms_fetch_array($rs_righi)) {
           $articolo = getRow($gTables['artico'],"codice",$rigo['codart']);
           $form['righi'][$_POST['num_rigo']]['id_rig'] = $rigo['id_rig'];
           $form['righi'][$_POST['num_rigo']]['tiprig'] = $rigo['tiprig'];
           $form['righi'][$_POST['num_rigo']]['id_tes'] = $rigo['id_tes'];
           $form['righi'][$_POST['num_rigo']]['tipdoc'] = $testate['tipdoc'];
           $form['righi'][$_POST['num_rigo']]['datemi'] = $testate['datemi'];
           $form['righi'][$_POST['num_rigo']]['numdoc'] = $testate['numdoc'];
           $form['righi'][$_POST['num_rigo']]['descri'] = $rigo['descri'];
           $form['righi'][$_POST['num_rigo']]['codart'] = $rigo['codart'];
           $form['righi'][$_POST['num_rigo']]['unimis'] = $rigo['unimis'];
           $form['righi'][$_POST['num_rigo']]['prelis'] = $rigo['prelis'];
           $form['righi'][$_POST['num_rigo']]['provvigione'] = $rigo['provvigione'];
           $form['righi'][$_POST['num_rigo']]['sconto'] = $rigo['sconto'];
           $form['righi'][$_POST['num_rigo']]['quanti'] = $rigo['quanti'];
           $form['righi'][$_POST['num_rigo']]['id_doc'] = $rigo['id_doc'];
           $form['righi'][$_POST['num_rigo']]['codvat'] = $rigo['codvat'];
           $form['righi'][$_POST['num_rigo']]['pervat'] = $rigo['pervat'];
           $form['righi'][$_POST['num_rigo']]['codric'] = $rigo['codric'];
           $_POST['num_rigo']++;
      }
   }
} else { //negli accessi successivi riporto solo il form
       $form['id_tes'] = $_POST['id_tes'];
       $form['seziva'] = $_POST['seziva'];
       $form['gioemi'] = $_POST['gioemi'];
       $form['mesemi'] = $_POST['mesemi'];
       $form['annemi'] = $_POST['annemi'];
       $form['giotra'] = $_POST['giotra'];
       $form['mestra'] = $_POST['mestra'];
       $form['anntra'] = $_POST['anntra'];
       $form['mintra'] = $_POST['mintra'];
       $form['oratra'] = $_POST['oratra'];
       $form['traspo'] = number_format($_POST['traspo'],2,'.','');
       $form['vettor'] = $_POST['vettor'];
       $form['portos'] = $_POST['portos'];
       $form['imball'] = $_POST['imball'];
       $form['destin'] = stripslashes($_POST['destin']);
       $form['pagame'] = $_POST['pagame'];
       $form['caumag'] = $_POST['caumag'];
       $form['id_agente'] = $_POST['id_agente'];
       $form['banapp'] = $_POST['banapp'];
       $form['spediz'] = $_POST['spediz'];
       $form['sconto'] = $_POST['sconto'];
       $form['ivaspe'] = $_POST['ivaspe'];
       $form['listin'] = $_POST['listin'];
       $form['net_weight'] = $_POST['net_weight'];
       $form['gross_weight'] = $_POST['gross_weight'];
       $form['units'] = $_POST['units'];
       $form['volume'] = $_POST['volume'];
       $form['ragso1'] = $_POST['ragso1'];
       if (isset($_POST['righi'])) {
              $form['righi'] = $_POST['righi'];
       }
       if (isset($_POST['inscli_x']) and !isset($_GET['id_tes'])) { //quando viene confermato un cliente
             if (isset($_POST['clfoco'])){
                $form['clfoco'] = $_POST['clfoco'];
             } else {
                $form['clfoco'] = 0;
             }
             $_POST['num_rigo'] = 0;
             $form['traspo'] = 0;
             $anagrafica = new Anagrafica();
             $cliente = $anagrafica->getPartner($form['clfoco']);
             //$ctrl_testate = 0;
             $rs_testate = dynQuery("*", $gTables['tesbro'], "clfoco = '".$form['clfoco']."' and tipdoc = 'VOR' and status not like 'EV%' ","datemi asc");
             while ($testate = dbms_fetch_array($rs_testate)) {
                     $form['traspo'] += $testate['traspo'];
                     $form['vettor'] = $testate['vettor'];
                     $form['imball'] = $testate['imball'];
                     $form['portos'] = $testate['portos'];
                     $form['spediz'] = $testate['spediz'];
                     $form['pagame'] = $testate['pagame'];
                     $form['caumag'] = $testate['caumag'];
                     $form['destin'] = $testate['destin'];
                     $form['id_agente'] = $testate['id_agente'];
                     $form['banapp'] = $testate['banapp'];
                     $form['sconto'] = $testate['sconto'];
                     $ctrl_testate = $testate['id_tes'];
                     $rs_righi = dynQuery("*", $gTables['rigbro'], "id_tes = '".$testate['id_tes']."' ","id_rig asc");
                     while ($rigo = dbms_fetch_array($rs_righi)) {
                            $articolo = getRow($gTables['artico'],"codice",$rigo['codart']);
                            $form['righi'][$_POST['num_rigo']]['id_rig'] = $rigo['id_rig'];
                            $form['righi'][$_POST['num_rigo']]['tiprig'] = $rigo['tiprig'];
                            $form['righi'][$_POST['num_rigo']]['id_tes'] = $rigo['id_tes'];
                            $form['righi'][$_POST['num_rigo']]['tipdoc'] = $testate['tipdoc'];
                            $form['righi'][$_POST['num_rigo']]['datemi'] = $testate['datemi'];
                            $form['righi'][$_POST['num_rigo']]['numdoc'] = $testate['numdoc'];
                            $form['righi'][$_POST['num_rigo']]['descri'] = $rigo['descri'];
                            $form['righi'][$_POST['num_rigo']]['codart'] = $rigo['codart'];
                            $form['righi'][$_POST['num_rigo']]['unimis'] = $rigo['unimis'];
                            $form['righi'][$_POST['num_rigo']]['prelis'] = $rigo['prelis'];
                            $form['righi'][$_POST['num_rigo']]['provvigione'] = $rigo['provvigione'];
                            $form['righi'][$_POST['num_rigo']]['sconto'] = $rigo['sconto'];
                            $form['righi'][$_POST['num_rigo']]['quanti'] = $rigo['quanti'];
                            $form['righi'][$_POST['num_rigo']]['id_doc'] = $rigo['id_doc'];
                            $form['righi'][$_POST['num_rigo']]['codvat'] = $rigo['codvat'];
                            $form['righi'][$_POST['num_rigo']]['pervat'] = $rigo['pervat'];
                            $form['righi'][$_POST['num_rigo']]['codric'] = $rigo['codric'];
                            $_POST['num_rigo']++;
                     }
             }
       }
}
if (isset($_POST['clfoco'])){
      $form['clfoco'] = $_POST['clfoco'];
      $anagrafica = new Anagrafica();
      $cliente = $anagrafica->getPartner($form['clfoco']);
} else {
      $form['clfoco'] = 0;
      $cliente['indspe']="";
}

if (isset($_POST['ddt'])) { //conferma dell'evasione di un ddt
    //controllo i campi
    $dataemiss = $_POST['annemi']."-".$_POST['mesemi']."-".$_POST['gioemi'];
    $utsDataemiss = mktime(0,0,0,$_POST['mesemi'],$_POST['gioemi'],$_POST['annemi']);
    $iniziotrasporto = $_POST['anntra']."-".$_POST['mestra']."-".$_POST['giotra'];
    $utsIniziotrasporto = mktime(0,0,0,$_POST['mestra'],$_POST['giotra'],$_POST['anntra']);
    if (!isset($_POST["clfoco"]))
        $message .= "Non hai selezionato il cliente!<br>\n";
    if (!isset($_POST["righi"])){
        $message .= "Non ci sono righi!<br>\n";
    } else {
        $inevasi="";
        foreach ($_POST['righi'] as $key => $value) {
                if (isset($value['checkval']) and $value['id_doc'] == 0 and ($value['tiprig'] == 0 or $value['tiprig'] == 1)) $inevasi="ok";
        }
        if (empty($inevasi)){
           $message .= "Non ci sono righi inevasi per generare un D.d.T.!<br>\n";
        }
    }
    if (empty ($_POST["pagame"]))
        $message .= "Non hai selezionato la modalit&agrave; di pagamento!<br>\n";
    if (!checkdate( $_POST['mesemi'], $_POST['gioemi'], $_POST['annemi']))
        $message .= "La data di emissione ".$_POST['gioemi']."-".$_POST['mesemi']."-".$_POST['annemi']." non &egrave; corretta! <br>";
    if (!checkdate( $_POST['mestra'], $_POST['giotra'], $_POST['anntra']))
        $message .= "La data di inizio trasporto ".$_POST['giotra']."-".$_POST['mestra']."-".$_POST['anntra']." non &egrave; corretta! <br>";
    if ($utsIniziotrasporto < $utsDataemiss) {
        $message .= "La data di inizio trasporto non pu&ograve; essere precedente alla data di emissione!<br>\n";
    }
    if ($message == "") {//procedo all'inserimento
           $iniziotrasporto .= " ".$_POST['oratra'].":".$_POST['mintra'].":00";
           //ricavo il numero progressivo
           $rs_ultimo_ddt = dynQuery("*", $gTables['tesdoc'], "datemi LIKE '".$_POST['annemi']."%' AND (tipdoc like 'DD_' OR tipdoc = 'FAD') AND seziva = ".$_POST['seziva'], "numdoc DESC",0,1);
           $ultimo_ddt = dbms_fetch_array($rs_ultimo_ddt);
           // se e' il primo documento dell'anno, resetto il contatore
           if ($ultimo_ddt) {
               $_POST['numdoc'] = $ultimo_ddt['numdoc'] + 1;
           } else {
               $_POST['numdoc'] = 1;
           }
           //inserisco la testata
           $_POST['tipdoc'] = 'DDT';
           $_POST['template'] = "FatturaSemplice";
           $_POST['id_con'] = '';
           $_POST['status'] = 'GENERATO';
           $_POST['initra'] = $iniziotrasporto;
           $_POST['datemi'] = $dataemiss;
           tesdocInsert($_POST);
           //recupero l'id assegnato dall'inserimento
           $ultimo_id = ultimoID();
           $ctrl_tes = 0;
           foreach ($_POST['righi'] as $key => $value) {
               if ($value['id_tes'] != $ctrl_tes) {  //se fa parte di un'ordine diverso dal precedente
                  //inserisco un rigo descrittivo per il riferimento all'ordine sul DdT
                  $row_descri['descri'] = "da Conferma d\'Ordine n.".$value['numdoc']." del ".substr($value['datemi'],8,2)."-".substr($value['datemi'],5,2)."-".substr($value['datemi'],0,4);
                  $row_descri['id_tes'] = $ultimo_id;
                  $row_descri['tiprig'] = 2;
                  rigdocInsert($row_descri);
               }
               if (isset($value['checkval'])) {   //se e' un rigo selezionato
                   //lo inserisco nel DdT
                   $row = $value;
                   unset ($row['id_rig']);
                   $row['id_tes'] = $ultimo_id;
                   rigdocInsert($row);
                   if ($azienda['conmag'] == 2 and
                     $_POST['righi'][$key]['tiprig'] == 0 and
                     !empty($_POST['righi'][$key]['codart'])) { //se l'impostazione in azienda prevede l'aggiornamento automatico dei movimenti di magazzino
                     $upd_mm->uploadMag(ultimoID(),
                                    $_POST['tipdoc'],
                                    $_POST['numdoc'],
                                    $form['protoc'].'/'.$_POST['seziva'],
                                    $dataemiss,
                                    $_POST['clfoco'],
                                    $_POST['sconto'],
                                    $_POST['caumag'],
                                    $value['codart'],
                                    $value['quanti'],
                                    $value['prelis'],
                                    $value['sconto'],
                                    0,
                                    $azienda['stock_eval_method']
                                    );
                   }
                   //modifico il rigo dell'ordine indicandoci l'id della testata del DdT
                   putRow($gTables['rigbro'], "id_rig", $value['id_rig'], "id_doc",$ultimo_id );
               }
               if ($ctrl_tes != 0 and $ctrl_tes != $value['id_tes']) {  //se non  il primo rigo processato
                     //controllo se ci sono ancora righi inevasi
                     $rs_righi_inevasi = dynQuery("id_tes", $gTables['rigbro'], "id_tes = $ctrl_tes and id_doc = 0 and tiprig between 0 and 1","id_rig",0,1);
                     $inevasi = dbms_fetch_array($rs_righi_inevasi);
                     if (!$inevasi) {  //se non ci sono + righi da evadere
                        //modifico lo status della testata dell'ordine solo se completamente evaso
                        putRow($gTables['tesbro'], "id_tes", $ctrl_tes, "status","EVASO" );
                     }
               }
               $ctrl_tes = $value['id_tes'];
           }
           //controllo se l'ultimo ordine tra quelli processati ha ancora righi inevasi
           $rs_righi_inevasi = dynQuery("id_tes", $gTables['rigbro'], "id_tes = $ctrl_tes and id_doc = 0 and tiprig between 0 and 1","id_rig",0,1);
           $inevasi="";
           $inevasi = dbms_fetch_array($rs_righi_inevasi);
           if (!$inevasi) {  //se non ci sono + righi da evadere
              //modifico lo status della testata dell'ordine solo se completamente evaso
              putRow($gTables['tesbro'], "id_tes", $ctrl_tes, "status","EVASO" );
           }
           $_SESSION['print_request']=$ultimo_id;
           header("Location: invsta_docven.php");
           exit;
    }
} elseif (isset($_POST['fai'])) { //conferma dell'evasione di una fattura immediata
    //cerco l'ultimo template
    $rs_ultimo_template = dynQuery("template",
                                   $gTables['tesdoc'] ,
                                   "tipdoc = 'FAI' and seziva = ".$_POST['seziva'],
                                   "datfat DESC, protoc DESC",0,1);
    $ultimo_template = dbms_fetch_array($rs_ultimo_template);
    if ($ultimo_template['template'] == 'FatturaImmediata') {
       $_POST['template'] = "FatturaImmediata";
    } else {
       $_POST['template'] = "FatturaSemplice";
    }
    //controllo i campi
    $dataemiss = $_POST['annemi']."-".$_POST['mesemi']."-".$_POST['gioemi'];
    $utsDataemiss = mktime(0,0,0,$_POST['mesemi'],$_POST['gioemi'],$_POST['annemi']);
    $iniziotrasporto = $_POST['anntra']."-".$_POST['mestra']."-".$_POST['giotra'];
    $utsIniziotrasporto = mktime(0,0,0,$_POST['mestra'],$_POST['giotra'],$_POST['anntra']);
    if (!isset($_POST["clfoco"]))
        $message .= "Non hai selezionato il cliente!<br>\n";
    if (!isset($_POST["righi"])){
        $message .= "Non ci sono righi!<br>\n";
    } else {
        $inevasi="";
        foreach ($_POST['righi'] as $key => $value) {
                if (isset($value['checkval']) and $value['id_doc'] == 0 and ($value['tiprig'] == 0 or $value['tiprig'] == 1)) $inevasi="ok";
        }
        if (empty($inevasi)){
           $message .= "Non ci sono righi inevasi per generare una Fattura Immediata!<br>\n";
        }
    }
    if (empty ($_POST["pagame"]))
        $message .= "Non hai selezionato la modalit&agrave; di pagamento!<br>\n";
    if (!checkdate( $_POST['mesemi'], $_POST['gioemi'], $_POST['annemi']))
        $message .= "La data di emissione ".$_POST['gioemi']."-".$_POST['mesemi']."-".$_POST['annemi']." non &egrave; corretta! <br>";
    if (!checkdate( $_POST['mestra'], $_POST['giotra'], $_POST['anntra']))
        $message .= "La data di inizio trasporto ".$_POST['giotra']."-".$_POST['mestra']."-".$_POST['anntra']." non &egrave; corretta! <br>";
    if ($utsIniziotrasporto < $utsDataemiss) {
        $message .= "La data di inizio trasporto non pu&ograve; essere precedente alla data di emissione!<br>\n";
    }
    if ($message == "") {//procedo all'inserimento
           $iniziotrasporto .= " ".$_POST['oratra'].":".$_POST['mintra'].":00";
           //ricavo il progressivo del numero fattura
           $rs_ultima_fat = dynQuery("numfat*1 AS documento", $gTables['tesdoc'], "YEAR(datemi) = ".$_POST['annemi']." AND tipdoc = 'FAI' AND seziva = ".$_POST['seziva'], "documento DESC",0,1);
           $ultima_fat = dbms_fetch_array($rs_ultima_fat);
           // se e' il primo documento dell'anno, resetto il contatore
           if ($ultima_fat) {
               $_POST['numdoc'] = $ultima_fat['documento'] + 1;
               $_POST['numfat'] = $_POST['numdoc'];
           } else {
               $_POST['numdoc'] = 1;
               $_POST['numfat'] = 1;
           }
           //ricavo il progressivo protocollo
           $rs_ultimo_pro = dynQuery("protoc", $gTables['tesdoc'], "YEAR(datemi) = ".$_POST['annemi']." AND tipdoc LIKE 'F__' and seziva = ".$_POST['seziva'], "protoc DESC",0,1);
           $ultimo_pro = dbms_fetch_array($rs_ultimo_pro);
           // se e' il primo documento dell'anno, resetto il contatore
           if ($ultimo_pro) {
               $_POST['protoc'] = $ultimo_pro['protoc'] + 1;
           } else {
               $_POST['protoc'] = 1;
           }
           //inserisco la testata
           $_POST['tipdoc'] = 'FAI';
           $_POST['id_con'] = '';
           $_POST['status'] = 'GENERATO';
           $_POST['initra'] = $iniziotrasporto;
           $_POST['datemi'] = $dataemiss;
           $_POST['datfat'] = $dataemiss;
           tesdocInsert($_POST);
           //recupero l'id assegnato dall'inserimento
           $ultimo_id = ultimoID();
           $ctrl_tes = 0;
           foreach ($_POST['righi'] as $key => $value) {
               if ($value['id_tes'] != $ctrl_tes) {  //se fa parte di un'ordine diverso dal precedente
                  //inserisco un rigo descrittivo per il riferimento all'ordine sulla fattura immediata
                  $row_descri['descri'] = "da Conferma d\'Ordine n.".$value['numdoc']." del ".substr($value['datemi'],8,2)."-".substr($value['datemi'],5,2)."-".substr($value['datemi'],0,4);
                  $row_descri['id_tes'] = $ultimo_id;
                  $row_descri['tiprig'] = 2;
                  rigdocInsert($row_descri);
               }
               if (isset($value['checkval'])) {   //se e' un rigo selezionato
                   //lo inserisco nella fattura immediata
                   $row = $value;
                   unset ($row['id_rig']);
                   $row['id_tes'] = $ultimo_id;
                   rigdocInsert($row);
                   if ($azienda['conmag'] == 2 and
                     $_POST['righi'][$key]['tiprig'] == 0 and
                     !empty($_POST['righi'][$key]['codart'])) { //se l'impostazione in azienda prevede l'aggiornamento automatico dei movimenti di magazzino
                     $upd_mm->uploadMag(ultimoID(),
                                    $_POST['tipdoc'],
                                    $_POST['numdoc'],
                                    $form['protoc'].'/'.$_POST['seziva'],
                                    $dataemiss,
                                    $_POST['clfoco'],
                                    $_POST['sconto'],
                                    $_POST['caumag'],
                                    $value['codart'],
                                    $value['quanti'],
                                    $value['prelis'],
                                    $value['sconto'],
                                    0,
                                    $azienda['stock_eval_method']
                                    );
                   }
                   //modifico il rigo dell'ordine indicandoci l'id della testata della fattura immediata
                   putRow($gTables['rigbro'], "id_rig", $value['id_rig'], "id_doc",$ultimo_id );
               }
               if ($ctrl_tes != 0 and $ctrl_tes != $value['id_tes']) {  //se non  il primo rigo processato
                     //controllo se ci sono ancora righi inevasi
                     $rs_righi_inevasi = dynQuery("id_tes", $gTables['rigbro'], "id_tes = $ctrl_tes and id_doc = 0 and tiprig between 0 and 1","id_rig",0,1);
                     $inevasi = dbms_fetch_array($rs_righi_inevasi);
                     if (!$inevasi) {  //se non ci sono + righi da evadere
                        //modifico lo status della testata dell'ordine solo se completamente evaso
                        putRow($gTables['tesbro'], "id_tes", $ctrl_tes, "status","EVASO" );
                     }
               }
               $ctrl_tes = $value['id_tes'];
           }
           //controllo se l'ultimo ordine tra quelli processati ha ancora righi inevasi
           $rs_righi_inevasi = dynQuery("id_tes", $gTables['rigbro'], "id_tes = $ctrl_tes and id_doc = 0 and tiprig between 0 and 1","id_rig",0,1);
           $inevasi="";
           $inevasi = dbms_fetch_array($rs_righi_inevasi);
           if (!$inevasi) {  //se non ci sono + righi da evadere
              //modifico lo status della testata dell'ordine solo se completamente evaso
              putRow($gTables['tesbro'], "id_tes", $ctrl_tes, "status","EVASO" );
           }
           $_SESSION['print_request']=$ultimo_id;
           header("Location: invsta_docven.php");
           exit;
    }
} elseif (isset($_POST['Return'])) {  //ritorno indietro
       header("Location: ".$_POST['ritorno']);
       exit;
}
echo "<script language=\"JavaScript\" src=\"../../library/js/CalendarPopup.js\"></script>";
$titolo = 'Seleziona ordini da evadere';
?>
<SCRIPT LANGUAGE="JavaScript">
function pulldown_menu(selectName, destField)
{
    // Create a variable url to contain the value of the
    // selected option from the the form named broven and variable selectName
    var url = document.myform[selectName].options[document.myform[selectName].selectedIndex].value;
    document.myform[destField].value = url;
}

function calcheck(checkin)
{
    with (checkin.form){
        if (checkin.checked == false){
           hiddentot.value = eval(hiddentot.value) - eval(checkin.value);
        } else {
           hiddentot.value = eval(hiddentot.value) + eval(checkin.value);
        }
        var totalecheck = eval(hiddentot.value) - eval(hiddentot.value) * eval(sconto.value) / 100  + eval(traspo.value);
        return((Math.round(totalecheck*100)/100).toFixed(2));
    }
}

function summa(sumtraspo)
{
        if (isNaN(parseFloat(eval(sumtraspo.value)))){
           sumtraspo.value = 0.00;
        }
        var totalecheck = eval(document.myform.hiddentot.value) - eval(document.myform.hiddentot.value) * eval(document.myform.sconto.value) / 100 + eval(sumtraspo.value);
        return((Math.round(totalecheck*100)/100).toFixed(2));
}

function sconta(percsconto)
{
        if (isNaN(parseFloat(eval(percsconto.value)))){
           percsconto.value = 0.00;
        }
        var totalecheck = eval(document.myform.hiddentot.value) - eval(document.myform.hiddentot.value) * eval(percsconto.value) / 100 + eval(document.myform.traspo.value);
        return((Math.round(totalecheck*100)/100).toFixed(2));
}

</script>
<SCRIPT LANGUAGE="JavaScript" ID="datapopup">
var cal = new CalendarPopup();
cal.setReturnFunction("setMultipleValues");
function setMultipleValues(y,m,d) {
  document.myform.anntra.value=y;
  document.myform.mestra.value=LZ(m);
  document.myform.giotra.value=LZ(d);
  }
</SCRIPT>
<?php
require_once("../../library/include/header.php"); HeadMain($titolo,'');
switch($azienda['fatimm']) {
    case 1:
    case 2:
    case 3:
         if ($azienda['fatimm'] != $form['seziva']){
           $alert_sezione = "&sup1; La sezione IVA scelta non &egrave; quella<br/>normalente usata (sezione{$azienda['fatimm']}) per<br/>l'emissione delle Fatture immediate.";
         } else {
           $alert_sezione = "";
         }
    break;
    case "U":
        $alert_sezione = "&sup1; La sezione IVA selezionata potrebbe non<br/>coincidere con quella che verr&agrave; usata per<br/>l'emissione della Fattura immediata che per<br/>Vostra scelta sar&agrave; uguale all'ultima emessa.";
    break;
    default:
        $alert_sezione = "";
}
?>
<form method="POST" name="myform">
<input type="hidden" name="ritorno" value="<?php echo $_POST['ritorno']; ?>">
<input type="hidden" name="id_tes" value="<?php echo $form['id_tes']; ?>">
<input type="hidden" name="ivaspe" value="<?php echo $form['ivaspe']; ?>">
<input type="hidden" name="listin" value="<?php echo $form['listin']; ?>">
<input type="hidden" name="net_weight" value="<?php echo $form['net_weight']; ?>">
<input type="hidden" name="gross_weight" value="<?php echo $form['gross_weight']; ?>">
<input type="hidden" name="units" value="<?php echo $form['units']; ?>">
<input type="hidden" name="volume" value="<?php echo $form['volume']; ?>">
<input type="hidden" name="id_agente" value="<?php echo $form['id_agente']; ?>">
<input type="hidden" name="caumag" value="<?php echo $form['caumag']; ?>">
<div align="center" class="FacetFormHeaderFont"><?php echo $titolo; ?> a:
<?php
$select_cliente = new selectPartner("clfoco");
$select_cliente -> addSelected($form['clfoco']);
$select_cliente -> output($azienda['mascli'],$form['ragso1']);
//tabula solo se non e' stato settato il cliente
$tabula =" tabindex=\"3\" ";
if ($form['clfoco'] > 0)
     $tabula ="";
echo "<input type=\"image\"  name=\"inscli\" src=\"../../library/images/vbut.gif\" align=\"middle\" ".$tabula." accesskey=\"x\" alt=\"Conferma il cliente!\">\n";
?>
</div>
<table class="Tlarge">
<tr>
<td rowspan="2" class="FacetFieldCaptionTD">Sez. IVA &nbsp;</td>
<td rowspan="2" class="FacetDataTD">
<select name="seziva" class="FacetSelect" onchange=this.form.submit()>
<?php
for ($sez = 1; $sez <= 3; $sez++) {
$selected="";
if($form["seziva"] == $sez) {
   $selected = " selected ";
}
echo "<option value=\"".$sez."\"".$selected.">".$sez."</option>\n";
}
?>
</select>
</td>
<?php
echo "<td class=\"FacetFieldCaptionTD\">Indirizzo&dArr; Destinazione&rArr;</td>";
if (! $message == "") {
    echo "<td rowspan=\"2\" class=\"FacetDataTDred\">ERRORE! <br />".$message."</td>\n";
    echo '<input type="hidden" name="destin" value="'.$form['destin'].'">';
} else {
    echo "<td rowspan=\"2\" class=\"FacetDataTD\"><textarea rows=\"1\" cols=\"30\" name=\"destin\" class=\"FacetInput\">".$form['destin']."</textarea></td>\n";
}
?>
<td class="FacetFieldCaptionTD">Data </td>
<td class="FacetFieldCaptionTD" align="right">
<?php
// select del giorno
echo "\t <select name=\"gioemi\" class=\"FacetSelect\" >\n";
for( $counter = 1; $counter <= 31; $counter++ )
    {
    $selected = "";
    if($counter ==  $form['gioemi'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
    }
echo "\t </select>\n";
// select del mese
echo "\t <select name=\"mesemi\" class=\"FacetSelect\" >\n";
for( $counter = 1; $counter <= 12; $counter++ )
    {
    $selected = "";
    if($counter == $form['mesemi'])
            $selected = "selected";
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
    }
echo "\t </select>\n";
// select del anno
echo "\t <select name=\"annemi\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = $anno-10; $counter <= $anno+10; $counter++ )
    {
    $selected = "";
    if($counter == $form['annemi'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
    }
echo "\t </select>\n";
?>
</td>
</tr>
<tr>
<?php
   echo "<td class=\"FacetDataTD\">".$cliente['indspe']."</td>\n";
?>
<td colspan="2" class="FacetText">Inizio trasporto
<INPUT class="FacetText" TYPE="text" NAME="giotra" VALUE="<?php echo $form['giotra'];?>" size="2">
<INPUT class="FacetText" TYPE="text" NAME="mestra" VALUE="<?php echo $form['mestra'];?>" size="2">
<INPUT class="FacetText" TYPE="text" NAME="anntra" VALUE="<?php echo $form['anntra'];?>" size="2">
<A HREF="#" onClick="cal.showCalendar('anchor','<?php echo $form['mestra']."/".$form['giotra']."/".$form['anntra'];?>'); return false;" TITLE=" cambia la data! " NAME="anchor" ID="anchor">
<img border="0" src="../../library/images/cal.png">
</A> ore
<?php
// select dell'ora
echo "\t <select name=\"oratra\" class=\"FacetText\" >\n";
for( $counter = 0; $counter <= 23; $counter++ )
    {
    $selected = "";
    if($counter ==  $form['oratra'])
            $selected = "selected";
    echo "\t\t <option value=\"".sprintf('%02d',$counter)."\" $selected >".sprintf('%02d',$counter)."</option>\n";
    }
echo "\t </select>\n ";
// select dell'ora
echo "\t <select name=\"mintra\" class=\"FacetText\" >\n";
for( $counter = 0; $counter <= 59; $counter++ )
    {
    $selected = "";
    if($counter ==  $form['mintra'])
            $selected = "selected";
    echo "\t\t <option value=\"".sprintf('%02d',$counter)."\" $selected >".sprintf('%02d',$counter)."</option>\n";
    }
echo "\t </select>\n";
?>
</td></tr>
<tr>
<td class="FacetFieldCaptionTD">Trasporto  &nbsp;</td>
<td  class="FacetDataTD">
<?php
echo "<input type=\"text\" value=\"".$form['traspo']."\"  onChange=\"this.form.total.value=summa(this);\" name=\"traspo\" maxlength=\"6\" size=\"3\" >\n";
?>
</td>
<td class="FacetFieldCaptionTD">Pagamento </td>
<td  class="FacetDataTD">
<?php
$select_pagame = new selectpagame("pagame");
$select_pagame -> addSelected($form["pagame"]);
$select_pagame -> output();
?>
</td>
<td class="FacetFieldCaptionTD">Banca</td>
<td  class="FacetDataTD">
<?php
$select_banapp = new selectbanapp("banapp");
$select_banapp -> addSelected($form["banapp"]);
$select_banapp -> output();
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Agente : &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\">";
$id_agente = getRow($gTables['agenti'],'id_agente',$form['id_agente']);
if ($id_agente){
   $rs_agente = $anagrafica->getPartner($id_agente['id_fornitore']);
   echo substr($rs_agente['ragso1']." ".$rs_agente['ragso2'],0,47);
}
?>
    </td>
    <td class="FacetFieldCaptionTD">Spedizione  &nbsp;</td>
    <td class="FacetDataTD"><input title="Descrizione della spedizione" type="text" name="spediz" value="<?php echo $form["spediz"]; ?>" maxlength="50" size="25" class="FacetInput">
    <?php
        $select_spediz = new SelectValue("spedizione");
        $select_spediz -> output('spediz', 'spediz');
    ?>
    </td>
    <td class="FacetFieldCaptionTD">Porto &nbsp;</td>
    <td class="FacetDataTD"><input title="Descrizione del porto resa" type="text" name="portos" value="<?php echo $form["portos"]; ?>" maxlength="50" size="25" class="FacetInput">
    <?php
        $select_spediz = new SelectValue("portoresa");
        $select_spediz -> output('portos', 'portos');
    ?>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Sconto &nbsp;</td>
    <td class="FacetDataTD"><input title="Sconto chiusura calcolato sul totale dell'imponibile" type="text" name="sconto" value="<?php echo $form["sconto"]; ?>" onChange="this.form.total.value=sconta(this);" maxlength="6" size="3" class="FacetInput"></td>
    <td class="FacetFieldCaptionTD">Imballo  &nbsp;</td>
    <td class="FacetDataTD"><input title="Descrizione dell'imballo" type="text" name="imball" value="<?php echo $form["imball"]; ?>" maxlength="50" size="25" class="FacetInput">
    <?php
        $select_spediz = new SelectValue("imballo");
        $select_spediz -> output('imball', 'imball');
    ?>
    </td>
    <td class="FacetFieldCaptionTD">Vettore &nbsp;</td>
    <td  class="FacetDataTD">
    <?php
    $select_vettor = new selectvettor("vettor");
    $select_vettor -> addSelected($form["vettor"]);
    $select_vettor -> output();
    ?>
    </td>
    </table>
<?php
if (! empty ($form['righi'])) {
   echo "<div><center><b>ORDINI DA EVADERE:</b></div>";
   echo "<table class=\"Tlarge\">";
   $ctrl_tes = 0;
   $total_order = 0;
   foreach ($form['righi'] as $key => $value) {
        //calcolo importo rigo
        $tiporigo = $value['tiprig'];
        if ($tiporigo == 0) {//se del tipo normale
           $imprig = CalcolaImportoRigo($form['righi'][$key]['quanti'], $form['righi'][$key]['prelis'], $form['righi'][$key]['sconto']);
        } elseif ($tiporigo == 1) {//ma se del tipo forfait
           $imprig = CalcolaImportoRigo(1, $form['righi'][$key]['prelis'], 0);
        } else {
           $imprig = 0;
        }
        if ($value['id_doc'] > 0 or $tiporigo > 1) {
           $checkin = ' title="Questa checkbox dev\'essere selezionata per evadere il rigo" disabled ';
        } elseif($value['id_doc'] == 0) {
           $checkin = ' title="Questa checkbox dev\'essere selezionata per evadere il rigo" checked';
           $total_order += $imprig;
        } else {
           $checkin = "";
        }
        if ($ctrl_tes != $value['id_tes']) {
           echo "<tr><td class=\"FacetDataTD\" colspan=\"7\"> da Ordine n.<a href=\"admin_broven.php?Update&id_tes=".$value["id_tes"]."\" title=\"Modifica l'Ordine\">".$value['numdoc']."</a> del ".substr($value['datemi'],8,2)."-".substr($value['datemi'],5,2)."-".substr($value['datemi'],0,4)." </td></tr>";
        }
        echo "<tr>";
        echo "<input type=\"hidden\" name=\"righi[{$key}][id_tes]\" value=\"".$value['id_tes']."\">\n";
        echo "<input type=\"hidden\" name=\"righi[{$key}][datemi]\" value=\"".$value['datemi']."\">\n";
        echo "<input type=\"hidden\" name=\"righi[{$key}][tipdoc]\" value=\"".$value['tipdoc']."\">\n";
        echo "<input type=\"hidden\" name=\"righi[{$key}][numdoc]\" value=\"".$value['numdoc']."\">\n";
        echo "<input type=\"hidden\" name=\"righi[{$key}][id_rig]\" value=\"".$value['id_rig']."\">\n";
        echo "<input type=\"hidden\" name=\"righi[{$key}][tiprig]\" value=\"".$value['tiprig']."\">\n";
        echo "<input type=\"hidden\" name=\"righi[{$key}][id_doc]\" value=\"".$value['id_doc']."\">\n";
        echo "<input type=\"hidden\" name=\"righi[{$key}][codart]\" value=\"".$value['codart']."\">\n";
        echo "<input type=\"hidden\" name=\"righi[{$key}][codvat]\" value=\"".$value['codvat']."\">\n";
        echo "<input type=\"hidden\" name=\"righi[{$key}][pervat]\" value=\"".$value['pervat']."\">\n";
        echo "<input type=\"hidden\" name=\"righi[{$key}][codric]\" value=\"".$value['codric']."\">\n";
        echo "<td><input type=\"hidden\" name=\"righi[{$key}][descri]\" value=\"".$value['descri']."\">".$value['descri']."</td>\n";
        echo "<td align=\"center\"><input type=\"hidden\" name=\"righi[{$key}][unimis]\" value=\"".$value['unimis']."\">".$value['unimis']."</td>\n";
        echo "<td align=\"right\"><input type=\"hidden\" name=\"righi[{$key}][quanti]\" value=\"".$value['quanti']."\">".$value['quanti']."</td>\n";
        echo "<td align=\"right\"><input type=\"hidden\" name=\"righi[{$key}][prelis]\" value=\"".$value['prelis']."\">".$value['prelis']."</td>\n";
        echo "<td align=\"right\"><input type=\"hidden\" name=\"righi[{$key}][provvigione]\" value=\"".$value['provvigione']."\">".$value['provvigione']."</td>\n";
        echo "<td align=\"right\"><input type=\"hidden\" name=\"righi[{$key}][sconto]\" value=\"".$value['sconto']."\">".$value['sconto']."</td>\n";
        echo "<td class=\"FacetDataTD\" align=\"right\">$imprig</td>\n";
        echo "<td class=\"FacetFieldCaptionTD\" align=\"center\"><input type=\"checkbox\" name=\"righi[{$key}][checkval]\" $checkin value=\"$imprig\" onclick=\"this.form.total.value=calcheck(this);\"></td>\n";
        echo "</tr>";
        $ctrl_tes = $value['id_tes'];
    }
    echo "<tr><td class=\"FacetDataTD\">\n";
    echo "<input type=\"submit\" name=\"Return\" value=\"Indietro\">&nbsp;</td>\n";
    echo "<td colspan=\"2\" class=\"FacetFieldCaptionTD\">\n";
    echo "<input type=\"submit\" name=\"ddt\" value=\"Evadi con D.d.T.\" accesskey=\"d\" title=\"Emetti un D.d.T. per i righi selezionati\" ></td>\n";
    echo "<td colspan=\"2\"  class=\"FacetDataTDred\">\n";
    echo "<input type=\"submit\" name=\"fai\" value=\"Evadi con Fattura Immediata\" accesskey=\"f\" title=\"Emetti una Fattura Immediata per i righi selezionati\">\n";
    if (!empty($alert_sezione)) echo " &sup1;";
    echo "</td><input type=\"hidden\" name=\"hiddentot\" value=\"$total_order\">\n";
    echo "<td class=\"FacetFieldCaptionTD\" align=\"right\">Imponibile $money[2] &nbsp;\n";
    echo "<input type=\"text\" value=\"".number_format(($total_order - $total_order*$form['sconto']/100 + $form['traspo']),2,'.','')."\" name=\"total\" size=\"8\" readonly />\n";
    echo "</td></tr>";
    if (!empty($alert_sezione)) echo "<tr><td colspan=\"3\"></td><td colspan=\"2\" class=\"FacetDataTDred\">$alert_sezione </td></tr>";
}
?>
</table>
</form>
</body>
</html>