<?php
/* $Id: stampa_distint.php,v 1.15 2008/10/19 10:42:49 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
if (!isset($_GET['ristam']) or !isset($_GET['banacc']) or !isset($_GET['scaini']) or !isset($_GET['scafin']) or !isset($_GET['proini']) or !isset($_GET['profin']))
    {
    header("Location: report_effett.php");
    exit;
    }
if ($_GET['ristam'] <> 'S') {
    $ristampa = "status <> 'DISTINTATO' and ";
} else {
    $ristampa = "(banacc = '".intval($_GET['banacc'])."' or banacc = 0) and ";
}
$gioini = substr($_GET['scaini'],8,2);
$mesini = substr($_GET['scaini'],5,2);
$annini = substr($_GET['scaini'],0,4);
$utsini= mktime(0,0,0,$mesini,$gioini,$annini);
$giofin = substr($_GET['scafin'],8,2);
$mesfin = substr($_GET['scafin'],5,2);
$annfin = substr($_GET['scafin'],0,4);
$utsfin= mktime(0,0,0,$mesfin,$giofin,$annfin);
$datainizio = date("Ymd",$utsini);
$datafine = date("Ymd",$utsfin);

// recupero i dati
$where = $ristampa." scaden BETWEEN '".$datainizio."' AND '".$datafine."' AND progre BETWEEN '".intval($_GET['proini'])."' AND '".intval($_GET['profin'])."'";
$azienda = getRow($gTables['aziend'],"codice",1);
$result = dynQuery("*", $gTables['effett'],$where,"tipeff asc,scaden asc,id_tes asc");
$banacc = getRow($gTables['clfoco'],"codice",intval($_GET['banacc']));
$descbanacc = $banacc['ragso1'];
$day = substr($_GET['datemi'],8,2);
$month = substr($_GET['datemi'],5,2);
$year = substr($_GET['datemi'],0,4);
$nomemese=ucwords(strftime("%B", mktime (0,0,0,$month,1,0)));
$emissione = 'Distinta effetti dal '.date("d-m-Y",$utsini).' al '.date("d-m-Y",$utsfin);

$title = array('title'=>$emissione,
               'hile'=>array(array('lun' => 18,'nam'=>'Scadenza'),
                             array('lun' => 18,'nam'=>'Effetto'),
                             array('lun' => 100,'nam'=>'Cliente / Indirizzo,P.IVA / Fattura'),
                             array('lun' => 30,'nam'=>'Appoggio'),
                             array('lun' => 24,'nam'=>'Importo')
                             )
              );
$aRiportare = array('top'=>array(array('lun' => 166,'nam'=>'da riporto : '),
                           array('lun' => 24,'nam'=>'')
                           ),
                    'bot'=>array(array('lun' => 166,'nam'=>'a riportare : '),
                           array('lun' => 24,'nam'=>'')
                           )
                    );

require_once('../../config/templates/report_template.php');

$pdf = new Report_template();
$pdf->setVars($azienda,$title,1);
$pdf->setFooterMargin(22);
$pdf->setTopMargin(43);
$pdf->AddPage();
$ctrltipo="";
$totaleff=0.00;
$totnumeff=0;
$pdf->SetFont('freesans','',7);
$pdf->setRiporti($aRiportare);
while ($a_row = dbms_fetch_array($result)) {
    if ($a_row["tipeff"] <> $ctrltipo){
        if (isset($totaletipo))
            $pdf->Cell(190,4,$totnumtipo.' '.$descreff.' per un totale di '.gaz_format_number($totaletipo),1,1,'R');
        $totaletipo = 0.00;
        $totnumtipo = 0;
        switch($a_row['tipeff'])
            {
            case "B":
            $descreff = 'RICEVUTE BANCARIE ';
            break;
            case "T":
            $descreff = 'CAMBIALI TRATTE ';
            break;
            case "V":
            $descreff = 'RICHIESTE DI VERSAMENTO ';
            break;
            }
    }
    $totnumeff++;
    $totnumtipo++;
    $totaleff += $a_row["impeff"];
    $totaletipo += $a_row["impeff"];
    $cliente = getRow($gTables['clfoco'],"codice",$a_row['clfoco']);
    $banapp = getRow($gTables['banapp'],"codice",$a_row['banapp']);
    $scadenza = substr($a_row['scaden'],8,2).'-'.substr($a_row['scaden'],5,2).'-'.substr($a_row['scaden'],0,4);
    $emission = substr($a_row['datemi'],8,2).'-'.substr($a_row['datemi'],5,2).'-'.substr($a_row['datemi'],0,4);
    $datafatt = substr($a_row['datfat'],8,2).'-'.substr($a_row['datfat'],5,2).'-'.substr($a_row['datfat'],0,4);
    if ($a_row["salacc"] == 'S')
        $saldoacco = "a saldo";
    else    $saldoacco = "in conto";
    $pdf->Cell(18,4,'','LR',0,'L');
    $pdf->Cell(18,4,'n.'.$a_row["progre"].' del','LR',0,'L');
    $pdf->Cell(100,4,$cliente["ragso1"].' '.$cliente["ragso2"],'LR',0,'L');
    $pdf->Cell(30,4,'ABI '.$banapp["codabi"],'LR',0,'R');
    $pdf->Cell(24,4,'','LR',1,'R');
    $pdf->Cell(18,4,$scadenza,'LR',0,'L');
    $pdf->Cell(18,4,$emission,'R',0,'L');
    $pdf->Cell(100,4,$cliente["indspe"].' '.sprintf("%05d",$cliente["capspe"]).' '.$cliente["citspe"].' ('.$cliente["prospe"].') P.IVA '.$cliente["pariva"],0,0,'L');
    $pdf->Cell(30,4,'CAB '.$banapp["codcab"],'R',0,'R');
    $pdf->Cell(24,4,gaz_format_number($a_row["impeff"]),'R',1,'R');
    $pdf->Cell(18,4,'','LRB',0,'L');
    $pdf->Cell(18,4,$saldoacco,'RB',0,'R');
    $pdf->Cell(80,4,'Fatt.n.'.$a_row["numfat"].' del '.$datafatt,'B',0,'L');
    $pdf->Cell(20,4,'','B');
    $pdf->Cell(30,4,$banapp["descri"],'RB',0,'R');
    $pdf->Cell(24,4,'','RB',1,'R');
    //aggiorno il db solo se non  una ristampa
    if ($a_row["status"] <> 'DISTINTATO')
        {
        putRow($gTables['effett'], "id_tes",$a_row["id_tes"],"status",'DISTINTATO');
        putRow($gTables['effett'], "id_tes",$a_row["id_tes"],"banacc",$_GET['banacc']);
        }
    $ctrltipo = $a_row["tipeff"];
}
$pdf->setRiporti();
$pdf->Cell(190,4,$totnumtipo.' '.$descreff.' per un totale di € '.gaz_format_number($totaletipo),1,1,'R');
$pdf->SetFont('freesans','B',12);
$pdf->Cell(80);
$pdf->Cell(80,10,'TOTALE DEGLI EFFETTI VERSATI    € ',1,0,'L');
$pdf->Cell(30,10,gaz_format_number($totaleff),1,1,'R',1);
$pdf->Output();
?>