<?php
 /* $Id: update_effett.php,v 1.10 2008/10/14 08:29:48 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.
    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.
    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$anno = date("Y");
$oggi = date("Y-m-d");
$orainizio = date("Y-m-d H:i:s");
$message = "";
$azienda = getRow($gTables['aziend'],'codice',1);
$clienti = $azienda['mascli'];
//trovo i pagamenti che permettono l'emissione effetti
$rs_pagame = dynQuery ('*', $gTables['pagame'], "tippag = 'B' or tippag = 'T' or tippag = 'V'", $orderby);
if (! isset($_POST['id_tes'])) {
    $testat = $_GET['id_tes'];
} else {
    $testat = $_POST['id_tes'];
}
$effett = getRow($gTables['effett'],"id_tes",$testat);
// Controlla se esistono i campi
if (!isset($_POST['seziva'])) {
    $_POST['id_tes'] = $effett['id_tes'];
    $_POST['gioemi'] = substr($effett['datemi'],8,2);
    $_POST['mesemi'] = substr($effett['datemi'],5,2);
    $_POST['annemi'] = substr($effett['datemi'],0,4);
    $_POST['progre'] = $effett['progre'];
    $_POST['numfat'] = $effett['numfat'];
    $_POST['seziva'] = $effett['seziva'];
    $_POST['giofat'] = substr($effett['datfat'],8,2);
    $_POST['mesfat'] = substr($effett['datfat'],5,2);
    $_POST['annfat'] = substr($effett['datfat'],0,4);
    $_POST['totfat'] = $effett['totfat'];
    $_POST['salacc'] = $effett['salacc'];
    $_POST['impeff'] = $effett['impeff'];
    $_POST['giosca'] = substr($effett['scaden'],8,2);
    $_POST['messca'] = substr($effett['scaden'],5,2);
    $_POST['annsca'] = substr($effett['scaden'],0,4);
    $_POST['codcli'] = $effett['clfoco'];
    $cliente = getRow($gTables['clfoco'],"codice","{$_POST['codcli']}");
    $_POST['ragso1'] = $cliente['ragso1'];
    $_POST['codpag'] = $effett['pagame'];
    $_POST['banapp'] = $effett['banapp'];
    $_POST['banacc'] = $effett['banacc'];
    $_POST['id_con'] = $effett['id_con'];
    $_POST['status'] = $effett['status'];
}
$codicepag = $_POST['codpag'];
$pagamento = getRow($gTables['pagame'],"codice",$codicepag);
if (!isset($_POST['ragso1']))
    $_POST['ragso1'] = "";
// Se viene inviata la richiesta di conferma cliente
if (isset($_POST['inscli_x'])) {
    $cliente = getRow($gTables['clfoco'],"codice","{$_POST['codcli']}");
    $_POST['codiva']=$cliente['aliiva'];
    $_POST['codpag']=$cliente['codpag'];
    $_POST['banapp']=$cliente['banapp'];
}
$codicepag = $_POST['codpag'];
$pagamento = getRow($gTables['pagame'],"codice",$codicepag);
if (isset($_POST['insert'])) {
    //controllo i campi
    if (!checkdate( $_POST['mesemi'], $_POST['gioemi'], $_POST['annemi']))
        $message .= "La data ".$_POST['gioemi']."-".$_POST['mesemi']."-".$_POST['annemi']." non &egrave; corretta! <br>";
    if (!checkdate( $_POST['mesfat'], $_POST['giofat'], $_POST['annfat']))
        $message .= "La data ".$_POST['giofat']."-".$_POST['mesfat']."-".$_POST['annfat']." non &egrave; corretta! <br>";
    if (!checkdate( $_POST['messca'], $_POST['giosca'], $_POST['annsca']))
        $message .= "La data ".$_POST['giosca']."-".$_POST['messca']."-".$_POST['annsca']." non &egrave; corretta! <br>";
    $utsemi= mktime(0,0,0,$_POST['mesemi'],$_POST['gioemi'],$_POST['annemi']);
    $utsfat= mktime(0,0,0,$_POST['mesfat'],$_POST['giofat'],$_POST['annfat']);
    $utssca= mktime(0,0,0,$_POST['messca'],$_POST['giosca'],$_POST['annsca']);
    if ($utsemi < $utsfat)
        $message .="La data di emissione non pu&ograve; essere antecedente alla data della fattura !<br>";
    if ($utsfat > $utssca)
        $message .="La data di scadenza non pu&ograve; essere antecedente alla data della fattura !<br>";
    if ($utsemi > $utssca)
        $message .="La data di scadenza non pu&ograve; essere antecedente alla data di emissione !<br>";
    if (empty ($_POST['banapp']))
        $message .="E' necessario introdurre la banca d'appoggio !<br>";
    if (empty ($_POST['impeff']))
        $message .="E' necessario indicare l'importo dell'effetto !<br>";
    if (empty ($_POST['codcli']))
        $message .="E' necessario selezionare il cliente !<br>";
    if ($message == "")
        {
        //inserisco nel db l'effetto modificato
        $dataemiss = $_POST['annemi']."-".$_POST['mesemi']."-".$_POST['gioemi'];
        $datafattu = $_POST['annfat']."-".$_POST['mesfat']."-".$_POST['giofat'];
        $datascade = $_POST['annsca']."-".$_POST['messca']."-".$_POST['giosca'];
        effettUpdate($_POST['id_tes'],$pagamento['tippag'],$dataemiss,$_POST['progre'],$_POST['numfat'],$_POST['seziva'],$datafattu,$_POST['totfat'],$_POST['salacc'],$_POST['impeff'],$datascade,$_POST['codcli'],$_POST['codpag'],$_POST['banapp'],$_POST['banacc'],$_POST['id_con'],$_POST['id_con']);
        header("Location: report_effett.php");
        exit;
    }
}
if (isset($_POST['Return']))
    {
    header("Location: report_effett.php");
    exit;
    }
$titolo="Modifica Effetto";
require_once("../../library/include/header.php"); HeadMain($titolo,'');
?>
<form method="POST">
<div align="center"><font class="FacetFormHeaderFont">Modifica Effetto emesso a:
     <?php
     $select_cliente = new selectclfoco("codcli");
     $ricerca=$_POST['ragso1'];
     $select_cliente -> addSelected($_POST['codcli']);
     $select_cliente -> output("$clienti","$ricerca");
     //tabula solo se non e' stato settato il cliente
     $tabula =" tabindex=\"3\" ";
     if ($_POST['codcli'] > 0)
          $tabula ="";
     echo "<input type=\"image\"  name=\"inscli\" src=\"../../library/images/vbut.gif\" align=\"middle\" ".$tabula." accesskey=\"x\" alt=\"Conferma il cliente!\">";
     ?>
</div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<?php
if (! $message == "")
    {
    echo "<tr><td colspan=\"2\" class=\"FacetDataTD\" style=\"color: red;\">".$message."</td></tr>";
}
?>
<tr>
<td class="FacetFieldCaptionTD">Numero Effetto &nbsp;</td>
<td  class="FacetDataTD">
<?php
echo "<input type=\"text\" value=\"{$_POST['progre']}\" name=\"progre\" maxlength=\"6\" size=\"6\" >";
?>
</td>
</tr>
<tr>
        <td class="FacetFieldCaptionTD">Tipo Effetto &nbsp;</td>
    <td class="FacetDataTD">
    <?php  echo $pagamento["tippag"];  ?>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Data di Emissione *&nbsp;</td>
    <td class="FacetDataTD" >
         <?php
         echo "<input type=\"hidden\" value=\"{$_POST['id_tes']}\" name=\"id_tes\">";
         echo "<input type=\"hidden\" value=\"{$_POST['id_con']}\" name=\"id_con\">";
         echo "<input type=\"hidden\" value=\"{$_POST['status']}\" name=\"id_con\">";
         echo "<input type=\"hidden\" value=\"{$_POST['seziva']}\" name=\"seziva\">";
         // select del giorno
         print "\t <select name=\"gioemi\" class=\"FacetSelect\" >\n";
         for( $counter = 1; $counter <= 31; $counter++ )
             {
             $selected = "";
             if($counter ==  $_POST['gioemi'])
                     $selected = "selected";
             print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
             }
         print "\t </select>\n";
         // select del mese
         echo "\t <select name=\"mesemi\" class=\"FacetSelect\" >\n";
         for( $counter = 1; $counter <= 12; $counter++ )
             {
             $selected = "";
             if($counter == $_POST['mesemi'])
                     $selected = "selected";
             $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
             echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
             }
         echo "\t </select>\n";
         // select del anno
         print "\t <select name=\"annemi\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
         for( $counter = 2002; $counter <= 2030; $counter++ ) {
             $selected = "";
             if($counter == $_POST['annemi'])
                     $selected = "selected";
             print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
         }
         print "\t </select>\n";
         ?>
    </td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Numero Fattura &nbsp;</td>
<td  class="FacetDataTD">
<?php
echo "<input type=\"text\" value=\"{$_POST['numfat']}\" name=\"numfat\" maxlength=\"6\" size=\"6\" >";
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Sez. IVA &nbsp;</td>
<td class="FacetDataTD">
<select name="seziva" class="FacetSelect">
    <?php
    for ($sez = 1; $sez <= 3; $sez++) {
        $selected="";
        if($_POST["seziva"] == $sez)
            $selected = " selected ";
        echo "<option value=\"".$sez."\"".$selected.">".$sez."</option>";
    }
    ?>
</select>
</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Data della Fattura &nbsp;</td>
    <td class="FacetDataTD" >
         <?php
         // select del giorno
         print "\t <select name=\"giofat\" class=\"FacetSelect\">\n";
         for( $counter = 1; $counter <= 31; $counter++ )
             {
             $selected = "";
             if($counter ==  $_POST['giofat'])
                     $selected = "selected";
             print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
             }
         print "\t </select>\n";
         // select del mese
         echo "\t <select name=\"mesfat\" class=\"FacetSelect\">\n";
         for( $counter = 1; $counter <= 12; $counter++ )
             {
             $selected = "";
             if($counter == $_POST['mesfat'])
                     $selected = "selected";
             $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
             echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
             }
         echo "\t </select>\n";
         // select del anno
         print "\t <select name=\"annfat\" class=\"FacetSelect\">\n";
         for( $counter = 2002; $counter <= 2030; $counter++ )
             {
             $selected = "";
             if($counter == $_POST['annfat'])
                     $selected = "selected";
             print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
             }
         print "\t </select>\n";
         ?>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Totale Fattura &nbsp;</td>
    <td  class="FacetDataTD">
    <?php
    echo "<input type=\"text\" value=\"{$_POST['totfat']}\" name=\"totfat\" maxlength=\"9\" size=\"9\" >";
    ?>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Acconto/Saldo &nbsp;</td>
    <td class="FacetDataTD">
    <select name="salacc" class="FacetSelect">
    <?php  $accosaldo = array('C' => 'Acconto','S' => 'Saldo');
    foreach ($accosaldo as $key => $value)
        {
        $selected="";
        if($_POST["salacc"] == $key)
            $selected = " selected ";
        echo "<option value=\"".$key."\"".$selected.">".$key.'-'.$value."</option>";
    }
    ?>
    </select>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Importo Effetto * &nbsp;</td>
    <td  class="FacetDataTD">
    <?php
    echo "<input type=\"text\" value=\"{$_POST['impeff']}\" name=\"impeff\" maxlength=\"9\" size=\"9\" >";
    ?>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Data di Scadenza *&nbsp;</td>
    <td class="FacetDataTD" >
         <?php
            // select del giorno
            print "\t <select name=\"giosca\" class=\"FacetSelect\">\n";
            for( $counter = 1; $counter <= 31; $counter++ )
                {
                $selected = "";
                if($counter ==  $_POST['giosca'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
                }
            print "\t </select>\n";
            // select del mese
            echo "\t <select name=\"messca\" class=\"FacetSelect\">\n";
            for( $counter = 1; $counter <= 12; $counter++ )
                {
                $selected = "";
                if($counter == $_POST['messca'])
                        $selected = "selected";
                $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
                echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
                }
            echo "\t </select>\n";
            // select del anno
            print "\t <select name=\"annsca\" class=\"FacetSelect\">\n";
            for( $counter = 2002; $counter <= 2030; $counter++ )
                {
                $selected = "";
                if($counter == $_POST['annsca'])
                        $selected = "selected";
                print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
                }
            print "\t </select>\n";
         ?>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Pagamento *</td>
    <td  class="FacetDataTD">
    <select name="codpag" class="FacetSelect"  onchange="this.form.submit()">
    <?php
    while ($a_row = dbms_fetch_array($rs_pagame)) {
        $selected = "";
        if($a_row["codice"] == $_POST['codpag'])
            $selected = "selected";
        echo "\t\t <option value=\"".$a_row["codice"]."\" $selected >".$a_row["codice"]."-".$a_row["descri"]."</option>\n";
    }
    ?>
    </select>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Banca d'appoggio *</td>
    <td  class="FacetDataTD">
         <?php
           $select_banapp = new selectbanapp("banapp");
           $select_banapp -> addSelected($_POST["banapp"]);
           $select_banapp -> output();
         ?>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Banca d'accredito </td>
    <td  class="FacetDataTD">
    <?php
    $select_banacc = new selectbanacc("banacc");
    $ricerca = $azienda['masban'];
    $select_banacc -> addSelected($_POST['banacc']);
    $select_banacc -> output($ricerca);
    ?>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">I campi contrassegnati con * sono obbligatori! &nbsp;</td>
    <td colspan="2" align="right" >
    <!-- BEGIN Button Return --><input type="submit" name="Return" value="Indietro"><!-- END Button Return -->&nbsp;
    <!-- BEGIN Button Insert --><input type="submit" name="insert" value="Modifica !"><!-- END Button Insert -->&nbsp;
    </td>
</tr>
</table>
</form>
</body>
</html>