<?php
/* $Id: admin_broacq.php,v 1.47 2008/10/14 08:29:23 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$msg = "";
$azienda = getRow($gTables['aziend'],'codice',1);

//Creo l'array associativo delle descrizioni dei documenti e dei relativi operatori
$TipoDocumento = array ("AOR" => 0,"APR" => 0);
if (isset($_POST['newdestin'])) {
    $_POST['id_des']=0;
    $_POST['destin']="";
}
if (!isset($_POST['ritorno'])) {
    $form['ritorno'] = $_SERVER['HTTP_REFERER'];
} else {
    $form['ritorno'] = $_POST['ritorno'];
}
// il tipo documento dev'essere settato e del tipo giusto altrimenti torna indietro
if ((isset($_GET['Update']) and  !isset($_GET['id_tes'])) or
   (isset($_GET['tipdoc']) and (!array_key_exists($_GET['tipdoc'],$TipoDocumento)))) {
    header("Location: ".$form['ritorno']);
    exit;
}

if ((isset($_POST['Update'])) or (isset($_GET['Update']))) {
    $toDo = 'update';
} else {
    $toDo = 'insert';
}

if ((isset($_POST['Insert'])) or (isset($_POST['Update']))) {   //se non e' il primo accesso
    //qui si dovrebbe fare un parsing di quanto arriva dal browser...
    $form['id_tes'] = $_POST['id_tes'];
    $anagrafica = new Anagrafica();
    $fornitore = $anagrafica->getPartner($_POST['clfoco']);
    // ...e della testata
    $form['ragso1'] = $_POST['ragso1'];
    $form['cosear'] = $_POST['cosear'];
    $form['seziva'] = $_POST['seziva'];
    $form['tipdoc'] = $_POST['tipdoc'];
    $form['gioemi'] = $_POST['gioemi'];
    $form['mesemi'] = $_POST['mesemi'];
    $form['annemi'] = $_POST['annemi'];
    $form['protoc'] = $_POST['protoc'];
    $form['numdoc'] = $_POST['numdoc'];
    $form['numfat'] = $_POST['numfat'];
    $form['datfat'] = $_POST['datfat'];
    $form['clfoco'] = $_POST['clfoco'];
    //tutti i controlli su  tipo di pagamento e rate
    $form['speban'] = $_POST['speban'];
    $form['numrat'] = $_POST['numrat'];
    $form['pagame'] = $_POST['pagame'];
    $form['change_pag'] = $_POST['change_pag'];
    if ($form['change_pag'] != $form['pagame']){  //se  stato cambiato il pagamento
       $new_pag = getRow($gTables['pagame'],"codice",$form['pagame']);
       $old_pag = getRow($gTables['pagame'],"codice",$form['change_pag']);
       if (($new_pag['tippag'] == 'B' or $new_pag['tippag'] == 'T' or $new_pag['tippag'] == 'V')
           and ($old_pag['tippag'] == 'C' or $old_pag['tippag'] == 'D')) { // se adesso devo mettere le spese e prima no
           $form['numrat'] = $new_pag['numrat'];
           if ($toDo == 'update') {  //se  una modifica mi baso sulle vecchie spese
              $old_header = getRow($gTables['tesbro'],"id_tes",$form['id_tes']);
              if ($old_header['speban'] > 0 and $fornitore['speban'] == "S"){
                 $form['speban'] = $old_header['speban'];
              } elseif ($old_header['speban'] == 0 and $fornitore['speban'] == "S"){
                 $form['speban'] = $azienda['sperib'];
              } else {
                 $form['speban'] = 0.00;
              }
           } else { //altrimenti mi avvalgo delle nuove dell'azienda
              $form['speban'] = $azienda['sperib'];
           }
       } elseif (($new_pag['tippag'] == 'C' or $new_pag['tippag'] == 'D')
           and ($old_pag['tippag'] == 'B' or $old_pag['tippag'] == 'T' or $old_pag['tippag'] == 'V')) { // se devo togliere le spese
           $form['speban'] = 0.00;
           $form['numrat'] = 1;
       }
       $form['pagame'] = $_POST['pagame'];
       $form['change_pag'] = $_POST['pagame'];
    }
    $form['banapp'] = $_POST['banapp'];
    $form['listin'] = $_POST['listin'];
    $form['spediz'] = stripslashes($_POST['spediz']);
    $form['portos'] = stripslashes($_POST['portos']);
    $form['destin'] = '';
    $form['id_des'] = '';
    $form['traspo'] = '';
    $form['spevar'] = $_POST['spevar'];
    $form['ivaspe'] = $_POST['ivaspe'];
    $form['pervat'] = $_POST['pervat'];
    $form['cauven'] = $_POST['cauven'];
    $form['caucon'] = $_POST['caucon'];
    $form['caumag'] = $_POST['caumag'];
    $form['caucon'] = $_POST['caucon'];
    $form['id_agente'] = $_POST['id_agente'];
    $form['id_pro'] = $_POST['id_pro'];
    $form['sconto'] = $_POST['sconto'];
    // inizio rigo di input
    $form['in_descri'] = $_POST['in_descri'];
    $form['in_tiprig'] = $_POST['in_tiprig'];
    $form['in_artsea'] = $_POST['in_artsea'];
    $form['in_codart'] = $_POST['in_codart'];
    $form['in_pervat'] = $_POST['in_pervat'];
    $form['in_unimis'] = $_POST['in_unimis'];
    $form['in_prelis'] = $_POST['in_prelis'];
    $form['in_sconto'] = $_POST['in_sconto'];
    $form['in_quanti'] = gaz_format_quantity($_POST['in_quanti'],0,$azienda['decimal_quantity']);
    $form['in_codvat'] = $_POST['in_codvat'];
    $form['in_codric'] = $_POST['in_codric'];
    $form['in_id_mag'] = $_POST['in_id_mag'];
    $form['in_annota'] = $_POST['in_annota'];
    $form['in_pesosp'] = $_POST['in_pesosp'];
    $form['in_status'] = $_POST['in_status'];
    // fine rigo input
    $form['righi'] = array();
    $next_row = 0;
    if (isset($_POST['righi'])) {
       foreach ($_POST['righi'] as $next_row => $value) {
            $form['righi'][$next_row]['descri'] = substr($value['descri'],0,50);
            $form['righi'][$next_row]['tiprig'] = intval($value['tiprig']);
            $form['righi'][$next_row]['codart'] = substr($value['codart'],0,15);
            $form['righi'][$next_row]['pervat'] = ereg_replace(",",".",$value['pervat']);
            $form['righi'][$next_row]['unimis'] = substr(stripslashes($value['unimis']),0,3);
            $form['righi'][$next_row]['prelis'] = number_format(ereg_replace(",",".",$value['prelis']),$azienda['decimal_price'],".","");
            $form['righi'][$next_row]['sconto'] = floatval(ereg_replace(",",".",$value['sconto']));
            $form['righi'][$next_row]['quanti'] = gaz_format_quantity($value['quanti'],0,$azienda['decimal_quantity']);
            $form['righi'][$next_row]['codvat'] = intval($value['codvat']);
            $form['righi'][$next_row]['codric'] = intval($value['codric']);
            $form['righi'][$next_row]['id_mag'] = intval($value['id_mag']);
            $form['righi'][$next_row]['annota'] = substr($value['annota'],0,50);
            $form['righi'][$next_row]['pesosp'] = floatval($value['pesosp']);
            $form['righi'][$next_row]['status'] = substr($value['status'],0,10);
            if (isset($_POST['upd_row'])) {
               $key_row = key($_POST['upd_row']);
               if ($key_row == $next_row) {
                  $form['in_descri'] = $form['righi'][$key_row]['descri'];
                  $form['in_tiprig'] = $form['righi'][$key_row]['tiprig'];
                  $form['in_codart'] = $form['righi'][$key_row]['codart'];
                  $form['in_pervat'] = $form['righi'][$key_row]['pervat'];
                  $form['in_unimis'] = $form['righi'][$key_row]['unimis'];
                  $form['in_prelis'] = $form['righi'][$key_row]['prelis'];
                  $form['in_sconto'] = $form['righi'][$key_row]['sconto'];
                  $form['in_quanti'] = $form['righi'][$key_row]['quanti'];
                  $form['in_codvat'] = $form['righi'][$key_row]['codvat'];
                  $form['in_codric'] = $form['righi'][$key_row]['codric'];
                  $form['in_id_mag'] = $form['righi'][$key_row]['id_mag'];
                  $form['in_annota'] = $form['righi'][$key_row]['annota'];
                  $form['in_pesosp'] = $form['righi'][$key_row]['pesosp'];
                  $form['in_status'] = "UPDROW".$key_row;
                  if ($form['in_artsea'] == 'D'){
                    $artico_u = getRow($gTables['artico'],'codice',$form['righi'][$key_row]['codart']);
                    $form['cosear'] = $artico_u['descri'];
                  } elseif ($form['in_artsea'] == 'B') {
                    $artico_u = getRow($gTables['artico'],'codice',$form['righi'][$key_row]['codart']);
                    $form['cosear'] = $artico_u['barcode'];
                  } else {
                    $form['cosear'] = $form['righi'][$key_row]['codart'];
                  }
                  array_splice($form['righi'],$key_row,1);
                  $next_row--;
               }
            }
            $next_row++;
       }
    }
    // Se viene inviata la richiesta di conferma totale ...
    if (isset($_POST['ins'])) {
       $sezione=$form['seziva'];
       $datemi = $form['annemi']."-".$form['mesemi']."-".$form['gioemi'];
       if (!isset($_POST['righi'])) {
          $msg .= "39+";
       }
       // --- inizio controllo coerenza date-numerazione
       if ($toDo == 'update') {  // controlli in caso di modifica
          $rs_query = dynQuery("*", $gTables['tesbro'], "YEAR(datemi) = ".$form['annemi']." and datemi < '$datemi' and ( tipdoc like 'DD_' or tipdoc = 'FAD') and seziva = $sezione","numdoc desc",0,1);
          $result = dbms_fetch_array($rs_query); //giorni precedenti
          if ($result and ($form['numdoc'] < $result['numdoc'])) {
              $msg .= "40+";
          }
          $rs_query = dynQuery("*", $gTables['tesbro'], "YEAR(datemi) = ".$form['annemi']." and datemi > '$datemi' and ( tipdoc like 'DD_' or tipdoc = 'FAD') and seziva = $sezione","numdoc asc",0,1);
          $result = dbms_fetch_array($rs_query); //giorni successivi
          if ($result and ($form['numdoc'] > $result['numdoc'])) {
              $msg .= "41+";
          }
       } else {    //controlli in caso di inserimento
            $rs_ultimo_ddt = dynQuery("*", $gTables['tesbro'], "YEAR(datemi) = ".$form['annemi']." and tipdoc like 'DD_' and seziva = $sezione","numdoc desc, datemi desc",0,1);
            $ultimo_ddt = dbms_fetch_array($rs_ultimo_ddt);
            $utsUltimoDdT = mktime(0,0,0,substr($ultimo_ddt['datfat'],5,2),substr($ultimo_ddt['datfat'],8,2),substr($ultimo_ddt['datfat'],0,4));
            if ($ultimo_ddt and ($utsUltimoDdT > $utsemi)) {
               $msg .= "44+";
            }
       }
       // --- fine controllo coerenza date-numeri
       if (!checkdate( $form['mesemi'], $form['gioemi'], $form['annemi']))
          $msg .= "46+";
       if (empty ($form["clfoco"]))
          $msg .= "47+";
       if (empty ($form["pagame"]) && $form['tipdoc'] != 'APR')
          $msg .= "48+";
       //controllo che i righi non abbiano descrizioni  e unita' di misura vuote in presenza di quantita diverse da 0
       foreach ($form['righi'] as $i => $value) {
            if ($value['descri'] == '' and $value['quanti']) {
                $msgrigo= $i+1;
                $msg .= "49+";
            }
            if ($value['unimis'] == '' and $value['quanti']) {
                $msgrigo= $i+1;
                $msg .= "50+";
            }
       }
       if ($msg == "") {// nessun errore

          $form['spediz'] = addslashes($form['spediz']);
          $form['portos'] = addslashes($form['portos']);
          $form['destin'] = addslashes($form['destin']);
          if ($toDo == 'update') { // e' una modifica
             $old_rows = dynQuery("*", $gTables['rigbro'], "id_tes = '{$form['id_tes']}'","id_rig asc");
             $i=0;
             $count = count($form['righi'])-1;
             while ($val_old_row = dbms_fetch_array($old_rows)) {
              if ($i <= $count) { //se il vecchio rigo e' ancora presente nel nuovo lo modifico
                 $form['righi'][$i]['id_tes'] = $form['id_tes'];
                 $codice = array('id_rig',$val_old_row['id_rig']);
                 rigbroUpdate($codice,$form['righi'][$i]);
              } else { //altrimenti lo elimino
                  delRow($gTables['rigbro'], "id_rig", $val_old_row['id_rig']);
              }
              $i++;
             }
             //qualora i nuovi righi fossero di pi dei vecchi inserisco l'eccedenza
             for ($i = $i; $i <= $count; $i++) {
                  $form['righi'][$i]['id_tes'] = $form['id_tes'];
                  rigbroInsert($form['righi'][$i]);
             }
             //modifico la testata con i nuovi dati...
             $old_head = array( 'datfat'=>'','geneff'=>'','id_iva'=>0,'id_con'=> 0);
             $form['datfat'] = $old_head['datfat'];
             $form['geneff'] = $old_head['geneff'];
             $form['id_iva'] = $old_head['id_iva'];
             $form['id_con'] = $old_head['id_con'];
             $form['datemi'] = $datemi;
             $codice = array('id_tes',$form['id_tes']);
             tesbroUpdate($codice,$form);
             header("Location: ".$form['ritorno']);
             exit;
          } else { // e' un'inserimento
            // ricavo i progressivi in base al tipo di documento
            $where = "numdoc desc";
            switch ($form['tipdoc']) {
                  case "AOR":
                  $sql_documento = "YEAR(datemi) = ".$form['annemi']." and tipdoc = 'AOR' and seziva = $sezione";
                  $where = "numdoc DESC";
                  break;
                  case "APR":
                  $sql_documento = "YEAR(datemi) = ".$form['annemi']." and tipdoc = 'APR' and seziva = $sezione";
                  $where = "numdoc DESC";
                  break;
            }
            $rs_ultimo_documento = dynQuery("*", $gTables['tesbro'], $sql_documento,$where,0,1);
            $ultimo_documento = dbms_fetch_array($rs_ultimo_documento);
            // se e' il primo documento dell'anno, resetto il contatore
            if ($ultimo_documento) {
               $form['numdoc'] = $ultimo_documento['numdoc'] + 1;
            } else {
               $form['numdoc'] = 1;
            }
            //inserisco la testata
            $form['protoc'] = 0;
            $form['numfat'] = 0;
            $form['datfat'] = 0;
            $form['status'] = 'GENERATO';
            $form['datemi'] = $datemi;
            tesbroInsert($form);
            //recupero l'id assegnato dall'inserimento
            $ultimo_id = ultimoID();
            //inserisco i righi
            foreach ($form['righi'] as $i => $value) {
                  $form['righi'][$i]['id_tes'] = $ultimo_id;
                  rigbroInsert($form['righi'][$i]);
            }
          $_SESSION['print_request']=$ultimo_id;
          header("Location: invsta_broacq.php");
          exit;
       }
    }
  }
  // Se viene inviata la richiesta di conferma fornitore
  if (isset($_POST['insfor_x'])) {
    $anagrafica = new Anagrafica();
    $fornitore = $anagrafica->getPartner($form['clfoco']);
    $result = getRow($gTables['portos'],"codice",$fornitore['portos']);
    $form['portos']=$result['descri'];
    $result = getRow($gTables['spediz'],"codice",$fornitore['spediz']);
    $form['spediz']=$result['descri'];
    $form['destin']=$fornitore['destin'];
    $form['id_des']=$fornitore['id_des'];
    if ($fornitore['aliiva'] > 0) {
        $form['ivaspe']=$fornitore['aliiva'];
        $result = getRow($gTables['aliiva'],'codice',$fornitore['aliiva']);
        $form['pervat']=$result['aliquo'];
    }
    $form['in_codvat']=$fornitore['aliiva'];
    $form['sconto']=$fornitore['sconto'];
    $form['pagame']=$fornitore['codpag'];
    $form['change_pag']=$fornitore['codpag'];
    $form['banapp']=$fornitore['banapp'];
    $form['listin']=$fornitore['listin'];
    $pagame = getRow($gTables['pagame'],"codice",$form['pagame']);
    if (($pagame['tippag'] == 'B' or $pagame['tippag'] == 'T' or $pagame['tippag'] == 'V')
        and $fornitore['speban'] == 'S') {
           $form['speban'] = $azienda['sperib'];
           $form['numrat'] = $pagame['numrat'];
    } else {
            $form['speban'] = 0.00;
            $form['numrat'] = 1;
    }
  }

  // Se viene inviata la richiesta di conferma rigo
  if (isset($_POST['in_submit_x'])) {
    $artico = getRow($gTables['artico'],"codice",$form['in_codart']);
    if (substr($form['in_status'],0,6) == "UPDROW"){ //se  un rigo da modificare
         $old_key = intval(substr($form['in_status'],6));
         $form['righi'][$old_key]['tiprig'] = $form['in_tiprig'];
         $form['righi'][$old_key]['descri'] = $form['in_descri'];
         $form['righi'][$old_key]['id_mag'] = $form['in_id_mag'];
         $form['righi'][$old_key]['status'] = "UPDATE";
         $form['righi'][$old_key]['unimis'] = $form['in_unimis'];
         $form['righi'][$old_key]['quanti'] = $form['in_quanti'];
         $form['righi'][$old_key]['codart'] = $form['in_codart'];
         $form['righi'][$old_key]['codric'] = $form['in_codric'];
         $form['righi'][$old_key]['prelis'] = $form['in_prelis'];
         $form['righi'][$old_key]['sconto'] = $form['in_sconto'];
         $form['righi'][$old_key]['codvat'] = $form['in_codvat'];
         $iva_row = getRow($gTables['aliiva'],"codice",$form['in_codvat']);
         $form['righi'][$old_key]['pervat'] = $iva_row['aliquo'];
         $form['righi'][$old_key]['annota'] = '';
         $form['righi'][$old_key]['pesosp'] = '';
         if ($form['in_tiprig'] == 0 and !empty($form['in_codart'])) {  //rigo normale
            $form['righi'][$old_key]['annota'] = $artico['annota'];
            $form['righi'][$old_key]['pesosp'] = $artico['peso_specifico'];
            $form['righi'][$old_key]['unimis'] = $artico['uniacq'];
            $form['righi'][$old_key]['descri'] = $artico['descri'];
            $form['righi'][$old_key]['prelis'] = $artico['preacq'];
         } elseif ($form['in_tiprig'] == 2) { //rigo descrittivo
            $form['righi'][$old_key]['codart'] = "";
            $form['righi'][$old_key]['annota'] = "";
            $form['righi'][$old_key]['pesosp'] = "";
            $form['righi'][$old_key]['unimis'] = "";
            $form['righi'][$old_key]['quanti'] = 0;
            $form['righi'][$old_key]['prelis'] = 0;
            $form['righi'][$old_key]['codric'] = 0;
            $form['righi'][$old_key]['sconto'] = 0;
            $form['righi'][$old_key]['pervat'] = 0;
            $form['righi'][$old_key]['codvat'] = 0;
         } elseif ($form['in_tiprig'] == 1) { //rigo forfait
            $form['righi'][$old_key]['codart'] = "";
            $form['righi'][$old_key]['unimis'] = "";
            $form['righi'][$old_key]['quanti'] = 0;
            $form['righi'][$old_key]['sconto'] = 0;
         } elseif ($form['in_tiprig'] == 3) {   //var.tot.fatt.
            $form['righi'][$old_key]['codart'] = "";
            $form['righi'][$old_key]['quanti'] = "";
            $form['righi'][$old_key]['unimis'] = "";
            $form['righi'][$old_key]['sconto'] = 0;
         }
         ksort($form['righi']);
    } else { //se  un rigo da inserire
         $form['righi'][$next_row]['tiprig'] = $form['in_tiprig'];
         $form['righi'][$next_row]['descri'] = $form['in_descri'];
         $form['righi'][$next_row]['id_mag'] = $form['in_id_mag'];
         $form['righi'][$next_row]['status'] = "INSERT";
         if ($form['in_tiprig'] == 0) {  //rigo normale
            $form['righi'][$next_row]['codart'] = $form['in_codart'];
            $form['righi'][$next_row]['annota'] = $artico['annota'];
            $form['righi'][$next_row]['pesosp'] = $artico['peso_specifico'];
            $form['righi'][$next_row]['descri'] = $artico['descri'];
            $form['righi'][$next_row]['unimis'] = $artico['uniacq'];
            $form['righi'][$next_row]['codric'] = $form['in_codric'];
            $form['righi'][$next_row]['quanti'] = $form['in_quanti'];
            $form['righi'][$next_row]['sconto'] = $form['in_sconto'];
            $form['righi'][$next_row]['prelis'] = $artico['preacq'];
            if ($form['tipdoc'] == 'APR') {  // se  un preventivo non conosco prezzo e sconto
                $form['righi'][$next_row]['sconto'] = 0;
                $form['righi'][$next_row]['prelis'] = 0;
            }
            $form['righi'][$next_row]['codvat'] = $azienda['alliva'];
            $iva_azi = getRow($gTables['aliiva'],"codice",$azienda['alliva']);
            $form['righi'][$next_row]['pervat'] = $iva_azi['aliquo'];
            if ($artico['aliiva'] > 0) {
               $form['righi'][$next_row]['codvat'] = $artico['aliiva'];
               $iva_row = getRow($gTables['aliiva'],"codice",$artico['aliiva']);
               $form['righi'][$next_row]['pervat'] = $iva_row['aliquo'];
            }
            if ($form['in_codvat'] > 0) {
               $form['righi'][$next_row]['codvat'] = $form['in_codvat'];
               $iva_row = getRow($gTables['aliiva'],"codice",$form['in_codvat']);
               $form['righi'][$next_row]['pervat'] = $iva_row['aliquo'];
            }
            if ($artico['id_cost'] > 0) {
               $form['righi'][$next_row]['codric'] = $artico['id_cost'];
               $form['in_codric'] = $artico['id_cost'];
            }
         } elseif ($form['in_tiprig'] == 2) { //descittivo
            $form['righi'][$next_row]['codart'] = "";
            $form['righi'][$next_row]['annota'] = "";
            $form['righi'][$next_row]['pesosp'] = "";
            $form['righi'][$next_row]['unimis'] = "";
            $form['righi'][$next_row]['quanti'] = 0;
            $form['righi'][$next_row]['prelis'] = 0;
            $form['righi'][$next_row]['codric'] = 0;
            $form['righi'][$next_row]['sconto'] = 0;
            $form['righi'][$next_row]['pervat'] = 0;
            $form['righi'][$next_row]['codvat'] = 0;
         } else {
            $form['righi'][$next_row]['codart'] = "";
            $form['righi'][$next_row]['annota'] = "";
            $form['righi'][$next_row]['pesosp'] = "";
            $form['righi'][$next_row]['unimis'] = "";
            $form['righi'][$next_row]['quanti'] = 0;
            $form['righi'][$next_row]['prelis'] = $form['in_prelis'];
            $form['righi'][$next_row]['codric'] = $form['in_codric'];
            $form['righi'][$next_row]['sconto'] = 0;
            $form['righi'][$next_row]['codvat'] = $form['in_codvat'];
            $iva_row = getRow($gTables['aliiva'],"codice",$form['in_codvat']);
            $form['righi'][$next_row]['pervat'] = $iva_row['aliquo'];
         }
    }
     // reinizializzo rigo di input tranne che per il tipo rigo e aliquota iva
     $form['in_descri'] = "";
     $form['in_codart'] = "";
     $form['in_unimis'] = "";
     $form['in_prelis'] = 0.000;
     $form['in_sconto'] = 0;
     $form['in_quanti'] = 0;
     $form['in_codric'] = substr($azienda['impacq'],0,3);
     $form['in_id_mag'] = 0;
     $form['in_annota'] = "";
     $form['in_pesosp'] = 0;
     $form['in_status'] = "INSERT";
     // fine reinizializzo rigo input
     $form['cosear'] = "";
     $next_row++;
  }
  // Se viene inviata la richiesta di spostamento verso l'alto del rigo
  if (isset($_POST['upper_row'])) {
     $upp_key = key($_POST['upper_row']);
     if ($upp_key > 0) {
        $new_key = $upp_key-1;
     } else {
        $new_key = $next_row-1;
     }
     $updated_row = $form['righi'][$new_key] ;
     $form['righi'][$new_key] = $form['righi'][$upp_key] ;
     $form['righi'][$upp_key] = $updated_row ;
     ksort($form['righi']);
     unset($updated_row);
  }
  // Se viene inviata la richiesta elimina il rigo corrispondente
  if (isset($_POST['del'])) {
    $delri= key($_POST['del']);
    array_splice($form['righi'],$delri,1);
    $next_row--;
  }
} elseif ((!isset($_POST['Update'])) and (isset($_GET['Update']))) { //se e' il primo accesso per UPDATE
    $tesbro = getRow($gTables['tesbro'],"id_tes",$_GET['id_tes']);
    $anagrafica = new Anagrafica();
    $fornitore = $anagrafica->getPartner($tesbro['clfoco']);
    $rs_rig = dynQuery("*", $gTables['rigbro'], "id_tes = '{$_GET['id_tes']}' ","id_rig asc");
    $form['id_tes'] = $_GET['id_tes'];
    // inizio rigo di input
    $form['in_descri'] = "";
    $form['in_tiprig'] = 0;
    $form['in_artsea'] = $azienda['artsea'];
    $form['in_codart'] = "";
    $form['in_pervat'] = 0;
    $form['in_unimis'] = "";
    $form['in_prelis'] = 0.000;
    $form['in_sconto'] = 0;
    $form['in_quanti'] = 0;
    $form['in_codvat'] = $azienda['alliva'];
    $form['in_codric'] = substr($azienda['impacq'],0,3);
    $form['in_id_mag'] = 0;
    $form['in_annota'] = "";
    $form['in_pesosp'] = 0;
    $form['in_status'] = "INSERT";
    // fine rigo input
    $form['righi'] = array();
    // ...e della testata
    $form['ragso1'] = addslashes($fornitore['ragso1']);
    $form['cosear'] = "";
    $form['seziva'] = $tesbro['seziva'];
    $form['tipdoc'] = $tesbro['tipdoc'];
    if ( $tesbro['tipdoc'] == 'FAD' ) {
       $msg .= "Vuoi modificare un D.d.T. gi&agrave; fatturato!<br />";
    }
    if ( $tesbro['id_con'] > 0 ) {
       $msg .= "Questo documento &egrave; gi&agrave; stato contabilizzato!<br />";
    }
    $form['gioemi'] = substr($tesbro['datemi'],8,2);
    $form['mesemi'] = substr($tesbro['datemi'],5,2);
    $form['annemi'] = substr($tesbro['datemi'],0,4);
    $form['protoc'] = $tesbro['protoc'];
    $form['numdoc'] = $tesbro['numdoc'];
    $form['numfat'] = $tesbro['numfat'];
    $form['datfat'] = $tesbro['datfat'];
    $form['clfoco'] = $tesbro['clfoco'];
    $form['pagame'] = $tesbro['pagame'];
    $form['change_pag'] = $tesbro['pagame'];
    $form['speban'] = $tesbro['speban'];
    $pagame = getRow($gTables['pagame'],"codice",$form['pagame']);
    if (($pagame['tippag'] == 'B' or $pagame['tippag'] == 'T' or $pagame['tippag'] == 'V') and $fornitore['speban'] == 'S') {
            $form['numrat'] = $pagame['numrat'];
    } else {
            $form['speban'] = 0.00;
            $form['numrat'] = 1;
    }
    $form['banapp'] = $tesbro['banapp'];
    $form['listin'] = $tesbro['listin'];
    $form['spediz'] = $tesbro['spediz'];
    $form['portos'] = $tesbro['portos'];
    $form['destin'] = $tesbro['destin'];
    $form['id_des'] = $tesbro['id_des'];
    $form['traspo'] = $tesbro['traspo'];
    $form['spevar'] = $tesbro['spevar'];
    $form['ivaspe'] = $tesbro['ivaspe'];
    $form['pervat'] = $tesbro['pervat'];
    $form['cauven'] = $tesbro['cauven'];
    $form['caucon'] = $tesbro['caucon'];
    $form['caumag'] = $tesbro['caumag'];
    $form['caucon'] = $tesbro['caucon'];
    $form['id_agente'] = $tesbro['id_agente'];
    $form['id_pro'] = $tesbro['id_pro'];
    $form['sconto'] = $tesbro['sconto'];
    $next_row = 0;
    while ($rigo = dbms_fetch_array($rs_rig)) {
       $articolo = getRow($gTables['artico'],"codice",$rigo['codart']);
       $form['righi'][$next_row]['descri'] = $rigo['descri'];
       $form['righi'][$next_row]['tiprig'] = $rigo['tiprig'];
       $form['righi'][$next_row]['codart'] = $rigo['codart'];
       $form['righi'][$next_row]['pervat'] = $rigo['pervat'];
       $form['righi'][$next_row]['unimis'] = $rigo['unimis'];
       $form['righi'][$next_row]['prelis'] = $rigo['prelis'];
       $form['righi'][$next_row]['sconto'] = $rigo['sconto'];
       $form['righi'][$next_row]['quanti'] = gaz_format_quantity($rigo['quanti'],0,$azienda['decimal_quantity']);
       $form['righi'][$next_row]['codvat'] = $rigo['codvat'];
       $form['righi'][$next_row]['codric'] = $rigo['codric'];
       $form['righi'][$next_row]['id_mag'] = $rigo['id_mag'];
       $form['righi'][$next_row]['annota'] = $articolo['annota'];
       $form['righi'][$next_row]['pesosp'] = $articolo['peso_specifico'];
       $form['righi'][$next_row]['status'] = "UPDATE";
       $next_row++;
    }
} elseif (!isset($_POST['Insert'])) { //se e' il primo accesso per INSERT
    $form['tipdoc'] = $_GET['tipdoc'];
    $form['id_tes'] = "";
    $form['gioemi'] = date("d");
    $form['mesemi'] = date("m");
    $form['annemi'] = date("Y");
    $form['righi'] = array();
    $next_row = 0;
    // inizio rigo di input
    $form['in_descri'] = "";
    $form['in_tiprig'] = 0;
    $form['in_artsea'] = $azienda['artsea'];
    $form['in_codart'] = "";
    $form['in_pervat'] = "";
    $form['in_unimis'] = "";
    $form['in_prelis'] = 0.000;
    $form['in_sconto'] = 0;
    $form['in_quanti'] = 0;
    $form['in_codvat'] = $azienda['alliva'];
    $form['in_codric'] = substr($azienda['impacq'],0,3);
    $form['in_id_mag'] = 0;
    $form['in_annota'] = "";
    $form['in_pesosp'] = 0;
    $form['in_status'] = "INSERT";
    // fine rigo input
    $form['ragso1'] = "";
    $form['cosear'] = "";
    if (isset($_GET['seziva'])) {
         $form['seziva'] = $_GET['seziva'];
    } else {
         $form['seziva'] = 1;
    }
    $form['protoc'] = "";
    $form['numdoc'] = "";
    $form['numfat'] = "";
    $form['datfat'] = "";
    $form['clfoco'] = "";
    $form['pagame'] = "";
    $form['change_pag'] = "";
    $form['banapp'] = "";
    $form['listin'] = "";
    $form['destin'] = "";
    $form['id_des'] = "";
    $form['spediz'] = "";
    $form['portos'] = "";
    $form['traspo'] = 0.00;
    $form['numrat'] = 1;
    $form['speban'] = 0;
    $form['spevar'] = 0;
    if ($azienda['alliva'] > 0) {
       $form['ivaspe'] = $azienda['alliva'];
    } else {
       $form['ivaspe'] = 1;
    }
    $result = getRow($gTables['aliiva'],"codice",$form['ivaspe']);
    $form['pervat'] = $result['aliquo'];
    $form['cauven'] = 0;
    $form['caucon'] = '';
    $form['caumag'] = 0;
    $form['id_agente'] = 0;
    $form['id_pro'] = 0;
    $form['sconto'] = 0;
    $fornitore['indspe']="";
}
echo "<script language=\"JavaScript\" src=\"../../library/js/boxover.js\"></script>";
echo "<script language=\"JavaScript\" src=\"../../library/js/CalendarPopup.js\"></script>";
?>
<script language="JavaScript">
function pulldown_menu(selectName, destField)
{
    // Create a variable url to contain the value of the
    // selected option from the the form named broven and variable selectName
    var url = document.docacq[selectName].options[document.docacq[selectName].selectedIndex].value;
    document.docacq[destField].value = url;
}
</script>
<?php
require_once("../../library/include/header.php");
$strTrad = $strScript["admin_docacq.php"];
if ($form['id_tes'] > 0) {
   $title = ucfirst($strMessage[$toDo].$strTrad[0][$form['tipdoc']])." n.".$form['numdoc'];
} else {
   $title = ucfirst($strMessage[$toDo].$strTrad[0][$form['tipdoc']]);
}
HeadMain($title,'');
echo "<form method=\"POST\" name=\"docacq\">\n";
echo "<input type=\"hidden\" name=\"".ucfirst($toDo)."\" value=\"\">\n";
echo "<input type=\"hidden\" value=\"{$form['id_tes']}\" name=\"id_tes\">\n";
echo "<input type=\"hidden\" value=\"{$form['seziva']}\" name=\"seziva\">\n";
echo "<input type=\"hidden\" value=\"{$form['tipdoc']}\" name=\"tipdoc\">\n";
echo "<input type=\"hidden\" value=\"{$form['ritorno']}\" name=\"ritorno\">\n";
echo "<input type=\"hidden\" value=\"{$form['change_pag']}\" name=\"change_pag\">\n";
echo "<input type=\"hidden\" value=\"{$form['protoc']}\" name=\"protoc\">\n";
echo "<input type=\"hidden\" value=\"{$form['numdoc']}\" name=\"numdoc\">\n";
echo "<input type=\"hidden\" value=\"{$form['numfat']}\" name=\"numfat\">\n";
echo "<input type=\"hidden\" value=\"{$form['datfat']}\" name=\"datfat\">\n";
echo "<div align=\"center\" class=\"FacetFormHeaderFont\">$title ";
$select_fornitore = new selectPartner("clfoco");
$ricerca = $form['ragso1'];
$select_fornitore -> addSelected($form['clfoco']);
$select_fornitore -> output($azienda['masfor'],$ricerca);
//tabula solo se non e' stato settato il fornitore
$tabula =" tabindex=\"3\" ";
if ($form['clfoco'] > 0)
     $tabula ="";
echo "<input type=\"image\"  name=\"insfor\" src=\"../../library/images/vbut.gif\" align=\"middle\" ".$tabula." accesskey=\"x\" title=\"{$strButton['submit']}!\"></div>\n";
echo "<table class=\"Tlarge\">\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[4]</td><td class=\"FacetDataTD\">\n";
echo "<select name=\"seziva\" class=\"FacetSelect\">\n";
for ($counter = 1; $counter <= 3; $counter++) {
    $selected="";
    if ($form["seziva"] == $counter) {
       $selected = " selected ";
    }
    echo "<option value=\"".$counter."\"".$selected.">".$counter."</option>\n";
}
echo "</select></td>\n";
if (!empty($msg)) {
    $message = "";
    $rsmsg = array_slice( explode('+',chop($msg)),0,-1);
    foreach ($rsmsg as $value){
            $message .= $strMessage['error']."! -> ";
            $rsval = explode('-',chop($value));
            foreach ($rsval as $valmsg){
                    $message .= $strTrad[$valmsg]." ";
            }
            $message .= "<br />";
    }
    echo '<td colspan="2" class="FacetDataTDred">'.$message."</td>\n";
} else {
    echo "<td class=\"FacetFieldCaptionTD\">$strTrad[5]</td><td>".$fornitore['indspe']."<br />";
    echo "</td>\n";
}
echo "<td class=\"FacetFieldCaptionTD\">$strTrad[6]</td><td class=\"FacetDataTD\">\n";
// select del giorno
echo "\t <select name=\"gioemi\" class=\"FacetSelect\" >\n";
for( $counter = 1; $counter <= 31; $counter++ )
    {
    $selected = "";
    if($counter ==  $form['gioemi'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
    }
echo "\t </select>\n";
// select del mese
echo "\t <select name=\"mesemi\" class=\"FacetSelect\" >\n";
for( $counter = 1; $counter <= 12; $counter++ )
    {
    $selected = "";
    if($counter == $form['mesemi'])
            $selected = "selected";
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
    }
echo "\t </select>\n";
// select del anno
echo "\t <select name=\"annemi\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = $form['annemi']-10; $counter <= $form['annemi']+10; $counter++ )
    {
    $selected = "";
    if($counter == $form['annemi'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
    }
echo "\t </select></td></tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[7]</td><td class=\"FacetDataTD\">\n";
echo "<select name=\"listin\" class=\"FacetSelect\">\n";
for ($lis = 1; $lis <= 3; $lis++) {
    $selected="";
    if ($form["listin"] == $lis) {
        $selected = " selected ";
    }
    echo "<option value=\"".$lis."\"".$selected.">".$lis."</option>\n";
}
echo "</select></td>\n";
echo "<td class=\"FacetFieldCaptionTD\">$strTrad[8]</td><td  class=\"FacetDataTD\">\n";
$select_pagame = new selectpagame("pagame");
$select_pagame -> addSelected($form["pagame"]);
$select_pagame -> output();
echo "</td><td class=\"FacetFieldCaptionTD\">$strTrad[9]</td><td  class=\"FacetDataTD\">\n";
$select_banapp = new selectbanapp("banapp");
$select_banapp -> addSelected($form["banapp"]);
$select_banapp -> output();
echo "</td></tr>\n";
echo "</table>\n";
echo "<div class=\"FacetSeparatorTD\" align=\"center\">$strTrad[1]</div>\n";
echo "<table class=\"Tlarge\">\n";
echo "<input type=\"hidden\" value=\"{$form['in_descri']}\" name=\"in_descri\" />\n";
echo "<input type=\"hidden\" value=\"{$form['in_pervat']}\" name=\"in_pervat\" />\n";
echo "<input type=\"hidden\" value=\"{$form['in_unimis']}\" name=\"in_unimis\" />\n";
echo "<input type=\"hidden\" value=\"{$form['in_prelis']}\" name=\"in_prelis\" />\n";
echo "<input type=\"hidden\" value=\"{$form['in_id_mag']}\" name=\"in_id_mag\" />\n";
echo "<input type=\"hidden\" value=\"{$form['in_annota']}\" name=\"in_annota\" />\n";
echo "<input type=\"hidden\" value=\"{$form['in_pesosp']}\" name=\"in_pesosp\" />\n";
echo "<input type=\"hidden\" value=\"{$form['in_status']}\" name=\"in_status\" />\n";
echo "<tr><td class=\"FacetColumnTD\">$strTrad[15]: ";
$select_artico = new selectartico("in_codart");
$select_artico -> addSelected($form['in_codart']);
$select_artico -> output($form['cosear'],$form['in_artsea']);
echo "ricerca per <select name=\"in_artsea\" class=\"FacetDataTDsmall\">\n";
$selArray = array('C'=>'Codice articolo', 'B'=>'Codice a barre','D'=>'Descrizione');
foreach ($selArray as $key => $value) {
    $selected="";
    if(isset($form["in_artsea"]) and $form["in_artsea"] == $key) {
        $selected = " selected ";
    }
    echo "<option value=\"$key\" $selected > $value </option>";
}
echo "</select>\n";
echo "</TD><TD class=\"FacetColumnTD\">$strTrad[16]: <input type=\"text\" value=\"{$form['in_quanti']}\" maxlength=\"11\" size=\"7\" name=\"in_quanti\" tabindex=\"5\" accesskey=\"q\">\n";
echo "</TD><TD class=\"FacetColumnTD\" align=\"right\"><input type=\"image\" name=\"in_submit\" src=\"../../library/images/vbut.gif\" tabindex=\"6\" title=\"".$strButton['submit'].$strMessage['thisrow']."!\">\n";
echo "</td></tr>\n";
echo "<tr><td class=\"FacetColumnTD\">$strTrad[17]: <select name=\"in_tiprig\" class=\"FacetSelect\">\n";
$selArray = array('0'=>'Normale', '1'=>'Forfait','2'=>'Descrittivo', '3'=>'Var.totale fatt');
foreach ($selArray as $key => $value) {
    $selected="";
    if(isset($form["in_tiprig"]) and $form["in_tiprig"] == $key) {
        $selected = " selected ";
    }
    echo "<option value=\"".$key."\"".$selected.">".$key.'-'.$value."</option>";
}
echo "</select> $strTrad[18]: ";
$select_codric = new selectconven("in_codric");
$select_codric -> addSelected($form['in_codric']);
$select_codric -> output(substr($form['in_codric'],0,1));
echo " %$strTrad[24]: <input type=\"text\" value=\"{$form['in_sconto']}\" maxlength=\"4\" size=\"1\" name=\"in_sconto\">";
echo "</TD><TD class=\"FacetColumnTD\"> $strTrad[19]: ";
$select_in_codvat = new selectaliiva("in_codvat");
$select_in_codvat -> addSelected($form["in_codvat"]);
$select_in_codvat -> output();
echo "</td><TD class=\"FacetColumnTD\"></TD></tr>\n";
$quatot= 0;
$totimpmer=0.00;
$totivafat=0.00;
$totimpfat=0.00;
echo "</table>\n";
echo "<table class=\"Tlarge\">\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[20]</td><td colspan=\"2\" class=\"FacetFieldCaptionTD\">$strTrad[21]</td><td class=\"FacetFieldCaptionTD\">$strTrad[22]</td><td class=\"FacetFieldCaptionTD\">$strTrad[16]</td><td class=\"FacetFieldCaptionTD\">$strTrad[23]</td><td class=\"FacetFieldCaptionTD\">%".substr($strTrad[24],0,2)."</td><td class=\"FacetFieldCaptionTD\" align=\"right\">$strTrad[25]</td><td class=\"FacetFieldCaptionTD\">$strTrad[19]</td><td class=\"FacetFieldCaptionTD\">$strTrad[18]</td><td class=\"FacetFieldCaptionTD\"></td></tr>\n";
$castel=array();
foreach ($form['righi'] as $key => $value) {
    //calcolo il totale del peso in kg
    switch(strtolower($value['unimis']))
    {
    case "kg":
        $quatot = $value['quanti']+$quatot;
    break;
    }
    //creo il castelletto IVA
    $codice_vat = $value['codvat'];
    $tiporigo = $value['tiprig'];
    $descrizione=stripslashes($value['descri']);
    //calcolo importo rigo
    if ($tiporigo == 0) {//se del tipo normale
        $imprig = CalcolaImportoRigo($form['righi'][$key]['quanti'], $form['righi'][$key]['prelis'], $form['righi'][$key]['sconto']);
    } elseif ($tiporigo == 1) {//ma se del tipo forfait
        $imprig = CalcolaImportoRigo(1, $form['righi'][$key]['prelis'], 0);
    }
    if ($tiporigo <= 1) {//ma solo se del tipo normale o forfait
       if (!isset($castel[$codice_vat])){
          $castel[$codice_vat] = "0.00";
       }
       $castel[$codice_vat] = number_format(($castel[$codice_vat]+ $imprig),2,'.','');
    }
    if ($form['righi'][$key]['tiprig'] == 1)
        $imprig = number_format($form['righi'][$key]['prelis'], 2 , '.', '');
        echo "<input type=\"hidden\" value=\"{$value['codart']}\" name=\"righi[{$key}][codart]\">\n";
        echo "<input type=\"hidden\" value=\"{$value['status']}\" name=\"righi[{$key}][status]\">\n";
        echo "<input type=\"hidden\" value=\"{$value['tiprig']}\" name=\"righi[{$key}][tiprig]\">\n";
        echo "<input type=\"hidden\" value=\"{$value['codvat']}\" name=\"righi[{$key}][codvat]\">\n";
        echo "<input type=\"hidden\" value=\"{$value['pervat']}\" name=\"righi[{$key}][pervat]\">\n";
        echo "<input type=\"hidden\" value=\"{$value['codric']}\" name=\"righi[{$key}][codric]\">\n";
        echo "<input type=\"hidden\" value=\"{$value['id_mag']}\" name=\"righi[{$key}][id_mag]\">\n";
        echo "<input type=\"hidden\" value=\"{$value['annota']}\" name=\"righi[{$key}][annota]\">\n";
        echo "<input type=\"hidden\" value=\"{$value['pesosp']}\" name=\"righi[{$key}][pesosp]\">\n";
        //stampo i righi in modo diverso a secondo del tipo
        switch($value['tiprig']) {
        case "0":
        echo "<tr>";
        $boxover = "title=\"cssbody=[FacetInput] cssheader=[FacetButton] header=[{$value['annota']}] body=[<center><img src='../root/view.php?table=artico&value=".$value['codart']."'>] fade=[on] fadespeed=[0.03] \"";
        if ($value['pesosp'] != 0){
            $boxpeso = "title=\"cssbody=[FacetInput] cssheader=[FacetButton] header=[quantit&agrave; &divide; peso specifico = ".gaz_format_number($value['quanti'] /  $value['pesosp'])."]  fade=[on] fadespeed=[0.03] \"";
        } else {
            $boxpeso = "title=\"cssbody=[FacetInput] cssheader=[FacetButton] header=[peso specifico = 0]  fade=[on] fadespeed=[0.03] \"";
        }
        echo "<td title=\"".$strMessage['update'].$strMessage['thisrow']."!\"><input class=\"FacetDataTDsmall\" type=\"submit\" name=\"upd_row[{$key}]\" value=\"".$value['codart']."\" /></td>\n";
        echo "<td $boxover><input type=\"text\" name=\"righi[{$key}][descri]\" value=\"$descrizione\" maxlength=\"50\" size=\"50\" /></td><td><input type=\"image\" name=\"upper_row[{$key}]\" src=\"../../library/images/upp.png\" title=\"".$strTrad['3']."!\" /></td>\n";
        echo "<td $boxpeso><input type=\"text\" name=\"righi[{$key}][unimis]\" value=\"{$value['unimis']}\" maxlength=\"3\" size=\"1\" /></td>\n";
        echo "<td $boxpeso><input type=\"text\" name=\"righi[{$key}][quanti]\" value=\"{$value['quanti']}\" align=\"right\" maxlength=\"11\" size=\"4\" onchange=\"this.form.submit()\" /></td>\n";
        echo "<td><input type=\"text\" name=\"righi[{$key}][prelis]\" value=\"{$value['prelis']}\" align=\"right\" maxlength=\"11\" size=\"7\" onchange=\"this.form.submit()\" /></td>\n";
        echo "<td><input type=\"text\" name=\"righi[{$key}][sconto]\" value=\"{$value['sconto']}\" maxlength=\"4\" size=\"1\" onchange=\"this.form.submit()\" /></td>\n";
        echo "<td align=\"right\">".gaz_format_number($imprig)."</td>\n";
        echo "<td>{$value['pervat']}%</td>\n";
        echo "<td>".$value['codric']."</td>\n";
        break;
        case "1":
        echo "<td title=\"".$strMessage['update'].$strMessage['thisrow']."!\"><input class=\"FacetDataTDsmall\" type=\"submit\" name=\"upd_row[{$key}]\" value=\"* forfait *\" /></td>\n";
        echo "<td><input type=\"text\"   name=\"righi[{$key}][descri]\" value=\"$descrizione\" maxlength=\"50\" size=\"50\" /></td><td><input type=\"image\" name=\"upper_row[{$key}]\" src=\"../../library/images/upp.png\" title=\"".$strTrad['3']."!\" /></td>\n";
        echo "<td><input type=\"hidden\" name=\"righi[{$key}][unimis]\" value=\"\" /></td>\n";
        echo "<td><input type=\"hidden\" name=\"righi[{$key}][quanti]\" value=\"\" /></td>\n";
        echo "<td><input type=\"hidden\" name=\"righi[{$key}][sconto]\" value=\"\" /></td>\n";
        echo "<td></td>\n";
        echo "<td align=\"right\"><input type=\"text\" name=\"righi[{$key}][prelis]\" value=\"{$value['prelis']}\" align=\"right\" maxlength=\"11\" size=\"7\" onchange=\"this.form.submit()\" /></td>\n";
        echo "<td>{$value['pervat']}%</td>\n";
        echo "<td>".$value['codric']."</td>\n";
        break;
        case "2":
        echo "<td title=\"".$strMessage['update'].$strMessage['thisrow']."!\"><input class=\"FacetDataTDsmall\" type=\"submit\" name=\"upd_row[{$key}]\" value=\"* descrittivo *\" /></td>\n";
        echo "<td><input type=\"text\"   name=\"righi[{$key}][descri]\" value=\"$descrizione\" maxlength=\"50\" size=\"50\" /></td><td><input type=\"image\" name=\"upper_row[{$key}]\" src=\"../../library/images/upp.png\" title=\"".$strTrad['3']."!\" /></td>\n";
        echo "<td><input type=\"hidden\" name=\"righi[{$key}][unimis]\" value=\"\" /></td>\n";
        echo "<td><input type=\"hidden\" name=\"righi[{$key}][quanti]\" value=\"\" /></td>\n";
        echo "<td><input type=\"hidden\" name=\"righi[{$key}][prelis]\" value=\"\" /></td>\n";
        echo "<td><input type=\"hidden\" name=\"righi[{$key}][sconto]\" value=\"\" /></td>\n";
        echo "<td></td>\n";
        echo "<td></td>\n";
        echo "<td></td>\n";
        break;
        case "3":
        echo "<td title=\"".$strMessage['update'].$strMessage['thisrow']."!\"><input class=\"FacetDataTDsmall\" type=\"submit\" name=\"upd_row[{$key}]\" value=\"* var.tot.fattura *\" /></td>\n";
        echo "<td><input type=\"text\"   name=\"righi[{$key}][descri]\" value=\"$descrizione\" maxlength=\"50\" size=\"50\"></td><td><input type=\"image\" name=\"upper_row[{$key}]\" src=\"../../library/images/upp.png\" title=\"".$strTrad['3']."!\" /></td>\n";
        echo "<td><input type=\"hidden\" name=\"righi[{$key}][unimis]\" value=\"\" /></td>\n";
        echo "<td><input type=\"hidden\" name=\"righi[{$key}][quanti]\" value=\"\" /></td>\n";
        echo "<td><input type=\"hidden\" name=\"righi[{$key}][sconto]\" value=\"\" /></td>\n";
        echo "<td></td>\n";
        echo "<td align=\"right\"><input type=\"text\" name=\"righi[{$key}][prelis]\" value=\"{$value['prelis']}\" align=\"right\" maxlength=\"11\" size=\"7\" /></td>\n";
        echo "<td></td>\n";
        echo "<td></td>\n";
        break;
        }
        echo "<TD align=\"right\"><input type=\"image\" name=\"del[{$key}]\" src=\"../../library/images/xbut.gif\" title=\"".$strButton['delete'].$strMessage['thisrow']."!\" /></td></tr>\n";
    }
echo "</table>\n";
echo "<div class=\"FacetSeparatorTD\" align=\"center\">$strTrad[2]</div>\n";
echo "<table class=\"Tlarge\">\n";
echo "<input type=\"hidden\" value=\"{$form['speban']}\" name=\"speban\">\n";
echo "<input type=\"hidden\" value=\"{$form['numrat']}\" name=\"numrat\">\n";
echo "<input type=\"hidden\" value=\"{$form['spevar']}\" name=\"spevar\">\n";
echo "<input type=\"hidden\" value=\"{$form['ivaspe']}\" name=\"ivaspe\">\n";
echo "<input type=\"hidden\" value=\"{$form['pervat']}\" name=\"pervat\">\n";
echo "<input type=\"hidden\" value=\"{$form['cauven']}\" name=\"cauven\">\n";
echo "<input type=\"hidden\" value=\"{$form['caucon']}\" name=\"caucon\">\n";
echo "<input type=\"hidden\" value=\"{$form['caumag']}\" name=\"caumag\">\n";
echo "<input type=\"hidden\" value=\"{$form['id_agente']}\" name=\"id_agente\">\n";
echo "<input type=\"hidden\" value=\"{$form['id_pro']}\" name=\"id_pro\">\n";
//inizio piede
  echo "<tr><td class=\"FacetFieldCaptionTD\">$strTrad[27]</td>\n";
  echo "<td colspan=\"2\" class=\"FacetDataTD\"><input type=\"text\" name=\"spediz\" value=\"".$form["spediz"]."\" maxlength=\"50\" size=\"25\" class=\"FacetInput\">\n";
  $select_spediz = new SelectValue("spedizione");
  $select_spediz -> output('spediz', 'spediz');
  echo "</td><td class=\"FacetFieldCaptionTD\">$strTrad[29]</td>\n";
  echo "<td colspan=\"2\" class=\"FacetDataTD\"><input type=\"text\" name=\"portos\" value=\"".$form["portos"]."\" maxlength=\"50\" size=\"25\" class=\"FacetInput\">\n";
  $select_spediz = new SelectValue("portoresa");
  $select_spediz -> output('portos', 'portos');
  echo "<td class=\"FacetFieldCaptionTD\">".$strTrad[51]."</td><td colspan=\"2\" class=\"FacetDataTD\">\n";
  echo "<select name=\"caumag\" class=\"FacetSelect\">\n";
  $result = dynQuery("*", $gTables['caumag']," clifor = 1 AND operat = ".$TipoDocumento[$form['tipdoc']],"codice asc, descri asc");
  while ($row = dbms_fetch_array($result)) {
    $selected="";
    if($form["caumag"] == $row['codice']) {
       $selected = " selected ";
    }
    echo "<option value=\"".$row['codice']."\"".$selected.">".$row['codice']."-".substr($row['descri'],0,20)."</option>\n";
  }
  echo "</select></tr>\n";
//fine piede
echo "<tr><td class=\"FacetFieldCaptionTD\" align=\"right\">$strTrad[32]</td><td class=\"FacetFieldCaptionTD\" align=\"right\">$strTrad[33]</td><td class=\"FacetFieldCaptionTD\" align=\"right\">$strTrad[34]</td><td class=\"FacetFieldCaptionTD\" align=\"right\">%$strTrad[24]<input type=\"text\" name=\"sconto\" value=\"".$form["sconto"]."\" maxlength=\"6\" size=\"1\" onchange=\"this.form.submit()\"></td><td class=\"FacetFieldCaptionTD\" align=\"right\">$strTrad[32]</td><td class=\"FacetFieldCaptionTD\" align=\"right\">$strTrad[19]</td><td class=\"FacetFieldCaptionTD\" align=\"right\">$strTrad[35]</td><td class=\"FacetFieldCaptionTD\" align=\"right\">$strTrad[36] $money[2]</td>\n";
$chk_add_iva_tes = 0;
foreach ($castel as $key => $value) {
      $result = getRow($gTables['aliiva'],"codice",$key);
      $impcast = CalcolaImportoRigo(1, $value, $form['sconto']);
      if ($key == $form['ivaspe']){
          $impcast += $form['traspo'] + $form['speban']*$form['numrat'] + $form['spevar'];
          $chk_add_iva_tes = 1;
      }
      $ivacast =  round($impcast * $result['aliquo'])/ 100;
      $totimpmer += $value;
      $totimpfat += $impcast;
      $totivafat += $ivacast;
      if ($next_row > 0) {
        echo "<tr><td align=\"right\">".number_format ($impcast,2, '.', '')."</td><td align=\"right\">".$result['descri']." ".number_format ($ivacast,2, '.', '')."</td>\n";
      }
}

if ($chk_add_iva_tes == 0){// se le spese della testata non sono state aggiunte perch non si  incontrato uno stesso codice IVA
   $result = getRow($gTables['aliiva'],"codice",$form['ivaspe']);
   $impcast = $form['traspo'] + $form['speban']*$form['numrat'] + $form['spevar'];
   $ivacast =  round($impcast * $result['aliquo'])/ 100;
   $totimpfat += $impcast;
   $totivafat += $ivacast;
   if ($next_row > 0) {
        echo "<tr><td align=\"right\">".number_format ($impcast,2, '.', '')."</td><td align=\"right\">".$result['descri']." ".number_format ($ivacast,2, '.', '')."</td>\n";
   }
   $chk_add_iva_tes = 1;
}

if ($next_row > 0) {
        echo "<td align=\"right\">".number_format ($totimpmer,2, '.', '')."</td>
               <td align=\"right\">".gaz_format_number (($totimpfat-$totimpmer-$form['traspo']-($form['speban']*$form['numrat'])-$form['spevar']),2, '.', '')."</td>
               <td align=\"right\">".number_format ($totimpfat,2, '.', '')."</td>
               <td align=\"right\">".number_format ($totivafat,2, '.', '')."</td>
               <td align=\"right\">".$quatot."</td>
               <td align=\"right\">".number_format (($totimpfat+$totivafat),2, '.', '')."</td>\n";
        if ($toDo == 'update') {
           echo '<td class="FacetFieldCaptionTD" align="right"><input type="submit" accesskey="m" name="ins" value="MODIFICA !"></td></tr>';
        } else {
           echo '<td class="FacetFieldCaptionTD" align="right"><input type="submit" accesskey="i" name="ins" value="INSERISCI !"></td></tr>';
        }
}
echo "</table><br />";
?>
</form>
</body>
</html>