<?php
 /* $Id: admin_aziend.php,v 1.41 2008/11/13 07:26:52 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.
    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.
    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
require_once("../../library/include/check.inc.php");
checkAdmin();
$message = "";
$nuw = new controllicfpiva();
$first=false;
if (!isset($_POST['next'])){ //siccome  il primo accesso controllo se c' l'azienda
   if (!checkaziend()) {
      $_POST['next'] = 'insert';
      $azienda['ragso1'] = 'Inserimento nuova Azienda';
      $first=true;
   } else {
      $_POST['next'] = 'update';
      $first=true;
   }
} elseif ($_POST['next'] == 'insert') {
  $azienda['ragso1'] = 'Inserimento nuova Azienda';
}

if ($first and $_POST['next'] == 'update') {       //la prima entrata per update
    $form = getRow($gTables['aziend'],'codice',1);
    $azienda['ragso1'] = $form['ragso1'];
    $form['gionas'] = substr($form['datnas'],8,2);
    $form['mesnas'] = substr($form['datnas'],5,2);
    $form['annnas'] = substr($form['datnas'],0,4);
    $form['color'] = $form['colore'];
} elseif ($first and $_POST['next'] == 'insert') { //la prima entrata per insert
    $form['codice'] = 1;
    $form['ragso1'] = "";
    $form['ragso2'] = "";
    $form['image']  = "";
    $form['sedleg'] = "";
    $form['legrap'] = "";
    $form['sexper'] = "";
    $form['gionas'] = 1;
    $form['mesnas'] = 1;
    $form['annnas'] = 1980;
    $form['luonas'] = "";
    $form['pronas'] = "";
    $form['indspe'] = "";
    $form['capspe'] = "";
    $form['citspe'] = "";
    $form['prospe'] = "";
    $form['country'] = "";
    $form['telefo'] = "";
    $form['fax'] = "";
    $form['codfis'] = "";
    $form['pariva'] = "";
    $form['rea'] = "";
    $form['e_mail'] = "";
    $form['cod_ateco'] = "";
    $form['regime'] = "";
    $form['decimal_quantity'] = 1;
    $form['decimal_price'] = 3;
    $form['magazz'] = "";
    $form['mascli'] = "";
    $form['masfor'] = "";
    $form['masban'] = "";
    $form['cassa_'] = "";
    $form['ivaacq'] = "";
    $form['ivaven'] = "";
    $form['ivacor'] = "";
    $form['ivaera'] = "";
    $form['impven'] = "";
    $form['imptra'] = "";
    $form['impimb'] = "";
    $form['impspe'] = "";
    $form['impvar'] = "";
    $form['boleff'] = "";
    $form['omaggi'] = "";
    $form['impacq'] = "";
    $form['cost_tra'] = "";
    $form['cost_spe'] = "";
    $form['cost_var'] = "";
    $form['latitude'] = "";
    $form['longitude'] = "";
    $form['coriba'] = "";
    $form['cotrat'] = "";
    $form['cocamb'] = "";
    $form['upgrie'] = "";
    $form['upggio'] = "";
    $form['upginv'] = "";
    $form['upgve1'] = "";
    $form['upgve2'] = "";
    $form['upgve3'] = "";
    $form['upgac1'] = "";
    $form['upgac2'] = "";
    $form['upgac3'] = "";
    $form['upgco1'] = "";
    $form['upgco2'] = "";
    $form['upgco3'] = "";
    $form['acciva'] = "";
    $form['perbol'] = "";
    $form['ivabol'] = "";
    $form['sperib'] = "";
    $form['desez1'] = "";
    $form['desez2'] = "";
    $form['desez3'] = "";
    $form['fatimm'] = "";
    $form['artsea'] = 'C';
    $form['conmag'] = 0;
    $form['color'] = "999999";
    $form['ivam_t'] = "";
    $form['alliva'] = "";
} else {   //le entrate successive
    $form = $_POST;
    if (!checkdate( $_POST['mesnas'], $_POST['gionas'], $_POST['annnas'])) {
        $message .= "La data di nascita ".$_POST['gionas']."-".$_POST['mesnas']."-".$_POST['annnas']." non &egrave; corretta! <br>";
    }
    if (isset($_POST['submit'])) {  //se viene confermato tutto, faccio i controlli
       $datnas = $_POST['annnas']."-".$_POST['mesnas']."-".$_POST['gionas'];
       if (empty($_POST["ragso1"]) ||
          empty($_POST["indspe"]) ||
          empty($_POST["capspe"]) ||
          empty($_POST["citspe"])
          ) {
          $message .= "Hai dimenticato uno dei campi obbligatori ! <br>";
       }
       $lumix = hexdec(substr($_POST["color"],0,2))+hexdec(substr($_POST["color"],2,2))+hexdec(substr($_POST["color"],4,2));
       if ($lumix < 408){
          $message .= "Il colore che hai scelto ha una scarsa luminosit&agrave;! <br />$lumix anzich&egrave; almeno 408 (hex = 888888)<br />";
       }
       if ($_POST["sexper"] <> "F" and
          $_POST["sexper"] <> "M" and
          $_POST["sexper"] <> "G") {
          $message .= "Devi impostare il sesso a M(maschio), F(femmina), G(persona giuridica)! <br>";
       }
       if ($_POST["ivam_t"] <> "M" and $_POST["ivam_t"] <> "T") {
          $message .= "Devi impostare il tipo di liquidazione IVA a M(mensile) o a T(trimestrale)! <br>";
       }
       $resultpi = $nuw->ControllaPIVA($_POST['pariva']);
       if( strlen(trim($_POST['codfis'])) == 11) {
           $resultcf = $nuw->ControllaPIVA($_POST['codfis']);
           if ($_POST['sexper'] != 'G') {
              $resultcf = 'Codice fiscale sbagliato per una persona fisica';
              $message .= "Codice fiscale sbagliato per una persona fisica! <br>";
           }
       } else {
           $resultcf = $nuw->ControllaCF($_POST['codfis']);
       }
       if (! empty ($resultpi)) {
          $message .= "La partita IVA &egrave; formalmente errata! <br>";
       }
       if (! empty ($resultcf)) {
          $message .= "Il codice fiscale &egrave; formalmente errato! <br>";
       }
       if (! empty($_FILES['userfile']['name'])) {
          if (!( $_FILES['userfile']['type'] == "image/png" || $_FILES['userfile']['type'] == "image/x-png")) {
              $message .= "Il file dev'essere nel formato PNG, quello che hai inviato &egrave; un file ".$_FILES['userfile']['type']."<br>";
          }
          // controllo che il file non sia pi&ugrave; grande di 30kb
          if ( $_FILES['userfile']['size'] > 65535) {
             $message .= "L'immagine non dev'essere pi&ugrave; grande di 64 kb <br>";
          }
       }
       //se i controlli hanno avuto un'esito positivo immetto sul DB
       if ($message == "") {// nessun errore
        // formatto la data
        $_POST['datnas'] = $_POST['annnas']."-".$_POST['mesnas']."-".$_POST['gionas'];
        unset($_POST['annnas']);
        unset($_POST['mesnas']);
        unset($_POST['gionas']);
        // preparo la stringa dell'immagine
        if ($_FILES['userfile']['size'] > 0) { //se c'e' una nuova immagine nel buffer
            $_POST['image'] = addslashes(file_get_contents($_FILES['userfile']['tmp_name']));
        } else {   // altrimenti riprendo la vecchia
            $oldimage = getRow($gTables['aziend'],"codice",$_POST['codice']);
            $_POST['image'] = addslashes($oldimage['image']);
        }
        // cambio nome all'indice del colore per adattarlo a quello del DB
        $_POST['colore'] = $_POST['color'];
        unset($_POST['color']);
        if ($_POST['next'] == 'update') {  // in caso di modifica
             aziendUpdate($_POST['codice'],$_POST);
        } else { // in caso di inserimento
             aziendInsert($_POST['codice'],$_POST);
        }
        header("Location: docume_config.php");
        exit;
       }
    }
}
echo "<script language=\"JavaScript\" src=\"../../library/js/CalendarPopup.js\"></script>";
?>
<SCRIPT LANGUAGE="JavaScript" ID="datapopup">
var cal = new CalendarPopup();
cal.setReturnFunction("setMultipleValues");
function setMultipleValues(y,m,d) {
  document.anazie.annnas.value=y;
  document.anazie.mesnas.value=LZ(m);
  document.anazie.gionas.value=LZ(d);
  }
</SCRIPT>
<SCRIPT LANGUAGE="Javascript" SRC="../../library/js/ColorPicker2.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript">
var cp = new ColorPicker('window'); // Popup window
</SCRIPT>
<?php
require_once("../../library/include/header.php");
HeadMain();
echo "<form method=\"POST\" enctype=\"multipart/form-data\" name=\"anazie\">\n";
echo '<input type="hidden" name="next" value="'.$_POST['next'].'">';
?>
<input type="hidden" name="codice" value="<?php echo $form['codice'];?>">
<div align="center" class="FacetFormHeaderFont">Configurazione Azienda</div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<?php
if ($message != "") {
   echo "<tr><td colspan=\"2\" class=\"FacetDataTDred\">$message</td></tr>";
}
?>
<tr>
<td class="FacetFieldCaptionTD">Ragione sociale 1 *&nbsp;</td>
<td class="FacetDataTD"><input title="Cognome e Nome in caso di persona fisica ovvero ragione sociale" type="text" name="ragso1" value="<?php echo $form["ragso1"] ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Ragione sociale 2 &nbsp;</td>
<td class="FacetDataTD"><input title="Secondo rigo a disposizione per la ragione sociale" type="text" name="ragso2" value="<?php echo $form["ragso2"] ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<?php
echo "<td class=\"FacetFieldCaptionTD\"><img src=\"../root/view.php?table=aziend&value=".$form['codice']."\" width=\"100\"></td>";
echo "<td class=\"FacetDataTD\" align=\"center\">Seleziona file (solo in formato PNG, circa 400x400 max 64kb):<br><input name=\"userfile\" type=\"file\" class=\"FacetDataTD\"></td>";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Legale rappresentante &nbsp;</td>
<td class="FacetDataTD"><input title="Cognome, nome, luogo e data di nascita del legale rappresentante, codice fiscale della persona fisica responsabile della ditta" type="text" name="legrap" value="<?php echo $form["legrap"] ?>" maxlength="100" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Sesso/pers.giuridica (M/F/G) *&nbsp;</td>
<td class="FacetDataTD"><input title="Indicare M (maschio) o F (femmina) in caso di persona fisica ovvero G (giuridica) in caso di persona giuridica" type="text" name="sexper" value="<?php echo $form["sexper"] ?>" maxlength="1" size="1" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Data di nascita (gg-mm-aaaa) &nbsp;</td>
<td class="FacetDataTD">
<INPUT class="FacetText" title="Giorno della data di nascita o dell'atto costitutivo" TYPE="text" NAME="gionas" VALUE="<?php echo $form['gionas'];?>" size="2">
<INPUT class="FacetText" title="Mese della data di nascita o dell'atto costitutivo" TYPE="text" NAME="mesnas" VALUE="<?php echo $form['mesnas'];?>" size="2">
<INPUT class="FacetText" title="Anno della data di nascita o dell'atto costitutivo" TYPE="text" NAME="annnas" VALUE="<?php echo $form['annnas'];?>" size="2">
<A HREF="#" onClick="cal.showCalendar('anchor','<?php echo $form['mesnas']."/".$form['gionas']."/".$form['annnas'];?>'); return false;" TITLE=" cambia la data! " NAME="anchor" ID="anchor">
<img border="0" src="../../library/images/cal.png">
</A>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Luogo di nascita - Provincia &nbsp;
<td class="FacetDataTD"><input title="Localit&agrave; di nascita o dell'atto costitutivo" type="text" name="luonas" value="<?php echo $form["luonas"] ?>" maxlength="50" size="30" class="FacetInput">&nbsp;-
<input title="Provincia di nascita o dell'atto costitutivo" type="text" name="pronas" value="<?php echo $form["pronas"] ?>" maxlength="2" size="2" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Indirizzo * &nbsp;</td>
<td class="FacetDataTD"><input title="Via e numero civico della sede operativa di vendita o produzione" type="text" name="indspe" value="<?php echo $form["indspe"] ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">CAP *&nbsp;</td>
<td class="FacetDataTD"><input title="Codice d'avviamento postale della sede operativa di vendita o produzione" type="text" name="capspe" value="<?php echo $form["capspe"] ?>" maxlength="5" size="5" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Citta' - Provincia *&nbsp;</td>
<td class="FacetDataTD"><input title="Localit&agrave; della sede operativa presso il quale si riceveranno i documenti di vendita " type="text" name="citspe" value="<?php echo $form["citspe"] ?>" maxlength="50" size="30" class="FacetInput">&nbsp;-
<input title="Provincia della sede operativa di vendita o produzione" type="text" name="prospe" value="<?php echo $form["prospe"] ?>" maxlength="2" size="2" class="FacetInput">&nbsp;</td>
</tr>
<?php
echo "<tr><td class=\"FacetFieldCaptionTD\">Nazionalit&agrave; </td><td class=\"FacetDataTD\">\n";
echo "<select name=\"country\" class=\"FacetSelect\">";
$result = dynQuery('iso,name', $gTables['country'],1,'name ASC');
while ($a_row = dbms_fetch_array($result)) {
       $selected="";
       if($form['country'] == $a_row['iso']) {
            $selected = " selected ";
       }
       echo "<option value=\"".$a_row['iso']."\"".$selected.">".$a_row['iso']." - ".$a_row['name']."</option>";
}
?>
</td></tr>
<tr>
<td class="FacetFieldCaptionTD">Sede legale &nbsp;</td>
<td class="FacetDataTD"><textarea title="Qualora sia diversa dall'indirizzo della sede operativa indicare indirizzzo,CAP,citt&agrave;,provincia, della sede legale" type ="text" name="sedleg" rows="2" cols="30" class="FacetInput"><?php  echo $form["sedleg"]; ?></TEXTAREA></td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Telefono &nbsp;</td>
<td class="FacetDataTD"><input title="Recapito telefonico, cellulare" type="text" name="telefo" value="<?php echo $form["telefo"]; ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Fax &nbsp;</td>
<td class="FacetDataTD"><input title="fax" type="text" name="fax" value="<?php echo $form["fax"]; ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Codice Fiscale - Partita IVA &nbsp;</td>
<td class="FacetDataTD"><input title="Codice Fiscale (16 caratteri)" type="text" name="codfis" value="<?php echo $form["codfis"]; ?>" maxlength="16" size="16" class="FacetInput">&nbsp;-
<input title="Numero di Partita I.V.A. (11 numeri)" type="text" name="pariva" value="<?php echo $form["pariva"]; ?>" maxlength="11" size="11" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">R.E.A. &nbsp;</td>
<td class="FacetDataTD">
<input title="R.E.A." type="text" name="rea" value="<?php echo $form["rea"]; ?>" maxlength="16" size="16" class="FacetInput">
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">E_Mail &nbsp;</td>
<td class="FacetDataTD"><input title="Indirizzo e-mail o sito web" type="text" name="e_mail" value="<?php echo $form["e_mail"]; ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Codice attivit&agrave; &nbsp;</td>
<td class="FacetDataTD"><input title="Codice dell'attivita'" type="text" name="cod_ateco" value="<?php echo $form["cod_ateco"]; ?>" maxlength="6" size="6" class="FacetInput">&nbsp;</td>
</tr>
<?php
echo "<tr><td class=\"FacetFieldCaptionTD\">Regime &nbsp;</td>";
echo "<td class=\"FacetDataTD\"><select name=\"regime\" class=\"FacetSelect\">\n";
$selArray = array('0'=>'Contabilit&agrave; ordinaria', '1'=>'Contabilit&agrave; semplificata');
foreach ($selArray as $key => $value) {
         $selected="";
         if($form["regime"] == $key) {
                $selected = " selected ";
            }
         echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
}
echo "</select><td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">N&ordm; decimali sulla quantit&agrave;</td><td class=\"FacetDataTD\">\n";
echo "<select name=\"decimal_quantity\" class=\"FacetSelect\">\n";
$selArray = array(0=>'Nessuno', 1=>'Uno', 2=>'Due', 3=>'Tre',9=>'Float');
foreach ($selArray as $key => $value) {
    $selected="";
    if ($form["decimal_quantity"] == $key) {
       $selected = " selected ";
    }
    echo "<option value=\"".$key."\"".$selected.">".$selArray[$key]."</option>\n";
}
echo "</select></td></tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">N&ordm; decimali sui prezzi</td><td class=\"FacetDataTD\">\n";
echo "<select name=\"decimal_price\" class=\"FacetSelect\">\n";
for ($counter = 1; $counter <= 5; $counter++) {
    $selected="";
    if ($form["decimal_price"] == $counter) {
       $selected = " selected ";
    }
    echo "<option value=\"".$counter."\"".$selected.">".$counter."</option>\n";
}
echo "</select></td></tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">Metodo di valorizzazione magazzino</td>"; // Stock accounting method
echo "<td class=\"FacetDataTD\"><select name=\"stock_eval_method\" class=\"FacetSelect\">\n";
$selArray = array('0'=>'Standard', '1'=>'Prezzo medio ponderato', '2'=>'LIFO', '3'=>'FIFO');
// Standard/Moving average/FIFO/LIFO cost method
foreach ($selArray as $key => $value) {
         $selected="";
         if($form["stock_eval_method"] == $key) {
                $selected = " selected ";
         }
         echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
}
echo "</select><td></tr>";
?>
<tr>
<td class="FacetFieldCaptionTD">Mastro clienti &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"mascli\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '1%000000')","codice asc");
while ($a_row = dbms_fetch_array($result)) {
      $selected="";
      if($form['mascli'] == substr($a_row['codice'],0,3))
          $selected = " selected ";
       echo "<option value=\"".substr($a_row['codice'],0,3)."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
}
echo "</select></td>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Mastro fornitori &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"masfor\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '2%000000')","codice asc");
while ($a_row = dbms_fetch_array($result)) {
       $selected="";
       if($form['masfor'] == substr($a_row['codice'],0,3)) {
          $selected = " selected ";
       }
       echo "<option value=\"".substr($a_row['codice'],0,3)."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
}
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Mastro banche &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"masban\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '1%000000')","codice asc");
while ($a_row = dbms_fetch_array($result)) {
     $selected="";
     if($form['masban'] == substr($a_row['codice'],0,3)) {
         $selected = " selected ";
     }
echo "<option value=\"".substr($a_row['codice'],0,3)."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
}
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto cassa contanti/assegni &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"cassa_\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '1%' and codice not like '{$form['mascli']}%' and codice not like '{$form['masfor']}%' and codice not like '{$form['masban']}%' and codice not like '%000000')","codice asc");
while ($a_row = dbms_fetch_array($result)) {
       $selected="";
       if($form['cassa_'] == $a_row['codice']) {
            $selected = " selected ";
       }
       echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
}
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto I.V.A. acquisti &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"ivaacq\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '1%' and codice not like '{$form['masfor']}%' and codice not like '%000000')","codice asc");
while ($a_row = dbms_fetch_array($result)) {
        $selected="";
        if($form['ivaacq'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto I.V.A. vendite &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"ivaven\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '2%' and codice not like '{$form['masfor']}%' and codice not like '%000000')","codice asc");
while ($a_row = dbms_fetch_array($result)) {
      $selected="";
      if($form['ivaven'] == $a_row['codice'])
          $selected = " selected ";
      echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
}
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto I.V.A. corrispettivi  &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"ivacor\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '2%' and codice not like '{$form['masfor']}%' and codice not like '%000000')","codice asc");
while ($a_row = dbms_fetch_array($result)) {
    $selected="";
    if($form['ivacor'] == $a_row['codice'])
        $selected = " selected ";
    echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
}
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto I.V.A. liquidazione  &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"ivaera\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '5%' and codice not like '%000000')","codice asc");
          while ($a_row = dbms_fetch_array($result))
          {
          $selected="";
          if($form['ivaera'] == $a_row['codice'])
              $selected = " selected ";
          echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
          }
echo "</select></TD>\n";
?>
</tr>
<tr>
  <td class="FacetFieldCaptionTD">Conto imponibile vendite &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"impven\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '4%' and codice not like '%000000')","codice asc");
while ($a_row = dbms_fetch_array($result)) {
    $selected="";
    if($form['impven'] == $a_row['codice'])
        $selected = " selected ";
    echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
}
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto spese di trasporto &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"imptra\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '4%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['imptra'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
  <td class="FacetFieldCaptionTD">Conto spese di imballo &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"impimb\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '4%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['impimb'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto spese incasso effetti &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"impspe\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '4%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['impspe'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto spese varie  &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"impvar\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '4%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['impvar'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto bolli su effetti &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"boleff\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '4%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['boleff'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto omaggi &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"omaggi\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '3%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['omaggi'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto imponibile acquisti &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"impacq\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '3%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['impacq'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto acquisto trasporti &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"cost_tra\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '3%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['cost_tra'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
  <td class="FacetFieldCaptionTD">Conto acquisto imballi &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"cost_imb\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '3%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['cost_imb'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto acquisti vari  &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"cost_var\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '3%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['cost_var'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto portafoglio Ri.Ba  &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"coriba\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '1%' and codice not like '{$form['mascli']}%' and codice not like '{$form['masban']}%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['coriba'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conto portafoglio Tratte  &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"cotrat\" class=\"FacetSelect\">";
echo "<option value=\"000000000\"> ---------- </option>\n";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '1%' and codice not like '{$form['mascli']}%' and codice not like '{$form['masban']}%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($form['cotrat'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD>\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Ultime pagine: Riepil.IVA-Libro giornale-Libro Inventari</td>
<td class="FacetDataTD"><input title="Indicare l'ultima pagina emessa del registro Riepilogativo dell'I.V.A" type="text" name="upgrie" value="<?php echo $form["upgrie"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;-
<input title="Indicare l'ultima pagina emessa del Libro Giornale" type="text" name="upggio" value="<?php echo $form["upggio"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;
<input title="Indicare l'ultima pagina emessa del Libro degli Inventari/Bilancio" type="text" name="upginv" value="<?php echo $form["upginv"]; ?>" maxlength="4" size="4" class="FacetInput"></td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Ultime pagine registri Fatture sez.1 - 2 - 3&nbsp;</td>
<td class="FacetDataTD"><input title="Indicare l'ultima pagina emessa del registro Fatture di vendita della sez.1" type="text" name="upgve1" value="<?php echo $form["upgve1"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;-
<input title="Indicare l'ultima pagina emessa del registro Fatture di vendita della sez.2" type="text" name="upgve2" value="<?php echo $form["upgve2"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;-
<input title="Indicare l'ultima pagina emessa del registro Fatture di vendita della sez.3" type="text" name="upgve3" value="<?php echo $form["upgve3"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Ultime pagine registri Acquisti sez.1 - 2 - 3&nbsp;</td>
<td class="FacetDataTD"><input title="Indicare l'ultima pagina emessa del registro Fatture d'acquisto della sez.1" type="text" name="upgac1" value="<?php echo $form["upgac1"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;-
<input title="Indicare l'ultima pagina emessa del registro Fatture d'acquisto della sez.2" type="text" name="upgac2" value="<?php echo $form["upgac2"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;-
<input title="Indicare l'ultima pagina emessa del registro Fatture d'acquisto della sez.3" type="text" name="upgac3" value="<?php echo $form["upgac3"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Ultime pagine registri Corrispettivi sez.1 - 2 - 3&nbsp;</td>
<td class="FacetDataTD"><input title="Indicare l'ultima pagina emessa del registro Corrispettivi della sez.1" type="text" name="upgco1" value="<?php echo $form["upgco1"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;-
<input title="Indicare l'ultima pagina emessa del registro Corrispettivi della sez.2" type="text" name="upgco2" value="<?php echo $form["upgco2"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;-
<input title="Indicare l'ultima pagina emessa del registro Corrispettivi della sez.3" type="text" name="upgco3" value="<?php echo $form["upgco3"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Percentuale d'acconto I.V.A. (%) &nbsp;</td>
<td class="FacetDataTD"><input title="Percentuale (/o) dell'acconto I.V.A. da versare" type="text" name="acciva" value="<?php echo $form["acciva"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Aliquota imposta di bollo su tratte (&permil;) &nbsp;</td>
<td class="FacetDataTD"><input title="Permille(&permil;) dell'imposta di bollo sulle tratte" type="text" name="perbol" value="<?php echo $form["perbol"]; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;
<?php
$select_aliiva = new selectaliiva("ivabol");
$select_aliiva -> addSelected($form["ivabol"]);
$select_aliiva -> output();
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Spese incasso RIBA da addebitare &nbsp;</td>
<td class="FacetDataTD"><input title="Importo che si intende addebitare ai clienti per l'emissione di Ri.Ba., Tratte, Richieste di Versamento" type="text" name="sperib" value="<?php echo $form["sperib"]; ?>" maxlength="6" size="6" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Descrizione sezione 1  &nbsp;</td>
<td class="FacetDataTD"><input title="Descrizione della sezione I.V.A. 1" type="text" name="desez1" value="<?php echo $form["desez1"] ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Descrizione sezione 2  &nbsp;</td>
<td class="FacetDataTD"><input title="Descrizione della sezione I.V.A. 2" type="text" name="desez2" value="<?php echo $form["desez2"] ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Descrizione sezione 3  &nbsp;</td>
<td class="FacetDataTD"><input title="Descrizione della sezione I.V.A. 3" type="text" name="desez3" value="<?php echo $form["desez3"] ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<?php
echo "<tr><td class=\"FacetFieldCaptionTD\">Sezione Fatture Immediate &nbsp;</td>";
echo "<td class=\"FacetDataTD\"><select name=\"fatimm\" class=\"FacetSelect\">\n";
$selArray = array('R'=>'Sezione del report', 'U'=>'Sezione ultima emissione','1'=>'Propone sempre 1','2'=>'Propone sempre 2','3'=>'Propone sempre 3');
foreach ($selArray as $key => $value) {
         $selected="";
         if($form["fatimm"] == $key) {
                $selected = " selected ";
            }
         echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
}
echo "</select><td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">Ricerca articoli per&nbsp;</td>";
echo "<td class=\"FacetDataTD\"><select name=\"artsea\" class=\"FacetSelect\">\n";
$selArray = array('C'=>'Codice', 'D'=>'Descrizione','B'=>'Barcode');
foreach ($selArray as $key => $value) {
         $selected='';
         if($form['artsea'] == $key) {
                $selected = ' selected ';
            }
         echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
}
echo "</select><td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">Contabilit&agrave; magazzino</td>";
echo "<td class=\"FacetDataTD\"><select name=\"conmag\" class=\"FacetSelect\">\n";
$selArray = array(0=>'Nessuna', 1=>'Manuale(sconsigliata)',2=>'Automatica');
foreach ($selArray as $key => $value) {
         $selected="";
         if($form["conmag"] == $key) {
                $selected = " selected ";
            }
         echo "<option value=\"".$key."\" $selected >$key - $value</option>";
}
echo "</select><td></tr>";
echo "<tr><td class=\"FacetFieldCaptionTD\">Colore sui documenti</td>\n";
echo "<td style=\"color:white; background-color:#{$form['color']};\">";
echo "<INPUT TYPE=\"text\" NAME=\"color\" SIZE=\"6\" VALUE=\"{$form['color']}\"><A HREF=\"#\" onClick=\"cp.select(document.anazie.color,'pick');return false;\" NAME=\"pick\" ID=\"pick\">Cambia</A>";
?>
</td></tr>
<tr>
<td class="FacetFieldCaptionTD">I.V.A. trim/mens - aliquota preminente&nbsp;</td>
<td class="FacetDataTD"><input title="Indicare (M) per liquidazione I.V.A mensile e (T) per liquidazione trimestrale" type="text" name="ivam_t" value="<?php echo $form["ivam_t"]; ?>" maxlength="1" size="1" class="FacetInput">&nbsp;-
<?php
$select_aliiva = new selectaliiva("alliva");
$select_aliiva -> addSelected($form["alliva"]);
$select_aliiva -> output();
echo "</td></tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">Interessi su IVA Trimestrale</td>";
echo "<td class=\"FacetDataTD\"><input title=\"Percentuale (/o) da corrispondere a titolo di interessi in fase di liquidazione I.V.A. trimestrale\" type=\"text\" name=\"interessi\" value=\"".$form["interessi"]."\" maxlength=\"4\" size=\"4\" class=\"FacetInput\">&nbsp;</td>\n";
echo "</tr>";
?>
<tr>
<td class="FacetFieldCaptionTD"> &nbsp;</td>
<td align="right" >
<!-- BEGIN Button Return --><input type="submit" name="Return" value="Indietro"><!-- END Button Return -->&nbsp;
<!-- BEGIN Button Delete --><input type="reset" name="Delete" value="Cancella"><!-- END Button Delete -->&nbsp;
<!-- BEGIN Button Insert -->
<?php
if ($_POST['next'] == 'update') {
    echo '<input title="Accetta tutto e modifica" type="submit" name="submit" value="MODIFICA !">';
} else {
    echo '<input title="Accetta tutto e inserisce" type="submit" name="submit" value="INSERISCI !">';
}
?>
<!-- END Button Insert -->
</td>
</tr>
</table>
</form>
</body>
</html>