<?php
/* $Id: admin_utente.php,v 1.17 2008/10/27 11:08:44 devincen Exp $
--------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                             (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
--------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
--------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
$aut = 9;
if (! isset($_POST['ritorno'])){
    $_POST['ritorno'] = $_SERVER['HTTP_REFERER'];
}
$config = new Config;
$club_row = getRow($gTables['admin'], "Login", $_SESSION["Login"]);
$message = "";

if ((isset($_POST['Update'])) or (isset($_GET['Update']))) {
    $toDo = 'update';
    $titolo="Modifica dati Utente";
    $accessi = $_GET['Login'];
    if (! isset($_GET['Login'])) {
       header("Location: ".$_POST['ritorno']);
       exit;
    }
    if ($_SESSION['Login'] == $_GET['Login'] or $club_row['Abilit'] == 9) {
       $aut = 0;

    }
} elseif ((isset($_POST['Insert'])) or (isset($_GET['Insert']))) {
    $toDo = 'insert';
    $titolo="Inserimento Utente";
    $accessi = "";
    $aut = 9;
} else {
    header("Location: ".$_POST['ritorno']);
    exit;
}

checkAdmin($aut);

if (isset($_POST['Return'])) {
    header("Location: ".$_POST['ritorno']);
    exit;
}

if ((isset($_POST['Insert'])) or (isset($_POST['Update']))) {   //se non e' il primo accesso
    $form["Cognome"] = $_POST['Cognome'];
    $form["Nome"] = $_POST['Nome'];
    $form["lang"] = $_POST['lang'];
    $form["Abilit"] = $_POST['Abilit'];
    $form["Access"] = $_POST['Access'];
    $form["Login"] = $_POST['Login'];
    $form["Password"] = $_POST['Password'];
    $form["confpass"] = $_POST['confpass'];
    $form["enterprise_id"] = $_POST['enterprise_id'];
    if ($toDo == 'insert') {
        $ricerca = $_POST["Login"];
        $rs_utente = dynQuery("*", $gTables['admin'], "Login = '$ricerca'","Login DESC",1);
        $risultato = dbms_fetch_array($rs_utente);
        if ($risultato) {
            $message .= "Utente esistente usare l'apposita procedura se lo si vuole modificare ! <br>";
        }
    }

} elseif ((!isset($_POST['Update'])) and (isset($_GET['Update']))) {
    /*
    * La prima entrata per update
    */
    $codice = $_GET['Login'];
    $form = getRow($gTables['admin'], "Login", $codice);
    $form['confpass'] = $form['Password'];
} else {
    /*
    * La prima entrata per insert
    */
    $form["Cognome"] = "";
    $form["Nome"] = "";
    $form["image"] = "";
    $form["lang"] = "italian";
    $form["Abilit"] = 5;
    $form["Access"] = 0;
    $form["Login"] = "";
    $form["Password"] = "";
    $form["confpass"] = "";
    $form["enterprise_id"] = $enterprise_id;
}

if (isset($_POST['Submit'])) {
    //controllo i campi
    if (empty($form["Login"]))
        $message .= "E' necessario inserire un nick per il Login ! <br>";
    if (empty($form["Password"]))
        $message .= "E' necessario inserire la Password ! <br>";
    if (strlen($form["Password"]) < $config->getValue('psw_min_length'))
        $message .= "La Password dev'essere di almeno ".$config->getValue('psw_min_length')." caratteri! <br>";
    if ($form["Password"] != $form["confpass"] )
        $message .= "La Password &egrave; diversa da quella di conferma! <br>";
    if ($form["Abilit"] > $club_row["Abilit"] )
        $message .= "Non puoi aumentere il tuo Livello di Abilitazione (operazione riservata all'amministratore !)<br>";
    if (! empty($_FILES['userfile']['name'])) {
        if (!( $_FILES['userfile']['type'] == "image/jpeg" || $_FILES['userfile']['type'] == "image/pjpeg"))
            $message .= "Il file dev'essere nel formato jpg, quello che hai inviato &egrave; un file ".$_FILES['userfile']['type']."<br>";
            // controllo che il file non sia pi&ugrave; grande di 10kb
        if ( $_FILES['userfile']['size'] > 5999)
            $message .= "L'immagine non dev'essere pi&ugrave; grande di 5 kb <br>";
    }
    if ($form["Abilit"] < 9) {
        $ricerca=$form["Login"];
        $rs_utente = dynQuery("*", $gTables['admin'], "Login <> '$ricerca' and Abilit ='9'", "Login");
        $risultato = dbms_fetch_array($rs_utente);
        if (!$risultato) {
            $message .= "Non puoi avere un livello inferiore a 9 perch&egrave; sei l'unico amministratore! <br>";
        }
    }
    if ( $message == "") { // nessun errore
        // preparo la stringa dell'immagine
        if ($_FILES['userfile']['size'] > 0) { //se c'e' una nuova immagine nel buffer
            $_POST['image'] = addslashes(file_get_contents($_FILES['userfile']['tmp_name']));
        } else {   // altrimenti riprendo la vecchia
            $oldimage = getRow($gTables['admin'],"Login",$_POST['Login']);
            $_POST['image'] = addslashes($oldimage['image']);
        }
        // aggiorno il db
        $_POST["datacc"] = date("YmdHis");
        $_POST["datpas"] = date("YmdHis");
        $_POST['Access'] = intval($_POST['Access']);
        if ($toDo == 'insert') {
            utenteInsert($_POST);
        } elseif ($toDo == 'update') {
            //cambio la data di modifica password
            $getInit = getRow($gTables['admin'], "Login", $_POST['Login']);
            if ($form["Password"] != $getInit["Password"]) {
               $_POST["datpas"] = date("YmdHis");
            }
            $codice=array('Login',$_POST['Login']);
            utenteUpdate($codice, $_POST);
        }
        if ($club_row['Abilit'] == 9) {
            while (list($key, $value) = each($_POST)) {
                if (preg_match ("/^acc_/", $key)) {
                    updateAccessRights($_POST['Login'], preg_replace("/^acc_/", '', $key), $value);
                }
            }
        }
        header("Location: ".$_POST['ritorno']);
        exit;
    }

}
require_once("../../library/include/header.php");
HeadMain(46);
?>
<form method="POST" enctype="multipart/form-data">
<input type="hidden" name="ritorno" value="<?php print $_POST['ritorno'];?>">
<div align="center" class="FacetFormHeaderFont"><?php print $titolo." ".$form["Login"]; ?></div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<?php
echo '<input type="hidden" name="'.ucfirst($toDo).'" value="">';
if ($message != "") {
   print "<tr><td colspan=\"2\" class=\"FacetDataTDred\">$message</td></tr>";
}

?>
<tr>
<td class="FacetFieldCaptionTD">Cognome * </td>
<td class="FacetDataTD"><input title="Cognome" type="text" name="Cognome" value="<?php print $form["Cognome"] ?>" maxlength="30" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Nome </td>
<td class="FacetDataTD"><input title="Nome" type="text" name="Nome" value="<?php print $form["Nome"] ?>" maxlength="30" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<?php
print "<td class=\"FacetFieldCaptionTD\"><img src=\"../root/view.php?table=admin&value=".$form['Login']."&field=Login\" width=\"100\"></td>";
print "<td class=\"FacetDataTD\" align=\"center\">Immagine jpg (max 10kb):<br><input name=\"userfile\" type=\"file\" class=\"FacetDataTD\"></td>";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Lingua</td>
<?php
echo '<td class="FacetDataTD">';
echo '<select name="lang" class="FacetSelect">';
$relativePath = '../../language';
if ($handle = opendir($relativePath)) {
    while ($file = readdir($handle)) {
        if(($file == ".") or ($file == "..") or ($file == "CVS")) continue;
        $selected="";
        if ($form["lang"] == $file) {
            $selected = " selected ";
        }
        echo "<option value=\"".$file."\"".$selected.">".ucfirst($file)."</option>";
    }
    closedir($handle);
}
echo "</td></tr>\n";
?>
<tr>
<td class="FacetFieldCaptionTD">Tema/Stile</td>
<?php
echo '<td class="FacetDataTD">';
echo '<select name="style" class="FacetSelect">';
$relativePath = '../../library/style';
if ($handle = opendir($relativePath)) {
    while ($file = readdir($handle)) {
        if(($file == ".") or ($file == "..") or ($file == "CVS")) continue;
        $selected="";
        if ($form["style"] == $file) {
            $selected = " selected ";
        }
        echo "<option value=\"".$file."\"".$selected.">".$file."</option>";
    }
    closedir($handle);
}
echo "</td></tr>\n";
?>
<tr>
<td class="FacetFieldCaptionTD">Livello di Abilitazione </td>
<td class="FacetDataTD"><input title="Livello " type="text" name="Abilit" value="<?php print $form["Abilit"] ?>" maxlength="1" size="1" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Num.Accessi</td>
<td class="FacetDataTD"><input title="Accessi" type="text" name="Access" value="<?php print $form["Access"] ?>" maxlength="7" size="7" class="FacetInput">&nbsp;</td>
</tr>
<?php
if ($toDo == 'insert') {
    echo '<tr><td class="FacetFieldCaptionTD">Login *</td>
       <td class="FacetDataTD"><input title="Login" type="text" name="Login" value="'.$form["Login"].'" maxlength="20" size="20" class="FacetInput">&nbsp;</td>
       </tr>';
} else {
    echo '<input type="hidden" name="Login" value="'.$form['Login'].'">';
}
?>
<tr>
<td class="FacetFieldCaptionTD">Password (min.<?php echo $config->getValue('psw_min_length'); ?> caratteri) * &nbsp;</td>
<td class="FacetDataTD"><input title="Password" type="password" name="Password" value="<?php print $form["Password"]; ?>" maxlength="20" size="20" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Conferma Password * &nbsp;</td>
<td class="FacetDataTD"><input title="Conferma Password" type="password" name="confpass" value="<?php print $form["confpass"]; ?>" maxlength="20" size="20" class="FacetInput">&nbsp;</td>
</tr>
<?php
if ($club_row["Abilit"] == 9) {
    //ricavo i prefissi delle tabelle delle aziende presenti sul db 'gazie'
    $result = dbms_query ('SHOW TABLES FROM '.$Database.' LIKE "%aziend"');
    echo "<td class=\"FacetFieldCaptionTD\">Permessi Moduli</td>\n";
    echo "<td class=\"FacetDataTD\"><table width=100%><tr>\n";
    echo "  <td>Tutti</td>\n";
    echo "  <td>Nessuno</td>\n";
    echo "</tr></table></td>\n";
    echo "</tr>\n";

    $result = getAccessRights($accessi);
    $ctrl_m1 = 0;
    while ($row = dbms_fetch_array($result)) {
     if ($ctrl_m1 != $row['m1_id']){
        echo "<tr>\n";
        echo "<td class=\"FacetFieldCaptionTD\">Modulo: ".$row['name']."</td>\n";
        echo "<td class=\"FacetDataTD\"><table width=100%><tr>";
        if (! isset($row['access']) or  $row['access'] == 0) {
            echo "  <td><input type=radio name=acc_$row[m1_id] value=\"3\"></td>";
            echo "  <td><input type=radio checked name=acc_$row[m1_id] value=\"0\"></td>";
        } else {
            echo "  <td><input type=radio checked name=acc_$row[m1_id] value=\"3\"></td>";
            echo "  <td><input type=radio name=acc_$row[m1_id] value=\"0\"></td>";
        }
        echo "</tr></table></td>\n";
        echo "</tr>\n";
    }
    $ctrl_m1 = $row['m1_id'];
   }
} else {
}
echo '<input type="hidden" name="enterprise_id" value="'.$form['enterprise_id'].'">';
?>
<tr>
    <td class="FacetFieldCaptionTD">I campi contrassegnati con * sono obbligatori! &nbsp;</td>
    <td align="right" >
        <!-- BEGIN Button Return --><input title="Torna indietro" type="button" name="Back" value="Indietro" onclick="location.href='<?php print "report_utenti.php"; ?>'"><!-- END Button Return -->&nbsp;
        <!-- BEGIN Button Delete --><input name="Delete" title="Annulla le modifiche apportate alla schermata" type="reset" value="Cancella"><!-- END Button Delete -->&nbsp;
        <!-- BEGIN Button Insert -->
            <?php
            if ($toDo == 'update') {
                echo '<input name="Submit" title="Accetta tutto e modifica" type="submit" value="MODIFICA !">';
            } else {
                echo '<input name="Submit" title="Accetta tutto e inserisce" type="submit" value="INSERISCI !">';
            }
            ?>
        <!-- END Button Insert -->&nbsp;
     </td>
</tr>
</table>
</form>
</body>
</html>