<?php
 /* $Id: insert_aliiva.php,v 1.11 2008/10/14 08:29:23 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$message = "";
$azienda = getRow($gTables['aziend'],"codice",1);
if (isset($_POST['Insert']))
    {
        //controllo i campi
    if (empty($_POST["descri"]))
        $message .= "E' necessario inserire una descrizione ! <br>";

    if (isset($_POST["codice"]))
        {
        $ricerca=$_POST["codice"];
        $rs_aliiva = dynQuery("*", $gTables['aliiva'], "codice like '$ricerca'","codice DESC");
        $risultato = dbms_fetch_array($rs_aliiva);
        if ($risultato)
            {
            $message .= "Codice esistente usare l'apposita procedura per la modifica ! <br>";
            }
        }
    if ($_POST["codice"] <= 0 )
        $message .= "Il codice inserito dev'essere compreso tra 1 e 99 ! <br>";
    if ( $message == "") // nessun errore
        {
        // aggiorno il db
            {
            aliivaInsert($_POST['codice'], $_POST['tipiva'], $_POST['aliquo'], $_POST['descri'], $_POST['status'], $_POST['annota']);
            header("Location: report_aliiva.php");
            exit;
            }
        }
    }
if (isset($_POST['Return']))
        {
        header("Location: report_aliiva.php");
        exit;
        }
if (!isset($_POST['Insert'])) {
    $rs_aliiva = dynQuery("*", $gTables['aliiva'], 2,"codice DESC");
    $risultato = dbms_fetch_array($rs_aliiva);
    $form["codice"] = $risultato["codice"] + 1;
    $form["tipiva"] = "I";
    $form["aliquo"] = "";
    $form["descri"] = "";
    $form["status"] = "";
    $form["annota"] = "";
} else {
    $form["codice"] = $_POST['codice'];
    $form["tipiva"] = $_POST['tipiva'];
    $form["aliquo"] = $_POST['aliquo'];
    $form["descri"] = $_POST['descri'];
    $form["status"] = $_POST['status'];
    $form["annota"] = $_POST['annota'];
}
$titolo="Inserimento Aliquota I.V.A.";
require_once("../../library/include/header.php");
HeadMain($titolo,'');
?>
<form method="POST">
<div align="center"><font class="FacetFormHeaderFont">Inserimento  Aliquota I.V.A.</font></div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<tr>
<td colspan="2" class="FacetDataTD">
<?php
if (! $message == "")
{
print "$message";
}
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Codice aliquota  *&nbsp;</td>
<td class="FacetDataTD"><input type="text" name="codice" value="<?php print $form["codice"] ?>" maxlength="2" size="2" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Tipo Iva*&nbsp;</td>
<td class="FacetDataTD">
<select name="tipiva" class="FacetSelect">
<?php
$accosaldo = array('I' => 'Imponibile','N' => 'Non Imponibile','E' => 'Esente','S' => 'Non Soggetto','C' => 'Escluso','D' => 'Indetraibile');
foreach ($accosaldo as $key => $value) {
        $selected="";
        if($form["tipiva"] == $key)
            $selected = " selected ";
        echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
}
?>
</select>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Percentuale (00.0 %) &nbsp;</td>
<td class="FacetDataTD"><input type="text" name="aliquo" value="<?php print $form["aliquo"] ?>" maxlength="4" size="4" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Descrizione *&nbsp;</td>
<td class="FacetDataTD"><input type="text" name="descri" value="<?php print $form["descri"] ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Status &nbsp;</td>
<td class="FacetDataTD"><input type="text" name="status" value="<?php print $form["status"] ?>" maxlength="10" size="10" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Annotazioni &nbsp;</td>
<td class="FacetDataTD"><input type="text" name="annota" value="<?php print $form["annota"] ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<td class="FacetFieldCaptionTD">I campi contrassegnati con * sono obbligatori! &nbsp;</td>
<td colspan="2" align="right" >
<!-- BEGIN Button Return --><input type="submit" name="Return" value="Indietro"><!-- END Button Return -->&nbsp;
<!-- BEGIN Button Delete --><input type="reset" name="Delete" value="Cancella"><!-- END Button Delete -->&nbsp;
<!-- BEGIN Button Insert --><input type="submit" name="Insert" value="INSERISCI !"><!-- END Button Insert -->&nbsp;
</td>
</tr>
</table>
</form>
</body>
</html>