<?php
/* $Id: report_movcon.php,v 1.19 2008/10/14 08:29:23 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$message = "";
$azienda = getRow($gTables['aziend'],"codice",1);
$titolo = "Movimenti di Prima Nota";
require_once("../../library/include/header.php");
HeadMain($titolo,'');
if (isset($_GET['auxil'])) {
   $auxil = $_GET['auxil'];
}
if (isset($_GET['all'])) {
   $auxil = "&all=yes";
   $where = "caucon like '%'";
   $passo = 100000;
} else {
   if (isset($_GET['auxil'])) {
      $where = "caucon like '{$_GET['auxil']}%'";
   }
}

if (!isset($_GET['flag_order'])) {
   $orderby = " id_tes desc";
}

if (!isset($_GET['auxil'])) {
   $auxil = "";
   $where = "caucon like '$auxil%'";
}
?>
<div align="center" class="FacetFormHeaderFont"><a href="admin_movcon.php?Insert">Inserisci Nuovo Movimento </a></div>
<div align="center" class="FacetFormHeaderFont">Lista dei Movimenti Contabili</div>
<form method="GET">
<table class="Tlarge">
<tr>
<td></td>
<td></td>
<td class="FacetFieldCaptionTD">Causale:
<input type="text" name="auxil" value="<?php if ($auxil != "&all=yes") print stripslashes($auxil); ?>" maxlength="6" size="3" tabindex="1" class="FacetInput">
</td>
<td>
<input type="submit" name="search" value="Cerca" tabindex="1" onClick="javascript:document.report.all.value=1;">
</td>
<td>
<input type="submit" name="all" value="Mostra tutti" onClick="javascript:document.report.all.value=1;">
</td>
</tr>
<?php
$table = $gTables['rigmoc']." left join ".$gTables['tesmov']." on (".$gTables['rigmoc'].".id_tes = ".$gTables['tesmov'].".id_tes) ";
$result = dynQuery ($gTables['rigmoc'].".id_tes, datreg, clfoco, caucon, descri, protoc, numdoc, seziva, sum(import*(darave='D')) as dare,sum(import*(darave='A')) as avere", $table, $where." group by id_tes", $orderby, $limit, $passo);
$headers_tesmov = array  (
            "n.ID" => "id_tes",
            "Data" => "datreg",
            "Causale" => "caucon",
            "Descrizione" => "descri",
            "Prot./Sez." => "",
            "N.Doc." => "",
            "Importo" => "",
            "Cancella" => ""
            );
$linkHeaders = new linkHeaders($headers_tesmov);
$linkHeaders -> output();
$recordnav = new recordnav($gTables['tesmov'], $where, $limit, $passo);
$recordnav -> output();
while ($a_row = dbms_fetch_array($result)) {
    if (substr($a_row["clfoco"],0,3) == $azienda['mascli'] or substr($a_row["clfoco"],0,3) == $azienda['masfor']) {
       $clifor = getRow($gTables['clfoco'],"codice",$a_row["clfoco"]);
       $title =  $clifor['ragso1']." ".$clifor['ragso2'];
    } else {
       $title = "";
    }
    print "<tr>";
    print "<td class=\"FacetDataTD\" align=\"right\"><a href=\"admin_movcon.php?id_tes=".$a_row["id_tes"]."&Update\" title=\"Modifica\">".$a_row["id_tes"]."</a> &nbsp</td>";
    print "<td class=\"FacetDataTD\" align=\"center\">".$a_row["datreg"]." &nbsp;</td>";
    print "<td class=\"FacetDataTD\" title= \"$title\" align=\"center\">".$a_row["caucon"]." &nbsp;</td>";
    print "<td class=\"FacetDataTD\" title= \"$title\">".$a_row["descri"]." &nbsp;</td>";
    if ($a_row["protoc"] > 0) {
       print "<td class=\"FacetDataTD\" align=\"center\">".$a_row["protoc"]."/".$a_row["seziva"]."</td>";
    } else {
       print "<td class=\"FacetDataTD\"></td>";
    }
    print "<td class=\"FacetDataTD\" align=\"center\">".$a_row["numdoc"]."</td>";
    print "<td class=\"FacetDataTD\" title= \"$title\" align=\"right\">".gaz_format_number($a_row['dare'])." </td>";
    print "<td class=\"FacetDataTD\" align=\"center\"><a href=\"delete_movcon.php?id_tes=".$a_row["id_tes"]."\"><img src=\"../../library/images/x.gif\" title=\"Elimina!\" border=\"0\"></a></td>";
    print "</tr>\n";
}
?>
</table>
</body>
</html>