<?php
/*$Id: select_liqiva.php,v 1.17 2008/10/14 08:29:23 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$message = "";
$azienda = getRow($gTables['aziend'],'codice',1);
$pagini = $azienda["upgrie"]+1;
$castelimponi=array();
$castelimpost=array();
$casteltotimp=array();
$casteltotiva=array();
$castelperiva=array();

if ( $azienda['ivam_t'] == 'M' ) {
    $utsdatini = mktime(0,0,0,date("m")-1,1,date("Y"));
    $utsdatfin = mktime(0,0,0,date("m"),0,date("Y"));
} elseif (date("m") >= 1 and date("m") < 4) {
    $utsdatini = mktime(0,0,0,10,1,date("Y")-1);
    $utsdatfin = mktime(0,0,0,12,31,date("Y")-1);
} elseif (date("m") >= 4 and date("m") < 7) {
    $utsdatini = mktime(0,0,0,1,1,date("Y"));
    $utsdatfin = mktime(0,0,0,3,31,date("Y"));
} elseif (date("m") >= 7 and date("m") < 10) {
    $utsdatini = mktime(0,0,0,4,1,date("Y"));
    $utsdatfin = mktime(0,0,0,6,31,date("Y"));
} elseif (date("m") >= 10 and date("m") <= 12) {
    $utsdatini = mktime(0,0,0,7,1,date("Y"));
    $utsdatfin = mktime(0,0,0,9,30,date("Y"));
}

if (!isset($_GET['seziva'])) {
     $_GET['seziva'] = 1;
}
if (!isset($_GET['regist'])) {
     $_GET['regist'] = 0;
}
if (!isset($_GET['gioini'])) {
     $_GET['gioini'] = 1;
}
if (!isset($_GET['mesini'])) {
     $_GET['mesini'] = date("m",$utsdatini);
}
if (!isset($_GET['annini'])) {
     $_GET['annini'] = date("Y",$utsdatini);
}
if (!isset($_GET['giofin'])) {
     $_GET['giofin'] =  date("d",$utsdatfin);
}
if (!isset($_GET['mesfin'])) {
     $_GET['mesfin'] =  date("m",$utsdatfin);
}
if (!isset($_GET['annfin'])) {
     $_GET['annfin'] =  date("Y",$utsdatfin);
}
if (!isset($_GET['descri'])) {
     $_GET['descri'] = "";
}
if (empty($_GET['descri'])) {
    if ( $azienda['ivam_t'] == 'M' ) {
         $_GET['descri'] = "del mese di ".ucwords(strftime("%B %Y",$utsdatini));
    } else {
         $_GET['descri'] = "del trimestre ".ucwords(strftime("%B",$utsdatini))." - ".ucwords(strftime("%B %Y",$utsdatfin));
    }
}

//controllo i campi
if (!checkdate( $_GET['mesini'], $_GET['gioini'], $_GET['annini'])) {
      $message .= "La data ".$_GET['gioini']."-".$_GET['mesini']."-".$_GET['annini']." non &egrave; corretta! <br>";
}
if (!checkdate( $_GET['mesfin'], $_GET['giofin'], $_GET['annfin'])) {
      $message .= "La data ".$_GET['giofin']."-".$_GET['mesfin']."-".$_GET['annfin']." non &egrave; corretta! <br>";
}
$utsini= mktime(0,0,0,$_GET['mesini'],$_GET['gioini'],$_GET['annini']);
$utsfin= mktime(0,0,0,$_GET['mesfin'],$_GET['giofin'],$_GET['annfin']);
$datainizio = date("Ymd",$utsini);
$datafine = date("Ymd",$utsfin);
if ($utsini > $utsfin) {
        $message .="La data di inizio dei movimenti contabili da stampare non pu&ograve; essere successiva alla data dell'ultimo !<br>";
}
if (isset($_GET['stampa']) and $message == "") {
        //controllo se si vuole stampare la copertina e se dev'essere una stampa in definitiva...'
        if (!isset($_GET['copert'])) {
            $_GET['copert']="";

        } else {
            $_GET['copert'] = "&copert=".$_GET['copert'];
        }
        if (!isset($_GET['stadef'])) {
            $_GET['stadef']="";
        } else {
            $_GET['stadef'] = "&stadef=".$_GET['stadef'];
        }
        //Mando in stampa ...
        $locazione = "Location: stampa_liqiva.php?regist=".$_GET['regist']."&seziva=".$_GET['seziva']."&regini=".date("Y-m-d",$utsini)."&regfin=".date("Y-m-d",$utsfin)."&descri=".$_GET['descri']."&pagini=".$_GET['pagini'].$_GET['copert'].$_GET['stadef'];
        header($locazione);
        exit;
}
if (isset($_GET['Return'])) {
        header("Location:docume_contab.php");
        exit;
}
//recupero tutti i movimenti insieme alle relative testate...
$rs_rigmoi = mergeTable($gTables['rigmoi'],"*",$gTables['tesmov'],"*","id_tes","datreg between $datainizio and $datafine ORDER BY seziva asc, regiva asc, datreg asc , protoc asc");
$titolo="Selezione Stampa del registro riepilogativo dell'I.V.A. e liquidazione periodica";
require_once("../../library/include/header.php"); HeadMain($titolo,'');
?>
<form method="GET">
<div align="center"><font class="FacetFormHeaderFont">Stampa Liquidazione Periodica IVA</font></div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<tr><td colspan="2" class="FacetDataTDred">
<?php
if (! $message == "") {
   print $message;
}
?>
</td></tr>
<tr>
<td class="FacetFieldCaptionTD">Stampa definitiva &nbsp;</td>
<td class="FacetDataTD"><input title="La scelta della stampa in definitiva aggiorna il campo 'ultima pagina del registro ...' nell'archivio azienda" type="checkbox" name="stadef" value="1" ></td>
<td class="FacetFieldCaptionTD">N.Pagina Iniziale &nbsp;</td>
<td class="FacetDataTD" colspan=2> <input title="Numero della prima pagina da stampare (di default quella riportata sull'archivio azienda + 1)" type="text" name="pagini" value="<?php print $pagini; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Riepilogativo &nbsp;</td>
<td class="FacetDataTD" colspan=3> <input title="Descrizione del periodo" type="text" name="descri" value="<?php print $_GET["descri"]; ?>" maxlength="50" size="50" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Data Registrazione Inizio &nbsp;</td>
<td class="FacetDataTD" colspan=3 >
<?php
// select del giorno
print "\t <select name=\"gioini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 31; $counter++ ) {
     $selected = "";
     if($counter ==  $_GET['gioini']) {
          $selected = "selected";
     }
     print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
}
print "\t </select>\n";
// select del mese
echo "\t <select name=\"mesini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 12; $counter++ ) {
    $selected = "";
    if($counter == $_GET['mesini']) {
            $selected = "selected";
    }
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
// select del anno
print "\t <select name=\"annini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 2002; $counter <= 2030; $counter++ ) {
    $selected = "";
    if($counter == $_GET['annini']) {
            $selected = "selected";
    }
    print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
print "\t </select>\n";
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Data Registrazione Fine &nbsp;</td>
<td class="FacetDataTD"  colspan=3>
<?php
// select del giorno
print "\t <select name=\"giofin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 31; $counter++ ) {
    $selected = "";
    if($counter ==  $_GET['giofin']) {
            $selected = "selected";
    }
    print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
}
print "\t </select>\n";
// select del mese
echo "\t <select name=\"mesfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 12; $counter++ ) {
    $selected = "";
    if($counter == $_GET['mesfin']) {
            $selected = "selected";
    }
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
// select del anno
print "\t <select name=\"annfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 2002; $counter <= 2030; $counter++ ) {
    $selected = "";
    if($counter == $_GET['annfin']) {
            $selected = "selected";
    }
    print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
print "\t </select>\n";
?>
</td>
</tr>
<td class="FacetFieldCaptionTD">&nbsp;</td>
<td colspan="3" align="right" nowrap class="FacetFooterTD">
<input type="submit" name="Return" value="Indietro">&nbsp;
<?php
$nummov = dbms_num_rows($rs_rigmoi);
if ($nummov > 0) {
   echo "<input type=\"submit\" name=\"stampa\" value=\"STAMPA !\" > &nbsp; con copertina <input type=\"checkbox\" title=\"Selezionare questo flag se si vuole che venga stampata la prima pagina di copertina\" name=\"copert\" value=1>" ;
}
?>
</td>
</tr>
</table>
</form>
<?php
echo "<table class=\"Tlarge\">";
echo "<tr>";
// creo l'array (header => campi) per l'ordinamento dei record
$headers_movime = array  ("Sezione" => "", "Registro" => "", "I.V.A." => "", "Imponibile" => "", "Aliquota" => "", "Imposta" => "", "Totale" => "" );
$linkHeaders = new linkHeaders($headers_movime);
$linkHeaders -> output();
echo "</tr>";
$imponi=0.00;
$impost=0.00;
$totimponi =0.00;
$totimpost =0.00;
$totimpreg =0.00;
$totivareg =0.00;
$ctrlsezpre = 0;
$ctrlregpre = 0;
$saldo = 0.00;
$totindetr =0.00;
while ($movimenti = dbms_fetch_array($rs_rigmoi)) {
    $codiva = $movimenti["codiva"];
    switch($movimenti["operat"]) {
    case "1":
        $imponi = $movimenti["imponi"];
        $impost = $movimenti["impost"];
        break;
    case "2":
        $imponi = -$movimenti["imponi"];
        $impost = -$movimenti["impost"];
        break;
    }
    if ($movimenti["regiva"] > 5) {
        $imponi = number_format(-$imponi,2,'.','');
        $impost = number_format(-$impost,2,'.','');;
    }
    if (($ctrlregpre != $movimenti["regiva"] || $ctrlsezpre != $movimenti["seziva"]) and $ctrlsezpre != 0) {
        switch($ctrlregpre) {
        case 2:
            $descrreg = "VENDITE";
            break;
        case 4:
            $descrreg = "CORRISPETTIVI";
            break;
        case 6:
            $descrreg = "ACQUISTI";
            break;
        default:
            $descrreg = "ERRORE, REGISTRO NON SELEZIONATO !";
            break;
        }
        echo "<tr><td class=\"FacetDataTD\">".$ctrlsezpre."</td><td class=\"FacetDataTD\">".$descrreg."<td></td></tr>";
        foreach ($castelimponi as $key => $value) {
            $iva = getRow($gTables['aliiva'],"codice",$key);
            echo "<tr><td colspan=\"2\"><td class=\"FacetDataTD\" align=\"center\">".$iva['descri']."</td><td align=\"right\" class=\"FacetDataTD\">".number_format ($value,2, '.', '')." &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".$iva['aliquo']."% &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".number_format ($castelimpost[$key],2, '.', '')." &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".number_format ($castelimpost[$key]+$value,2, '.', '')." &nbsp;</td></tr>\n";
            unset($castelimpost[$key]);
            unset($castelimponi[$key]);
        }
    }
    $totimponi += $imponi;
    $totimpreg += $imponi;
    $totivareg += $impost;
    if ($movimenti["tipiva"] <> "D") {
       $totimpost += $impost;
    }
    $ctrlregpre = $movimenti["regiva"];
    $ctrlsezpre = $movimenti["seziva"];
    if (!isset($castelimponi[$codiva])) {
       $castelimponi[$codiva]= 0;
    }
    $castelimponi[$codiva] = number_format(($castelimponi[$codiva]+ $imponi),2,'.','');
    if (!isset($castelimpost[$codiva])) {
       $castelimpost[$codiva]= 0;
    }
    $castelimpost[$codiva] = number_format(($castelimpost[$codiva]+ $impost),2,'.','');
    if (!isset($casteltotimp[$codiva])) {
       $casteltotimp[$codiva]= 0;
    }
    $casteltotimp[$codiva] = number_format(($casteltotimp[$codiva]+ $imponi),2,'.','');
    if (!isset($casteltotiva[$codiva])) {
       $casteltotiva[$codiva]= 0;
    }
    $casteltotiva[$codiva] = number_format(($casteltotiva[$codiva]+ $impost),2,'.','');
}

if ($ctrlsezpre != 0) {
    switch($ctrlregpre) {
    case 2:
        $descrreg = "VENDITE";
        break;
    case 4:
        $descrreg = "CORRISPETTIVI";
        break;
    case 6:
        $descrreg = "ACQUISTI";
        break;
    }
    echo "<tr><td class=\"FacetDataTD\">".$ctrlsezpre."</td><td class=\"FacetDataTD\">".$descrreg."<td>&nbsp;</td></tr>";
    foreach ($castelimponi as $key => $value) {
        $iva = getRow($gTables['aliiva'],"codice",$key);
        echo "<tr><td colspan=\"2\"></td><td class=\"FacetDataTD\" align=\"center\">".$iva['descri']."</td><td align=\"right\" class=\"FacetDataTD\">".number_format ($value,2, '.', '')." &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".$iva['aliquo']."% &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".number_format ($castelimpost[$key],2, '.', '')." &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".number_format ($castelimpost[$key]+$value,2, '.', '')." &nbsp;</td></tr>\n";
        unset($castelimpost[$key]);
        unset($castelimponi[$key]);
    }
}
echo "<tr><td colspan=6><HR></td></tr>";
foreach ($casteltotimp as $key => $value) {
         $iva = getRow($gTables['aliiva'],"codice",$key);
         echo "<tr><td colspan=\"2\" align=\"right\"> TOTALE </td><td class=\"FacetDataTD\" align=\"right\">".$iva['descri']."</td><td align=\"right\" class=\"FacetDataTD\">".number_format ($value,2, '.', '')." &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".$iva['aliquo']."% &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".number_format ($casteltotiva[$key],2, '.', '')." &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".number_format($casteltotiva[$key]+$value,2, '.', '')." &nbsp;</td></tr>\n";
}
if ($totimpost < 0) {
    $descritot = "A CREDITO";
    $coloretot = "red";
} else {
    $descritot = "A DEBITO";
    $coloretot = "";
}
echo "<tr><td colspan=6><HR></td></tr>";
echo "<tr><td colspan=\"2\"></td><td class=\"FacetDataTD$coloretot\">TOTALE I.V.A. $descritot</td><td></td><TD></TD><td align=\"right\" class=\"FacetDataTD\" ".$coloretot.">".number_format ($totimpost,2, '.', '')." &nbsp;</td></tr>\n";
?>
</table>
</body>
</html>