<?php
/*$Id: select_regiva.php,v 1.20 2008/10/17 13:05:36 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/

require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();

$message = "";
$azienda = getRow($gTables['aziend'],'codice',1);
$castelimponi=array();
$castelimpost=array();
$castelperiva=array();
if ( $azienda['ivam_t'] == 'M' ) {
    $utsdatini = mktime(0,0,0,date("m")-1,1,date("Y"));
    $utsdatfin = mktime(0,0,0,date("m"),0,date("Y"));
} elseif (date("m") >= 1 and date("m") < 4) {
    $utsdatini = mktime(0,0,0,10,1,date("Y")-1);
    $utsdatfin = mktime(0,0,0,12,31,date("Y")-1);
} elseif (date("m") >= 4 and date("m") < 7) {
    $utsdatini = mktime(0,0,0,1,1,date("Y"));
    $utsdatfin = mktime(0,0,0,3,31,date("Y"));
} elseif (date("m") >= 7 and date("m") < 10) {
    $utsdatini = mktime(0,0,0,4,1,date("Y"));
    $utsdatfin = mktime(0,0,0,6,31,date("Y"));
} elseif (date("m") >= 10 and date("m") <= 12) {
    $utsdatini = mktime(0,0,0,7,1,date("Y"));
    $utsdatfin = mktime(0,0,0,9,30,date("Y"));
}

if (!isset($_GET['seziva'])) {
     $_GET['seziva'] = 1;
}
if (!isset($_GET['regist'])) {
     $_GET['regist'] = 2;
}
if (!isset($_GET['regime'])) {
     $_GET['regime'] = $azienda['regime'];
}
if (!isset($_GET['gioini'])) {
     $_GET['gioini'] = 1;
}
if (!isset($_GET['mesini'])) {
     $_GET['mesini'] = date("m",$utsdatini);
}
if (!isset($_GET['annini'])) {
     $_GET['annini'] = date("Y",$utsdatini);
}
if (!isset($_GET['giofin'])) {
     $_GET['giofin'] =  date("d",$utsdatfin);
}
if (!isset($_GET['mesfin'])) {
     $_GET['mesfin'] =  date("m",$utsdatfin);
}
if (!isset($_GET['annfin'])) {
     $_GET['annfin'] =  date("Y",$utsdatfin);
}
if (!isset($_GET['descri'])) {
     $_GET['descri'] = "";
}
if (empty($_GET['descri'])) {
    if ( $azienda['ivam_t'] == 'M' ) {
         $_GET['descri'] = "del mese di ".ucwords(strftime("%B %Y",$utsdatini));
    } else {
         $_GET['descri'] = "del trimestre ".ucwords(strftime("%B",$utsdatini))." - ".ucwords(strftime("%B %Y",$utsdatfin));
    }
}

//controllo i campi
if (!checkdate( $_GET['mesini'], $_GET['gioini'], $_GET['annini'])) {
    $message .= "La data ".$_GET['gioini']."-".$_GET['mesini']."-".$_GET['annini']." non &egrave; corretta! <br>";
}
if (!checkdate( $_GET['mesfin'], $_GET['giofin'], $_GET['annfin'])) {
    $message .= "La data ".$_GET['giofin']."-".$_GET['mesfin']."-".$_GET['annfin']." non &egrave; corretta! <br>";
}

$utsini= mktime(0,0,0,$_GET['mesini'],$_GET['gioini'],$_GET['annini']);
$utsfin= mktime(0,0,0,$_GET['mesfin'],$_GET['giofin'],$_GET['annfin']);
$datainizio = date("Ymd",$utsini);
$datafine = date("Ymd",$utsfin);
if ($utsini > $utsfin) {
    $message .="La data di inizio dei movimenti contabili da stampare non pu&ograve; essere successiva alla data dell'ultimo !<br>";
}
if (isset($_GET['stampa']) and $message == "") {
    //controllo se si vuole stampare la copertina e se dev'essere una stampa in definitiva...'
    if (!isset($_GET['copert'])) {
        $_GET['copert']="";
    } else {
       $_GET['copert'] = "&copert";
    }
    if (!isset($_GET['stadef'])) {
        $_GET['stadef']="";
    } else {
        $_GET['stadef'] = "&stadef=".$_GET['stadef'];
    }
    if ($_GET['regime']) {
        $tipo = "&Semplificata";
    } else {
        $tipo = "";
    }
    //Mando in stampa ...
    $locazione = "Location: stampa_regiva.php?regist=".$_GET['regist']."&seziva=".$_GET['seziva']."&regini=".date("Y-m-d",$utsini)."&regfin=".date("Y-m-d",$utsfin)."&descri=".$_GET['descri']."&pagini=".$_GET['pagini'].$_GET['copert'].$_GET['stadef'].$tipo;
    header($locazione);
    exit;
}
if (isset($_GET['Return'])) {
    header("Location:docume_contab.php");
    exit;
}
$where = " datreg between $datainizio and $datafine and seziva = {$_GET['seziva']} and regiva = {$_GET['regist']} ";
//recupero le testate in base alle scelte impostate
$rs_rigmoi = dynQuery("*",$gTables['rigmoi']." left join ".$gTables['tesmov']." on ".$gTables['rigmoi'].".id_tes = ".$gTables['tesmov'].".id_tes left join ".$gTables['clfoco']." on ".$gTables['tesmov'].".clfoco = ".$gTables['clfoco'].".codice", $where, "datreg asc, protoc asc");

//recupero tutti i movimenti contabili del conto insieme alle relative testate...
//$rs_rigmoi = mergeTable($gTables['rigmoi'],"*",$gTables['tesmov'],"*","id_tes","datreg between $datainizio and $datafine and seziva = {$_GET['seziva']} and regist = {$_GET['regist']} ORDER BY datreg asc , protoc asc");
//in base al tipo di registro e sezione importo il relativo numero della prima pagina...
switch($_GET['regist']) {
case 2:
    if ($_GET['seziva'] == 1)
        $pagini = $azienda["upgve1"]+1;
    if ($_GET['seziva'] == 2)
        $pagini = $azienda["upgve2"]+1;
    if ($_GET['seziva'] == 3)
        $pagini = $azienda["upgve3"]+1;
    break;
case 4:
    if ($_GET['seziva'] == 1)
        $pagini = $azienda["upgco1"]+1;
    if ($_GET['seziva'] == 2)
        $pagini = $azienda["upgco2"]+1;
    if ($_GET['seziva'] == 3)
        $pagini = $azienda["upgco3"]+1;
    break;
case 6:
    if ($_GET['seziva'] == 1)
        $pagini = $azienda["upgac1"]+1;
    if ($_GET['seziva'] == 2)
        $pagini = $azienda["upgac2"]+1;
    if ($_GET['seziva'] == 3)
        $pagini = $azienda["upgac3"]+1;
    break;
}

$titolo="Selezione Stampa dei registri I.V.A.";
require_once("../../library/include/header.php"); HeadMain($titolo,'');
?>
<form method="GET">
<div align="center"><font class="FacetFormHeaderFont">Stampa registri I.V.A.</font></div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<tr>
<td colspan="2" class="FacetDataTDred">
<?php
if (! $message == "") {
    print $message;
}
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Sezione I.V.A. &nbsp;</td>
<td class="FacetDataTD">
<select name="seziva" class="FacetSelect" onchange="this.form.submit()">
<?php
for ($sez = 1; $sez <= 3; $sez++) {
    $selected="";
    if($_GET["seziva"] == $sez) {
        $selected = " selected ";
    }
    echo "<option value=\"".$sez."\"".$selected.">".$sez."</option>";
}
?>
</select>
</td>
<td class="FacetFieldCaptionTD">Stampa definitiva &nbsp;</td>
<td class="FacetDataTD"><input title="La scelta della stampa in definitiva aggiorna il campo 'ultima pagina del registro ...' nell'archivio azienda" type="checkbox" name="stadef" value="1" ></td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Registro IVA da stampare &nbsp;</td>
<td class="FacetDataTD">
<select name="regist" class="FacetSelect" onchange="this.form.submit()">
<?php
$arrayRegistri = array('2' => 'Fatture di Vendita','4' => 'Corrispettivi','6' => 'Fatture d\'Acquisto');
foreach ($arrayRegistri as $key => $value) {
    $selected="";
    if($_GET["regist"] == $key) {
        $selected = " selected ";
    }
    echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
}
?>
</select>
</td>
<td class="FacetFieldCaptionTD">N.Pagina Iniziale &nbsp;</td>
<td class="FacetDataTD" colspan=2> <input title="Numero della prima pagina da stampare (di default quella riportata sull'archivio azienda + 1)" type="text" name="pagini" value="<?php print $pagini; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Descrizione &nbsp;</td>
<td class="FacetDataTD" colspan=3> <input title="Descrizione del periodo" type="text" name="descri" value="<?php print $_GET["descri"] ?>" maxlength="50" size="50" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Data Registrazione Inizio &nbsp;</td>
<td class="FacetDataTD" colspan=3 >
<?php
// select del giorno
print "\t <select name=\"gioini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 31; $counter++ ) {
    $selected = "";
    if($counter ==  $_GET['gioini']) {
        $selected = "selected";
    }
    print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
}
print "\t </select>\n";
// select del mese
echo "\t <select name=\"mesini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 12; $counter++ ) {
    $selected = "";
    if($counter == $_GET['mesini']) {
        $selected = "selected";
    }
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
// select del anno
print "\t <select name=\"annini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 2002; $counter <= 2030; $counter++ ) {
    $selected = "";
    if($counter == $_GET['annini'])
        $selected = "selected";
    print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
print "\t </select>\n";
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Data Registrazione Fine &nbsp;</td>
<td class="FacetDataTD"  colspan=3>
<?php
// select del giorno
print "\t <select name=\"giofin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 31; $counter++ ) {
    $selected = "";
    if($counter ==  $_GET['giofin'])
        $selected = "selected";
    print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
}
print "\t </select>\n";
// select del mese
echo "\t <select name=\"mesfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 12; $counter++ ) {
    $selected = "";
    if($counter == $_GET['mesfin']) {
        $selected = "selected";
    }
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
// select del anno
print "\t <select name=\"annfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 2002; $counter <= 2030; $counter++ ) {
    $selected = "";
    if($counter == $_GET['annfin']) {
        $selected = "selected";
    }
    print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
print "\t </select>\n";
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Regime IVA &nbsp;</td>
<td class="FacetDataTD" colspan="3">
<select name="regime" class="FacetSelect">
<?php
$selezione = array('0' => 'Contabilit&agrave; Ordinaria','1' => 'Contabilit&agrave; Semplificata');
foreach ($selezione as $key => $value) {
    $selected="";
    if($_GET["regime"] == $key) {
        $selected = " selected ";
    }
    echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
}
?>
</select>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD"> &nbsp;</td>
<td colspan="3" align="right" nowrap class="FacetFooterTD">
<input type="submit" name="Return" value="Indietro">&nbsp;
<?php
$nummov = dbms_num_rows($rs_rigmoi);
if ($nummov > 0)
echo "<input type=\"submit\" name=\"stampa\" value=\"STAMPA !\" > &nbsp; con copertina <input type=\"checkbox\" title=\"Selezionare questo flag se si vuole che venga stampata la prima pagina di copertina\" name=\"copert\" value=1>" ?>
</td>
</tr>
</table>
</form>
<?php
echo "<table class=\"Tlarge\">";
echo "<tr>";
// creo l'array (header => campi) per l'ordinamento dei record
$headers_movime = array  (
      "Protocollo" => "",
      "Data e numero<br>movimento" => "",
      "Numero<br>documento" => "",
      "Data<br>documento" => "",
      "Cliente o <br>Fornitore" => "",
      "Imponibile" => "",
      "Aliquota" => "",
      "Imposta" => "",
      );
$linkHeaders = new linkHeaders($headers_movime);
$linkHeaders -> output();
echo "</tr>";
$totimponi =0.00;
$totimpost =0.00;
$ctrlmopre = 0;
$saldo = 0.00;
$totindetr =0.00;
$anagrafica = new Anagrafica();
while ($movimenti = dbms_fetch_array($rs_rigmoi)) {
    $codiva = $movimenti["codiva"];
    $codiceiva = getRow($gTables['aliiva'],"codice",$codiva);
    $tipoiva=$codiceiva["tipiva"];
    if ($movimenti["operat"] == 1) {
           $imponi = $movimenti["imponi"];
           $impost = $movimenti["impost"];
    } elseif ($movimenti["operat"] == 2) {
           $imponi = number_format(-$movimenti["imponi"],2, '.', '');
           $impost = number_format(-$movimenti["impost"],2, '.', '');
    } else {
           $imponi = 0;
           $impost = 0;
    }
    if ($movimenti["regiva"] == 4) {
       $movimenti["ragso1"] = $movimenti["descri"];
       $movimenti["descri"] = "";
    }
    $totimponi += $imponi;
    if ($movimenti["tipiva"] <> "D") {
        $totimpost += $impost;
    }
    if (!isset($castelimponi[$codiva])) {
        $castelimponi[$codiva]= 0;
    }
    $castelimponi[$codiva] = number_format(($castelimponi[$codiva]+ $imponi),2,'.','');
    if (!isset($castelimpost[$codiva])) {
        $castelimpost[$codiva]= 0;
    }
    $castelimpost[$codiva] = number_format(($castelimpost[$codiva]+ $impost),2,'.','');
    print "<tr><td class=\"FacetDataTD\">".$movimenti["protoc"]." &nbsp;</td>";
    print "<td class=\"FacetDataTD\">".$movimenti["datreg"]."&nbsp; n.<a href=\"admin_movcon.php?id_tes=".$movimenti["id_tes"]."&Update\" title=\"Modifica il movimento contabile\">".$movimenti["id_tes"]."</a> &nbsp;</td>";
    print "<td class=\"FacetDataTD\">".$movimenti["descri"]." n.".$movimenti["numdoc"]."/".$_GET["seziva"]." &nbsp;</td>";
    print "<td class=\"FacetDataTD\">".$movimenti["datdoc"]." &nbsp;</td>";
    print "<td class=\"FacetDataTD\">".$movimenti["ragso1"]." &nbsp;</td>";
    print "<td align=\"right\" class=\"FacetDataTD\">".$imponi." &nbsp;</td>";
    print "<td align=\"right\" class=\"FacetDataTD\">".$movimenti["periva"]." &nbsp;</td>";
    print "<td align=\"right\" class=\"FacetDataTD\">".$impost." &nbsp;</td></tr>";
}
echo "<tr><td colspan=8><HR></td></tr>";
$totale = number_format(($totimponi+$totimpost),2,'.','');
foreach ($castelimponi as $key => $value) {
    $iva = getRow($gTables['aliiva'],"codice",$key);
    echo "<tr><td colspan=4></td><td class=\"FacetDataTD\">TOTALE ".$iva['descri']."</td><td align=\"right\" class=\"FacetDataTD\">".number_format ($value,2, '.', '')." &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".$iva['aliquo']."% &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".number_format ($castelimpost[$key],2, '.', '')." &nbsp;</td></tr>";
}
echo "<tr><td colspan=4></td><td colspan=4><HR></td></tr>";
echo "<tr><td colspan=3></td><td class=\"FacetDataTD\">TOTALE GENERALE</td><td class=\"FacetDataTD\"align=\"right\">".$totale." &nbsp;</td><td align=\"right\" class=\"FacetDataTD\">".number_format ($totimponi,2, '.', '')." &nbsp;</td><TD></TD><td align=\"right\" class=\"FacetDataTD\">".number_format ($totimpost,2, '.', '')." &nbsp;</td></tr>";
?>
</table>
</body>
</html>