<?php
 /* $Id: select_chiape.php,v 1.22 2008/10/14 08:29:38 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();

function ValoriConti($dataprima,$datainizio) //funzione per la creazione dell'array dei conti con saldo diverso da 0 e ordinati per tipo e numero di conto
{
    global $gTables;
    $sqlquery= 'SELECT codcon, sum(import) AS somma, darave FROM '.$gTables['rigmoc'].' LEFT JOIN '.$gTables['tesmov'].' ON '.$gTables['rigmoc'].'.id_tes = '.$gTables['tesmov'].'.id_tes  WHERE datreg BETWEEN '.$dataprima.' and '.$datainizio.' and caucon <> \'CHI\' GROUP BY codcon, darave ORDER BY codcon desc, darave';
    $rs_castel = dbms_query($sqlquery);
    $ctrlcodcon=0;
    $ctrlsaldo=0;
    $costi =  array();
    $ricavi =  array();
    $attivo =  array();
    $passivo =  array();
    while ($castel = dbms_fetch_array($rs_castel)) {
         if ($castel["codcon"] != $ctrlcodcon and $ctrlcodcon != 0 ) {
            if ($ctrlsaldo != 0) {
               $ctrltipcon = substr($ctrlcodcon,0,1);
               switch  ($ctrltipcon){
                       case 4:  //economici
                       case 3:
                       if  ($ctrlsaldo > 0) {
                           $costi[$ctrlcodcon]=number_format($ctrlsaldo,2,'.','');
                       } else {
                           $ricavi[$ctrlcodcon]=number_format($ctrlsaldo,2,'.','');
                       }
                       break;
                       default: //patrimoniali
                       if  ($ctrlsaldo > 0) {
                           $attivo[$ctrlcodcon]=number_format($ctrlsaldo,2,'.','');
                       } else {
                           $passivo[$ctrlcodcon]=number_format($ctrlsaldo,2,'.','');
                       }
                       break;
                }
            }
            $ctrlsaldo=0;
        }
        if ($castel["darave"] == 'D') {
            $ctrlsaldo += $castel["somma"];
        } else {
            $ctrlsaldo -= $castel["somma"];
        }
        $ctrlcodcon=$castel["codcon"];
    }
    if ($ctrlsaldo != 0) {
        $ctrltipcon = substr($ctrlcodcon,0,1);
        switch  ($ctrltipcon){
                case 4:  //economici
                case 3:
                       if  ($ctrlsaldo > 0) {
                           $costi[$ctrlcodcon]=number_format($ctrlsaldo,2,'.','');
                       } else {
                           $ricavi[$ctrlcodcon]=number_format($ctrlsaldo,2,'.','');
                       }
                break;
                default: //patrimoniali
                if  ($ctrlsaldo > 0) {
                    $attivo[$ctrlcodcon]=number_format($ctrlsaldo,2,'.','');
                } else {
                    $passivo[$ctrlcodcon]=number_format($ctrlsaldo,2,'.','');
                }
                break;
        }
    }
    ksort($costi);
    ksort($ricavi);
    ksort($attivo);
    ksort($passivo);
    $conti = array("cos" => $costi,"ric" => $ricavi,"att" => $attivo,"pas" => $passivo);
    return $conti;
}

if (!isset($_POST['ritorno'])) { //al primo accesso allo script
    $_POST['ritorno'] = $_SERVER['HTTP_REFERER'];
    $_POST['gioini'] = "31";
    $_POST['mesini'] = "12";
    $_POST['annini'] =   date("Y")-1;
    $_POST['giofin'] =  "1";
    $_POST['mesfin'] =  "1";
    $_POST['annfin'] =  date("Y");
}

$msg = "";
$azienda = getRow($gTables['aziend'],"codice",1);

//controllo i campi
if (!checkdate( $_POST['mesini'], $_POST['gioini'], $_POST['annini'])){
    $msg .= "1+";
}

if (!checkdate( $_POST['mesfin'], $_POST['giofin'], $_POST['annfin'])){
    $msg .= "2+";
}

$utspri= mktime(0,0,0,$_POST['mesini'],$_POST['gioini']+1,$_POST['annini']-1);
$utsini= mktime(0,0,0,$_POST['mesini'],$_POST['gioini'],$_POST['annini']);
$utsfin= mktime(0,0,0,$_POST['mesfin'],$_POST['giofin'],$_POST['annfin']);
$dataprima = date("Ymd",$utspri);
$datainizio = date("Ymd",$utsini);
$datafine = date("Ymd",$utsfin);
if ($utsini >= $utsfin)
    $msg .="10-1-11-2+";

//controllo se sono state gi&agrave; fatte delle chiusure durante l'anno...
$rs_chiusu = dynQuery ('*', $gTables['tesmov'], "caucon='CHI' and datreg between '{$dataprima}' and '{$datainizio}'",'datreg',0,1);
$nummov = dbms_num_rows($rs_chiusu);
if ($nummov != 0) {
   $msg .= "12+";
}

//fine controlli

if (isset($_POST['Return'])) {
    header("Location:docume_finean.php");
    exit;
}

if (isset($_POST['genera']) and $msg == "") {
    $conti = ValoriConti($dataprima,$datainizio);
    $loss = round(array_sum($conti['cos']),2);
    $profit = round(array_sum($conti['ric']),2);
    $assets = round(array_sum($conti['att']),2);
    $liabilities = round(array_sum($conti['pas']),2);
    $ctrl_bal = round($loss + $profit + $assets + $liabilities,2);
    $income = round($loss + $profit,2);
    $dataini = $_POST['annini']."-".$_POST['mesini']."-".$_POST['gioini'];
    $datafin = $_POST['annfin']."-".$_POST['mesfin']."-".$_POST['giofin'];
    //--------------------------- CHIUSURA ----------------------------
    tesmovInsert('CHI',$_POST['closename'], $dataini, '', '', '', '', '', '','','');
    $ultimo_id = ultimoID();
    foreach ($conti['cos'] as $key => $value){
        rigmocInsert($ultimo_id, 'A', $key, $value);
    }
    if ($income < 0 ) {   //profitto
        $conti['pas'] += array($_POST['utile'] => $income);
        $liabilities += $income;
        rigmocInsert($ultimo_id, 'A', $_POST['econom'], number_format(-$income,2,'.',''));
    }
    foreach ($conti['ric'] as $key => $value){
        rigmocInsert($ultimo_id, 'D', $key, number_format(-$value,2,'.',''));
    }
    if ($income > 0 ) {    //perdita
        $conti['att'] += array($_POST['perdit'] => $income);
        $assets += $income;
        rigmocInsert($ultimo_id, 'D', $_POST['econom'], $income);
        tesmovInsert('CHI',$_POST['closename'], $dataini, '', '', '', '', '', '','','');
        $ultimo_id = ultimoID();
        rigmocInsert($ultimo_id, 'A', $_POST['econom'], $income);
        rigmocInsert($ultimo_id, 'D', $_POST['perdit'], $income);
    } else {
        tesmovInsert('CHI',$_POST['closename'], $dataini, '', '', '', '', '', '','','');
        $ultimo_id = ultimoID();
        rigmocInsert($ultimo_id, 'D', $_POST['econom'], number_format(-$income,2,'.',''));
        rigmocInsert($ultimo_id, 'A', $_POST['utile'], number_format(-$income,2,'.',''));
    }
    tesmovInsert('CHI',$_POST['closename'], $dataini, '', '', '', '', '', '','','');
    $ultimo_id = ultimoID();
    foreach ($conti['att'] as $key => $value){
        rigmocInsert($ultimo_id, 'A', $key, $value);
    }
    rigmocInsert($ultimo_id, 'D', $_POST['bilchi'], $assets);
    tesmovInsert('CHI',$_POST['closename'], $dataini, '', '', '', '', '', '','','');
    $ultimo_id = ultimoID();
    foreach ($conti['pas'] as $key => $value){
        rigmocInsert($ultimo_id, 'D', $key, number_format(-$value,2,'.',''));
    }
    rigmocInsert($ultimo_id, 'A', $_POST['bilchi'], number_format(-$liabilities,2,'.',''));
    //--------------------------- APERTURA ----------------------------
    tesmovInsert('APE',$_POST['openname'], $datafin, '', '', '', '', '', '','','');
    $ultimo_id = ultimoID();
    foreach ($conti['att'] as $key => $value){
        rigmocInsert($ultimo_id, 'D', $key, $value);
    }
    rigmocInsert($ultimo_id, 'A', $_POST['bilape'], $assets);
    tesmovInsert('APE',$_POST['openname'], $datafin, '', '', '', '', '', '','','');
    $ultimo_id = ultimoID();
    foreach ($conti['pas'] as $key => $value){
        rigmocInsert($ultimo_id, 'A', $key, number_format(-$value,2,'.',''));
    }
    rigmocInsert($ultimo_id, 'D', $_POST['bilape'],number_format(-$liabilities,2,'.',''));
    header("Location:docume_finean.php");
    exit;
}

require_once("../../library/include/header.php");
$strTrad = $strScript["select_chiape.php"];
HeadMain($strTrad[0],'');
?>
<form method="POST">
<div align="center" class="FacetFormHeaderFont"><?php print ucfirst($strTrad[0]);?></div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<?php
echo "<input type=\"hidden\" value=\"".$_POST['ritorno']."\" name=\"ritorno\">\n";
echo "<input type=\"hidden\" value=\"".$strTrad[9]."\" name=\"closename\">\n";
echo "<input type=\"hidden\" value=\"".$strTrad[13]."\" name=\"openname\">\n";
if (!empty($msg)) {
    $message = "";
    $rsmsg = array_slice( explode('+',chop($msg)),0,-1);
    foreach ($rsmsg as $value){
            $message .= $strMessage['error']."! -> ";
            $rsval = explode('-',chop($value));
            foreach ($rsval as $valmsg){
                    $message .= $strTrad[$valmsg]." ";
            }
            $message .= "<br>";
    }
    echo '<tr><td colspan="5" class="FacetDataTDred">'.$message.'</td></tr>';
}
print "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[1]."</td><td class=\"FacetDataTD\" colspan=\"3\">";
print "\t <select name=\"gioini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 31; $counter++ ){
    $selected = "";
    if($counter ==  $_POST['gioini'])
            $selected = "selected";
    print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
}
print "\t </select>\n";
echo "\t <select name=\"mesini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 12; $counter++ ){
    $selected = "";
    if($counter == $_POST['mesini'])
            $selected = "selected";
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
print "\t <select name=\"annini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 2003; $counter <= 2030; $counter++ ){
    $selected = "";
    if($counter == $_POST['annini'])
            $selected = "selected";
    print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
print "\t </select></td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[2]."</td><td class=\"FacetDataTD\" colspan=\"3\">";
print "\t <select name=\"giofin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 31; $counter++ ){
    $selected = "";
    if($counter ==  $_POST['giofin'])
            $selected = "selected";
    print "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
}
print "\t </select>\n";
echo "\t <select name=\"mesfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 12; $counter++ ){
    $selected = "";
    if($counter == $_POST['mesfin'])
            $selected = "selected";
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
print "\t <select name=\"annfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 2003; $counter <= 2030; $counter++ ){
    $selected = "";
    if($counter == $_POST['annfin'])
            $selected = "selected";
    print "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
print "\t </select></td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[3].$strTrad[4]."</td><td class=\"FacetDataTD\" colspan=\"3\">";
echo "<select name=\"bilchi\" class=\"FacetSelect\">";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '5%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($_POST['bilchi'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD></TR>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[3].$strTrad[5]."</td><td class=\"FacetDataTD\" colspan=\"3\">";
echo "<select name=\"econom\" class=\"FacetSelect\">";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '5%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($_POST['econom'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD></TR>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[3].$strTrad[6]."</td><td class=\"FacetDataTD\" colspan=\"3\">";
echo "<select name=\"utile\" class=\"FacetSelect\">";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '2%' and codice not like '{$azienda['masfor']}%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($_POST['utile'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD></TR>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[3].$strTrad[7]."</td><td class=\"FacetDataTD\" colspan=\"3\">";
echo "<select name=\"perdit\" class=\"FacetSelect\">";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '2%' and codice not like '{$azienda['masfor']}%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($_POST['perdit'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD></TR>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[3].$strTrad[8]."</td><td class=\"FacetDataTD\" colspan=\"3\">";
echo "<select name=\"bilape\" class=\"FacetSelect\">";
$result = dynQuery("codice,ragso1", $gTables['clfoco'],"(codice like '5%' and codice not like '%000000')","codice asc");
        while ($a_row = dbms_fetch_array($result))
        {
        $selected="";
        if($_POST['bilape'] == $a_row['codice'])
            $selected = " selected ";
        echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']." - ".$a_row['ragso1']."</option>";
        }
echo "</select></TD></TR>\n";
if ($msg == "") {
    echo "</tr><td class=\"FacetFieldCaptionTD\"></td><td align=\"right\" nowrap class=\"FacetFooterTD\">
         <input type=\"submit\" name=\"Return\" value=\"".$strButton['return']."\">&nbsp;<input type=\"submit\" name=\"visualizza\" value=\"".$strButton['view']."!\">&nbsp;</td></tr>";
}
echo "</table>";
if (isset($_POST['visualizza']) and $msg == "") {
    $conti = ValoriConti($dataprima,$datainizio);
    if ($conti) {
        $loss = round(array_sum($conti['cos']),2);
        $profit = round(array_sum($conti['ric']),2);
        $assets = round(array_sum($conti['att']),2);
        $liabilities = round(array_sum($conti['pas']),2);
        $ctrl_bal = round($loss + $profit + $assets + $liabilities,2);
        $income = round($loss + $profit,2);
        echo "<table class=\"Tlarge\">";
        if ($ctrl_bal != 0 ) {
          echo "<tr><td colspan=\"4\" class=\"FacetDataTDred\">".$strMessage['error']."! -> $money[2] $ctrl_bal $strTrad[14] <a href=\"".$strMenu2[0][0]."\">".$strMenu2[0][1]."</a></TD></TR>";
        }
        echo "<tr><TD><hr></TD><TD class=\"FacetFieldCaptionTD\" align=\"center\">".$strButton['view'].$strTrad[20].$strTrad[22].$_POST['gioini']."-".$_POST['mesini']."-".$_POST['annini']."</TD><td colspan=\"2\"><hr></TD></TR>";
        echo "<tr><td>$strTrad[16] ".strtoupper($strTrad[3])."</td><td>$strTrad[17]</td><td align=\"right\">$strTrad[19]</td><td align=\"right\">$strTrad[18]</td><tr>";
        echo "<tr><td class=\"FacetSelect\" align=\"center\" colspan=\"4\">$strTrad[15]</TD></TR>";
        echo "<tr><td class=\"FacetSelect\">$strTrad[26]</TD><td colspan=\"3\"></td></TR>";
        foreach ($conti['cos'] as $key => $value){
            $descri = getRow($gTables['clfoco'],"codice",$key);
            echo "<tr><td>".$key."</td><td>".$descri['ragso1']."</td><td></td><td align=\"right\">".$value."</td><tr>";
        }
        if ($income < 0 ) {   //profitto
            $conti['pas'] += array($_POST['utile'] => $income);
            $liabilities += $income;
            $descri = getRow($gTables['clfoco'],"codice",$_POST['econom']);
            echo "<tr><td>".$_POST['econom']."</td><td>".$descri['ragso1']."</td><td></td><td align=\"right\">".number_format(-$income,2,'.','')."</td><tr>";
            echo "<tr><td>".$_POST['econom']."</td><td>".$descri['ragso1']."</td><td align=\"right\">".number_format(-$income,2,'.','')."</td><tr>";
            $descri = getRow($gTables['clfoco'],"codice",$_POST['utile']);
            echo "<tr><td class=\"FacetDataTD\">".$_POST['utile']."</td><td class=\"FacetDataTD\"></td><td class=\"FacetDataTD\">".$descri['ragso1']." (".strtoupper($strTrad[6]).")</td><td class=\"FacetDataTD\" align=\"right\">".number_format(-$income,2,'.','')."</td><tr>";
        }
        echo "<tr><td class=\"FacetSelect\">$strTrad[27]</TD><td colspan=\"3\"></td></TR>";
        foreach ($conti['ric'] as $key => $value){
            $descri = getRow($gTables['clfoco'],"codice",$key);
            echo "<tr><td>".$key."</td><td>".$descri['ragso1']."</td><td align=\"right\">".number_format(-$value,2,'.','')."</td><td></td><tr>";
        }
        if ($income > 0 ) {    //perdita
            $conti['att'] += array($_POST['perdit'] => $income);
            $assets += $income;
            $descri = getRow($gTables['clfoco'],"codice",$_POST['econom']);
            echo "<tr><td>".$_POST['econom']."</td><td>".$descri['ragso1']."</td><td align=\"right\">".$income."</td><td></td><tr>";
            echo "<tr><td>".$_POST['econom']."</td><td>".$descri['ragso1']."</td><td></td><td align=\"right\">".$income."</td><tr>";
            $descri = getRow($gTables['clfoco'],"codice",$_POST['perdit']);
            echo "<tr><td class=\"FacetDataTDred\">".$_POST['perdit']."</td><td class=\"FacetDataTDred\">".$descri['ragso1']." (".strtoupper($strTrad[7]).")</td><td class=\"FacetDataTDred\" align=\"right\">".$income."</td><td class=\"FacetDataTDred\"></td><tr>";
        }
        echo "<tr><td class=\"FacetSelect\" align=\"center\" colspan=\"4\">$strTrad[23]</TD></TR>";
        echo "<tr><td class=\"FacetSelect\">$strTrad[24]</TD><td colspan=\"3\"></td></TR>";
        foreach ($conti['att'] as $key => $value){
            $descri = getRow($gTables['clfoco'],"codice",$key);
            echo "<tr><td>".$key."</td><td>".$descri['ragso1']."</td><td></td><td align=\"right\">".$value."</td><tr>";
        }
        $descri = getRow($gTables['clfoco'],"codice",$_POST['bilchi']);
        echo "<tr><td>".$_POST['bilchi']."</td><td>".$descri['ragso1']."</td><td align=\"right\">".$assets."</td><td></td><tr>";
        echo "<tr><td class=\"FacetSelect\">$strTrad[25]</TD><td colspan=\"3\"></td></TR>";
        foreach ($conti['pas'] as $key => $value){
            $descri = getRow($gTables['clfoco'],"codice",$key);
            echo "<tr><td>".$key."</td><td>".$descri['ragso1']."</td><td align=\"right\">".number_format(-$value,2,'.','')."</td><td></td><tr>";
        }
        $descri = getRow($gTables['clfoco'],"codice",$_POST['bilchi']);
        echo "<tr><td>".$_POST['bilchi']."</td><td>".$descri['ragso1']."</td><td></td><td align=\"right\">".number_format(-$liabilities,2,'.','')."</td><tr>";
        echo "<tr><TD><hr></TD><TD class=\"FacetFieldCaptionTD\" align=\"center\">".$strButton['view'].$strTrad[21].$strTrad[22].$_POST['giofin']."-".$_POST['mesfin']."-".$_POST['annfin']."</TD><td colspan=\"2\"><hr></TD></TR>";
        echo "<tr><td>$strTrad[16] ".strtoupper($strTrad[3])."</td><td>$strTrad[17]</td><td align=\"right\">$strTrad[19]</td><td align=\"right\">$strTrad[18]</td><tr>";
        echo "<tr><td class=\"FacetSelect\">$strTrad[24]</TD><td colspan=\"3\"></td></TR>";
        foreach ($conti['att'] as $key => $value){
            $descri = getRow($gTables['clfoco'],"codice",$key);
            echo "<tr><td>".$key."</td><td>".$descri['ragso1']."</td><td align=\"right\">".$value."</td><td></td><tr>";
        }
        $descri = getRow($gTables['clfoco'],"codice",$_POST['bilape']);
        echo "<tr><td>".$_POST['bilape']."</td><td>".$descri['ragso1']."</td><td></td><td align=\"right\">".$assets."</td><tr>";
        echo "<tr><td class=\"FacetSelect\">$strTrad[25]</TD><td colspan=\"3\"></td></TR>";
        foreach ($conti['pas'] as $key => $value){
            $descri = getRow($gTables['clfoco'],"codice",$key);
            echo "<tr><td>".$key."</td><td>".$descri['ragso1']."</td><td></td><td align=\"right\">".number_format(-$value,2,'.','')."</td><tr>";
        }
        $descri = getRow($gTables['clfoco'],"codice",$_POST['bilape']);
        echo "<tr><td>".$_POST['bilape']."</td><td>".$descri['ragso1']."</td><td align=\"right\">".number_format(-$liabilities,2,'.','')."</td></td><td><tr>";
        if ($ctrl_bal == 0 ) {
          echo "<tr><td colspan=\"4\" align=\"center\"><input type=\"submit\" name=\"genera\" value=\"".strtoupper($strButton['submit'].$strTrad[0])." !\"></TD></TR>";
        }
    }
    echo "</table>";
}
?>
</form>
</body>
</html>