<?php
/* $Id: admin_artico.php,v 1.29 2008/11/13 07:26:52 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$message = "";
$azienda = getRow($gTables['aziend'],'codice',1);

if ((isset($_POST['Update'])) or (isset($_GET['Update']))) {
    $toDo = 'update';
    $titolo = "Modifica Articolo";
} elseif ((isset($_POST['Insert'])) or (isset($_GET['Insert']))) {
    $toDo = 'insert';
    $titolo = "Inserimento Articolo";
} else {
    $toDo = '';
    $titolo = 'articolo';
}


if (!isset($_POST['Update']) and isset($_GET['Update'])) {
    /*
    * La prima entrata per update
    */
    $codice = substr($_GET['codice'],0,15);
    $form = getRow($gTables['artico'], 'codice', $codice);
    $form["preacq"] = number_format($form['preacq'],$azienda['decimal_price'],'.','');
    $form["preve1"] = number_format($form['preve1'],$azienda['decimal_price'],'.','');
    $form["preve2"] = number_format($form['preve2'],$azienda['decimal_price'],'.','');
    $form["preve3"] = number_format($form['preve3'],$azienda['decimal_price'],'.','');
    $form["last_cost"] = number_format($form['last_cost'],$azienda['decimal_price'],'.','');

} elseif (isset($_GET['Insert']) and !isset($_POST['Insert'])) {
    /*
    * La prima entrata per insert
    */
    $form['codice'] = "";
    $form["descri"] = "";
    $form["barcode"] = "";
    $form["unimis"] = "";
    $form["catmer"] = "";
    $form["preacq"] = "";
    $form["preve1"] = "";
    $form["preve2"] = "";
    $form["preve3"] = "";
    $form["aliiva"] = $azienda['alliva'];
    $form["esiste"] = "";
    $form["valore"] = "";
    $form["last_cost"] = "";
    $form["scorta"] = "";
    $form["riordino"] ="";
    $form["uniacq"] ="";
    $form["peso_specifico"] = 0;
    $form["volume_specifico"] = 0;
    $form["pack_units"] = 0;
    $form["annota"] = "";
    $form["codcon"] = 0;
    $form['id_cost'] = 0;
} else {
    /*
    * Le successive per entrambi
    */
    $form["codice"] = $_POST['codice'];
    $form["descri"] = $_POST['descri'];
    $form["barcode"] = number_format($_POST['barcode'],0,'','');
    $form["unimis"] = $_POST['unimis'];
    $form["catmer"] = $_POST['catmer'];
    $form["preacq"] = number_format($_POST['preacq'],$azienda['decimal_price'],'.','');
    $form["preve1"] = number_format($_POST['preve1'],$azienda['decimal_price'],'.','');
    $form["preve2"] = number_format($_POST['preve2'],$azienda['decimal_price'],'.','');
    $form["preve3"] = number_format($_POST['preve3'],$azienda['decimal_price'],'.','');
    $form["aliiva"] = $_POST['aliiva'];
    $form["esiste"] = $_POST['esiste'];
    $form["valore"] = $_POST['valore'];
    $form["last_cost"] = number_format($_POST['last_cost'],$azienda['decimal_price'],'.','');
    $form["scorta"] = $_POST["scorta"];
    $form["riordino"] = $_POST["riordino"];
    $form["uniacq"] = $_POST['uniacq'];
    $form["peso_specifico"] = floatval($_POST["peso_specifico"]);
    $form["volume_specifico"] = floatval($_POST["volume_specifico"]);
    $form["pack_units"] = intval($_POST["pack_units"]);
    $form["annota"] = $_POST['annota'];
    $form["codcon"] = $_POST['codcon'];
    $form['id_cost'] = $_POST['id_cost'];
    if (isset($_POST['Submit']) )  {
       $codice = $_POST['codice'];
       if ($toDo == 'update') {
         if ($codice != $_GET['codice']) { // se sto modificando il codice
          // controllo che l'articolo ci sia gi
          $rs_articolo = dynQuery('codice', $gTables['artico'], "codice = '$codice'","codice DESC",0,1);
          $risultato = dbms_fetch_array($rs_articolo);
          if ($risultato) {
             $message .= "Il codice articolo  gi esistente <br />";
          }
          // controllo che il precedente non abbia movimenti di magazzino associati
          $rs_articolo = dynQuery('artico', $gTables['movmag'], "artico = '".$_GET['codice']."'","artico DESC",0,1);
          $risultato = dbms_fetch_array($rs_articolo);
          if ($risultato) {
             $message .= "Il codice articolo ".$_GET['codice']." ha dei movimenti di magazzino associati <br />";
          }
         }
       } else {
          // controllo che l'articolo ci sia gi
          $rs_articolo = dynQuery('codice', $gTables['artico'], "codice = '$codice'","codice DESC",0,1);
          $risultato = dbms_fetch_array($rs_articolo);
          if ($risultato) {
             $message .= "Il codice articolo  gi esistente <br />";
          }
       }
       if (! empty($_FILES['userfile']['name'])) {
        if (!( $_FILES['userfile']['type'] == "image/png" || $_FILES['userfile']['type'] == "image/x-png"))
           $message .= "Il file dev'essere nel formato PNG, quello che hai inviato &egrave; un file ".$_FILES['userfile']['type']."<br />";
           // controllo che il file non sia pi&ugrave; grande di 10kb
        if ( $_FILES['userfile']['size'] > 10999)
           $message .= "L'immagine non dev'essere pi&ugrave; grande di 10 kb <br />";
       }
       $message .= (empty($_POST["codice"]) ? "Inserire un codice valido! <br />" : '' );
       $message .= (empty($_POST["descri"]) ? "Inserire una descrizione ! <br />" : '');
       $message .= (empty($_POST["unimis"]) ? "Inserire l'unit&agrave; di misura ! <br />" : '');
       $message .= (empty($_POST["aliiva"]) ? "Inserire l'aliquota I.V.A. ! <br />" : '');
       if ( $message == "") {
        // se nessun errore
        // preparo la stringa dell'immagine
        if ($_FILES['userfile']['size'] > 0) { //se c'e' una nuova immagine nel buffer
            $form['image'] = addslashes(file_get_contents($_FILES['userfile']['tmp_name']));
        } elseif ($toDo == 'update') { // altrimenti riprendo la vecchia ma solo se  una modifica
            $oldimage = getRow($gTables['artico'],'codice',$_GET['codice']);
            $form['image'] = addslashes($oldimage['image']);
        } else {
            $form['image'] = '';
        }
        // aggiorno il db
        if ($toDo == 'insert') {
            articoInsert($codice,$form);
        } elseif ($toDo == 'update') {
            articoUpdate(array('codice',$_GET['codice']), $form);
        }
        header("Location: report_artico.php?auxil=".$form['codice']);
        exit;
       }
    }
}

require_once("../../library/include/header.php");
HeadMain(array(2,23));
?>
<form method="POST" enctype="multipart/form-data">
<?php
echo '<input type="hidden" name="'.ucfirst($toDo).'" value="">';
if ($toDo == 'update') {
    echo '<input type="hidden" name="codice" value="'.$form['codice'].'">';
    echo '<div align="center" class="FacetFormHeaderFont">Modifica Articolo</div>'."\n";
} else {
    echo '<div align="center" class="FacetFormHeaderFont">Inserimento Articolo</div>'."\n";
}
?>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<?php
if (!empty($message)){
 echo "<tr><td colspan=\"2\" class=\"FacetDataTDred\">$message</td></tr>\n";
}
?>
<tr>
<td class="FacetFieldCaptionTD">Codice Articolo *&nbsp;</td>
<?php
echo '<td class="FacetDataTD"><input title="Codice articolo" type="text" name="codice" title="codice alfanumerico" value="'.$form["codice"].'" maxlength="15" size="15" class="FacetInput">&nbsp;</td>'."\n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Descrizione *&nbsp;</td>
<td class="FacetDataTD"><input type="text" name="descri" title="Descrizione dell'articolo" value="<?php echo stripslashes($form["descri"]); ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Codice a barre&nbsp;</td>
<td class="FacetDataTD"><input type="text" name="barcode" title="codice a barre" value="<?php echo $form["barcode"] ?>" maxlength="13" size="13" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Unit&agrave; di misura *&nbsp;</td>
<td class="FacetDataTD"><input type="text" name="unimis" title="Unit&agrave; di misura per la vendita" value="<?php echo $form["unimis"] ?>" maxlength="3" size="3" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Categoria merceologica  &nbsp;</td>
<td colspan="2" class="FacetDataTD">
<?php
$select_catmer = new selectcatmer("catmer");
$select_catmer -> addSelected($form["catmer"]);
$select_catmer -> output();
?>
</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Prezzo d'acquisto &nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="preacq" title="Prezzo del listino d'acquisto" value="<?php echo $form["preacq"] ?>" maxlength="14" size="10" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Prezzo listino 1 &nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="preve1" title="Prezzo di vendita del listino 1" value="<?php echo $form["preve1"] ?>" maxlength="14" size="10" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Prezzo listino 2 &nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="preve2" title="Prezzo di vendita del listino 2" value="<?php echo $form["preve2"] ?>" maxlength="14" size="10" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Prezzo listino 3 &nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="preve3" title="Prezzo di vendita del listino 3" value="<?php echo $form["preve3"] ?>" maxlength="14" size="10" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Aliquota I.V.A * &nbsp;</td>
    <td colspan="2" class="FacetDataTD">
         <?php
           $select_aliiva = new selectaliiva("aliiva");
           $select_aliiva -> addSelected($form["aliiva"]);
           $select_aliiva -> output();
         ?>
    </td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Esistenza attuale &nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="esiste" title="Giacenza di magazzino" value="<?php echo $form["esiste"] ?>" maxlength="10" size="10" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Valore dell'esistente &nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="valore" title="Valore dell'esistente" value="<?php echo $form["valore"] ?>" maxlength="10" size="10" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Ultimo costo d'acquisto &nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="last_cost" title="Prezzo al quale &egrave; stato acquistato l'ultima volta (al netto degli sconti)" value="<?php echo $form["last_cost"] ?>" maxlength="14" size="10" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Scorta minima &nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="scorta" title="Scorta minima - riserva" value="<?php echo $form["scorta"] ?>" maxlength="13" size="13" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Lotto acquisto &nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="riordino" title="Imballo minimo riordinabile" value="<?php echo $form["riordino"] ?>" maxlength="13" size="13" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Unit&agrave; di misura per acquisti&nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="uniacq" title="Unit&agrave; di misura per gli acquisti" value="<?php echo $form["uniacq"] ?>" maxlength="3" size="3" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Peso specifico/Moltiplicatore&nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="peso_specifico" title="Valore che verr&agrave; moltiplicato per la quantit&agrave; per ottenere il peso" value="<?php echo $form["peso_specifico"] ?>" maxlength="13" size="13" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Volume specifico&nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="volume_specifico" title="Valore che verr&agrave; moltiplicato per la quantit&agrave; per ottenere il volume" value="<?php echo $form["volume_specifico"] ?>" maxlength="13" size="13" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Pezzi in imballo&nbsp;</td>
    <td class="FacetDataTD"><input type="text" name="pack_units" title="Valore con il quale verr&agrave; divisa la quantit&agrave; per ottenere l'imballo" value="<?php echo $form["pack_units"] ?>" maxlength="6" size="6" class="FacetInput">&nbsp;</td>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Conto di Ricavo &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"codcon\" class=\"FacetSelect\" onchange=\"this.form.submit()\">";
$result = dynQuery("*", $gTables['clfoco'],"codice NOT LIKE '%000000' AND codice LIKE '4%'","codice");
echo "<option value=\"0\"> ---------- </option>";
while ($a_row = dbms_fetch_array($result)) {
       $selected="";
       if($form['codcon'] == $a_row['codice']) {
            $selected = " selected ";
       }
       echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']."-".$a_row['ragso1']."</option>";
}
echo "</select></input></td>\n";
?>
</tr>
<tr>
    <td class="FacetFieldCaptionTD">Conto di Costo &nbsp;</td>
<?php
echo "<td class=\"FacetDataTD\"><select name=\"id_cost\" class=\"FacetSelect\" onchange=\"this.form.submit()\">";
$result = dynQuery("codice,ragso1", $gTables['clfoco']," codice NOT LIKE '%000000' AND codice LIKE '3%'","codice ASC");
echo "<option value=\"0\"> ---------- </option>";
while ($a_row = dbms_fetch_array($result)) {
       $selected="";
       if($form['id_cost'] == $a_row['codice']) {
            $selected = " selected ";
       }
       echo "<option value=\"".$a_row['codice']."\"".$selected.">".$a_row['codice']."-".$a_row['ragso1']."</option>";
}
echo "</select></input></td>\n";
?>
</tr>
<tr>
<?php
echo "<td class=\"FacetFieldCaptionTD\"><img src=\"../root/view.php?table=artico&value=".$form['codice']."\" width=\"100\"></td>";
echo "<td class=\"FacetDataTD\" align=\"center\">Immagine PNG di forma quadra (max 10kb):<br><input name=\"userfile\" type=\"file\" class=\"FacetDataTD\"></td>";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Annotazioni &nbsp;</td>
<td class="FacetDataTD"><input type="text" name="annota" title="Annotazioni (riportate sul depliant)" value="<?php echo stripslashes($form["annota"]); ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">I campi contrassegnati con * sono obbligatori! &nbsp;</td>
<td align="right" >
<!-- BEGIN Button Return --><input title="Torna indietro" type="button" name="Back" value="Indietro" onclick="location.href='<?php echo "report_artico.php?cerca=".$form['codice']; ?>'"><!-- END Button Return -->&nbsp;
<!-- BEGIN Button Delete --><input name="Delete" title="Annulla le modifiche apportate alla schermata" type="reset" value="Cancella"><!-- END Button Delete -->&nbsp;
<!-- BEGIN Button Insert -->
<?php
if ($toDo == 'update') {
             echo '<input name="Submit" title="Accetta tutto e modifica" type="submit" value="MODIFICA !">';
} else {
             echo '<input name="Submit" title="Accetta tutto e inserisce" type="submit" value="INSERISCI !">';
}
?>
<!-- END Button Insert -->&nbsp;
</td>
</tr>
</table>
</form>
</body>
</html>