<?php
/*$Id: admin_movmag.php,v 1.17 2008/10/20 09:16:44 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$msg="";
$azienda = getRow($gTables['aziend'],'codice',1);

if (!isset($_POST['ritorno'])) {
        $_POST['ritorno'] = $_SERVER['HTTP_REFERER'];
}

$form = array();

if ((isset($_POST['Update'])) or (isset($_GET['Update']))) {
    if (!isset($_GET['id_mov'])) {
        header("Location: ".$_POST['ritorno']);
        exit;
    } else {
        $_POST['id_mov'] = $_GET['id_mov'];
    }
    $toDo = 'update';
} else {
    $toDo = 'insert';
}

if (!isset($_POST['Update']) and isset($_GET['Update'])) { //se e' il primo accesso per UPDATE
    //recupero il movimento
    $result = getRow($gTables['movmag'],"id_mov",$_GET['id_mov']);
    $form['id_mov'] = $result['id_mov'];
    $form['id_rif'] = $result['id_rif'];
    $form['caumag'] = $result['caumag'];
    $form['operat'] = $result['operat'];
    $form['gioreg'] = substr($result['datreg'],8,2);
    $form['mesreg'] = substr($result['datreg'],5,2);
    $form['annreg'] = substr($result['datreg'],0,4);
    $form['clfoco'] = $result['clfoco'];
    if (!empty($form['caumag'])) { //controllo quale partner prevede la causale
       $rs_causal = getRow($gTables['caumag'],"codice",$form['caumag']);
       $form['clorfo'] = $rs_causal['clifor']; //cliente, fornitore o entrambi
    } else {
       $form['clorfo'] = 0; // entrambi
    }
    $form['tipdoc'] = $result['tipdoc'];
    $form['desdoc'] = $result['desdoc'];
    $form['scochi'] = $result['scochi'];
    $form['giodoc'] = substr($result['datdoc'],8,2);
    $form['mesdoc'] = substr($result['datdoc'],5,2);
    $form['anndoc'] = substr($result['datdoc'],0,4);
    $form['artico'] = $result['artico'];
    $form['quanti'] = gaz_format_quantity($result['quanti'],0,$azienda['decimal_quantity']);
    $form['prezzo'] = number_format($result['prezzo'],$azienda['decimal_price'],'.','');
    $form['scorig'] = $result['scorig'];
    $form['status'] = $result['status'];
    $form['search_partner'] = "";
    $form['search_item'] = "";
} elseif (isset($_POST['Insert']) or isset($_POST['Update'])) {   //se non e' il primo accesso
    //ricarico i registri per il form facendo gli eventuali parsing
    $form['id_mov'] = $_POST['id_mov'];
    $form['id_rif'] = $_POST['id_rif'];
    $form['caumag'] = $_POST['caumag'];
    $form['operat'] = $_POST['operat'];
    $form['gioreg'] = $_POST['gioreg'];
    $form['mesreg'] = $_POST['mesreg'];
    $form['annreg'] = $_POST['annreg'];
    $form['clfoco'] = $_POST['clfoco'];
    $form['clorfo'] = $_POST['clorfo']; //cliente, fornitore o entrambi
    $form['tipdoc'] = $_POST['tipdoc'];
    $form['desdoc'] = $_POST['desdoc'];
    $form['giodoc'] = $_POST['giodoc'];
    $form['mesdoc'] = $_POST['mesdoc'];
    $form['anndoc'] = $_POST['anndoc'];
    $form['scochi'] = $_POST['scochi'];
    $form['artico'] = $_POST['artico'];
    $form['quanti'] = gaz_format_quantity($_POST['quanti'],0,$azienda['decimal_quantity']);
    $form['prezzo'] = number_format(ereg_replace(",",".",$_POST['prezzo']),$azienda['decimal_price'],'.','');
    $form['scorig'] = $_POST['scorig'];
    $form['status'] = $_POST['status'];
    $form['search_partner'] = $_POST['search_partner'];
    $form['search_item'] = $_POST['search_item'];
    // Se viene inviata la richiesta di conferma della causale la carico con le relative contropartite...
    if (isset($_POST['inscau_x'])) {
            $causa = getRow($gTables['caumag'],"codice",$form['caumag']);
            $form['operat'] = $causa['operat'];
            $form['clorfo'] = $causa['clifor']; //cliente, fornitore o entrambi
            if (($causa['clifor'] < 0 and substr($form['clfoco'],0,3) == $azienda['masfor']) or
                ($causa['clifor'] > 0 and substr($form['clfoco'],0,3) == $azienda['mascli'])) {
                $form['clfoco'] = 0;
                $form['search_partner'] = "";
            }
            if ($causa['insdoc'] == 0) {//se la nuova causale non prevede i dati del documento
               $form['clorfo'] = 0; //entrambi
               $form['tipdoc'] = "";
               $form['desdoc'] = "";
               $form['giodoc'] = date("d");
               $form['mesdoc'] = date("m");
               $form['anndoc'] = date("Y");
               $form['scochi'] = "";
               $form['id_rif'] = 0;
            }
   }
   if (isset($_POST['newpartner'])) {
      $anagrafica = new Anagrafica();
      $partner = $anagrafica->getPartner($_POST['clfoco']);
      $form['search_partner'] = substr($partner['ragso1'],0,4);
      $form['clfoco'] = 0;
   }
   if (isset($_POST['newitem'])) {
      $result = getRow($gTables['artico'],"codice",$_POST['artico']);
      $form['search_item'] = substr($result['codice'],0,4);
      $form['artico'] = "";
   }
   if (isset($_POST['Return'])) {
      header("Location: ".$_POST['ritorno']);
      exit;
   }
   if (!empty($_POST['Insert'])) {   // Se viene inviata la richiesta di conferma totale ...
       $utsreg = mktime(0,0,0,$form['mesreg'],$form['gioreg'],$form['annreg']);
       $utsdoc = mktime(0,0,0,$form['mesdoc'],$form['giodoc'],$form['anndoc']);
       if (!checkdate( $form['mesreg'], $form['gioreg'], $form['annreg']))
         $msg .= "16+";
       if (!checkdate( $form['mesdoc'], $form['giodoc'], $form['anndoc']))
         $msg .= "15+";
       if ($utsdoc > $utsreg) {
         $msg .= "17+";
       }
      if (empty($form['artico'])) {  //manca l'articolo
         $msg .= "18+";
      }
      if ($form['quanti'] == 0) {  //la quantit  zero
         $msg .= "19+";
      }
      if (empty($msg)) { // nessun errore
        $upd_mm = new interactMag;
        //formatto le date
        $form['datreg'] = $form['annreg']."-".$form['mesreg']."-".$form['gioreg'];
        $form['datdoc'] = $form['anndoc']."-".$form['mesdoc']."-".$form['giodoc'];
        $new_caumag = getRow($gTables['caumag'], "codice", $form['caumag']);
        if (!empty($form['artico'])) {
                 $upd_mm->uploadMag($form['id_rif'],
                                    $form['tipdoc'],
                                    0, // numdoc  in desdoc
                                    0, // seziva  in desdoc
                                    $form['datdoc'],
                                    $form['clfoco'],
                                    $form['scochi'],
                                    $form['caumag'],
                                    $form['artico'],
                                    $form['quanti'],
                                    $form['prezzo'],
                                    $form['scorig'],
                                    $form['id_mov'],
                                    $azienda['stock_eval_method'],
                                    array('datreg'=>$form['datreg'],'operat'=>$form['operat'],'desdoc'=>$form['desdoc'])
                                    );
        }
        header("Location:report_movmag.php");
        exit;
      }
   }
} elseif (!isset($_POST['Insert'])) { //se e' il primo accesso per INSERT
    //registri per il form della testata
    $form['id_mov'] = 0;
    $form['gioreg'] = date("d");
    $form['mesreg'] = date("m");
    $form['annreg'] = date("Y");
    $form['caumag'] = "";
    $form['operat'] = 0;
    $form['clfoco'] = 0;
    $form['clorfo'] = 0;
    $form['tipdoc'] = "";
    $form['desdoc'] = "";
    $form['giodoc'] = date("d");
    $form['mesdoc'] = date("m");
    $form['anndoc'] = date("Y");
    $form['scochi'] = 0;
    $form['artico'] = "";
    $form['quanti'] = 0;
    $form['prezzo'] = 0;
    $form['scorig'] = 0;
    $form['status'] = "";
    $form['search_partner'] = "";
    $form['search_item'] = "";
    $form['id_rif'] = 0;
}

require_once("../../library/include/header.php");
$strTrad = $strScript["admin_movmag.php"];
if ($form['id_mov'] > 0) {
   $title = ucfirst($strMessage[$toDo].$strTrad[0])." n.".$form['id_mov'];
} else {
   $title = ucfirst($strMessage[$toDo].$strTrad[0]);
}
HeadMain($title,'');
?>
<SCRIPT LANGUAGE="JavaScript">
function CalcolaImportoRigo()
{
        var sommarigo = eval(document.myform.prezzo.value) * eval(document.myform.quanti.value) - (eval(document.myform.prezzo.value) * eval(document.myform.quanti.value))* eval(document.myform.scorig.value) / 100 ;
        var sommatotale = sommarigo - sommarigo * eval(document.myform.scochi.value) / 100 ;
        return((Math.round(sommatotale*100)/100).toFixed(2));
}
</SCRIPT>
<?php
print "<form method=\"POST\" name=\"myform\">";
print "<input type=\"hidden\" name=\"".ucfirst($toDo)."\" value=\"\">\n";
print "<input type=\"hidden\" name=\"ritorno\" value=\"".$_POST['ritorno']."\">\n";
print "<input type=\"hidden\" name=\"id_mov\" value=\"".$form['id_mov']."\">\n";
print "<input type=\"hidden\" name=\"id_rif\" value=\"".$form['id_rif']."\">\n";
print "<input type=\"hidden\" name=\"tipdoc\" value=\"".$form['tipdoc']."\">\n";
print "<input type=\"hidden\" name=\"status\" value=\"".$form['status']."\">\n";
print "<div align=\"center\" class=\"FacetFormHeaderFont\">$title</div>\n";
$importo_rigo = CalcolaImportoRigo($form['quanti'], $form['prezzo'], $form['scorig']);
$importo_totale = CalcolaImportoRigo(1,$importo_rigo, $form['scochi']);
print "<table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" class=\"FacetFormTABLE\" align=\"center\">\n";
if (!empty($msg)) {
    $message = "";
    $rsmsg = array_slice( explode('+',chop($msg)),0,-1);
    foreach ($rsmsg as $value){
            $message .= $strMessage['error']."! -> ";
            $rsval = explode('-',chop($value));
            foreach ($rsval as $valmsg){
                    $message .= $strTrad[$valmsg]." ";
            }
            $message .= "<br />";
    }
    print '<tr><td colspan="5" class="FacetDataTDred">'.$message."</td></tr>\n";
}
print "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[1]."</td><td class=\"FacetDataTD\">\n";
print "\t <select name=\"gioreg\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 31; $counter++ ) {
    $selected = "";
    if($counter == $form['gioreg'])
            $selected = "selected";
    print "\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
print "\t </select>\n";
print "\t <select name=\"mesreg\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 12; $counter++ ) {
    $selected = "";
    if($counter == $form['mesreg'])
            $selected = "selected";
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    print "\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
print "\t </select>\n";
print "\t <select name=\"annreg\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = date("Y")-10; $counter <= date("Y")+10; $counter++ ) {
    $selected = "";
    if($counter == $form['annreg'])
            $selected = "selected";
    print "\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
print "\t </select></td>\n";
print "<td class=\"FacetFieldCaptionTD\">".$strTrad[2]."</td><td class=\"FacetDataTD\">\n";
print "<select name=\"caumag\" class=\"FacetSelect\">\n";
print "<option value=\"\">-------------</option>\n";
$result = dynQuery("*", $gTables['caumag']," 1 ","codice desc, descri asc");
while ($row = dbms_fetch_array($result)) {
    $selected="";
    if($form["caumag"] == $row['codice']) {
       $selected = " selected ";
    }
    print "<option value=\"".$row['codice']."\"".$selected.">".$row['codice']." - ".$row['descri']."</option>\n";
}
print "</select> &nbsp;<input type=\"image\" name=\"inscau\" src=\"../../library/images/vbut.gif\" title=\"".$strButton['submit']." !\"></td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[3]."&hArr;".$strTrad[4]."</td><td class=\"FacetDataTD\">\n";
$messaggio = "";
$ric_mastro = substr($form['clfoco'],0,3);
print "\t<input type=\"hidden\" name=\"clfoco\" value=\"".$form['clfoco']."\">\n";
print "\t<input type=\"hidden\" name=\"clorfo\" value=\"".$form['clorfo']."\">\n";
$rs_partner= "(codice between ".$azienda['mascli']."000001 and ".$azienda['mascli']."999999 or codice between ".$azienda['masfor']."000001 and ".$azienda['masfor']."999999 )";
if ($form['clorfo'] < 0) { // cliente
  $rs_partner= "(codice between ".$azienda['mascli']."000001 and ".$azienda['mascli']."999999 )";
} elseif ($form['clorfo'] > 0) {// fornitore
  $rs_partner= "(codice between ".$azienda['masfor']."000001 and ".$azienda['masfor']."999999 )";
}
if ($form['clfoco']==0) {
   if (strlen($form['search_partner']) >= 2) {

      $anagrafica = new Anagrafica();
      $partner = $anagrafica->queryPartners("*", $rs_partner." and ragso1 like '".$form['search_partner']."%'", "codice asc, ragso1 asc");
      if (sizeof($partner) > 0) {
         $clifor = $strTrad[5];
         print "\t<select name=\"clfoco\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
         print "<option value=\"000000000\"> ---------- </option>";
         while (list($key, $row) = each($partner)) {
           $selected = "";
           if ($row["codice"] == $form['clfoco']) {
               $selected = "selected";
           }
           if (substr($row["codice"],0,3) == $azienda['masfor']) {
              $clifor = $strTrad[6];
           }
           print "\t\t <option value=\"".$row["codice"]."\" $selected >".$row["ragso1"]." ".$row["citspe"]."&nbsp;($clifor)</option>\n";
         }
         print "\t </select>\n";
      } else {
        $messaggio = ucfirst($strMessage['notfound'])." !";
      }
   } else {
      $messaggio = ucfirst($strMessage['minins'])." 2 ".$strMessage['charat']."!";
   }
   print "\t<input type=\"text\" name=\"search_partner\" accesskey=\"e\" value=\"".stripslashes($form['search_partner'])."\" maxlength=\"15\" size=\"9\" class=\"FacetInput\">\n";
   print $messaggio;
   print "\t <input type=\"image\" align=\"middle\" accesskey=\"c\" name=\"search\" src=\"../../library/images/cerbut.gif\">\n";
} else {
   $anagrafica = new Anagrafica();
   $partner = $anagrafica->getPartner($form['clfoco']);
   print "<input type=\"submit\" value=\"".substr($partner['ragso1'],0,30)."\" name=\"newpartner\" title=\"".ucfirst($strMessage['update'])."!\">\n";
   print "\t<input type=\"hidden\" name=\"clfoco\" value=\"".$form['clfoco']."\">\n";
   print "\t<input type=\"hidden\" name=\"search_partner\" value=\"".$form['search_partner']."\">\n";
}
if (substr($form["clfoco"],0,3) == $azienda['masfor']) {
    $unimis="uniacq";
} else {
    $unimis="unimis";
}
print "</td><td class=\"FacetFieldCaptionTD\">".$strTrad[8]."</td><td class=\"FacetDataTD\">\n";
print "\t <select name=\"giodoc\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 31; $counter++ ) {
    $selected = "";
    if($counter == $form['giodoc'])
            $selected = "selected";
    print "\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
print "\t </select>\n";
print "\t <select name=\"mesdoc\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 12; $counter++ ) {
    $selected = "";
    if($counter == $form['mesdoc'])
            $selected = "selected";
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    print "\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
print "\t </select>\n";
print "\t <select name=\"anndoc\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = date("Y")-10; $counter <= date("Y")+10; $counter++ ) {
    $selected = "";
    if($counter == $form['anndoc'])
            $selected = "selected";
    print "\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
print "\t </select></td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[9]."</td><td class=\"FacetDataTD\" ><input type=\"text\" value=\"".$form['desdoc']."\" maxlength=\"50\" size=\"35\" name=\"desdoc\"></td>";
print "<td class=\"FacetFieldCaptionTD\">".$strTrad[10]."</td><td class=\"FacetDataTD\" ><input type=\"text\" value=\"".$form['scochi']."\" maxlength=\"5\" size=\"5\" name=\"scochi\" onChange=\"this.form.total.value=CalcolaImportoRigo();\"> %</td></tr>";
print "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[7]."</td><td class=\"FacetDataTD\">\n";
$messaggio = "";
$print_unimis ="";
$ric_mastro = substr($form['artico'],0,3);
print "\t<input type=\"hidden\" name=\"artico\" value=\"".$form['artico']."\">\n";
if ($form['artico']=="") {
   if (strlen($form['search_item']) >= 1) {
      $result = dynQuery("*", $gTables['artico'],"codice like '".$form['search_item']."%' ","descri asc");
      if (dbms_num_rows($result) > 0) {
         print "\t<select name=\"artico\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
         print "<option value=\"\"> -------- </option>";
         while ($row = dbms_fetch_array($result)) {
           $selected = "";
           if ($row["codice"] == $form['artico']) {
               $selected = "selected";
           }
           print "\t\t <option value=\"".$row["codice"]."\" $selected >".$row["descri"]."&nbsp;</option>\n";
         }
         print "\t </select>\n";
      } else {
        $messaggio = ucfirst($strMessage['notfound'])." !";
      }
   } else {
      $messaggio = ucfirst($strMessage['minins'])." 1 ".$strMessage['charat']."!";
   }
   print "\t<input type=\"text\" name=\"search_item\" accesskey=\"e\" value=\"".stripslashes($form['search_item'])."\" maxlength=\"15\" size=\"9\" class=\"FacetInput\">\n";
   print $messaggio;
   print "\t <input type=\"image\" align=\"middle\" accesskey=\"c\" name=\"search\" src=\"../../library/images/cerbut.gif\"></td>\n";
} else {
   $item = getRow($gTables['artico'],"codice",$form['artico']);
   $print_unimis = $item[$unimis];
   print "<input type=\"submit\" value=\"".substr($item['descri'],0,30)."\" name=\"newitem\" title=\"".ucfirst($strMessage['update'])."!\">\n ";
   print "\t<input type=\"hidden\" name=\"artico\" value=\"".$form['artico']."\">\n";
   print "\t<input type=\"hidden\" name=\"search_item\" value=\"".$form['search_item']."\">\n";
}
print "<td class=\"FacetFieldCaptionTD\">".$strTrad[12]."</td><td class=\"FacetDataTD\" ><input type=\"text\" value=\"".$form['quanti']."\" maxlength=\"10\" size=\"10\" name=\"quanti\" onChange=\"this.form.total.value=CalcolaImportoRigo();\"> $print_unimis</td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[13]."</td><td class=\"FacetDataTD\" ><input type=\"text\" value=\"".$form['prezzo']."\" maxlength=\"12\" size=\"12\" name=\"prezzo\" onChange=\"this.form.total.value=CalcolaImportoRigo();\"> $money[2]</td>\n";
print "<td class=\"FacetFieldCaptionTD\">".$strTrad[14]."</td><td class=\"FacetDataTD\" ><input type=\"text\" value=\"".$form['scorig']."\" maxlength=\"4\" size=\"4\" name=\"scorig\" onChange=\"this.form.total.value=CalcolaImportoRigo();\"> %</td></tr>\n";
print "<tr><td class=\"FacetFieldCaptionTD\">".$strScript["report_movmag.php"][7]."</td><td class=\"FacetDataTD\" ><input type=\"text\" value=\"".$importo_totale."\" name=\"total\" size=\"20\" readonly />\n";
print "<td class=\"FacetFieldCaptionTD\">".$strScript["admin_caumag.php"][4]."</td><td class=\"FacetDataTD\">\n";
print "<select name=\"operat\" class=\"FacetSelect\">\n";
for ($counter = -1; $counter <= 1; $counter++) {
    $selected="";
    if ($form["operat"] == $counter) {
       $selected = " selected ";
    }
    print "<option value=\"$counter\" $selected > ".$strScript["admin_caumag.php"][$counter+9]."</option>\n";
}
print "</select></td></tr><tr><td colspan=\"3\"><input type=\"reset\" name=\"Cancel\" value=\"".$strButton['cancel']."\">\n";
print "<input type=\"submit\" name=\"Return\" value=\"".$strButton['return']."\">\n";
print "</td><td align=\"right\">\n";
if ($toDo == 'update') {
   print '<input type="submit" accesskey="m" name="Insert" value="'.strtoupper($strMessage['update']).'!"></td></tr><tr></tr>';
} else {
   print '<input type="submit" accesskey="i" name="Insert" value="'.strtoupper($strMessage['insert']).'!"></td></tr><tr></tr>';
}
print "</td></tr></table>\n";
?>
</form>
</body>
</html>