<?php
/* $Id: select_deplia.php,v 1.16 2008/10/14 08:29:38 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$message = "";
$azienda = getRow($gTables['aziend'],'codice',1);
$titolo="Generazione File Depliant in formato PDF";
if (!isset($_GET['banacc']))
       $_GET['banacc'] = "";
if (!isset($_GET['lis']))
       $_GET['lis'] = "VE1";
if (!isset($_GET['cmi']))
       $_GET['cmi'] = "";
if (!isset($_GET['cmf']))
       $_GET['cmf'] = "";
if (!isset($_GET['cai']))
       $_GET['cai'] = "";
if (!isset($_GET['caf']))
       $_GET['caf'] = "";
//controllo i campi
if ($_GET['cmi'] > $_GET['cmf'])
       $message .="La categoria merceologica d'inizio non pu&ograve; essere successiva all'ultima !<br>";
if ($_GET['cai'] > $_GET['caf'])
       $message .="Il codice articolo d'inizio non pu&ograve; essere successivo all'ultimo !<br>";
if (isset($_GET['genera']) and $message == "") {
    if ($_GET["cb"] == 1){
       $cb='&bc';
    } else {
       $cb='';
    }
    //Mando in stampa la distinta richiesta
    $locazione = "Location: stampa_depliant.php?lis=".$_GET['lis']."&cmi=".$_GET['cmi'].
                 "&cmf=".$_GET['cmf']."&cai=".$_GET['cai']."&caf=".$_GET['caf'].$cb;
    header($locazione);
    exit;
}
if (isset($_GET['Return'])) {
    header("Location: docume_magazz.php");
    exit;
}
require_once("../../library/include/header.php");
HeadMain();
?>
<form method="GET">
<div align="center" class="FacetFormHeaderFont">Generazione File Depliant in PDF</div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<tr>
<td colspan="2" class="FacetDataTDred">
<?php
if (! $message == "") {
    print "$message";
}
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Listino da stampare &nbsp;</td>
<td class="FacetDataTD">
<select name="lis" class="FacetSelect" onchange="this.form.submit()">
<?php
$arrayListini = array('1' => 'Vendita 1','2' => 'Vendita 2','3' => 'Vendita 3');
foreach ($arrayListini as $key => $value) {
       $selected="";
       if($_GET["lis"] == $key)
          $selected = " selected ";
       echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
}
?>
</select>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Stampa Immagini o Codici a Barre</td>
<td class="FacetDataTD">
<select name="cb" class="FacetSelect">
<?php
$arrayListini = array(0 => 'Immagini degli articoli',1 => 'Codici a barre');
foreach ($arrayListini as $key => $value) {
       $selected="";
       if ($_GET["cb"] == $key)
          $selected = " selected ";
       echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
}
?>
</select>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Categoria merceologica inizio  &nbsp;</td>
<td colspan="2" class="FacetDataTD">
<select name="cmi" class="FacetSelect" onchange="this.form.submit()">
<?php
$result = dynQuery("*", $gTables['catmer'],1,"codice asc");
while ($a_row = dbms_fetch_array($result)) {
      $selected = "";
      if($_GET["cmi"] == $a_row["codice"])
         $selected = "selected";
      print "\t\t <option value=\"".$a_row["codice"]."\" $selected >".$a_row["codice"]."-".$a_row["descri"]."</option>\n";
}
?>
</select>
</td>
</TR>
<tr>
<td class="FacetFieldCaptionTD">Categoria merceologica fine &nbsp;</td>
<td colspan="2" class="FacetDataTD">
<select name="cmf" class="FacetSelect" onchange="this.form.submit()">
<?php
$result = dynQuery("*", $gTables['catmer'],1,"codice desc");
while ($a_row = dbms_fetch_array($result)) {
    $selected = "";
    if($_GET["cmf"] == $a_row["codice"])
        $selected = "selected";
    print "\t\t <option value=\"".$a_row["codice"]."\" $selected >".$a_row["codice"]."-".$a_row["descri"]."</option>\n";
}
?>
</select>
</td>
</TR>
</TD>
</TR>
<tr>
<td class="FacetFieldCaptionTD">Codice articolo inizio &nbsp;</td>
<td class="FacetDataTD"><input title="Codice articolo inizio listino" type="text" name="cai" value="<?php print $_GET["cai"] ?>" maxlength="15" size="15" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Codice articolo fine &nbsp;</td>
<td class="FacetDataTD"><input title="Codice articolo fine listino" type="text" name="caf" value="<?php print $_GET["caf"] ?>" maxlength="15" size="15" class="FacetInput">&nbsp;</td>
</tr>
<td class="FacetFieldCaptionTD"> &nbsp;</td>
<td colspan="2" align="right" nowrap class="FacetFooterTD">
<input type="submit" name="Return" value="Indietro">&nbsp;
<input type="submit" name="anteprima" value="VISUALIZZA L'ANTEPRIMA !">&nbsp;
</td>
</tr>
</table>
<?php
if (isset($_GET['anteprima']) and $message == "") {
    //preparo la query al database
    if (empty ($_GET['caf']))
       $_GET['caf'] = 'zzzzzzzzzzzzzzz';
    $orderby = " catmer asc, codice asc";
    $where = "catmer between ".intval($_GET['cmi'])." and ".intval($_GET['cmf'])." and
              codice between '".substr($_GET['cai'],0,15)."' and '".substr($_GET['caf'],0,15)."'";
    //recupero le testate in base alle scelte impostate
    $result = dynQuery ('*', $gTables['artico'], $where, $orderby);
    $ctrlnum = dbms_num_rows($result);
    if ($ctrlnum) {
        switch($_GET['lis']) {
        case "1":
            $echolist = " di vendita n.1";
            break;
            case "2":
            $echolist = " di vendita n.2";
            break;
            case "3":
            $echolist = " di vendita n.3";
            break;
        }
        echo "<div><center><b>ANTEPRIMA DEPLIANT ".$echolist."</b></div>";
        echo "<table class=\"Tlarge\">";
        echo "<tr><td align=\"center\"><input type=\"submit\" name=\"genera\" value=\"CONFERMA LA GENERAZIONE DEL FILE PDF !\"></TD></TR>";
        echo "</table>";
        echo "<table class=\"Tlarge\">";
        echo "<tr>";
        // creo l'array (header => campi) per l'ordinamento dei record
        $headers_effett = array  (
              "Cat.Merceologica" => "",
              "Codice" => "",
              "Descrizione" => "",
              "U.M." => "",
              "Prezzo" => "",
              );
        $linkHeaders = new linkHeaders($headers_effett);
        $linkHeaders -> output();
        $ctrlcatmer = "";
        echo "</tr>";
        while ($a_row = dbms_fetch_array($result)) {
            print "<tr>";
            if ($a_row['catmer'] <> $ctrlcatmer) {
                $catmer = getRow($gTables['catmer'],"codice","{$a_row['catmer']}");
                print "<td class=\"FacetDataTD\" align=\"center\" style=\"color: brown;\">".$catmer["descri"]."</td>";
            } else {
                print "<td></td>";
            }
            print "<td class=\"FacetDataTD\">".$a_row["codice"]." &nbsp;</td>";
            print "<td class=\"FacetDataTD\">".$a_row["descri"]." &nbsp;</td>";
            print "<td class=\"FacetDataTD\">".$a_row["unimis"]." &nbsp;</td>";
            $lis = 'preve'.intval($_GET['lis']);
            print "<td class=\"FacetDataTD\" align=\"right\">".number_format($a_row[$lis],$azienda['decimal_price'],',','.')." &nbsp;</td>";
            print "</tr>";
            $ctrlcatmer = $a_row['catmer'];
        }
    echo "</table>";
    }
}
?>
</form>
</body>
</html>