<?php
/* $Id: select_listin.php,v 1.15 2008/10/14 08:29:38 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$message = "";
$azienda = getRow($gTables['aziend'],'codice',1);
if (!isset($_GET['banacc']))
    $_GET['banacc'] = "";
if (!isset($_GET['listin']))
    $_GET['listin'] = "VE1";
if (!isset($_GET['camein']))
    $_GET['camein'] = "";
if (!isset($_GET['camefi']))
    $_GET['camefi'] = "";
if (!isset($_GET['coarin']))
    $_GET['coarin'] = "";
if (!isset($_GET['coarfi']))
    $_GET['coarfi'] = "";
//controllo i campi
if ($_GET['camein'] > $_GET['camefi'])
    $message .="La categoria merceologica d'inizio non pu&ograve; essere successiva all'ultima !<br>";
if ($_GET['coarin'] > $_GET['coarfi'])
    $message .="Il codice articolo d'inizio non pu&ograve; essere successivo all'ultimo !<br>";
if (isset($_GET['genera']) and $message == "")
    {
    //Mando in stampa la distinta richiesta
    $locazione = "Location: stampa_listin.php?listin=".$_GET['listin']."&camein=".$_GET['camein']."&camefi=".$_GET['camefi']."&coarin=".$_GET['coarin']."&coarfi=".$_GET['coarfi'];
    header($locazione);
    exit;
}
if (isset($_GET['Return']))
    {
    header("Location: docume_magazz.php");
    exit;
}
$titolo = 'Stampa Listino';
require_once("../../library/include/header.php");
HeadMain();
?>
<form method="GET">
<div class="FacetFormHeaderFont" align="center">Stampa Listino</div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<!-- BEGIN Error -->
<tr>
<td colspan="2" class="FacetDataTD" style="color: red;">
<?php
if (! $message == "")
    {
        print "$message";
    }
?>
</td>
</tr>
<!-- END Error -->
<tr>
<td class="FacetFieldCaptionTD">Listino da stampare &nbsp;</td>
<td class="FacetDataTD">
<select name="listin" class="FacetSelect" onchange="this.form.submit()">
<?php  $arrayListini = array('ACQ' => 'Acquisto','VE1' => 'Vendita 1','VE2' => 'Vendita 2','VE3' => 'Vendita 3');
foreach ($arrayListini as $key => $value) {
         $selected="";
         if($_GET["listin"] == $key)
            $selected = " selected ";
         echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
}
?>
</select>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Categoria merceologica inizio  &nbsp;</td>
<td colspan="2" class="FacetDataTD">
<select name="camein" class="FacetSelect" onchange="this.form.submit()">
<?php
$result = dynQuery("*", $gTables['catmer'],1,"codice asc");
while ($a_row = dbms_fetch_array($result)) {
      $selected = "";
      if($_GET["camein"] == $a_row["codice"])
         $selected = "selected";
      print "\t\t <option value=\"".$a_row["codice"]."\" $selected >".$a_row["codice"]."-".$a_row["descri"]."</option>\n";
}
?>
</select>
</td>
</TR>
<tr>
<td class="FacetFieldCaptionTD">Categoria merceologica fine &nbsp;</td>
<td colspan="2" class="FacetDataTD">
<select name="camefi" class="FacetSelect" onchange="this.form.submit()">
<?php
$result = dynQuery("*", $gTables['catmer'],1,"codice desc");
while ($a_row = dbms_fetch_array($result))
    {
    $selected = "";
    if($_GET["camefi"] == $a_row["codice"])
        $selected = "selected";
    print "\t\t <option value=\"".$a_row["codice"]."\" $selected >".$a_row["codice"]."-".$a_row["descri"]."</option>\n";
}
?>
</select>
</td>
</TR>
</TD>
</TR>
<tr>
<td class="FacetFieldCaptionTD">Codice articolo inizio &nbsp;</td>
<td class="FacetDataTD"><input title="Codice articolo inizio listino" type="text" name="coarin" value="<?php print $_GET["coarin"] ?>" maxlength="15" size="15" class="FacetInput">&nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Codice articolo fine &nbsp;</td>
<td class="FacetDataTD"><input title="Codice articolo fine listino" type="text" name="coarfi" value="<?php print $_GET["coarfi"] ?>" maxlength="15" size="15" class="FacetInput">&nbsp;</td>
</tr>
<td class="FacetFieldCaptionTD"> &nbsp;</td>
<td colspan="2" align="right" nowrap class="FacetFooterTD">
<input type="submit" name="Return" value="Indietro">&nbsp;
<input type="submit" name="anteprima" value="VISUALIZZA L'ANTEPRIMA !">&nbsp;
</td>
</tr>
</table>
<?php
if (isset($_GET['anteprima']) and $message == "") {
   //preparo la query al database
   if (empty ($_GET['coarfi']))
       $_GET['coarfi'] = 'zzzzzzzzzzzzzzz';
   $orderby = " catmer asc, codice asc";
   $where = "codice between '{$_GET['coarin']}' and '{$_GET['coarfi']}' and catmer between '{$_GET['camein']}' and '{$_GET['camefi']}' ";
   //recupero le testate in base alle scelte impostate
   $result = dynQuery ('*', $gTables['artico'], $where, $orderby);
   $ctrlnum = dbms_num_rows($result);
   if ($ctrlnum) {
        switch($_GET['listin']) {
            case "ACQ":
            $echolist = " d'acquisto";
            break;
            case "VE1":
            $echolist = " di vendita n.1";
            break;
            case "VE2":
            $echolist = " di vendita n.2";
            break;
            case "VE3":
            $echolist = " di vendita n.3";
            break;
        }
    echo "<div><center><b>ANTEPRIMA LISTINO ".$echolist."</b></div>";
    echo "<table class=\"Tlarge\">";
    echo "<tr><td align=\"center\"><input type=\"submit\" name=\"genera\" value=\"CONFERMA LA STAMPA DEL LISTINO SOTTOSTANTE !\"></TD></TR>";
    echo "</table>";
    echo "<table class=\"Tlarge\">";
    echo "<tr>";
    // creo l'array (header => campi) per l'ordinamento dei record
    $headers_effett = array  (
              "Cat.Merceologica" => "",
              "Codice" => "",
              "Descrizione" => "",
              "U.M." => "",
              "Prezzo" => "",
              );
    $linkHeaders = new linkHeaders($headers_effett);
    $linkHeaders -> output();
    $ctrlcatmer = "";
    echo "</tr>";
    while ($a_row = dbms_fetch_array($result)) {
            print "<tr>";
            if ($a_row['catmer'] <> $ctrlcatmer) {
                $catmer = getRow($gTables['catmer'],"codice","{$a_row['catmer']}");
                print "<td class=\"FacetDataTD\" align=\"center\" style=\"color: brown;\">".$catmer["descri"]."</td>";
                }
            else    print "<td></td>";
            print "<td class=\"FacetDataTD\"><a href=\"admin_artico.php?codice=".$a_row["codice"]."&Update\" title=\"Modifica l'articolo\">".$a_row["codice"]."</a> &nbsp;</td>";
            print "<td class=\"FacetDataTD\">".$a_row["descri"]." &nbsp;</td>";
            print "<td class=\"FacetDataTD\">".$a_row["unimis"]." &nbsp;</td>";
        switch($_GET['listin'])
            {
            case "ACQ":
            print "<td class=\"FacetDataTD\" align=\"right\">".number_format($a_row["preacq"],$azienda['decimal_price'],',','.')." &nbsp;</td>";
            break;
            case "VE1":
            print "<td class=\"FacetDataTD\" align=\"right\">".number_format($a_row["preve1"],$azienda['decimal_price'],',','.')." &nbsp;</td>";
            break;
            case "VE2":
            print "<td class=\"FacetDataTD\" align=\"right\">".number_format($a_row["preve2"],$azienda['decimal_price'],',','.')." &nbsp;</td>";
            break;
            case "VE3":
            print "<td class=\"FacetDataTD\" align=\"right\">".number_format($a_row["preve3"],$azienda['decimal_price'],',','.')." &nbsp;</td>";
            break;
            }
            print "</tr>";
            $ctrlcatmer = $a_row['catmer'];
            }
        echo "</table>";
        }
    }
?>
</form>
</body>
</html>