<?php
/* $Id: select_schart.php,v 1.9 2008/10/14 08:29:38 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$msg = "";
$azienda = getRow($gTables['aziend'],"codice",1);

if (!isset($_GET['gioini'])) { //al primo accesso allo script
    $_GET['gioini'] = "1";
    $_GET['mesini'] = "1";
    $_GET['annini'] = date("Y");
    $_GET['giofin'] = date("d");
    $_GET['mesfin'] = date("m");
    $_GET['annfin'] = date("Y");
    $_GET['camein'] = "";
    $_GET['camefi'] = "";
    $_GET['coarin'] = "";
    $_GET['coarfi'] = "";
}

if (!checkdate( $_GET['mesini'], $_GET['gioini'], $_GET['annini'])){
    $msg .= "8+";
}
if (!checkdate( $_GET['mesfin'], $_GET['giofin'], $_GET['annfin'])){
    $msg .= "9+";
}
$utsini= mktime(0,0,0,$_GET['mesini'],$_GET['gioini'],$_GET['annini']);
$utsfin= mktime(0,0,0,$_GET['mesfin'],$_GET['giofin'],$_GET['annfin']);
$datainizio = date("Ymd",$utsini);
$datafine = date("Ymd",$utsfin);
if ($utsini > $utsfin) {
    $msg .="5+";
}
if ($_GET['camein'] > $_GET['camefi'])
       $msg .="7+";
if ($_GET['coarin'] > $_GET['coarfi'])
       $msg .="6+";

if (isset($_GET['insert']) and $msg == "") {
    //Mando in stampa gli schedari richiesti
    header("Location: stampa_schart.php?camein=".$_GET['camein']."&camefi=".$_GET['camefi']."&coarin=".$_GET['coarin']."&coarfi=".$_GET['coarfi']."&datini=".$datainizio."&datfin=".$datafine);
    exit;
}

require_once("../../library/include/header.php");
$strTrad = $strScript["select_schart.php"];
HeadMain(35);
echo "<form method=\"GET\">\n";
echo "<div align=\"center\" class=\"FacetFormHeaderFont\">".ucfirst($strTrad[0])."</div>\n";
echo "<table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" class=\"FacetFormTABLE\" align=\"center\">\n";
if (!empty($msg)) {
    $message = "";
    $rsmsg = array_slice( explode('+',chop($msg)),0,-1);
    foreach ($rsmsg as $value){
            $message .= $strMessage['error']."! -> ";
            $rsval = explode('-',chop($value));
            foreach ($rsval as $valmsg){
                    $message .= $strTrad[$valmsg]." ";
            }
            $message .= "<br />";
    }
    echo '<tr><td colspan="5" class="FacetDataTDred">'.$message."</td></tr>\n";
}
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[1]."</td>
     <td class=\"FacetDataTD\">\n";
echo "<select name=\"camein\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
$result = dynQuery("*", $gTables['catmer'],1,"codice asc");
while ($row = dbms_fetch_array($result)) {
      $selected = "";
      if($_GET["camein"] == $row["codice"]){
         $selected = "selected";
      }
      echo "\t\t <option value=\"".$row["codice"]."\" $selected >".$row["codice"]."-".$row["descri"]."</option>\n";
}
echo "</select></td></tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[2]."</td>
      <td class=\"FacetDataTD\">\n";
echo "<select name=\"camefi\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
$result = dynQuery("*", $gTables['catmer'],1,"codice DESC");
while ($row = dbms_fetch_array($result)) {
      $selected = "";
      if($_GET["camefi"] == $row["codice"]){
         $selected = "selected";
      }
      echo "\t\t <option value=\"".$row["codice"]."\" $selected >".$row["codice"]."-".$row["descri"]."</option>\n";
}
echo "</select></td></tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strTrad[3]."</td>";
echo "<td class=\"FacetDataTD\"><input type=\"text\" name=\"coarin\" value=\"".$_GET["coarin"]."\" maxlength=\"15\" size=\"15\" class=\"FacetInput\"></td>\n";
echo "</tr><tr>\n";
echo "<td class=\"FacetFieldCaptionTD\">".$strTrad[4]."</td>\n";
echo "<td class=\"FacetDataTD\"><input type=\"text\" name=\"coarfi\" value=\"".$_GET["coarfi"]."\" maxlength=\"15\" size=\"15\" class=\"FacetInput\"></td>\n";
echo "</tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strScript["genera_movmag.php"][1]."</td><td class=\"FacetDataTD\" colspan=\"3\">";
echo "\t <select name=\"gioini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 31; $counter++ ){
    $selected = "";
    if($counter ==  $_GET['gioini'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
}
echo "\t </select>\n";
echo "\t <select name=\"mesini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 12; $counter++ ){
    $selected = "";
    if($counter == $_GET['mesini'])
            $selected = "selected";
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
echo "\t <select name=\"annini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter =  date("Y")-10; $counter <=  date("Y")+10; $counter++ ){
    $selected = "";
    if($counter == $_GET['annini'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
echo "\t </select></td></tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">".$strScript["genera_movmag.php"][2]."</td><td class=\"FacetDataTD\" colspan=\"3\">";
echo "\t <select name=\"giofin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 31; $counter++ ){
    $selected = "";
    if($counter ==  $_GET['giofin'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
}
echo "\t </select>\n";
echo "\t <select name=\"mesfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 12; $counter++ ){
    $selected = "";
    if($counter == $_GET['mesfin'])
            $selected = "selected";
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
echo "\t <select name=\"annfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter =  date("Y")-10; $counter <=  date("Y")+10; $counter++ ){
    $selected = "";
    if($counter == $_GET['annfin'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
echo "\t </select></td></tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\"></td><td align=\"right\" colspan=\"4\"  class=\"FacetFooterTD\">
      <input type=\"submit\" name=\"Return\" value=\"".$strButton['return']."\">\n\t<input type=\"submit\" name=\"insert\" value=\"".$strButton['print']."!\"></td></tr>\n";
echo "</table>\n";
?>
</form>
</body>
</html>