<?php
 /* $Id: stampa_listin.php,v 1.15 2008/10/15 08:01:30 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/

require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();

if (!isset($_GET['listin']) or
    !isset($_GET['camein']) or
    !isset($_GET['camefi']) or
    !isset($_GET['coarin']) or
    !isset($_GET['coarfi'])) {
    header("Location: select_listin.php");
    exit;
}
if (empty ($_GET['coarfi'])) {
    $_GET['coarfi'] = 'zzzzzzzzzzzzzzz';
}

$azienda = getRow($gTables['aziend'], 'codice', 1);
require_once("../../config/templates/report_template.php");
$what = $gTables['catmer'].".codice AS codcat , ".$gTables['catmer'].".descri AS descat , ".
        $gTables['artico'].".codice AS codart,".$gTables['artico'].".descri AS desart,".$gTables['artico'].".* , ".
        $gTables['aliiva'].".codice AS codiva, ".$gTables['aliiva'].".aliquo ";
$table = $gTables['artico']." LEFT JOIN ".$gTables['catmer']." ON (".$gTables['artico'].".catmer = ".$gTables['catmer'].".codice)
         LEFT JOIN ".$gTables['aliiva']." ON (".$gTables['artico'].".aliiva = ".$gTables['aliiva'].".codice)";
$where = "catmer BETWEEN '".intval($_GET['camein']).
         "' AND '".intval($_GET['camefi']).
         "' AND ".$gTables['artico'].".codice BETWEEN '".substr($_GET['coarin'],0,15).
         "' AND '".substr($_GET['coarfi'],0,15)."'";
$result = dynQuery ($what, $table,$where,"catmer ASC,".$gTables['artico'].".codice ASC");


switch($_GET['listin']) {
        case "ACQ":
        $descrlis = 'd\'acquisto';
        break;
        case "VE1":
        $descrlis = 'di vendita n.1';
        break;
        case "VE2":
        $descrlis = 'di vendita n.2';
        break;
        case "VE3":
        $descrlis = 'di vendita n.3';
        break;
}

$title = array('title'=>"Listino ".$descrlis,
               'hile'=>array(array('lun' => 35,'nam'=>'Codice'),
                             array('lun' => 85,'nam'=>'Descrizione'),
                             array('lun' => 15,'nam'=>'U.M.'),
                             array('lun' => 25,'nam'=>'Prezzo'),
                             array('lun' => 25,'nam'=>'Esistenza'),
                             array('lun' => 15,'nam'=>'% I.V.A.'),
                             array('lun' => 70,'nam'=>'Annotazioni')
                             )
              );

$pdf = new Report_template();
$pdf->setVars($azienda,$title,'L');
$config = new Config;
$pdf->SetPageFormat($config->getValue('page_format'));
$pdf->setAuthor($azienda['ragso1'].' '.$_SESSION['Login']);
$pdf->setTitle($title['title']);
$pdf->SetTopMargin(37);
$pdf->StartPageGroup();
$pdf->AddPage('L');
$ctrlcatmer=0;
while ($row = dbms_fetch_array($result)) {
      $pdf->SetFont('freesans','',10);
      switch($_GET['listin']) {
        case "ACQ":
        $price = $row['preacq'];
        break;
        case "VE1":
        $price = $row['preve1'];
        break;
        case "VE2":
        $price = $row['preve2'];
        break;
        case "VE3":
        $price = $row['preve3'];
        break;
      }
      if ($row["catmer"] <> $ctrlcatmer) {
        $pdf->Cell(120,5,'Categoria Merceologica n.'.$row['codcat'].' = '.$row['descat'],1,1,'L',1);
      }
      $pdf->Cell(35,5,$row['codart'],1);
      $pdf->Cell(85,5,$row['desart'],1);
      $pdf->Cell(15,5,$row['unimis'],1,0,'C');
      $pdf->Cell(25,5,number_format($price,$azienda['decimal_price'],',','.'),1,0,'R');
      $pdf->Cell(25,5,gaz_format_quantity($row['esiste'],$azienda['decimal_quantity']),1,0,'R');
      $pdf->Cell(15,5,$row['aliquo'],1,0,'C');
      $pdf->Cell(70,5,$row['annota'],1,1,'C');
      $ctrlcatmer=$row["catmer"];
}
$pdf->Output();
?>