<?php
/* $Id: admin_client.php,v 1.39 2008/10/14 08:29:48 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                             (www.devincentiis.it)
                         <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
require_once("../../library/include/check.inc.php");
checkAdmin();
$message = "";
$azienda = getRow($gTables['aziend'],"codice",1);
$iniclienti=$azienda['mascli'].'000001';
$finclienti=$azienda['mascli'].'999999';
$inifornitori=$azienda['masfor'].'000001';
$finfornitori=$azienda['masfor'].'999999';
$mascli = $azienda['mascli']."000000";
$clienti = $azienda['mascli'];
function getCodice ()
{
    global $clienti, $toDo, $gTables;
    if ((isset($_POST['Insert'])) or (isset($_POST['Update']))) {
        if ($toDo == 'update') {
            return substr($_POST["codice"],3);
        } else {
            return ((isset($_POST["codice"])) ? $_POST["codice"] : $_GET["codice"]);
        }
    } elseif ((!isset($_POST['Update'])) and (isset($_GET['Update']))) {
        return $_GET["codice"];
    } elseif (!isset($_POST['Insert'])) {
        $rs_client = dynQuery("*", $gTables['clfoco'], "codice like '$clienti%'" ,"codice DESC");
        $risultato = dbms_fetch_array($rs_client);
        return substr($risultato["codice"],3) + 1;
    }
}


if ((isset($_POST['Update'])) or (isset($_GET['Update']))) {
    $toDo = 'update';
    $titolo = "Modifica Cliente";
} elseif ((isset($_POST['Insert'])) or (isset($_GET['Insert']))) {
    $toDo = 'insert';
    $titolo = "Inserimento Cliente";
} else {
    $toDo = '';
    $titolo = 'cliente';
}

$toUpper = array('ragdoc', 'addbol', 'speban', 'spefat', 'stapre', 'sexper');
while (list($key, $val) = each($toUpper)) {
    if ( isset($_POST[$val])) {
        $_POST[$val] = strtoupper($_POST[$val]);
    }
}

if ($toDo == 'insert') {
    if (isset($_POST["codice"])) {
        $ricerca = $mascli + $_POST["codice"];
        $rs_client = dynQuery("*", $gTables['clfoco'], "codice like '$ricerca'","codice DESC");
        $risultato = dbms_fetch_array($rs_client);
        if ($risultato) {
            $message .= "Codice esistente usare l'apposita procedura se lo si vuole modificare ! <br />";
        } elseif ($_POST["codice"] <= 0 ) {
            $message .= "Il codice inserito dev'essere compreso tra 1 e 999999 ! <br />";
        }
    }
}

if (isset($_POST['Insert']) or isset($_POST['Update'])) {
    $form = $_POST;
    $form['pronas'] = strtoupper($_POST['pronas']);
    $form['prospe'] = strtoupper($_POST['prospe']);
    $form['codfis'] = strtoupper($_POST['codfis']);
   //controllo se  stata richiesta la modifica del destinatario
   if (isset($_POST['newpartner'])) {
      $anagrafica = new Anagrafica();
      $partner = $anagrafica->getPartner($_POST['id_des']);
      $_POST['cerca_partner'] = substr($partner['ragso1'],0,4);
      $form['id_des'] = 0;
   } else {
      $form['id_des'] = $_POST['id_des'];
   }
   if (!empty($_POST['confirm'])) {
       //controllo i campi
       $iban= new IBAN;
       $message .= ((!empty($form['iban']) and !$iban->checkIBAN($form['iban'])) ? "L'IBAN non &egrave; corretto! <br />" : '' );
       $message .= ((!empty($form['iban']) and substr($form['iban'],0,2) <> $form['country']) ? "L'IBAN e la nazione sono diversi! <br />" : '' );
       $message .= ((($form["listin"] <= 0) or ($form["listin"] >= 4)) ? "Inserire un listino valido! <br />" : '' );
       $message .= (empty($form["ragso1"]) ? "Inserire la ragione sociale! <br />" : '' );
       $message .= (empty($form["capspe"]) ? "Inserire il C.A.P.! <br />" : '');
       $message .= (empty($form["citspe"]) ? "Inserire la citt&agrave;! <br />" : '');
       $message .= (empty($form["prospe"]) ? "Inserire la provincia! <br />" : '');
       $message .= (($form["sexper"] <> "F" and $form["sexper"] <> "M" and $form["sexper"] <> "G")
                                           ? "Inserire il sesso/pers.giuridica! <br />" : '');
       $nuw = new controllicfpiva();
       $resultpi = $nuw->ControllaPIVA($form['pariva']);
       //mod by maurizio: faccio un controllo PIVA se il codice fiscale e' lungo 11 caratteri
       if( strlen(trim($form['codfis'])) == 11) {
           $resultcf = $nuw->ControllaPIVA($form['codfis']);
           if ($form['sexper'] != 'G') {
              $resultcf = 'Codice fiscale sbagliato per una persona fisica';
              $message .= "Codice fiscale sbagliato per una persona fisica! <br />";
           }
       } else {
           $resultcf = $nuw->ControllaCF($form['codfis']);
       }
       //end mod by maurizio
       if (!empty($resultpi)) {
          $message .= "La partita IVA &egrave; formalmente errata! <br />";
       } elseif ($toDo == 'insert') {
          $pariva= $form['pariva'];
          $rs_dupliva = dynQuery("*", $gTables['clfoco'], "codice like '$clienti%' and pariva = '$pariva'","pariva desc",0,1);
          $clfoco_with_same_iva = dbms_fetch_array($rs_dupliva);
          if ($clfoco_with_same_iva and !($pariva=="") and ! ($pariva == "00000000000")) {
             $message .= "Esiste gi&agrave un Cliente con la stessa Partita IVA! <br />";
          }
       }
       if (!empty($resultcf)) {
          $message .= "Il codice fiscale &egrave; formalmente errato! <br />";
       } elseif ($toDo == 'insert') {
          $codfis= $form['codfis'];
          $rs_duplcf = dynQuery("*", $gTables['clfoco'], "codice like '$clienti%' and codfis = '$codfis'","codfis desc",0,1);
          $clfoco_with_same_cf = dbms_fetch_array($rs_duplcf);
          if ($clfoco_with_same_cf and !($codfis=="") and ! ($codfis == "00000000000")) {
             $message .= "Esiste gi&agrave; un Cliente con lo stesso Codice Fiscale! <br />";
          }
       }
       //end mod by maurizio
       if (empty($form['codfis'])) {
          if ($form['sexper'] == 'G') {
             $message .= "C.F. mancante! In automatico &egrave; stato<br />impostato con lo stesso valore della Partita IVA!<br />" ;
             $form['codfis'] = $form['pariva'];
          } else {
             $message .= "E' una persona fisica, inserire il codice fiscale! <br />" ;
          }
       }
       if (!checkdate( $form['monthn'], $form['dayn'], $form['yearn']) and ($form['monthn'] + $form['dayn'] + $form['yearn']) <> 0) {
          $message .= "La data di nascita ".$form['dayn']."-".$form['monthn']."-".$form['yearn']." non &egrave; corretta! <br />";
       }
       if (!checkdate( $form['monthf'], $form['dayf'], $form['yearf']) and ($form['monthf'] + $form['dayf'] + $form['yearf']) <> 0) {
          $message .= "La data ultima fattura emessa ".$form['dayn']."-".$form['monthn']."-".$form['yearn']." non &egrave; corretta! <br />";
       }
       if (!checkdate( $form['monthb'], $form['dayb'], $form['yearb']) and ($form['monthb'] + $form['dayb'] + $form['yearb']) <> 0) {
          $message .= "La data ultimo D.d.T. emesso ".$form['dayb']."-".$form['monthb']."-".$form['yearb']." non &egrave; corretta! <br />";
       }
       if ( $message == "") {
          // se nessun errore
          // formatto le date
          $form['datnas'] = $form['yearn']."-".$form['monthn']."-".$form['dayn'];
          $form['daulfa'] = $form['yearf']."-".$form['monthf']."-".$form['dayf'];
          $form['daulbo'] = $form['yearb']."-".$form['monthb']."-".$form['dayb'];
          // aggiorno il db
          if ($toDo == 'insert') {
             clfocoInsert($ricerca,$form);
          } elseif ($toDo == 'update') {
             $codice = $mascli+$form['codice'];
             clfocoUpdate($codice, $form);
          }
          header("Location: report_client.php?auxil=".$form['ragso1']);
          exit;
       }
    }
} elseif ((!isset($_POST['Update'])) and (isset($_GET['Update']))) {
    /*
    * La prima entrata per update
    **/
    $codice = $mascli + $_GET['codice'];
    $form = getRow($gTables['clfoco'], "codice", $codice);
    $form["codice"] = getCodice();
    if (empty($form['country'])) {
       $form['country'] = $azienda['country'];
    }
    $_POST['cerca_partner'] = "";
    //ricavo le date
    $form['dayn'] = substr($form['datnas'],8,2);
    $form['monthn'] = substr($form['datnas'],5,2);
    $form['yearn'] = substr($form['datnas'],0,4);
    $form['dayf'] = substr($form['daulfa'],8,2);
    $form['monthf'] = substr($form['daulfa'],5,2);
    $form['yearf'] = substr($form['daulfa'],0,4);
    $form['dayb'] = substr($form['daulbo'],8,2);
    $form['monthb'] = substr($form['daulbo'],5,2);
    $form['yearb'] = substr($form['daulbo'],0,4);
} elseif (!isset($_POST['Insert'])) {
    /*
    * La prima entrata per insert
    **/
    //$rs_client = dynQuery("*", $gTables['clfoco'], "codice like '$clienti%'" ,"codice DESC");
    //$risultato = dbms_fetch_array($rs_client);
    //$form['codice'] = substr($risultato["codice"],3) + 1;
    $form['codice'] = getCodice();
    $form['ragso1'] = "";
    $form['ragso2'] = "";
    $form['sedleg'] = "";
    $form['legrap'] = "";
    $form['sexper'] = "";
    $form['luonas'] = "";
    $form['pronas'] = "";
    $form['indspe'] = "";
    $form['capspe'] = "";
    $form['citspe'] = "";
    $form['prospe'] = "";
    $form['id_agente'] = "";
    $form['country'] = $azienda['country'];
    $form['telefo'] = "";
    $form['fax'] = "";
    $form['cell'] = "";
    $form['codfis'] = "";
    $form['pariva'] = "";
    $form['e_mail'] = "";
    $form['banapp'] = "";
    $form['portos'] = "1";
    $form['spediz'] = "1";
    $form['imball'] = "1";
    $form['listin'] = "1";
    $form['destin'] = "";
    $form['id_des'] = 0;
    $form['maxrat'] = "";
    $form['iban'] = "";
    $form['ragdoc'] = "S";
    $form['addbol'] = "S";
    $form['speban'] = "S";
    $form['spefat'] = "N";
    $form['stapre'] = "N";
    $form['codpag'] = "1";
    $form['sconto'] = "";
    $form['cosric'] = "";
    $form['aliiva'] = "";
    $form['allegato'] = 1;
    $form['dare__'] = "";
    $form['avere_'] = "";
    $form['ceedar'] = "";
    $form['ceeave'] = "";
    $form['status'] = "";
    $form['annota'] = "";
    $_POST['cerca_partner'] = "";
    $form['dayn'] = 0;
    $form['monthn'] = 0;
    $form['yearn'] = 0;
    $form['dayf'] = 0;
    $form['monthf'] = 0;
    $form['yearf'] = 0;
    $form['dayb'] = 0;
    $form['monthb'] = 0;
    $form['yearb'] = 0;
}
require_once("../../library/include/header.php");
HeadMain();
?>
<form method="POST">
<?php
echo '<input type="hidden" name="'.ucfirst($toDo).'">';
if ($toDo == 'update') {
    echo '<div align="center"><font class="FacetFormHeaderFont">Modifica il Cliente</font></div>'."\n";
} else {
    echo '<div align="center"><font class="FacetFormHeaderFont">Inserimento Cliente</font></div>'."\n";
}
echo '<input type="hidden" name="codice" value="'.$form['codice'].'">';
echo '<input type="hidden" name="cosric" value="'.$form['cosric'].'">';
echo '<input type="hidden" name="ceedar" value="'.$form['ceedar'].'">';
echo '<input type="hidden" name="ceeave" value="'.$form['ceeave'].'">';
echo '<input type="hidden" name="dare__" value="'.$form['dare__'].'">';
echo '<input type="hidden" name="avere_" value="'.$form['avere_'].'">';

?>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<?php
if (!empty($message)){
   echo '<tr>
         <td colspan="3" class="FacetDataTDred">'.$message.'</td>
    </tr>';
}
?>
    <tr>
        <td class="FacetFieldCaptionTD">Codice Cliente *&nbsp;</td>
        <?php
        if ($toDo == 'insert') {
            print '<td class="FacetDataTD" colspan="2"><input title="Codice cliente corrispondente a quello del relativo conto" type="text" name="codice" value="'.$form["codice"].'" maxlength="6" size="6" class="FacetInput">&nbsp;</td>'."\n";
        } else {
            print '<td class="FacetDataTD" colspan="2">'.$form["codice"].'&nbsp;</td>'."\n";
        }
        ?>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Ragione sociale 1 *&nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Cognome e Nome in caso di persona fisica ovvero ragione sociale" type="text" name="ragso1" value="<?php print stripslashes($form["ragso1"]); ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Ragione sociale 2 &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Secondo rigo a disposizione per la ragione sociale" type="text" name="ragso2" value="<?php print stripslashes($form["ragso2"]); ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Legale rappresentante &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Cognome, nome, luogo e data di nascita del legale rappresentante, codice fiscale della persona fisica responsabile della ditta" type="text" name="legrap" value="<?php print stripslashes($form["legrap"]); ?>" maxlength="100" size="30" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Sesso/pers.giuridica (M/F/G) *&nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Indicare M (maschio) o F (femmina) in caso di persona fisica ovvero G (giuridica) in caso di persona giuridica" type="text" name="sexper" value="<?php print $form["sexper"] ?>" maxlength="1" size="1" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Data di nascita (gg-mm-aaaa) &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Giorno della data di nascita o dell'atto costitutivo" type="text" name="dayn" value="<?php print $form['dayn']; ?>" maxlength="2" size="2" class="FacetInput">
            <input title="Mese della data di nascita o dell'atto costitutivo" type="text" name="monthn" value="<?php print $form['monthn']; ?>"  maxlength="2" size="2" class="FacetInput">
            <input title="Anno della data di nascita o dell'atto costitutivo" type="text" name="yearn" value="<?php print $form['yearn']; ?>" maxlength="4" size="4" class="FacetInput">
        </td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Luogo di nascita - Provincia &nbsp;
        <td class="FacetDataTD" colspan="2"><input title="Localit&agrave; di nascita o dell'atto costitutivo" type="text" name="luonas" value="<?php print stripslashes($form["luonas"]); ?>" maxlength="50" size="30" class="FacetInput">&nbsp;-
            <input title="Provincia di nascita o dell'atto costitutivo" type="text" name="pronas" value="<?php print $form["pronas"] ?>" maxlength="2" size="2" class="FacetInput">&nbsp;
        </td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Indirizzo di spedizione * &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Via e numero civico della sede operativa presso il quale si invieranno i documenti di vendita" type="text" name="indspe" value="<?php print stripslashes($form["indspe"]); ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">CAP *&nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Codice d'avviamento postale della sede operativa presso il quale si invieranno i documenti di vendita" type="text" name="capspe" value="<?php print $form["capspe"] ?>" maxlength="5" size="5" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Citta' - Provincia *&nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Localit&agrave; della sede operativa presso il quale si invieranno i documenti di vendita " type="text" name="citspe" value="<?php print stripslashes($form["citspe"]); ?>" maxlength="50" size="30" class="FacetInput">&nbsp;-
        <input title="Provincia della sede operativa presso il quale si invieranno i documenti di vendita" type="text" name="prospe" value="<?php print $form["prospe"] ?>" maxlength="2" size="2" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Sede legale &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><textarea title="Indirizzzo,CAP,Citt&agrave;,Provincia, della sede legale" type ="text" name="sedleg" rows="2" cols="30" class="FacetInput"><?php  print stripslashes($form["sedleg"]); ?></TEXTAREA></td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Nazione &nbsp;</td>
        <td class="FacetDataTD" colspan="2">
<?php
echo "<select name=\"country\" class=\"FacetSelect\">";
$result = dynQuery("iso,name", $gTables['country'],1,"name ASC");
while ($a_row = dbms_fetch_array($result)) {
       $selected="";
       if($form['country'] == $a_row['iso']) {
            $selected = " selected ";
       }
       echo "<option value=\"".$a_row['iso']."\"".$selected.">".$a_row['iso']." - ".$a_row['name']."</option>";
}
?>
        </td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Telefono &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Recapito telefonico" type="text" name="telefo" value="<?php print stripslashes($form["telefo"]); ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Fax &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Fax" type="text" name="fax" value="<?php print stripslashes($form["fax"]); ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Cellulare &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Cellulare" type="text" name="cell" value="<?php print stripslashes($form["cell"]); ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Codice Fiscale * - Partita IVA * &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Codice Fiscale (16 caratteri), 00000000000 (11 zero) in caso C.F. sconosciuto" type="text" name="codfis" value="<?php print stripslashes($form["codfis"]); ?>" maxlength="16" size="16" class="FacetInput">&nbsp;-
        <input title="Numero di Partita I.V.A. (11 numeri), 00000000000 in caso P.IVA sconosciuta" type="text" name="pariva" value="<?php print stripslashes($form["pariva"]); ?>" maxlength="11" size="11" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">E_Mail &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Indirizzo e-mail o sito web" type="text" name="e_mail" value="<?php print stripslashes($form["e_mail"]); ?>" maxlength="50" size="30" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Agente &nbsp;</td>
        <td colspan="2" class="FacetDataTD">
        <?php
        $select_agente = new selectAgente("id_agente");
        $select_agente -> addSelected($form["id_agente"]);
        $select_agente -> output();
        ?>
        </td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Banca d'appoggio  &nbsp;</td>
        <td colspan="2" class="FacetDataTD">
        <?php
        $select_banapp = new selectbanapp("banapp");
        $select_banapp -> addSelected($form["banapp"]);
        $select_banapp -> output();
        ?>
        </td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Porto resa  &nbsp;</td>
        <td colspan="2" class="FacetDataTD">
        <?php
        $select_portos = new selectportos("portos");
        $select_portos -> addSelected($form["portos"]);
        $select_portos -> output();
        ?>
        </td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Spedizione  &nbsp;</td>
        <td colspan="2" class="FacetDataTD">
        <?php
        $select_spediz = new selectspediz("spediz");
        $select_spediz -> addSelected($form["spediz"]);
        $select_spediz -> output();
        ?>
        </td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Imballo  &nbsp;</td>
        <td colspan="2" class="FacetDataTD">
        <?php
        $select_imball = new selectimball("imball");
        $select_imball -> addSelected($form["imball"]);
        $select_imball -> output();
        ?>
        </td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Listino da applicare (1/2/3) *&nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Listino di vendita da applicare al cliente" type="text" name="listin" value="<?php print $form["listin"]; ?>" maxlength="1" size="1" class="FacetInput"></td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">IBAN &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Coordinate bancarie del conto sul quale appoggiare i pagamenti richiesti al cliente" type="text" name="iban" value="<?php echo stripslashes($form["iban"]); ?>" maxlength="27" size="27" class="FacetInput"></td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Destinazione diversa &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><textarea title="Indirizzzo,CAP,Citt&agrave;,Provincia, della destinazione diversa fissa" name="destin" rows="2" cols="30" class="FacetInput"><?php  stripslashes(print $form["destin"]); ?></TEXTAREA></td>
    </tr>
<tr>
<td class="FacetFieldCaptionTD">Destinazione &rArr; Cliente/Fornitore</td>
<?php
echo "<td colspan=\"2\" class=\"FacetDataTD\">";
$messaggio = "";
$ric_mastro = substr($form['id_des'],0,3);
if ($form['id_des'] == 0) {
   $tabula =" tabindex=\"1\" ";
   if (strlen($_POST['cerca_partner']) >= 2) {
      $anagrafica = new Anagrafica();
      $partner = $anagrafica->queryPartners("*", "(codice between '$iniclienti' and '$finclienti' or codice between '$inifornitori' and '$finfornitori') and ragso1 like '{$_POST['cerca_partner']}%'", "ragso1 asc");
      if (sizeof($partner) > 0) {
         $tabula="";
         echo "\t<select name=\"id_des\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
         echo "<option value=\"000000000\"> ---------- </option>";
         while (list($key, $row) = each($partner)) {
           $selected = "";
           if ($row["codice"] == $form['id_des']) {
               $selected = "selected";
           }
           echo "\t\t <option value=\"".$row["codice"]."\" $selected >".$row["ragso1"]."&nbsp;".$row["citspe"]."</option>\n";
         }
         echo "\t </select>\n";
      } else {
      $messaggio = "Non &egrave; stato trovato nulla!";
   echo "\t<input type=\"hidden\" name=\"id_des\" value=\"".$form['id_des']."\">\n";
      }
   } else {
      $messaggio = "Inserire min. 2 caratteri!";
   echo "\t<input type=\"hidden\" name=\"id_des\" value=\"".$form['id_des']."\">\n";
   }
   echo "\t<input type=\"text\" name=\"cerca_partner\" accesskey=\"e\" value=\"".stripslashes($_POST['cerca_partner'])."\" maxlength=\"15\" size=\"9\" class=\"FacetInput\">\n";
   echo $messaggio;
   echo "\t <input type=\"image\" align=\"middle\" accesskey=\"c\" name=\"search\" src=\"../../library/images/cerbut.gif\"></td>\n";
} else {
   $anagrafica = new Anagrafica();
   $partner = $anagrafica->getPartner($form['id_des']);
   echo "<input type=\"submit\" value=\"".substr($partner['ragso1'],0,30)."\" name=\"newpartner\" title=\" MODIFICA ! \">\n";
   echo "\t<input type=\"hidden\" name=\"id_des\" value=\"".$form['id_des']."\">\n";
}
?>
</td></tr>

    <tr>
        <td class="FacetFieldCaptionTD">Massimo importo delle rate &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Massimo importo delle rata che si desidera applicare ad ogni scadenza mensile" type="text" name="maxrat" value="<?php print $form["maxrat"] ?>" maxlength="10" size="10" class="FacetInput"></td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Raggruppamento documenti (S/N) &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Indicare S in caso si voglia emettere una fattura riepilogativa di tutti i documenti (es.DdT) emessi, N nel caso si voglia generare una fattura per ogni documento" type="text" name="ragdoc" value="<?php print $form["ragdoc"]; ?>" maxlength="1" size="1" class="FacetInput"></td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Addebito spese bolli (S/N) &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Indicare S se si vogliono addebitare le spese per i bolli sulle cambiali-tratte eventualmente emesse, N in caso contrario" type="text" name="addbol" value="<?php print $form["addbol"]; ?>" maxlength="1" size="1" class="FacetInput"></td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Addebito spese bancarie (S/N) &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Indicare S se si vogliono addebitare le spese bancarie sulle R.B. o tratte eventualmente emesse, N in caso contrario " type="text" name="speban" value="<?php print $form["speban"]; ?>" maxlength="1" size="1" class="FacetInput"></td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Addebito spese di fatturazione (S/N) &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Indicare S se si vogliono addebitare le spese di fatturazione, N in caso contrario " type="text" name="spefat" value="<?php print $form["spefat"]; ?>" maxlength="1" size="1" class="FacetInput"></td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Stampa prezzi su D.d.T. (S/N) &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Indicare S se si vuole stampare il prezzo unitario sul D.d.T., N in caso contrario " type="text" name="stapre" value="<?php print $form["stapre"]; ?>" maxlength="1" size="1" class="FacetInput"></td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Data ultima fattura (gg-mm-aaaa)  &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Giorno del'ultima fattura emessa al cliente" type="text" name="dayf" value="<?php print $form['dayf']; ?>" maxlength="2" size="2" class="FacetInput">&nbsp;
        <input title="Mese dell'ultima fattura emessa al cliente" type="text" name="monthf" value="<?php print $form['monthf']; ?>"  maxlength="2" size="2" class="FacetInput">&nbsp;
        <input title="Anno dell'ultima fattura emessa al cliente" type="text" name="yearf" value="<?php print $form['yearf']; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Data ultima bolla (gg-mm-aaaa)  &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Giorno dell'ultimo D.d.T. emesso al cliente" type="text" name="dayb" value="<?php print $form['dayb']; ?>" maxlength="2" size="2" class="FacetInput">&nbsp;
        <input title="Mese dell'ultimo D.d.T. emesso al cliente" type="text" name="monthb" value="<?php print $form['monthb']; ?>"  maxlength="2" size="2" class="FacetInput">&nbsp;
        <input title="Anno dell'ultimo D.d.T. emesso al cliente" type="text" name="yearb" value="<?php print $form['yearb']; ?>" maxlength="4" size="4" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Riduzione I.V.A  &nbsp;</td>
        <td colspan="2" class="FacetDataTD">
        <?php
        $select_aliiva = new selectaliiva("aliiva");
        $select_aliiva -> addSelected($form["aliiva"]);
        $select_aliiva -> output();
echo "</td></tr>\n";
echo "<tr><td class=\"FacetFieldCaptionTD\">Allegato IVA - Elenco Clienti</td>";
echo "<td class=\"FacetDataTD\"><select name=\"allegato\" class=\"FacetSelect\">\n";
$selArray = array(0=>'No', 1=>'Si');
foreach ($selArray as $key => $value) {
         $selected="";
         if($form['allegato'] == $key) {
                $selected = ' selected ';
            }
         echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
}
echo "</select></td></tr>";
?>
    <tr>
        <td class="FacetFieldCaptionTD">Modalit&agrave; di pagamento *&nbsp;</td>
        <td colspan="2" class="FacetDataTD">
        <?php
        $select_pagame = new selectpagame("codpag");
        $select_pagame -> addSelected($form["codpag"]);
        $select_pagame -> output();
        ?>
        </td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">% Sconto da applicare &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Percentuale di sconto incondizionato da applicare al cliente" type="text" name="sconto" value="<?php print $form["sconto"] ?>" maxlength="10" size="5" class="FacetInput"></td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Status &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Stato del cliente" type="text" name="status" value="<?php print stripslashes($form["status"]); ?>" maxlength="10" size="10" class="FacetInput">&nbsp;</td>
    </tr>
    <tr>
        <td class="FacetFieldCaptionTD">Annotazioni &nbsp;</td>
        <td class="FacetDataTD" colspan="2"><input title="Annotazioni varie" type="text" name="annota" value="<?php print stripslashes($form["annota"]); ?>" maxlength="100" size="30" class="FacetInput">&nbsp;</td>
    </tr>
        <td class="FacetFieldCaptionTD">I campi contrassegnati con * sono obbligatori! &nbsp;</td>
        <td colspan="2" align="right" >
        <!-- BEGIN Button Return --><input title="Torna indietro" type="button" name="Back" value="Indietro" onclick="location.href='<?php print "report_client.php?cerca=".$form['ragso1']; ?>'"><!-- END Button Return -->&nbsp;
        <!-- BEGIN Button Delete --><input title="Annulla le modifiche apportate alla schermata" type="reset" name="Delete" value="Cancella"><!-- END Button Delete -->&nbsp;
        <!-- BEGIN Button Insert -->
            <?php
            if ($toDo == 'update') {
                echo '<input title="Accetta tutto e modifica" type="submit" name="confirm" value="MODIFICA !">';
            } else {
                echo '<input title="Accetta tutto e inserisce" type="submit" name="confirm" value="INSERISCI !">';
            }
            ?>
        <!-- END Button Insert -->&nbsp;
        </td>
    </tr>
</table>
</form>
</body>
</html>