<?php
/* $Id: contab_docven.php,v 1.23 2008/10/21 08:54:29 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
require_once("../../library/include/calsca.inc.php");
$message = "";
$azienda = getRow($gTables['aziend'],'codice',1);
$bolli = new Compute;
if (!isset($_POST['hidden_req'])) {
    $_POST['gioexe'] = date("d");
    $_POST['mesexe'] = date("m");
    $_POST['annexe'] = date("Y");
    $_POST['hidden_req'] = '';
}

$castel['import'] = array();
$castel['periva'] = array();
$castco['import'] = array();
$castco['darave'] = array();

if (!isset($_POST['seziva']) and isset($_GET['seziva'])){
    $sezione=intval($_GET['seziva']);
} elseif (isset($_POST['seziva'])) {
    $sezione=intval($_POST['seziva']);
} else {
    $sezione=1;
}
$ctrlprotoc= "";

if (!isset($_POST['proini']) or $_POST['hidden_req'] == 'SEZ') {      //imposto i limiti dei protocolli
    //recupero il primo protocollo da contabilizzare
    $rs_primodoc = dynQuery("*", $gTables['tesdoc'], "tipdoc like 'F__' and seziva = '$sezione' and id_con = 0",'datfat asc, protoc asc',0,1);
    $primodoc = dbms_fetch_array($rs_primodoc);
    $_POST["proini"] =  $primodoc['protoc'];
    if (isset($primodoc['datemi'])){
        $_POST['annexe'] =  substr($primodoc['datemi'],0,4);
    }
    //recupero l'ultimo protocollo da contabilizzare
    $rs_ultimdoc = dynQuery("*", $gTables['tesdoc'], "tipdoc like 'F__' and seziva = '$sezione' and id_con = 0",'protoc desc',0,1);
    $ultimdoc = dbms_fetch_array($rs_ultimdoc);
    $_POST["profin"] =  $ultimdoc['protoc'];
    $_POST['hidden_req'] = '';
}
//controllo se ci sono documenti da contabilizzare nella sezione per l'anno selezionato.
$result = dynQuery("*", $gTables['tesdoc'], "tipdoc like 'F__' and YEAR(datfat) = ".$_POST['annexe']." and  seziva = '$sezione' and id_con = 0 ",'id_tes asc',0,1);
$ctrldoc = dbms_fetch_array($result);
if (! $ctrldoc) {
        $message .= "Non ci sono documenti da contabilizzare per l'anno selezionato";
}
if (!checkdate( $_POST['mesexe'], $_POST['gioexe'], $_POST['annexe'])) {
        $message .= "La data ".$_POST['gioexe']."-".$_POST['mesexe']."-".$_POST['annexe']." non &egrave; corretta! <br>";
}
if ( ! isset($_POST['ckdata'])) {
    $_POST['ckdata'] = 0;
}
if ($_POST['ckdata'] == 1) {
    //recupero l'ultimo protocollo da contabilizzare
    $rs_ultimdoc = dynQuery("*", $gTables['tesdoc'],
    "tipdoc like 'F__' and YEAR(datfat) = ".$_POST['annexe'].
    " and seziva = '$sezione' and id_con = 0 and protoc between '".
    $_POST['proini']."' and '".$_POST['profin']."' ",'protoc desc',0,1);
    $dataultimdoc = dbms_fetch_array($rs_ultimdoc);
    $giofin = substr($dataultimdoc['datfat'],8,2);
    $mesfin = substr($dataultimdoc['datfat'],5,2);
    $annfin = substr($dataultimdoc['datfat'],0,4);
    $utsexe= mktime(0,0,0,$_POST['mesexe'],$_POST['gioexe'],$_POST['annexe']);
    $utsfin= mktime(0,0,0,$mesfin,$giofin,$annfin);
    if ($utsexe < $utsfin) {
        $message .="Almeno un documento tra quelli selezionati ha la data di emissione successiva a quella di registrazione !<br>";
    }
}
if (isset($_POST['Return'])) {
    header("Location:report_docven.php");
    exit;
}

//se viene richiesta la contabilizzazione utilizza la stessa procedura per l'anteprima ma questa volta inserisco i dati nel db
if (isset($_POST['genera'])and $message == "") {
    //recupero i documenti da contabilizzare
    $result = dynQuery("*", $gTables['tesdoc'], "tipdoc like 'F__' and YEAR(datfat) = {$_POST['annexe']} and seziva = '$sezione' and id_con = 0 and protoc between '{$_POST['proini']}' and '{$_POST['profin']}'",'protoc asc, id_tes asc');
    while ($tesdoc = dbms_fetch_array($result)) {
          if ( $tesdoc['protoc'] <> $ctrlprotoc) {
             if ($ctrlprotoc != "") { //se non  pi&ugrave; lo stesso protocollo e non  il primo documento introduco il totale del documentoa
                //aggiungo il trasporto al castelletto sull'aliquota della testata
                if ($ivaspe > 0) {
                   $rsiva = $ivaspe;
                } else {
                   $rsiva = 1;
                }
                $iva_tes = getRow($gTables['aliiva'],"codice","$rsiva");
                if (!isset($castel['import'][$rsiva])) {
                    $castel['import'][$rsiva]= '0.00';
                }
                //creo il castelletto iva
                if ($pagame['tippag'] == 'B' or $pagame['tippag'] == 'T' or $pagame['tippag'] == 'V') {
                   $spese = $pagame['numrat']* $azienda['sperib'];
                } else {
                   $spese = 0.00;
                }
                //inserisco la testata
                tesmovInsert($tipdoc, $desmov, $datdoc, $sezione, $protoc, $numdoc, $datdoc, $client,$registro,$operatore,'');
                //recupero l'id assegnato dall'inserimento
                $ultimo_id = ultimoID();
                //modifico le testate documenti introducendo il numero del movimento contabile e variando lo status
                putQuery($gTables['tesdoc'],"datfat = '$datdoc' and seziva = '$sezione' and protoc = '$protoc'","id_con",$ultimo_id);
                putQuery($gTables['tesdoc'],"datfat = '$datdoc' and seziva = '$sezione' and protoc = '$protoc'","status",'CONTABILIZ');
                //ricavo i totali dal castelletto IVA e li indroduco nel DB
                foreach ($castel['import'] as $key => $value) {
                        $iva_rig = getRow($gTables['aliiva'],"codice",$key);
                        $impcast = $value - $value * $sconto/100;
                        if ($key == $iva_tes['codice']) {
                           $impcast = $impcast + $spebanca + $tottraspo;
                        }
                        if (isset($castel['periva'][$key])){
                           $ivacast =  round($impcast * $castel['periva'][$key])/ 100;
                        } else {
                           $castel['periva'][$key] = 0;
                        }
                        $totimpmer = number_format($totimpmer + $value,2, '.', '');
                        $totimpfat = number_format($totimpfat + $impcast,2, '.', '');
                        $totivafat = number_format($totivafat + $ivacast,2, '.', '');
                        //inserisco il rigo iva nel db
                        rigmoiInsert($ultimo_id, $iva_rig['tipiva'], $key, $castel['periva'][$key], number_format($impcast,2, '.', ''), number_format($ivacast,2, '.', ''));
                }
                //inserisco il totale iva, spese e trasporti nei movimenti contabili con modalit&agrave; differenti a secondo del tipo di documneto
                if  ($tipdoc == 'FAD' || $tipdoc == 'FAI' || $tipdoc == 'FND'|| $tipdoc == 'ANC') {
                    rigmocInsert($ultimo_id, 'A', $azienda['ivaven'], $totivafat);
                    if ($spebanca > 0)
                       rigmocInsert($ultimo_id, 'A', $azienda['impspe'], $spebanca);
                    if ($tottraspo > 0)
                       rigmocInsert($ultimo_id, 'A', $azienda['imptra'], $tottraspo);
                } else if ($tipdoc == 'AFA' || $tipdoc == 'AND' || $tipdoc == 'FNC') {
                    rigmocInsert($ultimo_id, 'D', $azienda['ivaven'], $totivafat);
                if ($spebanca > 0)
                    rigmocInsert($ultimo_id, 'D', $azienda['impspe'], $spebanca);
                if ($tottraspo > 0)
                    rigmocInsert($ultimo_id, 'D', $azienda['imptra'], $tottraspo);
                }
                //ricavo i totali dal castelletto dei conti e li indroduco nel DB
                foreach ($castco['import'] as $key => $value) {
                        $valcont = $value - $value * $sconto/100;
                        //inserisco il rigo contabile nel db
                        rigmocInsert($ultimo_id, $castco['darave'][$key], $key, number_format($valcont,2, '.', ''));
                }
                //se il pagamento  del tipo TRATTA calcolo i bolli da addebitare per l'emissione dell'effetto e li introduco nel db
                if ($pagame['tippag'] == 'T') {
                   $iva_rig = getRow($gTables['aliiva'],"codice",$azienda['ivabol']);
                   $impbol = $bolli->stampTax($totimpfat+$totriport+$totivafat,$perbollo);
                   $ivabolli = number_format(round($impbol * $iva_rig['aliquo'])/ 100 ,2, '.', '');
                   if ($tipdoc == 'FAD' || $tipdoc == 'FAI' || $tipdoc == 'FND') {
                      rigmoiInsert($ultimo_id, $iva_rig['tipiva'], $azienda['ivabol'],$iva_rig['aliquo'] , $impbol, $ivabolli);
                      rigmocInsert($ultimo_id, 'A', $azienda['boleff'], $impbol);
                   } else if  ($tipdoc == 'FNC' ) {
                      rigmoiInsert($ultimo_id, $iva_rig['tipiva'], $azienda['ivabol'],$iva_rig['aliquo'] , $impbol, $ivabolli);
                      rigmocInsert($ultimo_id, 'D', $azienda['boleff'], $impbol);
                   } else if  ($tipdoc == 'AFA' || $tipdoc == 'AND' ) {
                      rigmoiInsert($ultimo_id, $iva_rig['tipiva'], $azienda['ivabol'],$iva_rig['aliquo'] , $impbol, $ivabolli);
                      rigmocInsert($ultimo_id, 'D', $azienda['boleff'], $impbol);
                   } else if ($tipdoc == 'ANC' ) {
                      rigmoiInsert($ultimo_id, $iva_rig['tipiva'], $azienda['ivabol'],$iva_rig['aliquo'] , $impbol, $ivabolli);
                      rigmocInsert($ultimo_id, 'A', $azienda['boleff'], $impbol);
                   }
                }
                $totale = number_format($totimpfat + $impbol + $totivafat,2, '.', '');
                //inserisco il totale  nei movimenti contabili
                if  ($tipdoc == 'FAD' || $tipdoc == 'FAI' || $tipdoc == 'FND' || $tipdoc == 'ANC') {
                    rigmocInsert($ultimo_id, 'D', $client, $totale);
                } else if  ($tipdoc == 'AFA' || $tipdoc == 'AND' || $tipdoc == 'FNC' ) {
                    rigmocInsert($ultimo_id, 'A', $client, $totale);
                }
                //se il pagamento prevede l'incasso automatico introduco i due righi per il saldo
                if ($pagame['incaut'] == 'S') {
                   if ($tipdoc == 'FAD' || $tipdoc == 'FAI' || $tipdoc == 'FND' || $tipdoc == 'ANC') {
                      rigmocInsert($ultimo_id, 'A', $client, $totale);
                      rigmocInsert($ultimo_id, 'D', $azienda['cassa_'], $totale);
                   } else if  ($tipdoc == 'AFA' || $tipdoc == 'AND' || $tipdoc == 'FNC') {
                     rigmocInsert($ultimo_id, 'D', $client, $totale);
                     rigmocInsert($ultimo_id, 'A', $azienda['cassa_'], $totale);
                   }
                }
                //azzero i castelletti
                foreach ($castel['import'] as $i => $value) {
                        unset($castel['import'][$i]);
                        unset($castel['periva'][$i]);
                }
                foreach ($castco['import'] as $c => $value) {
                        unset($castco['import'][$c]);
                        unset($castco['darave'][$c]);
                }
            }
            $client = getRow($gTables['clfoco'],"codice",$tesdoc['clfoco']);
            $pagame = getRow($gTables['pagame'],"codice",$tesdoc['pagame']);
            $giorno = substr($tesdoc['datfat'],8,2);
            $mese = substr($tesdoc['datfat'],5,2);
            $anno = substr($tesdoc['datfat'],0,4);
            $perbollo=$azienda['perbol'];
            //azzero i totali
            $impbol=0.00;
            $totimpmer=0.00;
            $totivafat=0.00;
            $totimpfat=0.00;
            $tottraspo=0.00;
            $spebanca=0.00;
            $totriport="";
            $ctrlprotoc = $tesdoc['protoc'];
        }
        $tottraspo = number_format($tesdoc['traspo'] + $tottraspo,2, '.', '');
        $spebanca = number_format($tesdoc['speban']*$pagame['numrat'],2, '.', '');
        $testat = $tesdoc['id_tes'];
        $client = $tesdoc['clfoco'];
        $ivaspe = $tesdoc['ivaspe'];
        $sconto = $tesdoc['sconto'];
        $datdoc = $tesdoc['datfat'];
        $protoc = $tesdoc['protoc'];
        $tipdoc = $tesdoc['tipdoc'];
        // Registri ('0' => 'Nessuno','2' => 'Fatture di Vendite','4' => 'Corrispettivi','6' => 'Acquisti');
        // Operatore ('0' => 'Non opera','1' => 'Somma','2' => 'Sottrae');
        switch($tipdoc) {
            case "FAD":
            $desmov = 'FATTURA DIFFERITA A CLIENTE';
            $registro = 2;
            $operatore = 1;
            break;
            case "FAI":
            $desmov = 'FATTURA IMMEDIATA A CLIENTE';
            $registro = 2;
            $operatore = 1;
            break;
            case "FNC":
            $desmov = 'NOTA CREDITO A CLIENTE';
            $registro = 2;
            $operatore = 2;
            break;
            case "FND":
            $desmov = 'NOTA DEBITO A CLIENTE';
            $registro = 2;
            $operatore = 1;
            break;
            case "AFA":
            $desmov = 'FATTURA D\'ACQUISTO';
            $registro = 6;
            $operatore = 1;
            break;
            case "ANC":
            $desmov = 'NOTA CREDITO DA FORNITORE';
            $registro = 6;
            $operatore = 2;
            break;
            case "AND":
            $desmov = 'NOTA DEBITO DA FORNITORE';
            $registro = 6;
            $operatore = 1;
            break;
            default :
            $desmov = 'DOCUMENTO SCONOSCIUTO';
            $registro = 0;
            $operatore = 0;
            break;
        }
        $numdoc = $tesdoc['numfat'];
        //recupero i dati righi per ricreare il castelletto
        $rs_rig = dynQuery("*", $gTables['rigdoc'], "id_tes = '{$tesdoc['id_tes']}'","id_tes desc");
        while ($rigo = dbms_fetch_array($rs_rig)) {
              //calcolo importo rigo
              $importo = CalcolaImportoRigo($rigo['quanti'], $rigo['prelis'], $rigo['sconto']);
              if ($rigo['tiprig'] == 1) {
                    $importo = CalcolaImportoRigo(1, $rigo['prelis'], 0);
              }
              if ($rigo['tiprig'] == 3) {
                    $importo = CalcolaImportoRigo(1, $rigo['prelis']+$totriport, 0);
              }
              //creo il castelletto IVA
              $codvat = $rigo['codvat'];
              if ($rigo['tiprig'] <= 1) {//ma solo se del tipo normale o forfait
                 if (!isset($castel['import'][$codvat])) {
                    $castel['import'][$codvat] = "0.00";
                    $castel['periva'][$codvat] = $rigo['pervat'];
                 }
                 $castel['import'][$codvat] = number_format(($castel['import'][$codvat] + $importo),2,'.','');
                 //creo il castelletto conti
                 $conric = $rigo['codric'];
                 if (!isset($castco['import'][$conric])) {
                    $castco['import'][$conric] = 0.00;
                 }
                 if  ($tesdoc['tipdoc'] == 'FAD' ||
                      $tesdoc['tipdoc'] == 'FAI' ||
                      $tesdoc['tipdoc'] == 'FND' ||
                      $tesdoc['tipdoc'] == 'ANC'
                      ) {
                      $castco['darave'][$conric] = 'A';
                 } else {
                      $castco['darave'][$conric] = 'D';
                 }
                 $castco['import'][$conric] = number_format(($castco['import'][$conric] + $importo),2,'.','');
              }
        }
    }
    //la procedura sottostante  la stessa presente  sul ciclo while delle testate per la chiusura del documento

    //aggiungo il trasporto al castelletto sull'aliquota della testata
    if ($ivaspe > 0)
        $rsiva = $ivaspe;
    else
        $rsiva = 1;
    $iva_tes = getRow($gTables['aliiva'],"codice","$rsiva");
    if (!isset($castel['import'][$rsiva]))
         $castel['import'][$rsiva]= '0.00';
    //inserisco la testata
    tesmovInsert($tipdoc, $desmov, $datdoc, $sezione, $protoc, $numdoc, $datdoc, $client,$registro,$operatore,'');
    //recupero l'id assegnato dall'inserimento
    $ultimo_id = ultimoID();
    //modifico le testate documenti introducendo il numero del movimento contabile e variando lo status
    putQuery($gTables['tesdoc'],"datfat = '$datdoc' and seziva = '$sezione' and protoc = '$protoc'","id_con",$ultimo_id);
    putQuery($gTables['tesdoc'],"datfat = '$datdoc' and seziva = '$sezione' and protoc = '$protoc'","status",'CONTABILIZ');
    //ricavo i totali dal castelletto IVA e li indroduco nel DB
    foreach ($castel['import'] as $key => $value) {
           $iva_rig = getRow($gTables['aliiva'],"codice",$key);
           $impcast = $value - $value * $sconto/100;
           if ($key == $iva_tes['codice'])
               $impcast = $impcast + $spebanca + $tottraspo;
           $ivacast =  round($impcast * $castel['periva'][$key])/ 100;
           $totimpmer = number_format($totimpmer + $value,2, '.', '');
           $totimpfat = number_format($totimpfat + $impcast,2, '.', '');
           $totivafat = number_format($totivafat + $ivacast,2, '.', '');
           //inserisco il rigo iva nel db
           rigmoiInsert($ultimo_id,  $iva_rig['tipiva'], $key, $castel['periva'][$key], number_format($impcast,2, '.', ''), number_format($ivacast,2, '.', ''));
    }
    //inserisco il totale iva, spese e trasporti nei movimenti contabili con modalit&agrave; differenti a secondo del tipo di documneto
    if  ($tipdoc == 'FAD' || $tipdoc == 'FAI' || $tipdoc == 'FND'|| $tipdoc == 'ANC') {
           rigmocInsert($ultimo_id, 'A', $azienda['ivaven'], $totivafat);
           if ($spebanca > 0)
                rigmocInsert($ultimo_id, 'A', $azienda['impspe'], $spebanca);
           if ($tottraspo > 0)
                rigmocInsert($ultimo_id, 'A', $azienda['imptra'], $tottraspo);
    } else if ($tipdoc == 'AFA' || $tipdoc == 'AND' || $tipdoc == 'FNC') {
           rigmocInsert($ultimo_id, 'D', $azienda['ivaven'], $totivafat);
           if ($spebanca > 0)
               rigmocInsert($ultimo_id, 'D', $azienda['impspe'], $spebanca);
               if ($tottraspo > 0)
                   rigmocInsert($ultimo_id, 'D', $azienda['imptra'], $tottraspo);
    }
    //ricavo i totali dal castelletto dei conti e li indroduco nel DB
    foreach ($castco['import'] as $key => $value) {
             $valcont = $value - $value * $sconto/100;
             //inserisco il rigo contabile nel db
             rigmocInsert($ultimo_id, $castco['darave'][$key], $key, number_format($valcont,2, '.', ''));
    }
    //se il pagamento &egrave; del tipo TRATTA calcolo i bolli da addebitare per l'emissione dell'effetto e li introduco nel db
    if ($pagame['tippag'] == 'T')
                {
                $iva_rig = getRow($gTables['aliiva'],"codice",$azienda['ivabol']);
                $impbol = $bolli->stampTax($totimpfat+$totriport+$totivafat,$perbollo);
                $ivabolli = number_format(round($impbol * $iva_rig['aliquo'])/ 100 ,2, '.', '');
                if  ($tipdoc == 'FAD' || $tipdoc == 'FAI' || $tipdoc == 'FND')
                    {
                    rigmoiInsert($ultimo_id,$iva_rig['tipiva'], $azienda['ivabol'],$iva_rig['aliquo'] , $impbol, $ivabolli);
                    rigmocInsert($ultimo_id, 'A', $azienda['boleff'], $impbol);
                    }
                else if  ($tipdoc == 'FNC' )
                    {
                    rigmoiInsert($ultimo_id, $iva_rig['tipiva'], $azienda['ivabol'],$iva_rig['aliquo'] , $impbol, $ivabolli);
                    rigmocInsert($ultimo_id, 'D', $azienda['boleff'], $impbol);
                    }
                else if  ($tipdoc == 'AFA' || $tipdoc == 'AND' )
                    {
                    rigmoiInsert($ultimo_id, $iva_rig['tipiva'], $azienda['ivabol'],$iva_rig['aliquo'] , $impbol, $ivabolli);
                    rigmocInsert($ultimo_id, 'D', $azienda['boleff'], $impbol);
                    }
                else if  ($tipdoc == 'ANC' )
                    {
                    rigmoiInsert($ultimo_id, $iva_rig['tipiva'], $azienda['ivabol'],$iva_rig['aliquo'] , $impbol, $ivabolli);
                    rigmocInsert($ultimo_id, 'A', $azienda['boleff'], $impbol);
                    }
                }
            $totale = number_format($totimpfat + $impbol + $totivafat,2, '.', '');
            //inserisco il totale  nei movimenti contabili
            if  ($tipdoc == 'FAD' || $tipdoc == 'FAI' || $tipdoc == 'FND' || $tipdoc == 'ANC')
                rigmocInsert($ultimo_id, 'D', $client, $totale);
            else if  ($tipdoc == 'AFA' || $tipdoc == 'AND' || $tipdoc == 'FNC' )
                rigmocInsert($ultimo_id, 'A', $client, $totale);
            //se il pagamento prevede l'incasso automatico introduco i due righi per il saldo
           if ($pagame['incaut'] == 'S')
                {
                if  ($tipdoc == 'FAD' || $tipdoc == 'FAI' || $tipdoc == 'FND' || $tipdoc == 'ANC')
                    {
                    rigmocInsert($ultimo_id, 'A', $client, $totale);
                    rigmocInsert($ultimo_id, 'D', $azienda['cassa_'], $totale);
                    }
                else if  ($tipdoc == 'AFA' || $tipdoc == 'AND' || $tipdoc == 'FNC')
                    {
                    rigmocInsert($ultimo_id, 'D', $client, $totale);
                    rigmocInsert($ultimo_id, 'A', $azienda['cassa_'], $totale);
                    }
                }
            header("Location: report_docven.php");
            exit;
}
require_once("../../library/include/header.php");
HeadMain();
?>
<form method="POST">
<?php
echo '<input type="hidden" name="hidden_req" value="'.$_POST['hidden_req'].'" />';
echo '<div align="center" class="FacetFormHeaderFont">';
echo 'Contabilizzazione delle vendite della sez. ';
echo "<select name=\"seziva\" class=\"FacetFormHeaderFont\" onchange=\"this.form.hidden_req.value='SEZ'; this.form.submit();\">\n";
for ($counter = 1; $counter <= 3; $counter++) {
    $selected="";
    if ($sezione == $counter) {
       $selected = " selected ";
    }
    echo "<option value=\"".$counter."\"".$selected.">".$counter."</option>\n";
}
echo "</select>\n";
?></div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
<?php
if (! $message == "") {
    echo "<tr><td colspan=\"2\" class=\"FacetDataTDred\">$message</td></tr>";
}
?>
<tr>
<td class="FacetFieldCaptionTD">Data </td>
<td class="FacetDataTD" >
<?php
// select del giorno
echo "\t <select name=\"gioexe\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 31; $counter++ ){
    $selected = "";
    if($counter ==  $_POST['gioexe'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
}
echo "\t </select>\n";
// select del mese
echo "\t <select name=\"mesexe\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 1; $counter <= 12; $counter++ ) {
    $selected = "";
    if($counter == $_POST['mesexe'])
            $selected = "selected";
    $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
    echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
}
echo "\t </select>\n";
// select del anno
echo "\t <select name=\"annexe\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
for( $counter = 2003; $counter <= 2030; $counter++ ) {
    $selected = "";
    if($counter == $_POST['annexe'])
            $selected = "selected";
    echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
}
echo "\t </select>\n";
?>
</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD"> Data registrazione &nbsp;</td>
<td class="FacetDataTD">
<?php
if($_POST['ckdata'] == 0) {
    $checked0 = "checked";
    $checked1 = "";
} else {
    $checked1 = "checked";
    $checked0 = "";
}
echo "\t\t <input type=\"radio\" name=\"ckdata\" value=0 $checked0> data fattura \n";
echo "\t\t <input type=\"radio\" name=\"ckdata\" value=1 $checked1> come sopra \n";
?>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Protocollo iniziale </td>
<td class="FacetDataTD"><input type="hidden" name="proini" value="<?php echo $_POST["proini"] ?>" maxlength="5" size="5" class="FacetInput"> <?php echo $_POST["proini"]; ?> &nbsp;</td>
</tr>
<tr>
<td class="FacetFieldCaptionTD">Protocollo finale &nbsp;</td>
<td class="FacetDataTD"><input title="Numero di protocollo dell'ultima fattura che si intende contabilizzare" type="text" name="profin" value="<?php echo $_POST["profin"] ?>" maxlength="5" size="5" class="FacetInput">&nbsp;</td>
<tr>
<td class="FacetFieldCaptionTD"> &nbsp;</td>
<td colspan="2" align="right" nowrap class="FacetFooterTD">
<input type="submit" name="Return" value="Indietro">&nbsp;
<input type="submit" name="anteprima" value="VISUALIZZA L'ANTEPRIMA !">&nbsp;
</td>
</tr>
</table>
<?php
//mostro l'anteprima
if (isset($_POST['anteprima']) and $message == "") {
   //recupero i documenti da contabilizzare
   $where = "tipdoc LIKE 'F%' AND YEAR(datfat) = ".$_POST['annexe'].
            " AND  seziva = $sezione AND id_con = 0 AND protoc BETWEEN "
            .$_POST['proini'].' AND '.$_POST['profin'];
   $result = dynQuery("*", $gTables['tesdoc'], $where,'protoc ASC, id_tes ASC');
   echo "<div><center><b>ANTEPRIMA CONTABILIZZAZIONE </b></div>";
   echo "<table class=\"Tlarge\">";
   echo "<th class=\"FacetFieldCaptionTD\">Data</th><th class=\"FacetFieldCaptionTD\">Prot.</th><th class=\"FacetFieldCaptionTD\">Tipo</th><th class=\"FacetFieldCaptionTD\">N.</th><th class=\"FacetFieldCaptionTD\">Cliente</th><th class=\"FacetFieldCaptionTD\">Imponibile</th><th class=\"FacetFieldCaptionTD\">IVA</th><th class=\"FacetFieldCaptionTD\">Bolli</th><th class=\"FacetFieldCaptionTD\">Totale</th>";
   while ($tesdoc = dbms_fetch_array($result)) {
         if ( $tesdoc['protoc'] <> $ctrlprotoc)
            {
            if ($ctrlprotoc != "") { //se non &egrave; pi&ugrave; lo stesso protocollo e non &egrave; il primo documento introduco il totale del documentoa
               //aggiungo il trasporto al castelletto sull'aliquota della testata
               if ($ivaspe > 0) {
                  $rsiva = $ivaspe;
               } else {
                   $rsiva = 1;
               }
               $iva_tes = getRow($gTables['aliiva'],"codice","$rsiva");
               if (!isset($castel['import'][$rsiva])) $castel['import'][$rsiva]= '0.00';
               //creo il castelletto iva
               if ($pagame['tippag'] == 'B' or $pagame['tippag'] == 'T' or $pagame['tippag'] == 'V') {
                  $spese = $pagame['numrat']* $azienda['sperib'];
                } else {
                  $spese = 0.00;
                }
                //ricavo i totali dal castelletto IVA e li indroduco nel DB
                foreach ($castel['import'] as $key => $value) {
                        $iva_rig = getRow($gTables['aliiva'],"codice","$key");
                        $impcast = $value - $value * $sconto/100;
                        if ($key == $iva_tes['codice']) {
                           $impcast = $impcast + $spebanca + $tottraspo;
                        }
                        if (isset($castel['periva'][$key])) {
                           $ivacast =  round($impcast * $castel['periva'][$key])/ 100;
                        }
                        $totimpmer = number_format($totimpmer + $value,2, '.', '');
                        $totimpfat = number_format($totimpfat + $impcast,2, '.', '');
                        $totivafat = number_format($totivafat + $ivacast,2, '.', '');
                }
                //ricavo i totali dal castelletto dei conti e li indroduco nel DB
                foreach ($castco['import'] as $key => $value) {
                        $valcont = $value - $value * $sconto/100;
                }
                //se il pagamento &egrave; del tipo TRATTA calcolo i bolli da addebitare per l'emissione dell'effetto e li introduco nel db
                if ($pagame['tippag'] == 'T') {
                   $impbol = $bolli->stampTax($totimpfat+$totriport+$totivafat,$perbollo);
                   $castel['import'][$azienda['ivabol']] = $impbol;
                   $iva_bol = getRow($gTables['aliiva'],"codice",$azienda['ivabol']);
                   $castel['periva'][$azienda['ivabol']] = $iva_bol['aliquo'];
                   $castco['import'][$azienda['boleff']] = $impbol;
                   $castco['darave'][$azienda['boleff']] = 'A';
                }
                $totale = number_format($totimpfat + $impbol + $totivafat,2, '.', '');
                //stampo i dati del documento
                echo '<tr><td>'.$datdoc.'</td><td>'.$protoc.'</td><td>'.$tipdoc.'</td><td>'.$numdoc.'</td><td>'.$client['ragso1'].'</td><td align=\'right\'>'.$totimpfat.'</td><td align=\'right\'>'.$totivafat.'</td><td align=\'right\'>'.$impbol.'</td><td align=\'right\'>'.$totale.'</td></tr>';
                //azzero i castelletti
                foreach ($castel['import'] as $i => $value) {
                        unset($castel['import'][$i]);
                        unset($castel['periva'][$i]);
                }
                foreach ($castco['import'] as $c => $value) {
                        unset($castco['import'][$c]);
                        unset($castco['darave'][$c]);
                }
            }
        $client = getRow($gTables['clfoco'],"codice",$tesdoc['clfoco']);
        $pagame = getRow($gTables['pagame'],"codice",$tesdoc['pagame']);
        $giorno = substr($tesdoc['datfat'],8,2);
        $mese = substr($tesdoc['datfat'],5,2);
        $anno = substr($tesdoc['datfat'],0,4);
        $perbollo=$azienda['perbol'];
        //azzero i totali
        $impbol=0.00;
        $totimpmer=0.00;
        $totivafat=0.00;
        $totimpfat=0.00;
        $tottraspo=0.00;
        $spebanca=0.00;
        $totriport="";
        $ctrlprotoc = $tesdoc['protoc'];
        }
    $tottraspo = $tesdoc['traspo'] + $tottraspo;
    $spebanca = $tesdoc['speban']*$pagame['numrat'];
    $testat = $tesdoc['id_tes'];
    $ivaspe = $tesdoc['ivaspe'];
    $sconto = $tesdoc['sconto'];
    $datdoc = $tesdoc['datfat'];
    $protoc = $tesdoc['protoc'];
    $tipdoc = $tesdoc['tipdoc'];
    $numdoc = $tesdoc['numfat'];
    //recupero i dati righi per ricreare il castelletto
    $rs_rig = dynQuery("*", $gTables['rigdoc'], "id_tes = '{$tesdoc['id_tes']}'","id_tes desc");
    while ($rigo = dbms_fetch_array($rs_rig))
        {
        //calcolo importo rigo
        $importo = CalcolaImportoRigo($rigo['quanti'], $rigo['prelis'], $rigo['sconto']);
        if ($rigo['tiprig'] == 1) {
            $importo = CalcolaImportoRigo(1, $rigo['prelis'], 0);
        }
        if ($rigo['tiprig'] == 3) {
            $totriport = $rigo['prelis']+$totriport;
        }
        //creo il castelletto IVA
        $codvat = $rigo['codvat'];
        if ($rigo['tiprig'] <= 1) //ma solo se del tipo normale o forfait
        {
        if (!isset($castel['import'][$codvat]))
            {
            $castel['import'][$codvat] = "0.00";
            $castel['periva'][$codvat] = $rigo['pervat'];
            }
        if  (   $tesdoc['tipdoc'] == 'FAD' ||
                $tesdoc['tipdoc'] == 'FAI' ||
                $tesdoc['tipdoc'] == 'FND' ||
                $tesdoc['tipdoc'] == 'ANC'
            )
            $castel['import'][$codvat] = number_format(($castel['import'][$codvat] + $importo),2,'.','');
            else
            $castel['import'][$codvat] = number_format(($castel['import'][$codvat] - $importo),2,'.','');
        }
        //creo il castelletto conti
        $conric = $rigo['codric'];
        if (!isset($castco['import'][$conric]))
                $castco['import'][$conric] = 0.00;
            if  (   $tesdoc['tipdoc'] == 'FAD' ||
                $tesdoc['tipdoc'] == 'FAI' ||
                $tesdoc['tipdoc'] == 'FND' ||
                $tesdoc['tipdoc'] == 'ANC'
                )
                $castco['darave'][$conric] = 'A';
            else
            $castco['darave'][$conric] = 'D';
            $castco['import'][$conric] = number_format(($castco['import'][$conric] + $importo),2,'.','');
        }
}
            //la procedura sottostante &egrave; la stessa presente  sul ciclo while delle testate per la chiusura del documento
            //aggiungo il trasporto al castelletto sull'aliquota della testata
            if ($ivaspe > 0)
                $rsiva = $ivaspe;
            else
            $rsiva = 1;
            $iva_tes = getRow($gTables['aliiva'],"codice","$rsiva");
            if (!isset($castel['import'][$rsiva]))
                $castel['import'][$rsiva]= '0.00';
            //ricavo i totali dal castelletto IVA e li indroduco nel DB
            foreach ($castel['import'] as $key => $value)
                {
                $iva_rig = getRow($gTables['aliiva'],"codice","$key");
                $impcast = $value - $value * $sconto/100;
                if ($key == $iva_tes['codice'])
                    $impcast = $impcast + $spebanca + $tottraspo;
                $ivacast =  round($impcast * $castel['periva'][$key])/ 100;
                $totimpmer = number_format($totimpmer + $value,2, '.', '');
                $totimpfat = number_format($totimpfat + $impcast,2, '.', '');
                $totivafat = number_format($totivafat + $ivacast,2, '.', '');
               }
            //ricavo i totali dal castelletto dei conti e li indroduco nel DB
            foreach ($castco['import'] as $key => $value)
                {
                $valcont = $value - $value * $sconto/100;
                }
            //se il pagamento &egrave; del tipo TRATTA calcolo i bolli da addebitare per l'emissione dell'effetto
            if ($pagame['tippag'] == 'T'){
                $impbol = $bolli->stampTax($totimpfat+$totriport+$totivafat,$perbollo);
                $castel['import'][$azienda['ivabol']] = $impbol;
                $iva_bol = getRow($gTables['aliiva'],"codice",$azienda['ivabol']);
                $castel['periva'][$azienda['ivabol']] = $iva_bol['aliquo'];
                $castco['import'][$azienda['boleff']] = $impbol;
                $castco['darave'][$azienda['boleff']] = 'A';
            }
            $totale = number_format($totimpfat + $impbol + $totivafat,2, '.', '');
            //stampo i totali
            echo '<tr><td>'.$datdoc.'</td><td>'.$protoc.'</td><td>'.$tipdoc.'</td><td>'.$numdoc.'</td><td>'.$client['ragso1'].'</td><td align=\'right\'>'.$totimpfat.'</td><td align=\'right\'>'.$totivafat.'</td><td align=\'right\'>'.$impbol.'</td><td align=\'right\'>'.$totale.'</td></tr>';
            echo "<tr><td colspan=\"9\" align=\"right\"><input type=\"submit\" name=\"genera\" value=\"CONFERMA LA CONTABILIZZAZIONE DELLE FATTURE SOPRARIPORTATE !\"></TD></tr></table>";
}
?>
</form>
</body>
</html>