<?php
 /* $Id: distin_effett.php,v 1.12 2008/10/18 13:49:25 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
require_once("../../library/include/calsca.inc.php");
checkAdmin();
$anno = date("Y");
$oggi = date("Y-m-d");
$orainizio = date("Y-m-d H:i:s");
$message = "";
$azienda = getRow($gTables['aziend'],"codice","1");
$clienti = $azienda['mascli'];
$rs_effett = dynQuery("*", $gTables['effett'],"status <> 'DISTINTATO'","scaden desc",0,1);
$ultisca = dbms_fetch_array($rs_effett);
$rs_effett = dynQuery("*", $gTables['effett'],"status <> 'DISTINTATO'","id_tes asc",0,1);
$primpro = dbms_fetch_array($rs_effett);
$rs_effett = dynQuery("*", $gTables['effett'],"status <> 'DISTINTATO'","id_tes desc",0,1);
$ultipro = dbms_fetch_array($rs_effett);
if (! $ultipro and !isset($_GET['ristam']))
    {
    $_GET['codcli'] = "";
    $_GET['ragso1'] = "";
    $_GET['gioemi'] = date("d");
    $_GET['mesemi'] = date("m");
    $_GET['annemi'] = date("Y");
    $_GET['gioini'] = date("d");
    $_GET['mesini'] = date("m");
    $_GET['annini'] = date("Y");
    $_GET['giofin'] = date("d");
    $_GET['mesfin'] = date("m");
    $_GET['annfin'] = date("Y");
    }
    if (!isset($_GET['banacc']))
        $_GET['banacc'] = "";
    if (!isset($_GET['ristam']))
        $_GET['ristam'] = "N";
    if (!isset($_GET['gioemi']))
        $_GET['gioemi'] = date("d");
    if (!isset($_GET['mesemi']))
        $_GET['mesemi'] = date("m");
    if (!isset($_GET['annemi']))
        $_GET['annemi'] = date("Y");
    if (!isset($_GET['gioini']))
        $_GET['gioini'] = date("d");
    if (!isset($_GET['mesini']))
        $_GET['mesini'] = substr($ultipro['datemi'],5,2);
    if (!isset($_GET['annini']))
        $_GET['annini'] = substr($ultipro['datemi'],0,4);
    if (!isset($_GET['giofin']))
        $_GET['giofin'] = strftime ("%d", mktime (0,0,0,substr($ultisca['scaden'],5,2)+1,0,substr($ultisca['scaden'],0,4)));
    if (!isset($_GET['mesfin']))
        $_GET['mesfin'] = substr($ultisca['scaden'],5,2);
    if (!isset($_GET['annfin']))
        $_GET['annfin'] = substr($ultisca['scaden'],0,4);
    if (!isset($_GET['proini']))
        $_GET['proini'] = $primpro['progre'];
    if (!isset($_GET['profin']))
        $_GET['profin'] = $ultipro['progre'];
    //controllo i campi
    if (!checkdate( $_GET['mesemi'], $_GET['gioemi'], $_GET['annemi']))
        $message .= "La data ".$_GET['gioemi']."-".$_GET['mesemi']."-".$_GET['annemi']." non &egrave; corretta! <br>";
    if (!checkdate( $_GET['mesini'], $_GET['gioini'], $_GET['annini']))
        $message .= "La data ".$_GET['gioini']."-".$_GET['mesini']."-".$_GET['annini']." non &egrave; corretta! <br>";
    if (!checkdate( $_GET['mesfin'], $_GET['giofin'], $_GET['annfin']))
        $message .= "La data ".$_GET['giofin']."-".$_GET['mesfin']."-".$_GET['annfin']." non &egrave; corretta! <br>";
    $utsemi= mktime(0,0,0,$_GET['mesemi'],$_GET['gioemi'],$_GET['annemi']);
    $utsini= mktime(0,0,0,$_GET['mesini'],$_GET['gioini'],$_GET['annini']);
    $utsfin= mktime(0,0,0,$_GET['mesfin'],$_GET['giofin'],$_GET['annfin']);
    if ($utsemi > $utsini)
        $message .="La data della distinta non pu&ograve; essere successiva alla data della prima scadenza !<br>";
    if ($utsini > $utsfin)
        $message .="La data della prima scadenza non pu&ograve; essere successiva alla data dell'ultima !<br>";
if (isset($_GET['genera']) and $message == "")
    {
    //formatto le date
    $datemi = sprintf("%04d-%02d-%02d", $_GET['annemi'], $_GET['mesemi'], $_GET['gioemi']);
    $datini = sprintf("%04d-%02d-%02d", $_GET['annini'], $_GET['mesini'], $_GET['gioini']);
    $datfin = sprintf("%04d-%02d-%02d", $_GET['annfin'], $_GET['mesfin'], $_GET['giofin']);
    //Mando in stampa la distinta richiesta
    $locazione = "Location: stampa_distint.php?ristam=".$_GET['ristam']."&datemi=".$datemi."&banacc=".$_GET['banacc']."&proini=".$_GET['proini']."&profin=".$_GET['profin']."&scaini=".$datini."&scafin=".$datfin;
    header($locazione);
    exit;
    }
if (isset($_GET['Return']))
    {
    header("Location:report_effett.php");
    exit;
}
$titolo = 'Distinta Effetti per Banca';
require_once("../../library/include/header.php"); HeadMain($titolo,'');
?>
<form method="GET">
<div align="center"><font class="FacetFormHeaderFont">Distinta Effetti per Banca</font></div>
<table border="0" cellpadding="3" cellspacing="1" class="FacetFormTABLE" align="center">
  <!-- BEGIN Error -->
  <tr>
    <td colspan="2" class="FacetDataTD" style="color: red;">
    <?php
    if (! $message == "")
    {
    echo "$message";
    }
    ?>
    </td>
  </tr>
  <!-- END Error -->
<tr>
    <td class="FacetFieldCaptionTD">Data della distinta &nbsp;</td>
    <td class="FacetDataTD" >
         <?php
            // select del giorno
            echo "\t <select name=\"gioemi\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 31; $counter++ )
                {
                $selected = "";
                if($counter ==  $_GET['gioemi'])
                        $selected = "selected";
                echo "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
                }
            echo "\t </select>\n";
            // select del mese
            echo "\t <select name=\"mesemi\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 12; $counter++ )
               {
                $selected = "";
                if($counter == $_GET['mesemi'])
                        $selected = "selected";
                $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
                echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
                }
            echo "\t </select>\n";
            // select del anno
            echo "\t <select name=\"annemi\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 2002; $counter <= 2030; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['annemi'])
                        $selected = "selected";
                echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
                }
            echo "\t </select>\n";
         ?>
    </td>
  </tr>
<tr>
<td class="FacetFieldCaptionTD">Banca d'accredito </td>
<td  class="FacetDataTD">
<?php
    $mastri = $azienda['masban'];
    $masnot=$mastri."000000";
    echo "\t <select name=\"banacc\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
    $result = dynQuery("*", $gTables['clfoco'],"codice like '$mastri%' and codice > '$masnot%'","codice asc");
    while ($a_row = dbms_fetch_array($result))
        {
        $selected = "";
        if($a_row["codice"] == $_GET['banacc'])
            $selected = "selected";
        echo "\t\t <option value=\"".$a_row["codice"]."\" $selected >".$a_row["codice"]."-".$a_row["ragso1"]."</option>\n";
        }
    echo "\t </select>\n";
?>
</TD>
</TR>
<tr>
    <td class="FacetFieldCaptionTD">Data scadenza inizio &nbsp;</td>
    <td class="FacetDataTD" >
         <?php
            // select del giorno
            echo "\t <select name=\"gioini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 31; $counter++ )
                {
                $selected = "";
                if($counter ==  $_GET['gioini'])
                        $selected = "selected";
                echo "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
                }
            echo "\t </select>\n";
            // select del mese
            echo "\t <select name=\"mesini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 12; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['mesini'])
                        $selected = "selected";
                $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
                echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
                }
            echo "\t </select>\n";
            // select del anno
            echo "\t <select name=\"annini\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 2002; $counter <= 2030; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['annini'])
                        $selected = "selected";
                echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
                }
            echo "\t </select>\n";
         ?>
    </td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Data scadenza fine &nbsp;</td>
    <td class="FacetDataTD" >
         <?php
            // select del giorno
            echo "\t <select name=\"giofin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 31; $counter++ )
                {
                $selected = "";
                if($counter ==  $_GET['giofin'])
                        $selected = "selected";
                echo "\t\t <option value=\"$counter\" $selected >$counter</option>\n";
                }
            echo "\t </select>\n";
            // select del mese
            echo "\t <select name=\"mesfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 1; $counter <= 12; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['mesfin'])
                        $selected = "selected";
                $nome_mese = ucwords(strftime("%B", mktime (0,0,0,$counter,1,0)));
                echo "\t\t <option value=\"$counter\"  $selected >$nome_mese</option>\n";
                }
            echo "\t </select>\n";
            // select del anno
            echo "\t <select name=\"annfin\" class=\"FacetSelect\" onchange=\"this.form.submit()\">\n";
            for( $counter = 2002; $counter <= 2030; $counter++ )
                {
                $selected = "";
                if($counter == $_GET['annfin'])
                        $selected = "selected";
                echo "\t\t <option value=\"$counter\"  $selected >$counter</option>\n";
                }
            echo "\t </select>\n";
         ?>
 </td>
 </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Numero inizio &nbsp;</td>
    <td class="FacetDataTD"><input title="Numero progressivo del primo effetto che si intende stampare" type="text" name="proini" value="<?php echo $_GET["proini"] ?>" maxlength="5" size="5" class="FacetInput">&nbsp;</td>
  </tr>
  <tr>
    <td class="FacetFieldCaptionTD">Numero fine &nbsp;</td>
    <td class="FacetDataTD"><input title="Numero progressivo dell'ultimo effetto che si intende stampare" type="text" name="profin" value="<?php echo $_GET["profin"] ?>" maxlength="5" size="5" class="FacetInput">&nbsp;</td>
  </tr>
<tr>
        <td class="FacetFieldCaptionTD">Effetti gi&agrave; distintati<br> su carta o file?&nbsp;</td>
    <td class="FacetDataTD">
    <select name="ristam" class="FacetSelect" onchange="this.form.submit()">
    <?php  $accosaldo = array('S' => 'Si','N' => 'No');
        foreach ($accosaldo as $key => $value)
            {
            $selected="";
            if($_GET["ristam"] == $key)
                $selected = " selected ";
            echo "<option value=\"".$key."\"".$selected.">".$value."</option>";
            }
    ?>
    </select>
    </td>
</tr>
 <td class="FacetFieldCaptionTD"></td>
    <td colspan="2" align="right" nowrap class="FacetFooterTD">
    <input type="submit" name="Return" value="Indietro">&nbsp;
    <input type="submit" name="anteprima" value="VISUALIZZA L'ANTEPRIMA !">&nbsp;
    </td>
  </tr>
</table>
<?php
if (isset($_GET['anteprima']) and $message == "")
    {
        //preparo la query al database delle testate
        $scaini = sprintf("%04d-%02d-%02d", $_GET['annini'], $_GET['mesini'], $_GET['gioini']);
        $scafin = sprintf("%04d-%02d-%02d", $_GET['annfin'], $_GET['mesfin'], $_GET['giofin']);
        $clientesel = "";
        if ($_GET['ristam'] <> 'S')
            $ristampa = "status <> 'DISTINTATO' and ";
        else    $ristampa = "(banacc = '{$_GET['banacc']}' or banacc = 0 ) and ";
        $orderby = " tipeff asc, progre asc, scaden asc";
        $where = $ristampa." scaden between '$scaini' and '$scafin' and progre between '{$_GET['proini']}' and '{$_GET['profin']}' ";
        //recupero le testate in base alle scelte impostate
        $result = dynQuery ('*', $gTables['effett'], $where, $orderby);
        $ctrlnum = dbms_num_rows($result);
if ($ctrlnum)
        {
        echo "<div><center><b>ANTEPRIMA GENERAZIONE EFFETTI</b></div>";
        echo "<table class=\"Tlarge\">";
        echo "<tr><td>Questa procedura genera la distinta cartacea degli effetti per la banca in base a quanto contenuto nell'archivio effetti tenendo conto che quelli che risultano gi&agrave; distintati su carta o su file (con il modulo Genera File Ri.ba.), indifferentemente, vengono evidenziati sulla sola anteprima con una scritta in rosso. </td></tr>";
        echo "<tr><td align=\"center\"><input type=\"submit\" name=\"genera\" value=\"CONFERMA LA STAMPA DELLA DISTINTA SOTTOSTANTE !\"></TD></TR>";
        echo "</table>";
        echo "<table class=\"Tlarge\">";
        echo "<tr>";
        // creo l'array (header => campi) per l'ordinamento dei record
        $headers_effett = array  (
              "Num." => "",
              "Tipo" => "",
              "Scadenza" => "",
              "Importo" => "",
              "Cliente/P.I." => "",
              "Fattura/Importo" => "",
              "Appoggio/ABI-CAB" => "",
              );
        $linkHeaders = new linkHeaders($headers_effett);
        $linkHeaders -> output();
        echo "</tr>";
        $totaleff = 0.00;
        while ($a_row = dbms_fetch_array($result))
            {
            $totaleff += $a_row["impeff"];
            $cliente = getRow($gTables['clfoco'],"codice","{$a_row['clfoco']}");
            $banapp = getRow($gTables['banapp'],"codice","{$a_row['banapp']}");
            echo "<tr>";
            echo "<td class=\"FacetDataTD\">".$a_row["progre"]." &nbsp</td>";
            echo "<td class=\"FacetDataTD\">".$a_row["tipeff"]." &nbsp;</td>";
            echo "<td class=\"FacetDataTD\">".$a_row["scaden"]." &nbsp;</td>";
            echo "<td class=\"FacetDataTD\" align=\"right\">".$a_row["impeff"]." &nbsp;</td>";
            echo "<td class=\"FacetDataTD\">".$cliente["ragso1"]." &nbsp;</td>";
            echo "<td class=\"FacetDataTD\">Fatt. ".$a_row["numfat"]."/".$a_row["seziva"]." del ".$a_row["datfat"]." &nbsp;</td>";
            echo "<td class=\"FacetDataTD\">".$banapp["descri"]." &nbsp;</td>";
            echo "</tr>";
            echo "<tr>";
            echo "<td class=\"FacetDataTD\"></td>";
            echo "<td class=\"FacetDataTD\"></td>";
            if ($a_row["status"] == 'DISTINTATO')
                echo "<td style=\"color: red;\" align=\"left\" class=\"FacetDataTD\" align=\"right\">DISTINTATO!</td>";
            else    echo "<td class=\"FacetDataTD\"></td>";
            echo "<td class=\"FacetDataTD\"></td>";
            $cfpiva = " C.F. ".$cliente["codfis"];
            if ($cliente["pariva"] > 0)
                $cfpiva = " P.I. ".$cliente["pariva"];
            echo "<td class=\"FacetDataTD\">".$cfpiva." &nbsp;</td>";
            echo "<td class=\"FacetDataTD\" align=\"right\"> &euro; ".$a_row["totfat"]." &nbsp;</td>";
            echo "<td class=\"FacetDataTD\">".$banapp["codabi"]." - ".$banapp["codcab"]." &nbsp;</td>";
        }
        echo "</tr>";
        echo "<tr>";
        echo "<td class=\"FacetDataTD\"></td>";
        echo "<td class=\"FacetDataTD\"></td>";
        echo "<td class=\"FacetDataTDred\" align=\"right\">TOTALE &euro; </td>";
        echo "<td class=\"FacetDataTDred\" align=\"right\">".$totaleff." &nbsp;</td>";
        echo "<td class=\"FacetDataTD\"></td>";
        echo "<td class=\"FacetDataTD\"></td>";
        echo "<td class=\"FacetDataTD\"></td>";
        echo "</tr>";
        echo "</table>";
        }
    }
?>

</form>

</body>

</html>