<?php
/*$Id: genera_rb_cbi.php,v 1.11 2008/10/14 08:29:48 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
if (!isset($_GET['ristam']) or !isset($_GET['banacc']) or !isset($_GET['scaini']) or !isset($_GET['scafin']) or !isset($_GET['proini']) or !isset($_GET['profin'])) {
    header("Location: report_effett.php");
    exit;
}
if ($_GET['ristam'] <> 'S') {
    $ristampa = $gTables['effett'].".status <> 'DISTINTATO' AND ";
} else {
    $ristampa = "(banacc = '".$_GET['banacc']."' OR banacc = 0) AND ";
}
require_once("../../library/include/riba_cbi.inc.php");
$azienda = getRow($gTables['aziend'],'codice',1);
$contoAccredito = getRow($gTables['clfoco'],"codice",$_GET['banacc']);
$countryData = getRow($gTables['country'],"iso",$contoAccredito['country']);
$bancaAccredito = getRow($gTables['banapp'],"codice",$contoAccredito['banapp']);
if (isset($_GET['datemi'])){
  $dataemissione = substr($_GET['datemi'],8,2).substr($_GET['datemi'],5,2).substr($_GET['datemi'],2,2);
} else {
  $dataemissione = date("dmy");
}
// creo il file di back up con il nome ottenuto in precedenza.
$filename = "RIBAdel$dataemissione.cbi";
$browser = $_SERVER['HTTP_USER_AGENT'];
function getBrowser($agent)
{
    if(eregi("(msie) ([0-9]{1,2}.[0-9]{1,3})", $agent)) {
        $str = "ie";
    } else {
        $str = "nn";
    }
    return $str;
}
$where = $ristampa." tipeff = 'B' AND scaden BETWEEN '".$_GET['scaini']."' AND '".$_GET['scafin']."' AND progre BETWEEN '".$_GET['proini']."' AND '".$_GET['profin']."' ";
//recupero le testate in base alle scelte impostate
$result = dynQuery("*",$gTables['effett']." LEFT JOIN ".$gTables['clfoco']." ON ".$gTables['effett'].".clfoco = ".$gTables['clfoco'].".codice LEFT JOIN ".$gTables['banapp']." ON ".$gTables['effett'].".banapp = ".$gTables['banapp'].".codice", $where, "tipeff ASC,scaden ASC, id_tes ASC");
//C.F. o P.I. creditore
if (empty ($azienda['pariva'])){
         $codfis = $azienda['codfis'];
} else {
         $codfis = $azienda['pariva'];
}
$arrayTestata = array($bancaAccredito['codabi'],
              $bancaAccredito['codcab'],
              substr($contoAccredito['iban'], $countryData['account_number_pos']-1,$countryData['account_number_lenght']),
              $dataemissione,
              "SC_".substr($_GET['scaini'],8,2).".".substr($_GET['scaini'],5,2).".".substr($_GET['scaini'],2,2)."-".substr($_GET['scafin'],8,2).".".substr($_GET['scafin'],5,2).".".substr($_GET['scafin'],2,2),
              "E",
              $azienda['ragso1'],
              $azienda['ragso2'],
              $azienda['indspe'],
              $azienda['capspe']." ".$azienda['citspe']." ".$azienda['prospe'],
              $codfis);
$arrayRiba = array();
while ($row = dbms_fetch_array($result)) {
      //C.F. o P.I. debitore
      if (empty ($row['pariva'])){
         $codfis = $row['codfis'];
      } else {
         $codfis = $row['pariva'];
      }
      // a saldo o in acconto
      if ($row['salacc'] == "S"){
         $descrizione_debito = "SALDO FT.".$row['numfat']."/".$row['seziva']." DEL ".substr($row['datfat'],8,2)."/".substr($row['datfat'],5,2)."/".substr($row['datfat'],2,2);
      } else {
         $descrizione_debito = "ACCONTO FT.".$row['numfat']."/".$row['seziva']." DEL ".substr($row['datfat'],8,2)."/".substr($row['datfat'],5,2)."/".substr($row['datfat'],2,2);
      }
      $arrayRiba[]= array($row['progre'],
                          substr($row['scaden'],8,2).substr($row['scaden'],5,2).substr($row['scaden'],2,2),
                          $row['impeff']*100,
                          $row['ragso1'].$row['ragso2'],
                          $codfis,
                          $row['indspe'],
                          $row['capspe'],
                          $row['citspe']." ".$row['prospe'],
                          $row['codabi'],
                          $row['codcab'],
                          $row['descri']." ".$row['locali']." ".$row['codpro'],
                          $row['clfoco'],
                          $descrizione_debito);
       //aggiorno il db solo se non &egrave; una ristampa
       if ($row["status"] <> 'DISTINTATO') {
           putRow($gTables['effett'], "id_tes",$row["id_tes"],"status",'DISTINTATO');
           putRow($gTables['effett'], "id_tes",$row["id_tes"],"banacc",$_GET['banacc']);
       }
}
$RB = new RibaAbiCbi();
// Impostazione degli header per l'opozione "save as" dello standard input che verr generato
if (getBrowser($browser) == "ie") {
    header("Content-type: application/force-download");
} else {
    header("Content-Type: application/octet-stream");
}
header("Content-Length:" . $dimensioni_massime_back_up);
header("Content-Disposition: attachment; filename= " . $filename);
header('Expires: ' . gmdate('D, d M Y H:i:s') . ' GMT');// per poter ripetere l'operazione di back-up pi volte.
print $RB->creaFile($arrayTestata,$arrayRiba);
exit;
?>