<?php
/* $Id: report_doctra.php,v 1.29 2008/10/14 08:29:48 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$message = "";
$anno = date("Y");
if (isset($_GET['auxil'])) {
   $auxil = $_GET['auxil'];
} else {
   $auxil = 1;
}
$where = " (tipdoc = 'FAD' or tipdoc like 'DD_') and seziva = '$auxil'";
$documento ='';
if (isset($_GET['numdoc'])) {
   if ($_GET['numdoc'] > 0) {
      $documento = $_GET['numdoc'];
      $auxil = $_GET['auxil']."&numdoc=".$documento;
      $where = " (tipdoc = 'FAD' or tipdoc like 'DD_') and seziva = '$auxil' and numdoc = '$documento'";
      $passo = 1;
   }
}
if (isset($_GET['all'])) {
   $auxil = $_GET['auxil']."&all=yes";
   $passo = 100000;
   $where = " (tipdoc = 'FAD' or tipdoc like 'DD_') and seziva = '$auxil'";
}
$azienda = getRow($gTables['aziend'],"codice",1);
$titolo="Documenti di trasporto";
require_once("../../library/include/header.php");
HeadMain($titolo,'');
?>
<div align="center" class="FacetFormHeaderFont"><a href="admin_docven.php?Insert&seziva=<?php echo substr($auxil,0,1); ?>&tipdoc=DDT" accesskey="d">Emetti Documento di Trasporto</a></div>
<form method="GET">
<div align="center" class="FacetFormHeaderFont"> D.d.T. della sezione
<select name="auxil" class="FacetSelect" onchange="this.form.submit()">
<?php
for ($sez = 1; $sez <= 3; $sez++) {
     $selected="";
     if(substr($auxil,0,1) == $sez)
        $selected = " selected ";
     echo "<option value=\"".$sez."\"".$selected.">".$sez."</option>";
}
?>
</select>
</div>
<?php
if (!isset($_GET['field']) or ($_GET['field'] == 2) or(empty($_GET['field'])))
        $orderby = "datemi desc, numdoc desc";
$recordnav = new recordnav($gTables['tesdoc'], $where, $limit, $passo);
$recordnav -> output();
?>
<table class="Tlarge">
<tr>
<td colspan="2" class="FacetFieldCaptionTD">Numero:
<input type="text" name="numdoc" value="<?php if ($documento > 0) print stripslashes($documento); ?>" maxlength="6" size="3" tabindex="1" class="FacetInput">
</td>
<td>
<input type="submit" name="search" value="Cerca" tabindex="1" onClick="javascript:document.report.all.value=1;">
</td>
<td>
<input type="submit" name="all" value="Mostra tutti" onClick="javascript:document.report.all.value=1;">
</td>
</tr>
<tr>
<?php
// creo l'array (header => campi) per l'ordinamento dei record
$headers_tesdoc = array  (
              "Numero" => "numdoc",
              "Data" => "datemi",
              "Cliente" => "ragso1",
              "Status" => "",
              "Stampa" => "",
              "Cancella" => ""
              );
$linkHeaders = new linkHeaders($headers_tesdoc);
$linkHeaders -> output();
?>
</tr>
<?php
$rs_ultimo_documento = dynQuery("*", $gTables['tesdoc'], $where,"datemi desc, numdoc desc",0,1);
$ultimo_documento = dbms_fetch_array($rs_ultimo_documento);
if ($ultimo_documento)
    $ultimoddt = $ultimo_documento['numdoc'];
else
    $ultimoddt = 1;
//recupero le testate in base alle scelte impostate
$result = dynQuery($gTables['tesdoc'].".*,".$gTables['clfoco'].".ragso1", $gTables['tesdoc']." left join ".$gTables['clfoco']." on ".$gTables['tesdoc'].".clfoco = ".$gTables['clfoco'].".codice", $where, $orderby,$limit, $passo);
while ($a_row = dbms_fetch_array($result)) {
    switch($a_row['tipdoc']) {
    case "DDT":
    echo "<tr>";
    echo "<td class=\"FacetDataTD\"><a href=\"admin_docven.php?Update&id_tes=".$a_row["id_tes"]."\">".$a_row["numdoc"]."</a> &nbsp;</td>";
    echo "<td class=\"FacetDataTD\">".$a_row["datemi"]." &nbsp;</td>";
    echo "<td class=\"FacetDataTD\">".$a_row["ragso1"]."&nbsp;</td>";
    if ($a_row['numfat'] > 0)
       echo "<td class=\"FacetDataTD\">FATT.N. ".$a_row["numfat"]." &nbsp;</td>";
    else
        echo "<td class=\"FacetDataTD\">".$a_row["status"]." &nbsp;</td>";
    echo "<td class=\"FacetDataTD\"><a href=\"stampa_docven.php?id_tes=".$a_row["id_tes"]."&template=DDT\"><center><img src=\"../../library/images/stampa.gif\" alt=\"Stampa\" border=\"0\"></a></td>";
    if ($ultimoddt == $a_row["numdoc"] and $a_row['numfat'] == 0)
       echo "<td class=\"FacetDataTD\"><a href=\"delete_docven.php?id_tes=".$a_row["id_tes"]."\"><center><img src=\"../../library/images/x.gif\" alt=\"Cancella\" border=\"0\"></a></td>";
    else
        echo "<td class=\"FacetDataTD\"></td>";
    echo "</tr>\n";
    break;
    case "DDR":
    case "DDL":
    $fornitore = getRow($gTables['clfoco'],"codice",$a_row['clfoco']);
    echo "<tr>";
    echo "<td class=\"FacetDataTD\"><a href=\"../acquis/admin_docacq.php?id_tes=".$a_row["id_tes"]."&Update\">".$a_row["numdoc"]."</a> &nbsp</td>";
    echo "<td class=\"FacetDataTDred\">".$a_row["datemi"]." &nbsp;</td>";
    echo "<td class=\"FacetDataTDred\">".$fornitore["ragso1"]."&nbsp;</td>";
    echo "<td class=\"FacetDataTDred\">D.d.T. a Fornitore &nbsp;</td>";
    echo "<td class=\"FacetDataTDred\"><a href=\"stampa_docven.php?id_tes=".$a_row["id_tes"]."&template=DDT\"><center><img src=\"../../library/images/stampa.gif\" alt=\"Stampa\" border=\"0\"></a></td>";
    if ($ultimoddt == $a_row["numdoc"] and $a_row['numfat'] == 0)
       echo "<td class=\"FacetDataTD\"><a href=\"delete_docven.php?id_tes=".$a_row["id_tes"]."\"><center><img src=\"../../library/images/x.gif\" alt=\"Cancella\" border=\"0\"></a></td>";
    else
        echo "<td class=\"FacetDataTD\"></td>";
    echo "</tr>\n";
    break;
    case "FAD":
    $cliente = getRow($gTables['clfoco'],"codice",$a_row['clfoco']);
    echo "<tr>";
    echo "<td class=\"FacetDataTD\"><a href=\"admin_docven.php?Update&id_tes=".$a_row["id_tes"]."\">".$a_row["numdoc"]."</a></td>";
    echo "<td class=\"FacetDataTD\">".$a_row["datemi"]." &nbsp;</td>";
    echo "<td class=\"FacetDataTD\">".$cliente["ragso1"]."&nbsp;</td>";
    echo "<td class=\"FacetDataTD\">FATT.N. ".$a_row["numfat"]." &nbsp;</td>";
    echo "<td class=\"FacetDataTD\"><a href=\"stampa_docven.php?id_tes=".$a_row["id_tes"]."&template=DDT\"><center><img src=\"../../library/images/stampa.gif\" alt=\"Stampa\" border=\"0\"></a></td>";
    echo "<td class=\"FacetDataTD\"></td>";
    echo "</tr>\n";
    break;
    }
    }
?>
</form>
</table>
</body>
</html>