<?php
/*$Id: report_docven.php,v 1.24 2008/10/14 08:29:48 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
$anno = date("Y");
$message = "";
if (isset($_GET['auxil'])) {
   $auxil = $_GET['auxil'];
   $where = "tipdoc like 'F%' and seziva = '$auxil' group by protoc, datfat";
} else {
   $auxil = 1;
   $where = "tipdoc like 'F%' and seziva = '$auxil' group by protoc, datfat";
}
if (isset($_GET['protoc'])) {
   if ($_GET['protoc'] > 0) {
      $protocollo = $_GET['protoc'];
      $auxil = $_GET['auxil']."&protoc=".$protocollo;
      $where = "tipdoc like 'F%' and seziva = '$auxil' and protoc = '$protocollo' group by protoc, datfat";
      $passo = 1;
   }
}  else {
   $protocollo ='';
}
if (isset($_GET['all'])) {
   $where = "tipdoc like 'F%' and seziva = '$auxil' group by protoc, datfat";
   $auxil = $_GET['auxil']."&all=yes";
   $passo = 100000;
   $protocollo ='';
}
$azienda = getRow($gTables['aziend'],"codice",1);
$titolo="Documenti di vendita a clienti";
require_once("../../library/include/header.php");
HeadMain($titolo,'');
switch($azienda['fatimm']) {
    case "1":
        $sezfatimm = 1;
    break;
    case "2":
        $sezfatimm = 2;
    break;
    case "3":
        $sezfatimm = 3;
    break;
    case "R":
        $sezfatimm = substr($auxil,0,1);
    break;
    case "U":
        $rs_ultimo = dynQuery("*", $gTables['tesdoc'], "datemi like '$anno%' and tipdoc = 'FAI'","datfat desc",0,1);
        $ultimo = dbms_fetch_array($rs_ultimo);
        $sezfatimm = $ultimo['seziva'];
    break;
    default:
        $sezfatimm = substr($auxil,0,1);
}

?>
<table border="0" cellpadding="3" cellspacing="1" align="center" width="70%">
<tr>
<td class="FacetFormHeaderFont"><a href="admin_docven.php?Insert&seziva=<?php print $sezfatimm; ?>&tipdoc=FAI" accesskey="e">Emetti Nuova Fattura Immediata</a></td>
<td class="FacetFormHeaderFont"><a href="emissi_fatdif.php?seziva=<?php print substr($auxil,0,1); ?>" accesskey="g">Genera Fatture Differite da D.d.T</a></td>
</tr>
<tr>
<td class="FacetFormHeaderFont"><a href="contab_docven.php?seziva=<?php print substr($auxil,0,1); ?>" accesskey="c">Contabilizzazione Fatture</a></td>
<td class="FacetFormHeaderFont"><a href="select_docforprint.php?seziva=<?php print substr($auxil,0,1); ?>" accesskey="s">Ristampa Documenti gi&agrave; emessi</a></td>
</tr>
<tr>
<td class="FacetFormHeaderFont"><a href="admin_docven.php?Insert&seziva=<?php print substr($auxil,0,1); ?>&tipdoc=FNC">Emetti Nuova Nota Credito</a></td>
<td class="FacetFormHeaderFont"><a href="admin_docven.php?Insert&seziva=<?php print substr($auxil,0,1); ?>&tipdoc=FND">Emetti Nuova Nota Debito</a></td>
</tr>
</table>
<form method="GET" >
<div align="center"><font class="FacetFormHeaderFont">Documenti di vendita della sezione
<select name="auxil" class="FacetSelect" onchange="this.form.submit()">
<?php
for ($sez = 1; $sez <= 3; $sez++) {
    $selected = "";
    if(substr($auxil,0,1) == $sez) {
        $selected = " selected ";
    }
    echo "<option value=\"".$sez."\"".$selected.">".$sez."</option>";
}
?>
</select></font></div>
<?php
if (!isset($_GET['field']) or ($_GET['field'] == 2) or(empty($_GET['field'])))
        $orderby = "datfat desc, protoc desc";
$recordnav = new recordnav($gTables['tesdoc'], $where, $limit, $passo);
$recordnav -> output();
?>
<table class="Tlarge">
<tr>
<td colspan="2" class="FacetFieldCaptionTD">Protocollo:
<input type="text" name="protoc" value="<?php if (isset($protocollo)) print stripslashes($protocollo); ?>" maxlength="6" size="3" tabindex="1" class="FacetInput">
</td>
<td>
<input type="submit" name="search" value="Cerca" tabindex="1" onClick="javascript:document.report.all.value=1;">
</td>
<td>
<input type="submit" name="all" value="Mostra tutti" onClick="javascript:document.report.all.value=1;">
</td>
</tr>
<tr>
<?php
// creo l'array (header => campi) per l'ordinamento dei record
$headers_tesdoc = array  (
            "Prot." => "protoc",
            "Tipo" => "tipdoc",
            "Numero" => "numfat",
            "Data" => "datfat",
            "Cliente" => "ragso1",
            "Status" => "",
            "Stampa" => "",
            "Cancella" => ""
            );
$linkHeaders = new linkHeaders($headers_tesdoc);
$linkHeaders -> output();
?>
</tr>
<?php
$rs_ultimo_documento = dynQuery("*", $gTables['tesdoc'], $where,'datfat desc, protoc desc',0,1);
$ultimo_documento = dbms_fetch_array($rs_ultimo_documento);
//recupero le testate in base alle scelte impostate
$result = dynQuery($gTables['tesdoc'].".*,".$gTables['clfoco'].".ragso1", $gTables['tesdoc']." left join ".$gTables['clfoco']." on ".$gTables['tesdoc'].".clfoco = ".$gTables['clfoco'].".codice", $where, $orderby,$limit, $passo);
$ctrlprotoc = "";
while ($a_row = dbms_fetch_array($result)) {
    if ($a_row["tipdoc"] == 'FAI') {
        $tipodoc="Fattura Immediata";
        $modulo="stampa_docven.php?id_tes=".$a_row['id_tes'];
        $modifi="admin_docven.php?Update&id_tes=".$a_row['id_tes'];
    }
    if ($a_row["tipdoc"] == 'FAD') {
        $tipodoc="Fattura Differita";
        $modulo="stampa_docven.php?td=2&si=".$a_row["seziva"]."&pi=".$a_row['protoc']."&pf=".$a_row['protoc']."&di=".$a_row['datfat']."&df=".$a_row['datfat'];
        $modifi="";
    }
    if ($a_row["tipdoc"] == 'FNC') {
        $tipodoc="Nota Credito";
        $modulo="stampa_docven.php?id_tes=".$a_row['id_tes'];
        $modifi="admin_docven.php?Update&id_tes=".$a_row['id_tes'];
    }
    if ($a_row["tipdoc"] == 'FND') {
        $tipodoc="Nota Debito";
        $modulo="stampa_docven.php?id_tes=".$a_row['id_tes'];
        $modifi="admin_docven.php?Update&id_tes=".$a_row['id_tes'];
    }
    if ($a_row["protoc"] <> $ctrlprotoc)    {
        print "<tr>";
        if (! empty ($modifi)) {
           print "<td class=\"FacetDataTD\"><a href=\"".$modifi."\">".$a_row["protoc"]."</td>";
        } else {
           print "<td class=\"FacetDataTD\">".$a_row["protoc"]." &nbsp;</td>";
        }
        print "<td class=\"FacetDataTD\">".$tipodoc." &nbsp;</td>";
        print "<td class=\"FacetDataTD\">".$a_row["numfat"]." &nbsp;</td>";
        print "<td class=\"FacetDataTD\">".$a_row["datfat"]." &nbsp;</td>";
        print "<td class=\"FacetDataTD\">".$a_row["ragso1"]."&nbsp;</td>";
        print "<td class=\"FacetDataTD\">".$a_row["status"]." &nbsp;</td>";
        print "<td class=\"FacetDataTD\"><a href=\"".$modulo."\"><center><img src=\"../../library/images/stampa.gif\" alt=\"Stampa\" border=\"0\"></a></td>";
        if (($ultimo_documento['id_tes'] == $a_row["id_tes"]) and ($a_row["id_con"] == 0)) {
           print "<td class=\"FacetDataTD\"><a href=\"delete_docven.php?seziva=".$a_row["seziva"]."&protoc=".$a_row['protoc']."&anno=".substr($a_row["datfat"],0,4)."\"><center><img src=\"../../library/images/x.gif\" alt=\"Cancella\" border=\"0\"></a></td>";
        } else {
           print "<td class=\"FacetDataTD\"></td>";
        }
        print "</tr>\n";
    }
    $ctrlprotoc = $a_row["protoc"];
}
?>
</form>
</table>
</body>
</html>