<?php
/*$Id: stampa_effett.php,v 1.13 2008/10/21 08:54:29 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/
require_once("../../library/include/datlib.inc.php");
require_once("../../library/include/function.inc.php");
checkAdmin();
require_once("../../library/include/ciftolet.inc.php");
require_once('../../library/tcpdf/tcpdf.php');
// recupero i dati
$aziend = getRow($gTables['aziend'],"codice",1);
$bolli = new Compute;

if (! isset($_GET['id_tes']))
    {
    header("Location: report_effett.php");
    exit;
    }

if ($_GET['id_tes'] == 'SEL')
    {
    $where = "scaden between '{$_GET['scaini']}' and '{$_GET['scafin']}' and progre between '{$_GET['proini']}' and '{$_GET['profin']}' ";
    }
else $where = "id_tes = '{$_GET['id_tes']}'";
$logo=$aziend['image'];
$result = dynQuery("*", $gTables['effett'], $where,"tipeff asc,id_tes asc");
$pdf=new TCPDF();
$pdf->Open();
$pdf->SetAutoPageBreak(1,1);
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFillColor(hexdec(substr($aziend['colore'],0,2)),hexdec(substr($aziend['colore'],2,2)),hexdec(substr($aziend['colore'],4,2)));
$nuw = new numberstowords_it();
//azzero il contatore di effetti
$numefftot = 0;
$passo=100;
while ($effetto = dbms_fetch_array($result))
    {
    $client = getRow($gTables['clfoco'],"codice",$effetto['clfoco']);
    $banapp = getRow($gTables['banapp'],"codice",$effetto['banapp']);
    $banacc = getRow($gTables['clfoco'],"codice",$effetto['banacc']);
    $impwords = $nuw->euro2assegno($effetto['impeff']);
    if ($effetto['salacc'] == 'S')
        $salcon = 'a SALDO della Ns. Fattura N. ';
    else    $salcon = 'in CONTO della Ns. Fattura N. ';
    if ($client['pariva'] > 0)
        $cfpiva = 'P.I. '.$client['pariva'];
    elseif (! empty ($client['codfis']))
        $cfpiva = 'C.F. '.$client['codfis'];
    else    $cfpiva = '';
    //formatto le date
    $scadenza = substr($effetto['scaden'],8,2).'-'.substr($effetto['scaden'],5,2).'-'.substr($effetto['scaden'],0,4);
    $datafatt = substr($effetto['datfat'],8,2).'-'.substr($effetto['datfat'],5,2).'-'.substr($effetto['datfat'],0,4);
    if ($numefftot == 3)
        {
        $pdf->AddPage();
        $numefftot = 0;
        }
    //a secondo del tipo di effetto stampo il relativo modulo
    switch($effetto['tipeff'])
    {
    //questo  il modulo delle ricevute bancarie
    case "B":
        $pdf->SetFont('freesans','',7);
        $pdf->Rect(5,5+$passo*$numefftot,200,50);
        $pdf->Rect(5,60+$passo*$numefftot,65,30);
        $pdf->Rect(71,60+$passo*$numefftot,85,30);
        $pdf->Rect(157,60+$passo*$numefftot,48,30);
        $pdf->Rect(75,20+$passo*$numefftot,125,10,'DF');
        $pdf->SetY(30+$numefftot*$passo);
        $pdf->MemImage($logo,6,6+$passo*$numefftot,30,0);
        $pdf->Cell(50,3,$aziend['ragso1'],0,2,'L');
        $pdf->Cell(50,3,$aziend['ragso2'],0,2,'L');
        $pdf->Cell(50,3,$aziend['indspe'].' Tel.'.$aziend['telefo'],0,2,'L');
        $pdf->Cell(50,3,$aziend['capspe'].' '.$aziend['citspe'].' ('.$aziend['prospe'].')',0,2,'L');
        $pdf->Cell(50,3,'P.I. '.$aziend['pariva'],0,2,'L');
        $pdf->Cell(50,3,'C.F. '.$aziend['codfis'],0,0,'L');
        $pdf->SetXY(70,5+$numefftot*$passo);
        $pdf->SetFont('freesans','B',10);
        $pdf->Cell(50,10,'RICEVUTA N. '.$effetto['progre'],0,0,'L');
        $pdf->SetFont('freesans','',8);
        $pdf->MultiCell(22,5,'Data di pagamento','LTB','L',1);
        $pdf->SetXY(140,5+$numefftot*$passo);
        $pdf->SetFont('freesans','B',10);
        $pdf->Cell(20,10,$scadenza.' ','RTB',0,'R',1);
        $pdf->Cell(10,10,'euro',0,0,'C');
        $pdf->Cell(5,10,'€','LTB',0,'C',1);
        $pdf->Cell(25,10,$effetto['impeff'],'RTB',1,'R',1);
        $pdf->SetFont('freesans','',8);
        $pdf->SetXY(75,20+$numefftot*$passo);
        $pdf->Cell(25,3,'riceviamo la somma di ',0,2,'L');
        $pdf->SetFont('freesans','B',10);
        $pdf->Cell(25,7,$impwords,0,2,'L');
        $pdf->SetFont('freesans','',8);
        $pdf->Cell(25,3,'',0,2);
        $pdf->Cell(25,12,'versata a mezzo ',0,0,'L');
        $pdf->SetFont('freesans','',10);
        $pdf->Cell(50,12,$banacc['ragso1'],0,1,'L');
        $pdf->Cell(170,8,$salcon.$effetto['numfat'].'/'.$effetto['seziva'].' del '.$datafatt.' di € '.$effetto['totfat'],0,1,'R');
        $pdf->SetFont('freesans','',7);
        $pdf->Cell(50,10,'INCASSARE TRAMITE',0,0,'C');
        $pdf->Cell(60,10,'EGR.SIG./SPETT.LE',0,1,'R');
        $pdf->SetFont('freesans','',10);
        $pdf->Cell(60,5,$banapp['descri'],0,0,'L');
        $pdf->Cell(2,5);
        $pdf->Cell(80,5,$client['ragso1'],0,1,'L');
        $pdf->Cell(60,5,'ABI '.$banapp['codabi'],0,0,'L');
        $pdf->Cell(2,5);
        $pdf->Cell(80,5,$client['ragso2'],0,1,'L');
        $pdf->Cell(60,5,'CAB '.$banapp['codcab'],0,0,'L');
        $pdf->Cell(2,5);
        $pdf->Cell(90,5,$client['indspe'],0,0,'L');
        $pdf->Cell(80,5,'__________________',0,1,'L');
        $pdf->Cell(60,5,$banapp['locali'].' ('.$banapp['codpro'].')',0,0,'L');
        $pdf->Cell(2,5);
        $pdf->Cell(90,5,$client['capspe'].' '.$client['citspe'].' ('.$client['prospe'].')',0,0,'L');
        $pdf->Cell(35,5,' firma ',0,1,'C');
        $pdf->Cell(62,5);
        $pdf->Cell(80,5,$cfpiva,0,1,'L');
    break;
    //questo  il modulo delle cambiali tratte
    case "T":
        $impbol = $bolli->stampTax($effetto['impeff'],$aziend['perbol']);
        $pdf->SetFont('freesans','',7);
        $pdf->Rect(5,5+$passo*$numefftot,200,50);
        $pdf->Rect(5,60+$passo*$numefftot,65,30);
        $pdf->Rect(71,60+$passo*$numefftot,85,30);
        $pdf->Rect(157,60+$passo*$numefftot,48,30);
        $pdf->Rect(75,20+$passo*$numefftot,125,10,'DF');
        $pdf->SetY(30+$numefftot*$passo);
        $pdf->MemImage($logo,6,6+$passo*$numefftot,30,0);
        $pdf->Cell(50,3,$aziend['ragso1'],0,2,'L');
        $pdf->Cell(50,3,$aziend['ragso2'],0,2,'L');
        $pdf->Cell(50,3,$aziend['indspe'].' Tel.'.$aziend['telefo'],0,2,'L');
        $pdf->Cell(50,3,$aziend['capspe'].' '.$aziend['citspe'].' ('.$aziend['prospe'].')',0,2,'L');
        $pdf->Cell(50,3,'P.I. '.$aziend['pariva'],0,2,'L');
        $pdf->Cell(50,3,'C.F. '.$aziend['codfis'],0,0,'L');
        $pdf->SetXY(70,5+$numefftot*$passo);
        $pdf->SetFont('freesans','B',10);
        $pdf->Cell(50,10,'CAMBIALE TRATTA N. '.$effetto['progre'],0,0,'L');
        $pdf->SetFont('freesans','',8);
        $pdf->MultiCell(22,5,'Data di pagamento','LTB','L',1);
        $pdf->SetXY(140,5+$numefftot*$passo);
        $pdf->SetFont('freesans','B',10);
        $pdf->Cell(20,10,$scadenza.' ','RTB',0,'R',1);
        $pdf->Cell(10,10,'euro',0,0,'C');
        $pdf->Cell(5,10,'€','LTB',0,'C',1);
        $pdf->Cell(25,10,$effetto['impeff'],'RTB',1,'R',1);
        $pdf->SetFont('freesans','',8);
        $pdf->SetXY(75,20+$numefftot*$passo);
        $pdf->Cell(25,3,'pagherete la somma di ',0,2,'L');
        $pdf->SetFont('freesans','B',10);
        $pdf->Cell(25,7,$impwords,0,2,'L');
        $pdf->SetFont('freesans','',8);
        $pdf->Cell(25,4,'alla spett.le '.$aziend['ragso1'].' '.$aziend['ragso2'],0,2,'L');
        $pdf->Cell(25,12,'versata a mezzo ',0,0,'L');
        $pdf->SetFont('freesans','',10);
        $pdf->Cell(50,11,$banacc['ragso1'],0,1,'L');
        $pdf->Cell(170,8,$salcon.$effetto['numfat'].'/'.$effetto['seziva'].' del '.$datafatt.' di € '.$effetto['totfat'],0,1,'R');
        $pdf->SetFont('freesans','',7);
        $pdf->Cell(50,10,'INCASSARE TRAMITE',0,0,'C');
        $pdf->Cell(60,10,'EGR.SIG./SPETT.LE',0,1,'R');
        $pdf->SetFont('freesans','',10);
        $pdf->Cell(60,5,$banapp['descri'],0,0,'L');
        $pdf->Cell(2,5);
        $pdf->Cell(80,5,$client['ragso1'],0,1,'L');
        $pdf->Cell(60,5,'ABI '.$banapp['codabi'],0,0,'L');
        $pdf->Cell(2,5);
        $pdf->Cell(80,5,$client['ragso2'],0,1,'L');
        $pdf->Cell(60,5,'CAB '.$banapp['codcab'],0,0,'L');
        $pdf->Cell(2,5);
        $pdf->Cell(90,5,$client['indspe'],0,0,'L');
        $pdf->Cell(80,5,'__________________',0,1,'L');
        $pdf->Cell(60,5,$banapp['locali'].' ('.$banapp['codpro'].')',0,0,'L');
        $pdf->Cell(2,5);
        $pdf->Cell(90,5,$client['capspe'].' '.$client['citspe'].' ('.$client['prospe'].')',0,0,'L');
        $pdf->Cell(35,5,' firma ',0,1,'C');
        $pdf->Cell(62,5);
        $pdf->Cell(80,5,$cfpiva,0,0,'L');
        $pdf->SetFont('freesans','',7);
        $pdf->Cell(38,5,'bolli a tergo '.$impbol,0,1,'R');
    break;
    }
    $numefftot++;
    }
$pdf->Output();
?>