<?php
/* $Id: install.php,v 1.2 2008/10/20 14:01:34 devincen Exp $
 --------------------------------------------------------------------------
                            Gazie - Gestione Azienda
    Copyright (C) 2004-2008 - Antonio De Vincentiis Montesilvano (PE)
                                (www.devincentiis.it)
                        <http://gazie.sourceforge.net>
 --------------------------------------------------------------------------
    Questo programma e` free software;   e` lecito redistribuirlo  e/o
    modificarlo secondo i  termini della Licenza Pubblica Generica GNU
    come e` pubblicata dalla Free Software Foundation; o la versione 2
    della licenza o (a propria scelta) una versione successiva.

    Questo programma  e` distribuito nella speranza  che sia utile, ma
    SENZA   ALCUNA GARANZIA; senza  neppure  la  garanzia implicita di
    NEGOZIABILITA` o di  APPLICABILITA` PER UN  PARTICOLARE SCOPO.  Si
    veda la Licenza Pubblica Generica GNU per avere maggiori dettagli.

    Ognuno dovrebbe avere   ricevuto una copia  della Licenza Pubblica
    Generica GNU insieme a   questo programma; in caso  contrario,  si
    scriva   alla   Free  Software Foundation,  Inc.,   59
    Temple Place, Suite 330, Boston, MA 02111-1307 USA Stati Uniti.
 --------------------------------------------------------------------------
*/

// inclusione della libreria per interfacciamanto al DBMS
require_once("../../library/include/datlib.inc.php");  //modificata patch di fiblan che dava errore se non c'era il db gazie

// raccolta delle varibili di input
$sqlFiles                    = getSqlFiles();

if (isset($_POST['snapshotCell2'])) {
    $snapshotCell2               = $_POST['snapshotCell2'];
} else {
    $snapshotCell2               = '';
}
$snapshotCell2 = urldecode($snapshotCell2);

if (isset($_POST['operazione'])) {
    $operazione                  = $_POST['operazione'];
} else {
    $operazione                  = '';
}

if (isset($_POST['comando'])) {
    $comando                     = $_POST['comando'];
} else {
    $comando                     = '';
}

// dichiarazione oggetti >>>>>
class DataManagementSystem {
    var $graphicData             = Array();
    var $sequenzaMessaggi        = Array();

    function putGraphicData($graphicData) {
        $this->graphicData       = $graphicData;
    }

    function putSequenzaMessaggi($sequenzaMessaggi) {
        $this->sequenzaMessaggi  = $sequenzaMessaggi;
    }

    function getGraphicData() {
         return $this->graphicData;
    }

    function getSequenzaMessaggi() {
        return $this->sequenzaMessaggi;
    }

}

// <<<<<<  dichiarazione oggetti

// ########  AREA DATI (inizio)  ###########
// Versione del Software di questo modulo
$graphicData                   = Array();
$graphicData['versSw']         = $versSw;// Versione del SW correntemente in uso
$graphicData['activeCell']     = 1;
$sqlInstallFile                = "";
// $sqlInstallFile = "install_$versSw.sql"; ####### non piu' usato perche' fa il get dell'ultimo presente nella dir /setup ########
$dMSObj                        = new DataManagementSystem();
$dMSObj->putGraphicData($graphicData);
$sequenzaMessaggi              = Array();
global $messaggio; // invarianti globali
$messaggio                     = Array();
$messaggio['msgVersione']      = "<br>
Il database in uso utilizza la versione
";
$messaggio['ultimaVersione']   = "<br>
La versione pi recente disponibile  la
";
$messaggio['msgConnOk']        = "
<br>
La connessione al database  andata a buon fine.<br>
Premere il pulsante per ultimare l'update.<br>
<br>
<input type=\"hidden\" name=\"comando\" value=\"upgrade\">
<input input=\"\" name=\"operazione\" value=\"prosegui\" class=\"btn\"  type=\"submit\"><br/><br/>
<input input=\"\" name=\"operazione\" value=\"indietro\" class=\"btn\"  type=\"submit\">
<br/>&nbsp;";
$messaggio['msgConnErr']       = "La connessione al database non  andata a buon fine.<br/>
Impostare correttamente username password <br/>
e database del file gconfig.php.
<br/><br/>
<input input=\"\" name=\"\" value=\"indietro\" class=\"btn\"  type=\"submit\">
&nbsp;";
$messaggio['reset']            = "
<input type=\"hidden\" name=\"operazione\" value=\"\">
<input type=\"hidden\" name=\"comando\" value=\"\">
";
$messaggio['continue_upgrade'] = "
<br/>
<br/>
Premere il pulsante per il successivo update.<br/>
<br/>
<input type=\"hidden\" name=\"comando\" value=\"upgrade\">
<input input=\"\" name=\"operazione\" value=\"prosegui\" class=\"btn\"  type=\"submit\">
<br/>&nbsp;";
$messaggio['upgradeOk']        = "
Il database  allineato con il software.<br/>
<br/><br/>
<input type=\"hidden\" name=\"comando\" value=\"\">
<input type=\"hidden\" name=\"operazione\" value=\"\">
<input input=\"\" name=\"\" value=\"indietro\" class=\"btn\"  type=\"submit\">
&nbsp;";
$messaggio['installa']         = "
Operazione conclusa per<br/>
accedere a Gazie clicca<br/>
<a href=\"../../modules/root/admin.php\"> QUI </a><br/>
<br/>login = amministratore<br/>
password = password<br/><br/><br/>
<input type=\"hidden\" name=\"comando\" value=\"\">
<input type=\"hidden\" name=\"operazione\" value=\"\">
<input input=\"\" name=\"\" value=\"indietro\" class=\"btn\"  type=\"submit\">
&nbsp;";
$messaggio['NoDatabase']       = "
Attenzione!<br/>
Il database non  stato creato.<br/>
Oppure esso esiste con username/password <br/>
non corrispondenti a quelle di configurazione.<br/>
Per proseguire occorre controllare le impostazioni del file gconfig.php<br/>
<br/><br/>
<input input=\"\" name=\"\" value=\"indietro\" class=\"btn\" type=\"submit\">
&nbsp;";
$messaggio['NoFileInstall']       = "
Attenzione!<br/>
Il database non  stato creato perche'
manca un file (install_x.x.x.sql) necessario
nella directory /setup.
<br/><br/>
<input input=\"\" name=\"\" value=\"indietro\" class=\"btn\" type=\"submit\">
&nbsp;";
$messaggio['interrompi']       = "<br/>
<input input=\"\" name=\"operazione\" value=\"interrompi\" class=\"btn\"  type=\"submit\">
";
$messaggio['NoDatabaseVuoto']  = "
Attenzione: il database non  vuoto.<br/>
<br/><br/>
<input type=\"hidden\" name=\"comando\" value=\"\">
<input type=\"hidden\" name=\"operazione\" value=\"\">
<input input=\"\" name=\"\" value=\"indietro\" class=\"btn\"  type=\"submit\">
&nbsp;";
// ####### AREA DATI (fine)  ##########

// traps for commands ad cell management (livello di gestione dei comandi e della corrispondente visualizzazione) >>>>>>>>>>>>>>>>>>>>>>>>>>>>>> Gestione grafica delle celle
switch (True) {
case ((strcmp($operazione, '') == 0) && (strcmp($comando, '') == 0)):// Stato iniziale
    $graphicData['activeCell'] = 1;
    $snapshotCell2 = "";// reset stato cella 2
    $dMSObj->putGraphicData($graphicData);
    break;
case (strcmp($operazione, 'installa') == 0 && (strcmp($comando, '') == 0)):// gestione aggiornamenti
    $dMSObj = managementInstall($sqlInstallFile, $graphicData, $sequenzaMessaggi, $dMSObj);
    $graphicData['activeCell'] = 2;
    $dMSObj->putGraphicData($graphicData);
    break;
case (strcmp($operazione, 'aggiorna') == 0 && (strcmp($comando, '') == 0)):// gestione upgrade
    $dMSObj = managementConfigIsOk($sqlFiles, $graphicData, $sequenzaMessaggi, $dMSObj);
    $graphicData['activeCell'] = 2;
    $dMSObj->putGraphicData($graphicData);
    break;
case (strcmp($comando, 'upgrade') == 0):// Gestione del flusso di upgrade
    switch (True) {
    case (strcmp($operazione, 'indietro') == 0):// Ritorno allo stato iniziale per interruzione del processo di upgrade
        $snapshotCell2 = "";// reset stato cella 2
        $dMSObj->putGraphicData($graphicData);
        break;
    case (strcmp($operazione, 'interrompi') == 0):// Ritorno allo stato iniziale per interruzione del processo di upgrade
        $graphicData['activeCell'] = 1;
        $snapshotCell2 = ""; // reset stato cella 2
        $dMSObj->putGraphicData($graphicData);
        break;
    case (strcmp($operazione, 'prosegui') == 0):// Proseguimento di una operazione, che dipender dal comando associato
        $dMSObj = managementArchiviIsOk($sqlFiles, $graphicData, $sequenzaMessaggi, $dMSObj);
        $graphicData['activeCell'] = 3;
        $dMSObj->putGraphicData($graphicData);
        break;
    }
}

// traps for commands and cell management  <<<<<<<<<<<<<<<<<<<<<<<<
$graphicData      = $dMSObj->getGraphicData();
$sequenzaMessaggi = $dMSObj->getSequenzaMessaggi();
graphicInterface($messaggio, $sequenzaMessaggi, $snapshotCell2, $graphicData, $sqlFiles,"gazie");

function managementInstall($sqlInstallFile, $graphicData, $sequenzaMessaggi, $dMSObj)
{
     //>>>>>>>>>>>>>> livello di gestione della messaggistica,impostazioni array grafica e variabili di stati futuri
    global $Database;
    $sqlInstallFile = getInstallSqlFile(); // recupero il file sql d'installazione piu' recente disponibile nella directory setup
    if (empty($sqlInstallFile)) {
       $dMSObj->putSequenzaMessaggi(Array('NoFileInstall'));
       return $dMSObj;
    }
    if(connectIsOk() and databaseIsOk()) { // verifico il link
        // Controllo che il DB sia vuoto.
        $sql = "SHOW TABLES FROM $Database";
        $result = dbms_query($sql);
        $tables = dbms_fetch_row($result);
        if ($tables[0] <> '') {
            $dMSObj->putSequenzaMessaggi(Array('NoDatabaseVuoto'));
            return $dMSObj;
        }
        executeQueryFile($sqlInstallFile);
        $sequenzaMessaggi = Array('installa');
        $dMSObj->putGraphicData($graphicData);
        $dMSObj->putSequenzaMessaggi($sequenzaMessaggi);
        return $dMSObj;
    } elseif (connectIsOk() and (!databaseIsOk())) {
        createDatabase($Database);
        databaseIsOk();
        executeQueryFile($sqlInstallFile);
        $dMSObj->putSequenzaMessaggi(Array('installa'));
        return $dMSObj;
    } else {
        $dMSObj->putSequenzaMessaggi(Array('NoDatabase', 'reset'));
        return $dMSObj;
    }
}

function managementConfigIsOk($sqlFiles, $graphicData, $sequenzaMessaggi, $dMSObj)
{
    //>>>>>>>>>>>>>> livello di gestione della messaggistica, impostazioni array grafica e variabili di stati futuri
    global $messaggio,$link,$Database;// invarianti globali
    // Se procedura di aggiornamento:
    if(connectIsOk() and databaseIsOk()) { // verifico il link
        // ottengo la versione DB corrente
        $graphicData['versDb'] = getDbVersion();
        $lastVersionDb = end($sqlFiles);
        $sequenzaMessaggi = Array('msgVersione', 'msgConnOk');// messaggi per la cella attiva
        $messaggio['msgVersione'] = $messaggio['msgVersione']. $graphicData['versDb'] . $messaggio['ultimaVersione'] . $lastVersionDb[2];
        $dMSObj->putGraphicData($graphicData);
        $dMSObj->putSequenzaMessaggi($sequenzaMessaggi);
        return $dMSObj;
    } else {
        $sequenzaMessaggi = Array( 'msgConnErr', 'reset');
        $dMSObj->putGraphicData($graphicData);
        $dMSObj->putSequenzaMessaggi($sequenzaMessaggi);
        return $dMSObj;
        //impostazioni grafiche
    }
}

function managementArchiviIsOk($sqlFiles, $graphicData, $sequenzaMessaggi, $dMSObj)
{
    //>>>>>>>>>>>>>> livello di gestione della messaggistica, impostazioni array grafica e variabili di stati futuri
    global $messaggio,$link;// invarianti globali
    // ottengo la versione DB corrente
    $graphicData['versDb'] = getDbVersion();
    if(archiviIsOk($graphicData['versDb'], $sqlFiles)) {
        $sequenzaMessaggi = Array("upgradeOk");
        $dMSObj->putGraphicData($graphicData);
        $dMSObj->putSequenzaMessaggi($sequenzaMessaggi);
        return $dMSObj;
    } else {// se gli archivi NON sono aggiornati:
        $currentDbVersion = $graphicData['versDb'];
        $sqlSource = getNextSqlFileName($currentDbVersion, $sqlFiles);// ottengo l'ordinale che corrisponde alla versione successiva (per i normali utenti)
        upgradeFunction($sqlSource, $currentDbVersion);// La versione corrente serve solo per la modalit advanced, per individuare le sottosezioni.
        $graphicData['versDb'] = getDbVersion();
        $messaggio['msgVersione'] = $messaggio['msgVersione'] . $graphicData['versDb'];
        // Ripete il controllo per il nuovo stato del DB  lo stato finale (ossia: sono necessari altri step?)
        if(archiviIsOk($graphicData['versDb'], $sqlFiles)) {
            $sequenzaMessaggi = Array('msgVersione', 'upgradeOk');
        } else {
            $sequenzaMessaggi = Array('msgVersione','continue_upgrade','interrompi');
        }
        $dMSObj->putGraphicData($graphicData);
        $dMSObj->putSequenzaMessaggi($sequenzaMessaggi);
        return $dMSObj;
   }
}

function archiviIsOk($currentDbVersion, $sqlFiles)
{
    $last = end($sqlFiles);
    if ($last[2] == $currentDbVersion) {
        return True;
    } else {
        return False;
    }
}

function getDbVersion()
{
    connectToDB ();
    global $table_prefix;
    //$table_prefix = "dr";      //solo debug
    //$query = "SELECT cvalue FROM `gaz_config` WHERE variable = 'archive'";
    $query = "SELECT cvalue FROM `".$table_prefix."_config` WHERE variable = 'archive'";
    $result = dbms_query ($query);
    $versione = dbms_fetch_array($result);
    return $versione[0];
}

function getNextSqlFileName($currentDbVersion, $sqlFiles)
{
    foreach ($sqlFiles as $key => $value) {
        if (($sqlFiles[$key][1] <= $currentDbVersion + 1) and ($currentDbVersion + 1 <= $sqlFiles[$key][2])) {
            return $sqlFiles[$key][0];
        }
    }
    return '';
}

function upgradeFunction($file, $currentDbVersion)
{
    global $flagSottosezioni;
    connectToDB ();
    if($flagSottosezioni) {
        executeQueryFileAdvanced($file, $currentDbVersion); // advanced mode, con il parametro per individuare le sottosezioni
    } else {
        executeQueryFile($file);
    }
    return;
}

function executeQueryFile($sqlFile)
{
    global $table_prefix, $gTables; //patched by fiblan
    // Inizializzazione accumulatore
    $sql = "";
    $tmpSql=file_get_contents( "../../setup/install/". $sqlFile );
    foreach ($gTables as $table){   // patched by fiblan
            $tmpSql= str_replace('gaz_'.substr($table,(strlen($table_prefix)+1)),$table,$tmpSql);
    }
    // Iterazione per ciascuna linea del file.
    $lineArray = explode("\n",$tmpSql);
    foreach($lineArray as $line){
        $sql = $sql . $line;
        // Il punto e virgola indica la fine di ciascuna istruzione SQL , ciascuna di esse viene accumulata
        if (! preg_match("/;/", $sql)) {
            continue;
        }
        // Elimina il punto e virgola .
        $sql = preg_replace("/;/", "", $sql);
        // Esegue ciascuna istruzione.
        if (! dbms_query($sql)) { // si collega la DB
            echo "Query Fallita";
            exit;
        }
        // ripristino dell'accumulatore a seguito dell'istruzione
        $sql = "";
    }
}

function executeQueryFileAdvanced($sqlFile, $currentDbVersion) // funzione dedicata alla gestione delle sottosezioni
{
    // Inizializzazione accumulatore
    global $table_prefix;
    $sql = "";
    $parsingFlag = False; // flag per individuare cisacuna sottosezione, corrispondente a cisacuna versione del DB
    $nextDbVersion =  $currentDbVersion + 1; // versione del'upgrade da individuare per l'aggiornamento corrente (contiguit nella numerazione delle versioni).
    $stopDbVersion = $currentDbVersion + 2;
    $sqlFile = "../../setup/install/". $sqlFile;
    // trovo l'ultima  sottosezione (individuabile a partire dalla versione corrente del Database)
    // Iterazione per ciascuna linea del file.
    $lineArray = file($sqlFile);
    foreach($lineArray as $line) {
        if (eregi("UPDATE[ \n\r\t\x0B]+(`){0,1}".$table_prefix."_config(`){0,1}[ \n\r\t\x0B]+SET[ \n\r\t\x0B]+(`){0,1}cvalue(`){0,1}[ \n\r\t\x0B]*=[ \n\r\t\x0B]*\'$nextDbVersion\'", $line)) {
            $parsingFlag = True;
        }
        if (ereg("UPDATE[ \n\r\t\x0B]+(`){0,1}".$table_prefix."_config(`){0,1}[ \n\r\t\x0B]+SET[ \n\r\t\x0B]+(`){0,1}cvalue(`){0,1}[ \n\r\t\x0B]*=[ \n\r\t\x0B]*\'$stopDbVersion\'", $line)) {
            $parsingFlag = False;
            break;
        }
        if($parsingFlag) {
            $sql = $sql . $line;
            // Il punto e virgola indica la fine di ciascuna istruzione SQL , ciascuna di esse viene accumulata
            if (!preg_match("/;/", $sql)) {
                continue;// incremento dell'accumulatore
            }
            // Elimina il punto e virgola .
            $sql = preg_replace("/;/", "", $sql);
            // Esegue ciascuna istruzione.
            if (!dbms_query($sql)) { // si collega al DB
                echo "Query Fallita";
                echo "$sql <br/>";
                exit;
            } else {
                $sql = "";// ripristino dell'accumulatore a seguito dell'istruzione
            }
        }
    }
}

function getSqlFiles()
{
$fileArray = Array();
$structArray = Array();
$disorderedStructArray = Array();
$relativePath = '../../setup/install';
if ($handle = opendir($relativePath)) {
    while ($file = readdir($handle)) {
        if(($file == ".") or ($file == ".."))
            continue;
        if(!eregi("^update_to_[0-9]+\.[0-9]\.[0-9]+\.sql$",$file)) continue; //filtro per estensione .sql dei nomi dei file
        $fileArray[] = $file; // push sull'accumulatore
    }
    // conversione del $fileArray nelle corrispondenti strutture (si ottiene un array disordinato).
    foreach($fileArray as $fileItem){
        $version = sqlFileScan($fileItem);
        if($version == Array()) continue; // bypass dei file sql che non contengono gli aggiornamenti
        $initVersion = $version[0];
        $finalVersion = end($version);
        $disorderedStructArray[] = Array($fileItem, $initVersion, $finalVersion);
        }
    usort($disorderedStructArray, "compareSqlFiles");
    foreach ($disorderedStructArray as $key => $value) {
        $structArray[$value[1]] = $value;
    }
    closedir($handle);
    }
return $structArray;
}

function getInstallSqlFile()
{
//serve per trovare il primo file .sql di installazione piu' recente rispetto alla versione del software
$fileArray = Array();
$lastInstallSqlFile = "";
$ctrlLastVersion = 0;
$relativePath = '../../setup/install';
if ($handle = opendir($relativePath)) {
    while ($file = readdir($handle)) {
        if(($file == ".") or ($file == ".."))
            continue;
        if (ereg ("^install_([0-9]{1,2})\.([0-9]{1,2})\.([0-9]{1,2})\.sql$", $file, $regs)) {
           //faccio il push solo se e' una versione di valore maggiore
           $versionFile =  ($regs[1]*10000)+($regs[1]*100)+$regs[3];
           if ($versionFile > $ctrlLastVersion) {
              $lastInstallSqlFile = $file;
              $ctrlLastVersion = $versionFile;
           }
        } else {
           continue;
        }
    }
    closedir($handle);
}
return $lastInstallSqlFile;
}

function compareSqlFiles($struct1, $struct2)
{
// Luigi Rambaldi 13 Ottobre 2005
if ($struct2[2] < $struct1[1])
    return True;
else
    return False;
}

function sqlFileScan($file)
{
    global $table_prefix;
    $versions = Array();
    $relativePath = '../../setup/install';
    $lineArray = file($file);
    foreach($lineArray as $line) {
         if(eregi("UPDATE[ \n\r\t\x0B]+(`){0,1}gaz_config(`){0,1}[ \n\r\t\x0B]+SET[ \n\r\t\x0B]+(`){0,1}cvalue(`){0,1}[ \n\r\t\x0B]+=[ \n\r\t\x0B]+'", $line)){
             $versionArray = split("[=']", $line) ;// In caso dell'uso degli apici per denotare i valori delle versioni
             $versions[] = trim ($versionArray[2]);// Eliminazione spazi e posizionamento.
         }
         if(eregi("UPDATE[ \n\r\t\x0B]+(`){0,1}gaz_config(`){0,1}[ \n\r\t\x0B]+SET[ \n\r\t\x0B]+(`){0,1}cvalue(`){0,1}[ \n\r\t\x0B]+=[ \n\r\t\x0B]+[0-9]+", $line)){
             $versionArray = split("[=Ww]", $line) ;// In caso in cui non vengono usato gli apici per denotare i valori delle versioni (wW serve per identificare il where/WHERE)
             $versions[] = trim ($versionArray[1]);
         }
    }
return $versions;
}

function graphicInterface($messaggio, $sequenzaMessaggi, $snapshotCell2, $graphicData, $sqlFiles,$nameradi)
{
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//IT" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta name="author" content="Antonio De Vincentiis www.devincentiis.it">
    <link rel="stylesheet" type="text/css" href="../../library/style/stylesheet.css">
    <style type="text/css">
    <!--
    .btn{
        width: 100px;
    }
    .disabled {
        /*background-color: lightgrey;*/
        opacity: 0.4;
        -moz-opacity:0.4;
        filter:alpha(opacity=40);
    }
    table {
        width: 600px;
        border-collapse: collapse;
        border: 1px solid #000000;
        empty-cells: show;
    }
    td {
        border: 1px solid #000000;
        vertical-align: top;
    }
    .step {
        font-size: 400%;
        font-weight:bold;
        text-align: center;
        margin-top: 10px;
    }
    .curstep {
        font-size: 400%;
        font-weight:bold;
        color: red;
        text-align: center;
        margin-top: 10px;
    }
    -->
    </style>
    <link rel="shortcut icon" href="../library/images/favicon.ico">
    <title>Gazie Installazione</title>
</head>
<body>
    <br><br><br>
    <form method="post">
    <table align="center">
    <tbody>
        <tr>
            <td colspan="4" class="FacetDataTD" align="center"><strong> Installazione ed aggiornamento di Gazie
              </strong></td>
        </tr>
        <tr>
         <?php
            if($graphicData['activeCell'] == 1) {
                $activationChrType   = "curstep";
                $activationType  = "";
                $activationInputType = "";
            } else {
                $activationChrType = "step";
                $activationType  = "disabled";
                $activationInputType = " disabled=\"disabled\" ";
            }
      ?>
            <td align="center" width=200px class="<?php echo $activationType; ?>">


                <div class="<?php echo $activationChrType; ?>">1</div>
                             <p> Seleziona la procedura:
                <br>
                <br>
                <input name="operazione" value="installa" class="btn" <?php echo urlencode($activationInputType); ?> type="submit"> </p>
                <p><input name="operazione" value="aggiorna" class="btn" <?php echo $activationInputType; ?> type="submit"> </p>
                <br>
                <br> &nbsp;
            </td>
            <?php
            if($graphicData['activeCell'] == 2) {
                $activationChrType   = "curstep";
                $activationType       = "";
            } else {
                $activationChrType   = "step";
                $activationType       = "disabled";
            }
            ?>
        <td align="left" height="300" width=200px class="<?php echo $activationType; ?>">
                        <div class='<?php echo $activationChrType; ?>'>2</div>
                <?php
                        if($graphicData['activeCell'] == 2) {
                            foreach($sequenzaMessaggi as $indice)
                            {
                                $snapshotCell2 = $snapshotCell2 . $messaggio[$indice];
                                echo $messaggio[$indice] . "<br/>";

                            }
                            $snapshotCell2 = urlencode($snapshotCell2);
                            echo "<input type=\"hidden\" name=\"snapshotCell2\" value='" . $snapshotCell2 . "'>";
                        } else {
                            $snapshotCell2 =  ereg_replace("value=\"prosegui\"","value =\"prosegui\" disabled=\"disabled\"", $snapshotCell2);
                            $snapshotCell2 =  ereg_replace("value=\"indietro\"","value =\"indietro\" disabled=\"disabled\"", $snapshotCell2);
                            echo $snapshotCell2;
                            $snapshotCell2 = urlencode($snapshotCell2);
                            echo "<input type=\"hidden\" name=\"snapshotCell2\" value='" . $snapshotCell2 . "'>";
                        }
                        ?>
        </td>
            <?php
            if($graphicData['activeCell'] == 3) {
                $activationChrType   = "curstep";
                $activationType       = "";
            } else {
                $activationChrType   = "step";
                $activationType       = "disabled";
            }
            ?>
        <td align="left" width=200px  class="<?php echo $activationType; ?>">
                <div class='<?php echo $activationChrType; ?>'>3</div>
        <?php
                     if($graphicData['activeCell'] == 3) {
                         foreach($sequenzaMessaggi as $indice)
                         {
                             echo $messaggio[$indice] . "<br/>";
                         }
                     }
                 ?>
        </td>

            <?php

            if($graphicData['activeCell'] == 3) {
                $activationChrType   = "curstep";
                $activationType       = "";
            } else {
                $activationChrType   = "step";
                $activationType       = "disabled";
            }
            ?>
        </tr>
        <tr>
        <td colspan="4">
              Gazie: Versione <?php echo $graphicData['versSw']; ?></td>
        </tr>
        <tr>
        <td colspan="4"> Progetto di:
                <a href="http://www.devincentiis.it/" target="_new" title="Sito dell'autore"> www.devincentiis.it</a>
        </td>
    </tr>
        <tr>
            <td colspan="4">Sviluppo, documentazione, segnalazione errori:
                <a href="http://sourceforge.net/projects/gazie/" target="_new" title="Partecipa allo sviluppo!"> gazie.sourceforge.net</a>
            </td>
    </tr>
<?php
require_once("../../language/english/menu.inc.php");
require_once("../../library/include/bottom.php"); ?>
</tbody>
</table>
</form>
</body></html>
<?php
}
?>


